#
# spec file for package openstack-cinder
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define component cinder
%define groupname %{component}
%define username %{component}

%if ! %{defined _rundir}
%define _rundir %{_localstatedir}/run
%endif

%define version_unconverted 14.1.0.dev9

Name:           openstack-%{component}
Version:        14.1.0~dev9
Release:        1.2
Summary:        OpenStack Block Storage (Cinder)
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/cinder
Source:         http://tarballs.openstack.org/cinder/cinder-master.tar.gz
Source1:        %{name}.logrotate
Source2:        cinder-sudoers
Source3:        %name.conf
Source4:        rpmlintrc
Source5:        cinder-migrate-volume-names-to-cluster
# systemd service files
Source10:       %{name}-api.service
Source11:       %{name}-backup.service
Source12:       %{name}-scheduler.service
Source13:       %{name}-volume.service
Source50:       README.config
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-base
BuildRequires:  python-oslo.config
BuildRequires:  python-setuptools
BuildRequires:  python-six
# Documentation build requirements:
BuildRequires:  crudini
BuildRequires:  python-Babel
BuildRequires:  python-Paste
BuildRequires:  python-PasteDeploy
BuildRequires:  python-Routes
BuildRequires:  python-Sphinx
BuildRequires:  python-WebOb
BuildRequires:  python-argparse
BuildRequires:  python-barbicanclient
BuildRequires:  python-castellan
BuildRequires:  python-cursive
BuildRequires:  python-ddt
BuildRequires:  python-defusedxml
BuildRequires:  python-eventlet
BuildRequires:  python-glanceclient
BuildRequires:  python-google-api-python-client
BuildRequires:  python-httplib2
BuildRequires:  python-iso8601
BuildRequires:  python-keystonemiddleware
BuildRequires:  python-novaclient
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-os-brick
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.context
BuildRequires:  python2-oslo.db
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python2-oslo.middleware
BuildRequires:  python-oslo.policy
BuildRequires:  python-oslo.reports
BuildRequires:  python-oslo.serialization
BuildRequires:  python-oslo.utils
BuildRequires:  python2-oslo.versionedobjects
BuildRequires:  python-oslo.vmware
BuildRequires:  python-oslotest
BuildRequires:  python-osprofiler
BuildRequires:  python-paramiko
BuildRequires:  python-pbr
BuildRequires:  python-rtslib-fb
BuildRequires:  python-sphinx-feature-classification
BuildRequires:  python-sphinxcontrib-apidoc
BuildRequires:  python-stevedore
BuildRequires:  python-suds-jurko
BuildRequires:  python-swiftclient
BuildRequires:  python-taskflow
BuildRequires:  python-tooz
BuildRequires:  systemd-rpm-macros
%{?systemd_requires}
Requires:       logrotate
Requires:       openstack-suse-sudo
Requires:       python >= 2.7
Requires:       python-cinder = %{version}
Requires(pre):  pwdutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Cinder is the OpenStack Block storage service. This is a spin out of
nova-volumes.

%package -n python-cinder
Summary:        OpenStack Block Storage (Cinder) - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.6.8
Requires:       python-Babel >= 2.3.4
Requires:       python-Paste >= 2.0.2
Requires:       python-PasteDeploy >= 1.5.0
Requires:       python-Routes >= 2.3.1
Requires:       python-SQLAlchemy >= 1.0.10
Requires:       python-WebOb >= 1.7.1
Requires:       python-barbicanclient >= 4.5.2
Requires:       python-castellan >= 0.16.0
Requires:       python-cryptography >= 2.1
Requires:       python-cursive >= 0.2.1
Requires:       python-decorator >= 3.4.0
Requires:       python-defusedxml >= 0.5.0
Requires:       python-enum34 >= 1.0.4
Requires:       python-eventlet >= 0.18.2
Requires:       python-glanceclient >= 2.8.0
Requires:       python-greenlet >= 0.4.10
Requires:       python-httplib2 >= 0.9.1
Requires:       python-ipaddress >= 1.0.17
Requires:       python-iso8601 >= 0.1.11
Requires:       python-keystoneauth1 >= 3.4.0
Requires:       python-keystoneclient >= 3.8.0
Requires:       python-keystonemiddleware >= 4.17.0
Requires:       python-lxml >= 3.4.1
Requires:       python-novaclient >= 9.1.0
Requires:       python-os-brick >= 2.2.0
Requires:       python-oslo.concurrency >= 3.26.0
Requires:       python-oslo.context >= 2.19.2
Requires:       python-psutil >= 3.2.2
# cinder/volume/drivers/infinidat.py really needs mock to work
Requires:       python-mock >= 2.0.0
Requires:       python2-oslo.db
Requires:       python-oslo.log >= 3.36.0
Requires:       python-paramiko >= 2.0.0
Requires:       python-pyparsing >= 2.1.0
Requires:       python-pytz >= 2013.6
Requires:       python-requests >= 2.14.2
Requires:       python-retrying >= 1.2.3
Requires:       python-rtslib-fb >= 2.1.65
Requires:       python-simplejson >= 3.5.1
Requires:       python-six >= 1.10.0
Requires:       python-sqlalchemy-migrate >= 0.11.0
Requires:       python-stevedore >= 1.20.0
Requires:       python-suds-jurko >= 0.6
Requires:       python-taskflow >= 2.16.0
Requires:       python-tooz >= 1.58.0
Requires:       python2-oslo.messaging >= 5.29.0
Requires:       python2-oslo.policy >= 1.30.0
Requires:       python2-oslo.privsep >= 1.23.0
Requires:       python2-oslo.reports >= 1.18.0
Requires:       python2-oslo.rootwrap >= 5.8.0
Requires:       python2-oslo.serialization >= 2.18.0
Requires:       python2-oslo.service >= 1.24.0
Requires:       python2-oslo.upgradecheck
Requires:       python2-oslo.utils >= 3.33.0
Requires:       python2-oslo.versionedobjects >= 1.31.2
Requires:       python2-oslo.vmware >= 2.17.0
Requires:       python2-osprofiler >= 1.4.0

%description -n python-cinder
Cinder is the OpenStack Block storage service. This is a spin out of
nova-volumes.

This package contains the core Python module of OpenStack Keystone.

%package api
Summary:        OpenStack Block Storage (Cinder) - API
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description api
This package contains the OpenStack Cinder API.

%package backup
Summary:        OpenStack Block Storage (Cinder) - Volume Backup Service
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-google-api-python-client >= 1.4.2
Requires:       python-oauth2client >= 1.5.0

%description backup
This package contains the OpenStack Cinder Backup Service.

%package scheduler
Summary:        OpenStack Block Storage (Cinder) - Scheduler
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description scheduler
This package contains the OpenStack Cinder scheduler.

%package volume
Summary:        OpenStack Block Storage (Cinder) - Volume
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
# iSCSI backends need iscsiadm (for create volume from image)
Requires:       open-iscsi
# needed for HPE 3par driver
Requires:       python-3parclient
# needed by EMC and Fujitsu
Requires:       python-pywbem
# needed by Boot from Volume (qemu-img)
Requires:       qemu-tools
Provides:       openstack-nova-volume = 2013.1
Obsoletes:      openstack-nova-volume < 2013.1

%description volume
This package contains the OpenStack Cinder volume manager.

%package test
Summary:        OpenStack Block Storage (Cinder) - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       git-core
Requires:       python-ddt >= 1.0.1
Requires:       python-fixtures >= 3.0.0
Requires:       python-glanceclient >= 2.8.0
Requires:       python-mock >= 2.0.0
Requires:       python-os-api-ref >= 1.4.0
Requires:       python-oslotest >= 3.2.0
Requires:       python-pbr >= 2.0.0
Requires:       python-psycopg2 >= 2.6.2
Requires:       python-reno >= 2.5.0
Requires:       python-testresources >= 2.0.0
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 2.2.0

%description test
The OpenStack Cinder testsuite. It is used to verify the
functionality of OpenStack Cinder.

%prep
%setup -q -n cinder-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build
PYTHONPATH=. PBR_VERSION=%{version_unconverted} sphinx-build -b man doc/source doc/build/man

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}
PYTHONPATH=. oslo-config-generator --config-file=tools/config/cinder-config-generator.conf --output-file etc/cinder/cinder.conf
PYTHONPATH=. oslopolicy-sample-generator --config-file=tools/config/cinder-policy-generator.conf --output etc/cinder/policy.json

### directories
install -d -m 750 %{buildroot}%{_localstatedir}/{lib,log}/%{component}
install -d -m 750 %{buildroot}%{_localstatedir}/cache/%{component}
install -d -m 700 %{buildroot}%{_rundir}/%{component}
install -D -m 644 %{SOURCE3} %{buildroot}/%_tmpfilesdir/%name.conf
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}-volume.conf.d

### migratation script
install -D -m 755 %{SOURCE5} %{buildroot}/%{_bindir}/cinder-migrate-volume-names-to-cluster

### configuration files
mv %{buildroot}/usr/etc/cinder/* %{buildroot}%{_sysconfdir}/%{component}
install -p -D -m 640 %{SOURCE50} %{buildroot}%{_sysconfdir}/%{component}/README.config
install -p -D -m 644 etc/cinder/{cinder.conf,api-paste.ini,policy.json,rootwrap.conf} %{buildroot}%{_sysconfdir}/%{component}/
cp -a etc/cinder/rootwrap.d/ %{buildroot}%{_sysconfdir}/%{component}/

# bash-completion/logrotate/etc.
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# Install systemd unit services
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_unitdir}
install -p -D -m 444 %{SOURCE10} %{buildroot}%{_unitdir}/%{name}-api.service
install -p -D -m 444 %{SOURCE11} %{buildroot}%{_unitdir}/%{name}-backup.service
install -p -D -m 444 %{SOURCE12} %{buildroot}%{_unitdir}/%{name}-scheduler.service
install -p -D -m 444 %{SOURCE13} %{buildroot}%{_unitdir}/%{name}-volume.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-api
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-backup
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-scheduler
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-volume

### sudoers configuration for cinder-rootwrap:
install -D -m 440 %{SOURCE2} %{buildroot}%{_sysconfdir}/sudoers.d/openstack-cinder

### documentation
install -d %{buildroot}%{_mandir}/man1
install -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1

### test subpackage
%openstack_test_package_install
%fdupes %{buildroot}%{_localstatedir}/lib/%{name}-test

### misc
%fdupes %{buildroot}%{python_sitelib}/%{component}

### set default configuration
%define cinder_conf %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
crudini --set %{cinder_conf} DEFAULT log_dir /var/log/%{component}
crudini --set %{cinder_conf} oslo_concurrency lock_path /var/run/%{component}

%pre
%openstack_pre_user_group_create %{username} %{groupname}

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf

%pre api
%service_add_pre openstack-cinder-api.service

%post api
%service_add_post openstack-cinder-api.service

%preun api
%service_del_preun openstack-cinder-api.service

%postun api
%restart_on_update %{name}-api.service
%service_del_postun openstack-cinder-api.service

%pre backup
%service_add_pre openstack-cinder-backup.service

%post backup
%service_add_post openstack-cinder-backup.service

%preun backup
%service_del_preun openstack-cinder-backup.service

%postun backup
%restart_on_update %{name}-backup.service
%service_del_postun openstack-cinder-backup.service

%pre scheduler
%service_add_pre openstack-cinder-scheduler.service

%post scheduler
%service_add_post openstack-cinder-scheduler.service

%preun scheduler
%service_del_preun openstack-cinder-scheduler.service

%postun scheduler
%restart_on_update %{name}-scheduler.service
%service_del_postun openstack-cinder-scheduler.service

%pre volume
%service_add_pre openstack-cinder-volume.service

%post volume
%service_add_post openstack-cinder-volume.service

%preun volume
%service_del_preun openstack-cinder-volume.service

%postun volume
%restart_on_update %{name}-volume.service
%service_del_postun openstack-cinder-volume.service

%files
%defattr(-,root,root)
%doc README.rst
%license LICENSE
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/lib/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/cache/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/log/%{component}
%_tmpfilesdir/%name.conf
%{_sysconfdir}/%{component}/README.config
%dir %{_sysconfdir}/%{component}
%dir %{_sysconfdir}/%{component}/%{component}.conf.d/
%dir %{_sysconfdir}/%{component}/rootwrap.d
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/sudoers.d/openstack-cinder
%config %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/api-paste.ini
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
%config %{_sysconfdir}/%{component}/policy.json
%config %{_sysconfdir}/%{component}/resource_filters.json
%config %{_sysconfdir}/%{component}/rootwrap.conf
%{_bindir}/%{component}-status
%{_bindir}/%{component}-rtstool
%{_bindir}/%{component}-manage
%{_bindir}/%{component}-rootwrap
%{_mandir}/man1/%{component}-manage.1%{?ext_man}
%{_mandir}/man1/%{component}-status.1%{?ext_man}

%files -n python-%{component}
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info
# don't exclude the tempest tests (must be in the python package
# because of the entrypoint in setup.cfg)
%exclude %{python_sitelib}/%{component}/tests/compliance
%exclude %{python_sitelib}/%{component}/tests/unit
%exclude %{python_sitelib}/%{component}/tests/functional

%files api
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-api.service
%{_sbindir}/rc%{name}-api
%{_bindir}/%{component}-api
%{_bindir}/%{component}-wsgi

%files backup
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-backup.service
%{_sbindir}/rc%{name}-backup
%{_bindir}/%{component}-backup

%files scheduler
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-scheduler.service
%{_sbindir}/rc%{name}-scheduler
%{_bindir}/%{component}-scheduler

%files volume
%defattr(-,root,root,-)
%license LICENSE
%dir %{_sysconfdir}/%{component}/%{component}-volume.conf.d/
%config %{_sysconfdir}/%{component}/rootwrap.d/volume.filters
%{_unitdir}/%{name}-volume.service
%{_sbindir}/rc%{name}-volume
%{_bindir}/%{component}-migrate-volume-names-to-cluster
%{_bindir}/%{component}-volume
%{_bindir}/%{component}-volume-usage-audit

%files test
%defattr(-,root,root)
%{_localstatedir}/lib/%{name}-test/
%{python_sitelib}/%{component}/tests/unit
%{python_sitelib}/%{component}/tests/compliance
%{python_sitelib}/%{component}/tests/functional

%changelog
* Wed Mar 27 2019 cloud-devel@suse.de
- Update to version cinder-14.1.0.dev9:
  * Doc: Mark last Stein API microversion
  * Synology: Add support for UC-Series model
  * Handling filters in Generalized Filtering API
  * [NetApp] Casting block\_count to int before calling ONTAP API
* Sat Mar 23 2019 cloud-devel@suse.de
- Update to version cinder-14.1.0.dev3:
  * PowerMax Driver - In-Use Retype Path Fix
  * Imported Translations from Zanata
* Fri Mar 22 2019 cloud-devel@suse.de
- Update to version cinder-14.1.0.dev1:
  * Update master for stable/stein
  14.0.0.0rc1
  * Fix VolumeAttachment is not bound to a Session
* Wed Mar 20 2019 opensuse-packaging@opensuse.org
- Update to version cinder-13.1.0.dev945:
  * Fix Support Matrix - Pure does support Multiattach
  * Modify the configuration mode of FusionStorage Cinder Driver
  * PowerMax Driver - Unmanage Snapshot Improvements
* Sun Mar 17 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev939:
  * Automate generation of snapshots api-ref samples
  * PowerMax docs -  changing cinder tags to powermax
  * PowerMax driver - performance improvements
  * Automate generation of volume actions api-ref samples
  * Refactor for Veritas iSCSI driver
* Sat Mar 16 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev929:
  * Gate Fix: Bumping versions in lower-constraints.txt
  * NetApp SolidFire: Fix misbehavior on account creation
* Wed Mar 13 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev926:
  * Use excutils.save\_and\_reraise\_exception instead of reraise
* Tue Mar 12 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev924:
  * Adds revert to snapshot feature to support matrix
  * PowerMax driver -  test fixes for \_sanity\_port\_group\_check
  * NetApp SolidFire: Fix multi-attach volume deletion
  * Create volume attachments status check
  * Use 'target\_helper' config opt in linstor driver
* Sat Mar  9 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev914:
  * PowerMax Driver - Unit Test Refactoring
  * PowerMax driver - do an rdf\_group check earlier
  * PowerMax driver - handle special case where IG exists
  * PowerMax driver -  move pagination code to request
  * PowerMax driver - do the portgroup check earlier
* Fri Mar  8 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev904:
  * Add get\_driver\_options method
  * docs: mark rbd driver support for extending an in-use volume
  * Revert "Remove truncate from rootwrap filters"
  * Revert "Use native python truncate for privsep"
* Thu Mar  7 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev897:
  * Update required version of taskflow
  * Update minimal acceptable glanceclient
* Wed Mar  6 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev893:
  * Add project\_id in group snapshots list and show API
  * Improve documentation of goodness/filter function
* Tue Mar  5 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev889:
  * Update oslo.privsep minimum requirement
  * Move 'attach.end' notify to attachment\_complete
* Sat Mar  2 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev885:
  * Use new target\_\* options in documentation
  * Update section 'When do i need a new Microversion?'
  * Create new image volume cache entry when cloning fails
* Fri Mar  1 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev879:
  * Remove py35 from setup.cfg
  * Use config-table for dynamic config documentation
  * VNX: update sg in cache
  * Fix incorrect replication info for RBD
  * PowerMax driver - solve issue of concurrent snapvx operations
  * [api-ref] Fix the parameter of image metadata
* Thu Feb 28 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev867:
  * Add oslo.privsep to config-generator list
  * Fix typo in the comment
  * Drop py35 jobs
  * api-ref: add qos\_specs\_id to show default volume type response
  * Use native python truncate for privsep
  * Remove truncate from rootwrap filters
  * PowerMax Driver - Storage-assisted in-use retype support
  * Declare multiattach support for HPE MSA
  * Skip masking of command output over ssh
* Wed Feb 27 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev850:
  * Disable etcd3 for lio-barbican job
  * Fix Snapshot object metadata loading
  * Fix python3 compatibility of rbd get\_fsid
  * Trim test list for lio-barbican job
  * Pylint: Filter out cinder.objects and requests E1101
  * NetApp SolidFire: Thin provisioning scheduler support
  * [Unity] Storage-assisted migration support
* Tue Feb 26 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev837:
  * Extend timeout for database migration tests
  * Update support matrix of Huawei driver
  * Define single place for irrelevant-files
* Mon Feb 25 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev832:
  * Compact DB migrations to Ocata
* Sun Feb 24 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev830:
  * Doc8: Stop skipping D001: Line too long
  * Fix for auth version change in Brcd HTTP
  * Remove legacy-tempest-dsvm-full-drbd-devstack job
* Sat Feb 23 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev824:
  * Tests: Fix up migrate notify tests
  * RBD: add support for multiattach
* Fri Feb 22 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev820:
  * Fix version return incorrect when endpoint url end without /
  * docs: Add os-migrate\_volume\_completion api-ref
  * Replace 'lvconvert' from rootwrap
  * Switch tempest-slow to be run on python 3
  * Remove vgc-cluster
  * Remove 'ln' command from rootwrap filter
* Thu Feb 21 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev808:
  * Include .inc files in doc8 linting
* Wed Feb 20 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev806:
  * REST connector for Brocade zone driver
  * Remove drbdadm from filters
  * Limit RBD discard to 32 bit chunks
* Tue Feb 19 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev800:
  * PowerMax Driver - Replication Settings Fix
* Mon Feb 18 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev798:
  * Using wrong parameter in test\_backup\_ceph
* Sun Feb 17 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev796:
  * Use oslo.privsep for 'lvcreate'
* Sat Feb 16 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev794:
  * Add empty check before using zone driver
  * VNX Driver: delete\_hba() instead of remove\_hba()
  * Remove 'tgtadm' from rootwrap
  * Add check\_encryption\_provider to volume utils
  * Add test case: retype volume when driver not initialized
  * Change a function name of swift backup
* Fri Feb 15 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev782:
  * Remove LOCI publishing from the post pipeline
  * Fix some miscapitalizations of VMware
  * Add Python 3.6 version in setup.cfg
  * Update install docs to match default NFS config
  * Update rbd thin-provisioning in support-matrix
  * Drop nova-multiattach job
  * Huawei driver refactor(2/10)
  * Adding microversion in releasenote "project\_id response in groups"
  * Support transfer pagination
  * Remove LIO multiattach release note
  * Fix HPE3PAR not returning cached stats
  * Add project\_id in group list and show API
  * Return WWN for validation in Pure Storage drivers
  * PowerMax driver -  code cleanup and minor improvements
  * QNAP: Add support for QTS 4.4.0
  * api-ref: Add cipher to update an encryption type interface
  * VMAX driver doc - clarify PowerMax rebrand release note
  * Fix keystone auth config in install doc
  * Fix "import xxx as xxx" grammar
  * Add missing ws seperator between words
  * fast8 improvements
  * Huawei driver refactor(1/10)
  * Cleanup rootwrap filters
  * Fix gigabytes usage error when deleting snapshot group
  * Report msg error when cannot revert to snapshot
  * Fix for HPE MSA 2050 login failures
  * Move Fujitsu ETERNUS DX related file
  * Correct default policy\_file in the sample config
  * Remove 'lvrename' from rootwrap
  * VMware: Implement retype
  * PowerMax driver -  changing from 8.4 to 9.0 REST endpoints
  * Handle 'is\_public' filter in volume-type list
  * Automate generation of volumes api-ref samples
  * Switch ietadm to use olso.privsep
  * Reset snapshot status available
  * Mask passwords in utils.trace for func params
  * Add policy configuration howto
  * Use renamed template 'integrated-gate-py3'
  * VMware: Storage policy support
  * api-ref: add response body for set-image-metadata-for-a-volume
  * api-ref: fix response example of list-backups
  * api-ref: Correct response body type for show host details
  * api-ref: modify 'keys' description
* Thu Jan 24 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev699:
  * Update FusionStorage Cinder Driver by using REST API
  * QNAP: Support QES FW on TDS series NAS
* Wed Jan 23 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev695:
  * Improve volume transfer records
  * Enable some tests in the cinder.tests.unit.test\_cmd module for MacOS
  * Fix and Optimize : retype tests
* Mon Jan 21 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev689:
  * Pass image\_id to ImageDownloadFailed
  * Refactor on policy in code
  * Add policy test for volume extend/retype/update\_ro policy
  * Add policy test for volume metadata policy
  * PowerMax driver - rebranding VMAX to PowerMax
  * Add test case: extend non-exist volume
  * Fix the problem of the scheduler status
* Thu Jan 17 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev676:
  * LinstorDrv : Fix wrong key using when getting device path
  * Add policy test for volume action policy
  * Add policy test for volume update/del policy
  * Avoid using 'truncate' on Windows
  * Add irrelevant-files for integrated test jobs
* Wed Jan 16 2019 cloud-devel@suse.de
- Update to version cinder-13.1.0.dev666:
  * Temporary solution for fixing gate test\_tpool\_size
* Tue Jan 15 2019 opensuse-packaging@opensuse.org
- Update to version cinder-13.1.0.dev664:
  * VMware: Release notes for vmware\_storage\_profile
  * Implement volume capacity stats for VMware
  * Initiating Cinder Volume Manager with large number of volumes
  * [Doc] Fix typos
  * Fix for CI information in SPDK volume driver
  * Add test case: delete snapshot when driver not initialized
  * Automate generation of API versions api-ref samples
  * NetApp Doc: Enhance 'netapp\_storage\_protocol' description
  * SPDK drivers documentation
  * Fixup some issues of Inspur AS13000 cinder driver
  * add resource filters to the included data\_files
  * LINBIT DRBDManage driver moves to maintenance mode
  * Fix Xtremio driver configuration ordering
  * Support deferred deletion in RBD
  * Remove those copy words occured twice times in dell-emc-vmax-driver.rst
  * Add new LINSTOR volume driver
  * Hedvig Cinder driver implementation
  * cinder-volume: Stop masking IOError different than ENOSPC
  * Add missing backup status in API doc
  * Fix CI failed: test\_get\_volume\_filter\_options\_using\_config
  * ScaleIO: Fix Extra Spec parameter name in driver doc
  * Remove support for NetApp E-Series systems
  * Adding SPDK volume driver
  * Delete related encryption provider when a volume type is deleting
  * Fix retype notifier test case (BackupNFSTestCase)
  * Handle string status codes in logging
  * VMAX Driver - Failover Unisphere Support
  * Remove umount from volume.filters
  * Add x\_project\_id, accepted to transfers
  * Add policy test for volume create policy
  * Ignore migration 127 error on MariaDB
  * Allow to use \_max qos option together with per\_gb
  * Driver reinitialization after failure
  * Correct the use of assertTrue
  * Revert "Synchronize all LVM operations"
  * Update IBM storwise svc driver doc
  * api-ref: volume\_type\_access should be array instead of object
  * Fix \_per\_gb\_min usage with \_per\_gb
  * Set message property in ImageDownloadFailed
  * Fix A/A 'resource\_backend' when scheduling volumes
  * Handle image download and conversion errors
  * Synchronize all LVM operations
  * Rename BackupNFSSwiftBasedTestCase
  * Cinder volume driver for Inspur AS13000 series
  * Add user\_id in backup list and show API
  * Fix permissions with NFS-backed snapshots and backups
  * VMware: Add support for vStorageObject snapshots
  * Make policy config docs consistent
  * Revert "Ceph driver should respect the \`--incremental\` option for backups"
  * Revert "Move check\_encryption\_provider to volume utils"
  * VMAX Driver - VMAX OS Upgrade Bug
  * PowerMax driver doc - clarifying SE and Unisphere support
  * Doc: Remove unnecessary note
  * Extract copy\_image\_to\_volume into volume utils
  * Ensure image utils don't block greenthreads
  * Adding missing Volume states to VolumeStatus enum
  * Automate generation of api-ref samples
  * Add policy test for TENANT\_ATTRIBUTE\_POLICY
  * Imported Translations from Zanata
  * Add missing ws seperator between words
  * Tests : notifier problem with backup
  * Change openstack-dev to openstack-discuss
  * Add secret=true to fixed\_key configuration parameter
  * Cleanup code duplication in cinder.cmd.backup module
  * Check Volume Status on attahcment create/update
  * Stop cleaning images to be deleted in remotefs driver
  * Retry on DBDeadLock affecting worker updates
  * Add test case: clone volume with bad size
  * Remove deprecated query\_volume\_filters config option
  * Correct default policy file
  * VMAX Driver - Place volume in SG as part of unmanage volume
  * PowerMax driver doc - removing support for VMAX2
  * Ceph driver should respect the \`--incremental\` option for backups
  * api-ref: fix some issues in volumes interfaces
  * VMware: Check empty provider location
  * Ignore updated stable release note
  * [Doc] Fix status and parameters of vol connection api
  * Imported Translations from Zanata
  * An alternate way to fix retype notifier test case
  * api-ref: document encryption type provider choices
  * Imported Translations from Zanata
  * api-ref: volume summary is available from v3.12
  * Revert "Remove mount from volume.filters"
  * Adding SPDK NVMe-oF target driver
  * doc: Change variable name DEFAULT\_API\_VERSION to \_MIN\_API\_VERSION
  * Block broken requests 2.20.0
  * [api-ref] Fix the value of project\_id
  * NetApp SolidFire: Revert volume to snapshot
  * lvm: Avoid premature calls to terminate\_connection for muiltiattach vols
  * api-ref: fix succeed code and add field for update-backup
  * api-ref: add missing volumes\_links in list-volume interfaces
  * api-ref: Adding backup create response example
  * Add policy test for volume GET\_ALL\_POLICY
  * Imported Translations from Zanata
  * Set right attach mode after migration
  * Make lower constraints CI works well
  * api-ref: fix response code and data type for volume interfaces
  * Imported Translations from Zanata
  * Improve/Clean api-ref parameters
  * [Trivial Fix] Correct spelling error of "bandwidth"
  * Add test coverage to manage existing flow
  * VMAX driver - allow for a clean system with no initiator groups
  * Drop simplejson usage
  * Remove Babel from requirements
  * Update docs landing page to follow guideline
  * Increase the length of resource property in quota\_usages
  * Remove DeprecationWarning of "decodestring()"
  * VMAX Driver - Fix for invalid device id length
  * Remove out-of-date configurations in setup.cfg
  * Add policy test for volume:force\_delete
  * add missing comma
  * Simplify the policy test case
  * Fix a typo in multiattach doc
  * Remove setup.py check from pep8 job
  * [Trivial] Fix typo in comment in delete\_volume
  * Update backup flow for CephBackupDriver
  * Imported Translations from Zanata
  * Handle rbd.OSError on broken RBD image
  * Fix non iSCSI attach serialization
  * Set user message on volume create failure
  * Imported Translations from Zanata
  * Raise the ImageTooBig exception when found it
  * Move tgt targets to privsep
  * hpe 3par driver initialization failure
  * api-ref: cleanup status conditions for backup/restore APIs
  * PY3: Ensure rados.Object.read/write use byte data
  * Forbidden to revert volume to a different size snapshot
  * Fix debug message for \_copy\_volume\_data
  * Remove scstadmin from rootwrap
  * [Trivial] Replace 'action' with 'command' in cinder-status doc
  * Allow using forward slashes in metadata
  * Fix unexpected behavior in \_clone\_image\_volume
  * Remove scsi\_id from rootwrap filter
  * Remove mount from volume.filters
  * Drop drv\_cfg from rootwrap filters
  * Remove touch command from volume.filters
  * Imported Translations from Zanata
  * cinder-manage online\_data\_migrations fixes
  * Handling unexpected python error "NoneType object is not iterable"
  * Base framework for cinder-status upgrade check
  * api-ref: add missing fields in volume group types
  * Huawei: Simplify wait\_for\_condition calls
  * Update sphinx extension logging
  * Restructure Huawei driver
  * api-ref: fix some inconsistencies in snapshot API
  * DS8K: correct the usage for ssl method(SSLContext.wrap\_socket)
  * Fix: storage\_pools key in Huawei Driver
  * fix misspelling of available
  * Increment versioning with pbr instruction
  * Cinder Backup: object\_count value incorrect
  * Extract volume image metadata into volume utils
  * Extract \_get\_image\_metadata into volume utils
  * [minifix] Update reno formatting on Quobyte driver defaults change
  * api-ref: totalSnapshotsUsed in limits response should be integer
  * Add column only when it doesn't exist
  * VNX: Add constraints for async migration
  * Remove volume:get policy from test policy file
  * Replace openSUSE experimental check with newer version
  * Follow Up: Generalizing is\_replicated\_str to is\_boolean\_str
  * api-ref: Add response fields and response example for snapshot manage
  * Handle drivers that do not support list manageable
  * api\_ref: total\_capacity and free\_capacity can be float
  * Fix wrong uuid recognized when create group
  * api-ref: Fix namespace parameter for backend capabilities
  * Remove source\_replica info from api-ref
  * Update unit test debug instructions
  * api-ref: Change extensions updated type to updated\_at
  * Fix CLI output examples
  * Fix multiattach set to false after retype
  * Ds8k: Mock evenlet.sleep calls
  * Ensure VNX unit tests don't sleep
  * Tintri: Inherit tests from BaseDriverTestCase
  * Remove deprecated HPE Lefthand config opts
  * Move sphinx-feature-classification to docs reqs
  * Simplify hostname lookup
  * Remove WindowsDriver mapping
  * Remove deprecated iSCSI target config opts
  * Fix Dell EMC Xtremeio drivers report wrong value
* Mon Nov 19 2018 sjamgade@suse.com
- change service depedancy from mysql.service to mariadb.service
* Tue Nov  6 2018 dmueller@suse.com
- fix openstack-cinder-volume restart abrupting systemd
* Fri Oct 19 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev321:
  * Imported Translations from Zanata
* Thu Oct 18 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev320:
  * VMAX: set faked max\_oversubscription\_ratio
  * Move cinder-manage page to cli doc subtree
  * Rename cinder.privsep.utils to cinder.privsep.path
  * Adding regression test for update\_group
  * Fix for field type error
  * Mark Veritas HyperScale Driver Unsupported
* Wed Oct 17 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev308:
  * Add test-requirements to pylint reqs
* Tue Oct 16 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev306:
  * Imported Translations from Zanata
  * api-ref: remove created\_at from response example of list-transfer
  * api-ref: Add response fields and response example for volume manage
  * api-ref: qos and extra\_spec are optional in types view
  * SF ensure the correct volume is deleted
* Sun Oct 14 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev297:
  * Imported Translations from Zanata
  * NFS Backup: Avoid TypeError in os-brick when not configured
* Sat Oct 13 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev294:
  * Use tempest-pg-full
  * Fix: UnboundLocalError variable referenced before assignment
* Fri Oct 12 2018 dmueller@suse.com
- cinder-volume.service: Raise rlimits significantly to increase
  stability in ceph/high load cases. Disable cgroup limiting
  by setting TasksMax to infinity (bsc#1110331)
* Fri Oct 12 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev290:
  * Remove the ITRI DISCO driver
* Thu Oct 11 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev289:
  * Fix for cinder-manage db purge
  * Get rid of keys() usage
* Wed Oct 10 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev285:
  * Fix doc output examples
  * Stop using deprecated rpc\_backend option
  * Don't quote {posargs} in tox.ini
  * API-REF:os-quota-sets v2 API reference has the wrong parameters
  * Remove the HGST Flash Storage Driver
  * Add tests for multiattach check in cinder.objects
  * api-ref: add missing response body for groups
  * Remove udevadm from rootwrap
* Tue Oct  9 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev269:
  * Imported Translations from Zanata
  * Fix wrong NotFound in get\_by\_name\_or\_id
* Sun Oct  7 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev266:
  * Remove sg\_scan
* Sat Oct  6 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev264:
  * Imported Translations from Zanata
* Fri Oct  5 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev262:
  * Mark the Nexenta Edge driver unsupported
  * Mark the Tintri driver unsupported
  * nimble storage: support for force detach
  * Remove resolve\_hostname
  * Move check\_encryption\_provider to volume utils
* Thu Oct  4 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev252:
  * VMAX docs - Replace serial\_number
  * Add missing 'is\_public' volume type parameter
  * Remove cinder-tox-compliance job
  * Add 'volume\_attachment' to volume expected attributes
* Wed Oct  3 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev244:
  * nimble storage: retype support
  * api-ref: remove encryption from Show-an-encryption-type
  * hosts api ref: all fields should be of type string
  * Remove systool from rootwrap
  * Update Dell EMC Driver's multi-attach Support
  * Fix pylint warning
  * VMAX Driver - Fix for manage volume if volume is part of SG
  * api-ref: clarify volume\_type param in volume create API
  * api-ref: fix req/resp params for v3 os-quota-class-sets
  * Fix wrong filter of backups in db api
  * Fujitsu DX: Add retries for busy error
  * Changed default behaviour of nas\_secure\_file\_\* for Quobyte driver
  * Raise HTTPUnsupportedMediaType when content type is unsupported
* Tue Oct  2 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev218:
  * Use Tempest slow job to run all slow tests
  * api-ref: total/free\_capacity should be with postfix \_gb
  * api-ref: namespace in extensions is optional
  * Enable split logging for cinder-keystoneclient interaction
  * Fix DRBD volume driver creating a 2-volume resource
  * services api ref: fix field enum value and add missing field
  * VMAX Driver - Rollback for manage existing volume
  * NetApp SolidFire: Fix force\_detach
  * Correct the link of 'OpenStack Documentation Contributor Guide'
  * Xtremio: Remove unused constant
  * Add False check when do \_retype\_error
  * Update auth\_uri option to www\_authenticate\_uri
  * Add delete snapshot preconditions
* Sun Sep 30 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev194:
  * Clean up the deprecated description in doc
  * api-ref: add missing fields in volume types
* Sat Sep 29 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev190:
  * Fix backup driver configuration examples in the documetation
  * Exclude disabled API versions from listing
  * Remove unecessary pass
  * api-ref: mark name as optional in volume create API
  * ZFSSA iSCSI implement get\_manageable\_volumes()
  * Fix bug of renaming volume with same name
  * Fix some inconsistencies in qos-specs api ref
  * ZFSSA handle manage nonexistent volume
  * Adding variable for total gigabytes used by snapshot param
  * Fix some inconsistencies in messages api ref
  * Fix image volume cache max size and max count limits
  * Add comment to online data migration command
  * Avoid using dict.get() in assertions
  * Add test case: create volume from source volume
  * Fix deprecation warnings
  * Drop legacy backup service support
  * api-ref: add docs for os-migrate\_volume API
  * Add policy granularity to the encryption API
  * Fix api-ref title levels and index
* Fri Sep 28 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev152:
  * Propose example volume protection tests
* Sat Sep 22 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev150:
  * Imported Translations from Zanata
  * ZFSSA iSCSI driver doc fix - allow\_rename auth/o
  * EMC ScaleIO driver does not honor create from snapshot volume size
  * VMware: Fix revert-to-snapshot
  * VMware: Remove member initialization in properties
  * Update doc for get-pools API
  * Remove auth\_uri usage
* Fri Sep 21 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev136:
  * [Optimize] Use OVO when retrieve volume object
  * Add microversion history to api-ref
  * Dell PS Driver moves to maintenance mode
  * Fix typos in volume api ref doc
  * Remove aoe-revalidate, aoe-discover, aoe-flush
  * ZFSSA volume driver REST client python3 fixes
  * Fix pylint warnings for "unnecessary not"
  * trival: Fix some spacing issues
  * Fix typo
  * Remove os-image-create API extension
* Thu Sep 20 2018 nicolas.bock@suse.com
- Add missing runtime dependency
* Wed Sep 19 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev116:
  * VMAX Rocky doc - version information
* Tue Sep 18 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev114:
  * Move hscli to privsep
  * Imported Translations from Zanata
  * 3PAR: Update Storage Driver docs
* Sun Sep 16 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev109:
  * Imported Translations from Zanata
* Sat Sep 15 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev108:
  * Link to the in-tree driver support matrix from multiattach docs
  * api-ref: document no\_snapshots default for volume transfer API
  * api-ref: add preconditions for volume transfer APIs
  * Rename devstack-plugin-ceph jobs
  * Fix indentation in docs
  * Imported Translations from Zanata
  * Clean up bare raised pylint warning
  * Update Zuul configuration
  * add python 3.6 unit test job
  * switch documentation job to new PTI
  * Modify Pure driver to configure PG/Pod names
* Wed Sep 12 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev88:
  * Imported Translations from Zanata
  * Save the backup.service just before \_run\_backup
* Tue Sep 11 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev85:
  * import zuul job settings from project-config
  * NetApp SolidFire: Fix CG snapshot deletion
  * Fix group availability zone-backend host mismatch
* Sat Sep  8 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev81:
  * Simplify running pylint
  * fix misspelling of 'configuration'
  * VMAX Driver - Initiator retrieval short hostname fix
  * Add retries to delete a volume in the Nimble Driver
* Thu Sep  6 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev74:
  * Imported Translations from Zanata
  * tintri: Remove \_resolve\_hostname
* Wed Sep  5 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev70:
  * Move release note to the releasenotes/notes dir
  * Imported Translations from Zanata
* Sat Sep  1 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev67:
  * Replace assertRaisesRegexp with assertRaisesRegex
  * Adds more validations in create\_snapshot
* Fri Aug 31 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev64:
  * Imported Translations from Zanata
* Thu Aug 30 2018 BArendartchuk@suse.com
- do not use PrivateTmp for cinder-backup, as it makes debugging of
  stale nfs mounts much trickier and is not used upstream
  (bsc#1105023)
* Thu Aug 30 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev63:
  * Imported Translations from Zanata
  * 3PAR: Added retries on volume deletion
  * Fix IPv6 for Cinder NetApp ONTAP drivers
  * Add retry to LVM deactivation
* Wed Aug 29 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev55:
  * SIO: Clean up padded volume comments
  * Dell EMC: Added excluded\_domain\_ips ListOpt to SC driver
  * Allow extension of volumes with snapshots for VZstorage driver
* Tue Aug 28 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev50:
  * Fixed invalid number of arguments bug in ScaleIO driver
  * Remove flashsystem\_multipath\_enabled opt
  * Handle multiattach attribute when managing volumes
* Sat Aug 25 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev46:
  * LVM: Disable multiattach for LIO iSCSI target
* Fri Aug 24 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev44:
  * VMAX doc - important known issue
  * Imported Translations from Zanata
  * Remove deprecated sio\_allow\_non\_padded\_thick\_volumes
* Thu Aug 23 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev39:
  * Imported Translations from Zanata
  * Make divisibility py3 compatible in DRBD driver
  * Make solidfire code py3-compatible
  * Optimizing code (wrap\_socket())
* Wed Aug 22 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev32:
  * ScaleIO: Deprecate sio\_allow\_non\_padded\_thick\_volumes
  * LVM: Enhance option descriptions
  * Adds Overlay Volumes Created from Snapshots to Quobyte
* Tue Aug 21 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0rc2.dev28:
  * Imported Translations from Zanata
  * Ceph backup: set close\_fds on Popen
* Sat Aug 18 2018 opensuse-packaging@opensuse.org
- Update to version cinder-13.0.0.0rc2.dev26:
  * Add api-ref for mv 3.55 volume transfer
  * Fix support indicator for rbd extend attached
  * ScaleIO: Disable volume creation without padding
  * Fix XTREMIO driver name
  * [Docs] Update some links for Gerrit of Code Reviews
  * Make code py3-compatible (global callable())
  * Update document for metadata show API
  * Reserve 3 migrations for DB backports
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * NetApp SolidFire: Fix NetApp SolidFire SSL option
  * Imported Translations from Zanata
  * Remove the CoprHD driver
  * Update reno for stable/rocky
  13.0.0.0rc1
  * Imported Translations from Zanata
  * Fix \_attachment\_reserve to not allow attaching an invalid status volume
  * Allow extra parameters in volume\_type\_encryption
  * Default functional tests to use v3 API
  * Add volume create schema enforcement unit tests
  * Fix one help description of rbd driver
  * Fix typo on Storwize release note
  * Note max API version for Rocky
  * Add sphinx-feature-classification based support matrix
  * VMAX driver - releasenote fix
  * Solidfire: Avoid UnboundLocalError
  * 3PAR: Update Storage Driver docs for Rocky release
  * VMAX Docs - SSL Support Revision
  * VMAX docs - Rocky features
  * VMAX docs - Restructure of content
  * VMAX Driver - Fix for get-pools and returned Service Levels
  * VMAX driver - minor metadata additions
  * VMAX driver - replace 'data=' with 'message='
  * VMAX driver - pagination on get vols from SG list
  * Correct volume-transfers API endpoint
  * Improve messages api-ref description
  * Add ability to specify minimum value when using capacity based QoS
  * IBM XIV: fix issues for replication
  * Fix none-ascii char in doc
  13.0.0.0b3
  * solidfire: Enable SSL with requests
  * VMAX Driver - Fix for multiple clones failure
  * Fix indentation in docs
  * VSA: Concurrent request handling in attachment
  * NetApp ONTAP: Fix driver force detach operations
  * docs: Write high availability devref
  * Consume quota when importing backup resource
  * Update volume create schema to allow 'null'
  * nimble: Fix missing ssl support
  * INFINIDAT: add host.created\_by metadata key
  * Set bootable when creating volume from snapshot
  * Update delete group snapshot API exception handling
  * tintri: Enable SSL with requests
  * Fix remotefs driver report wrong value
  * IBM XIV and DS8K: Update document for Rocky release:
  * Revert "Use Tempest scenario job to run all scenario tests"
  * Add release note for force delete MV fix
  * ActiveCluster support for Pure Storage drivers
  * Remove mox3
  * XtremIO: support multiattach
  * NEC driver: Return non-random iscsi portal in initialize
  * Update microversion number with constants
  * [Unity] Compressed volume support
  * Don't require size when creating volume from snap
  * Fix some nits in transfer volume with snapshots
  * Add keystoneauth options to list\_opts
  * Update microversion for force delete volume parameter
  * VMware: set 'shared\_targets' as False
  * INFINIDAT: validate\_connector should validate by protocol
  * DS8K: correct the behavior for retype method
  * Non Windows per service lock for Backup service
  * QNAP: Add support for QES 2.1.0
  * [doc] Use openstack client commands to replace cinder client
  * [doc] Use openstack client commands to replace cinder client
  * Use Tempest scenario job to run all scenario tests
  * Transfer snapshots with volumes
  * Update attachment create API document
  * NEC driver: loss of access after live-migration
  * Pure Storage FlashArray driver - enable multiattach support
  * VMAX driver - Block revert to snapshot for replicated volumes
  * VMAX driver - Add VMAX specific volume metadata to logs
  * Add ability to specify mode to attachment-create
  * use restore\_file instead of open volume when restoring
  * Unity: add multiattach support
  * Update api-ref and release notes for schema validation
  * Prepare Google Backup driver for latest libraries
  * Fix Port nvmet driver to use privsep
  * NetApp ONTAP iSCSI/FCP: Enable multiattach capability
  * Remove note about mox
  * Unity: add thick volume support
  * api-ref: Update notes on encryption key size
  * Use ensure\_tree instead of mkdir when creating paths
  * RemoteFS: Use summarize option for "du"
  * Remove hus-cmd from rootwrap volume.filters
  * Avoid os.getpgrp, breaking Windows c-backup support
  * Enable split logging for cinder-glanceclient interaction
  * Remove tee from volume.filters
  * Revert "Use os.mkdir instead of mkdir"
  * Change blockbox to block-box
  * Remove unused commands from volume.filters
  * Remove ssc command from volume.filters
  * NetApp: Deprecate E-Series drivers
  * Use os.mkdir instead of mkdir
  * Remove blockdev from volume.filters
  * Drop dmsetup from rootwrap
  * Remove mkdir from volume.filters
  * NetApp ONTAP: Remove NFS driver online volume extending support
  * Add policy in code documentation for os-set\_bootable API
  * Port nvmet driver to use privsep
  * DS8K: correct behavior and return value for terminate\_connection method
  * DS8K: correct the behavior for get\_pools method
  * Correct Pure Storage configuration documentation
  * INFINIDAT: change create\_child to create\_snapshot
  * Fix RBD incremental backup
  * Add blueprints and releasenotes link to README
  * Fix parameter description in volume and snapshot manage extension
  * Keep volume's status in 'creating' when creating from backup
  * RBD: support to get manageable snapshots
  * [NetApp ONTAP] Add filtering to API trace logging
  * [Logging] Enable filtering of trace\_api logs
  * Fix 'availability\_zones' attribute not recognized when creating volume
  * V3 jsonschema validation: Volumes
  * Enable running py36 unit tests
  * Handling type's multiattach extra specs in API task flow
  * NEC driver: Fix iscsi multipath initialize\_connection tests
  * NetApp ONTAP: Remove iSCSI/FC driver online volume extend support
  * Multipath: Update docs for backend drivers
  * Fix time convert error in testcases
  * NEC driver: Reuse iSCSI LUNs of detached volumes
  * Fix quota error when deleting temporary volume
  * Make scheduler check online\_extend\_support capability
  * Clean up unnecessary test params in test\_rbd
  * NetApp ONTAP NFS: Enable multiattach capability
  * Add policy check for type show and type list
  * Fix vmware disk type changed when volume type is eagerZeroedThick
  * Remove report of allocated\_capacity\_gb from Inspur driver
  * Fix v3 sample files
  * Dell EMC: SC FC Driver wwns api response in lower
  * Add v3 api-ref for force delete snapshot
  * api-ref: Adds os-update\_readonly\_flag API
  * Fix prophetstor drivers report value
  * Fix invalid escape sequence warnings
  * Get rid of conditional rtslib\_fb imports
  * DataCore: get rid of pylint errors due to contextlib
  * Nimble: Fix tuple being passed for exception init
  * Solidfire: Fix pylint errors for class decorators
  * Infinidat: Get rid of pylint errors due to private lib
  * NetApp: Remove duplicate volume\_type kwarg
  * Increase pylint processes
  * Add v3 api-ref for updating snapshot status
  * Reject any filter whose key contains non ascii character
  * HPE3PAR: Fix pointing to backend in group failover
  * Remove 'message' from format argument from exception
  * Fix the usage of RBDVolumeProxy in getting manageable volumes
  * Storwize: get list of all volumes for ensure\_export
  * Keep ORM names matching their VO counterparts
  * Storwize:clone volume with iogrp value as expected
  * [XtremIO] Remove provisioning factor when reporting
  * DS8K: Enable multiattach support
  * Move blockbox DB volume to home directory
  * VMAX Driver - Incorrect SSL cert verification
  * VMAX docs - use config-table directive
  * VMAX driver - remove deprecated XML option
  * VMAX driver - Deleting snapshot that is source of multiple volumes fails
  * VMAX driver - Incorrect service level reporting
  * VMAX driver and docs - change san\_rest\_port to san\_api\_port
  * Imported Translations from Zanata
  * api-ref: Rephrase delete volume precondition
  * policy docs: Add volume summary under GET\_ALL\_POLICY entry
  * Storwize: add data reduction pool support
  * Allow running unit tests on macOS
  * Update macOS devref info
  * Fix tox -e docs failure
  * Add ansible helper to Linux dev environment info
  * Remove 'message' from format argument from exception
  * Remove 'message' from format argument from exception
  * Be explicit about tox python version
  * DS8K: correct the return value for initialize\_connection method
  * Add debug logs for weigher filters
  * Add documentation page for basic volume quality of service
  * VMAX: Address nits in list manageable code
  * Mark Dell EMC CoprHD Drivers unsupported
  * Add doc about backend\_default config
  * [doc]Modify failed hyperlinks
  * [api-ref] Fix the parameter metadata in v3
  * Empty option value maybe cause Unity driver failed to initialize
  * Support image signature verification
  * Imported Translations from Zanata
  * trivial: Add min\_version: 3.1 to api\_ref for upload volume
  * Fix cinder-volume uses latest req-id for all log calls
  13.0.0.0b2
* Tue May  8 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0b2.dev86:
  * Support filter backend based on operation type
  * QNAP: driver fails to detach while uploading volume to image
* Fri May  4 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0b2.dev82:
  * Remove static config option table for Infinidat
  * [VNX] Fix property set in configuration doc
  * Fix os-detach attachment\_id schema
  * DRBD: Remove cast to int in size calculation
  * Remove backup driver static config option tables
  * Update HPE docs to use config-table directive
  * Skip running py36 tests on irrelevant files
  * Replace Chinese punctuation with English punctuation
  * Remove Nimble static config option table
  * Remove static config option table for Lenovo
* Thu May  3 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0b2.dev62:
  * Add missing 'transfer' parameter in API document
  * Update auth\_url value in install docs
  * api-ref: modify 'has\_dependent\_backups' param's description
  * V3 jsonschema validation: Quota classes
  * V3 jsonschema validation: Quotas
  * api-ref: Correct the cgsnapshot\_id parameter
  * WinSMB volume driver doc: Add Volume backup support
  * VMAX driver - Attaches/detaches after host assisted retype failing
* Wed May  2 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0b2.dev47:
  * Imported Translations from Zanata
  * Fix doc warnings causing local failures
  * Remove Fujitsu static config table
  * GoodnessWeigher schedules non-type volumes
  * Test running jobs under py36/bionic
  * Fix QNap docstring format
  * Fix driver docstring RST formatting
  * Clearup duplicate req\_version variable
  * VMware: Extend volume after clone
  * VMware: Adding NFS41 datastore as supported
* Sat Apr 28 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0b2.dev30:
  * Updates overprovisioning dev-ref
  * Update Dell EMC docs to use config-table directive
  * Update Datera docs to use config-table directive
  * Update Sheepdog docs to use config-table directive
  * Remove remaining block device driver config info
  * Update CoprHD docs to use config-table directive
  * Uncap eventlet
* Fri Apr 27 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0b2.dev22:
  * Add config table sphinx directive
  * Fix doc errors in nimble driver documentation
  * Imported Translations from Zanata
  * Adding abstract class NVMeOF
  * V3 json schema validation: volume manage
  * V3 json schema validation: workers
* Thu Apr 26 2018 cloud-devel@suse.de
- Update to version cinder-13.0.0.0b2.dev13:
  * Add Keystone v3 domain information to context
  * RBD: Handle ImageNotFound exception in \_get\_usage\_info correctly
* Wed Apr 25 2018 tbechtold@suse.com
- Update to version cinder-13.0.0.0b2.dev9:
  * QNAP: driver fails to create volume and snapshot in some case
  * Dell EMC SC: Removed space from debug statement
  * Add missing VolumeAttachStatus enum field
  * Trivial: Update pypi url to new url
  13.0.0.0b1
  * Clarify sizing when creating vol from source
  * Improve API method logging
  * NetApp ONTAP: Set new sub-lun clone limit for ONTAP driver
  * Imported Translations from Zanata
  * FC: refactor fczm utils decorators to functions
  * Set sample\_default for 'host' option
  * ZFSSA implement "Enhance iSCSI multipath support"
  * Rephrase for multiattach support
  * NetApp ONTAP: Fix export path used as volume name
  * Use InvalidConfigurationValue instead of InvalidInput
  * NEC docs: add new features and improve description
  * ZFSSA accept pool stats when cluster node stripped
  * Refresh volume when checking for conflicting attachments
  * nimble: update documentation for supportability
  * Doc: Add driver security notes to contributor doc
  * Move MV history under API Microversion contrib docs
  * V3 jsonschema validation: snapshot\_actions
  * Storwize: Report backend state in service list
  * Add doc to pep8 check\_exec
  * VMAX docs - miscellaneous clarifications
  * [Optimise] Use ThreadGroup to manage periodic tasks
  * Update auth\_uri option to www\_authenticate\_uri
  * add lower-constraints job
  * Unignore .stestr.conf
  * VNX: fix performance in create/delete\_volume
  * Move testing info higher in contrib docs
  * Clean up doc configuration
  * Use sphinxcontrib.apidoc for module docs
  * Remove exec flag from doc files
  * V3 jsonschema validation: volume actions
  * fixs grammar problems and unify format in api-ref
  * Clarify volume migration CLI reference
  * Handle migrating encryption key IDs in Backup table
  * Dell EMC SC: dell-storagecenter-driver docs updated
  * Doc: Add inspur driver doc to toctree
  * Avoid second restart on offline upgrades
  * [Optimize] Validate configured scheduler filters when initialize
  * Remove extended attribute 'os-volume-replication' in Doc
  * Cleanup volume management CLI reference
  * Unity: fail to detach lun when auto zone enabled
  * Implementation of Cinder driver over FC for Inspur InStorage
  * Dell EMC SC: volume model update return missing vol id
  * Adding image membership check to \_is\_image\_available
  * OVO: support query for disabled services
  * Imported Translations from Zanata
  * Fix doc format errors in module docstrings
  * Remove unused doc extensions
  * 3PAR: Report backend state in service list
  * Storwize: self assign the SCSI lun id for volume attaching
  * ScaleIO: Prevent usage of unsafe volumes
  * Move openstackdocstheme to extensions in api-ref
  * Unity: Enable ssl verification
  * Storwize: check flashcopy\_rate before mkfcmap
  * Reduce scope of the lock for image volume cache
  * Don't use custom password generating code
  * api-ref: Fix microversion for volume.backup\_id
  * Remove driver-specific notes from extend api-ref
  * Document more review processes
  * fix a typo: s/clent/client/
  * Updated from global requirements
  * [sytle] use http code constant instead of int
  * V3 jsonschema validation: Clusters
  * VNX: fix options incorrect behavior
  * Storwize: modify hyperswap host\_site configuration
  * Fix: Incorrect replication status on clusters
  * Fix: Including resources in None cluster
  * Follow the new PTI for document build [Updated]
  * NEC driver: Disallow access from the source node after live-migration
  * Fix parameter error in image\_utils
  * Remove inappropriate directory space check
  * Add max MV for Queens and fix formatting
  * Enable slow tests for lvm-barbican job
  * VMAX driver - Replication failover performance improvement
* Sat Mar 24 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev276:
  * Support Qemu >= 2.10.0 in Quobyte driver
  * fix a typo in remotefs.py
  * Fix get\_max\_over\_subscription\_ratio docstring
  * INFINIDAT: set REST API client parameters
  * V3 jsonschema validation: types\_extra\_specs
  * Add missing 'target\_obj' when perform policy check
  * VMAX driver - Retype replicated volumes
  * Remove some unused parameters in parameters.yaml
* Fri Mar 23 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev260:
  * Imported Translations from Zanata
  * Sync snapshot's encryption\_key\_id with volume's value
  * [VNX] Restore snapshot to volume
* Thu Mar 22 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev255:
  * Mock local directory testing for image conversion
  * Imported Translations from Zanata
  * Fix vhd image conversion regression
  * DS8K: correct in-use replication vol status
  * Updated from global requirements
  * QNAP Drivers - Move from httplib to requests
* Wed Mar 21 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev243:
  * Dell EMC SC: ISCSI initialize\_connection fixes
  * nimble: update documentation for supportability
* Tue Mar 20 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev239:
  * Fix incorrect usage of assertEqual() method in RBD unit tests
  * Fix policy in code docs for extended\_snapshot\_attributes
  * [sytle] use http code constant instead of int
  * Add support for unmanaging snapshot of rbd driver
* Sun Mar 18 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev231:
  * Imported Translations from Zanata
  * Revert "Stop unnecessarily querying storage for stats"
  * Storwize: filter active wwpns for NPIV
  * Use soft authorize for 'extended\_snapshot\_attributes' policy
  * Adding Glance method for listing image members and unit test
  * V3 jsonschema validation: volume\_image\_metadata
  * Fix missing print format error
  * VMAX docs - prefix emc-vmax-driver.rst with 'dell-'
  * V3 jsonschema validation: qos-specs
  * Avoid build system IP going into sample config
  * Support cross AZ backups
  * Adds a Cache for Volumes Created from Snapshots with Quobyte
* Sat Mar 17 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev208:
  * Add ISCSI driver for Veritas Access
  * Support multiple processes on Cinder Backup
* Fri Mar 16 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev204:
  * Updated from global requirements
  * Move doc of report backend state to cli
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev201:
  * Updated from global requirements
* Wed Mar 14 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev200:
  * Fix api-ref response code title levels
  * Clean out config deprecation information
  * Fix API reference attach\_mode parameter default for attachments API
  * Updated from global requirements
  * fix spelling error with  errormessage
  * use defusedxml to avoid XML attack
  * Stop unnecessarily querying storage for stats
* Tue Mar 13 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev187:
  * Remove ExceptionInParsingArguments
  * Use rest\_status\_code for api-ref response codes
  * VMware: Option to specify datastore name regex
  * Add unit test coverage for backup chunkeddriver class
  * Add 'metadata' in backup detail&show API document
* Mon Mar 12 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev178:
  * Update links in README
  * Updated from global requirements
  * RBD: Don't query Ceph on stats for exclusive pools
  * ScaleIO: Add documentation for containerized overcloud
* Sun Mar 11 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev170:
  * Fix typo errors
  * INFINIDAT: add support for multi-attach
  * Allow configuring tpool size
  * Add backup restoration cancellation support
  * NetApp: Add use-exact-size parameter when creating a LUN on ONTAP iSCSI
  * Parse endpoint arguments in SolidFire
  * Add backup cancellation admin doc
  * Fix leftovers after backup abort
* Sat Mar 10 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev156:
  * Add documentation for capacity based quality of service
  * Make the LVM Barbican job vote
  * Update doc name and path for dell emc vnx driver
  * Delete redundant code
  * Api-ref:Add target volume preconditions for backup restore
  * modify the http link to the https link
* Fri Mar  9 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev145:
  * Imported Translations from Zanata
  * Storwize: update flashcopy\_rate range and add it to volume type
  * Add 'list\_volume' in Group show&list API Doc
  * Updated from global requirements
* Thu Mar  8 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev137:
  * Dell EMC SC: Added timeout options for SC driver
  * Correct attachment create success response code
* Wed Mar  7 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev133:
  * Improve ChunkedBackupDriver hashlib calls
  * VMAX driver - Concurrency issues involving replicated volumes
* Tue Mar  6 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev129:
  * [api-ref] Fix 'volume\_id' for in the v3/volumes-v3-volumes-actions.inc
  * ScaleIO Driver: Document support for ScaleIO 2.5
* Sun Mar  4 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev126:
  * Imported Translations from Zanata
  * Dell EMC SC: Error Deleting Consistency Group
  * Remove utils.read\_file\_as\_root()
  * 3PAR: Add \`force detach\` support
  * Move release note put in wrong location
  * Add functional-py35 gate job
  * VMAX doc - Queens feature documentation
* Fri Mar  2 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev114:
  * Fix the testcase of test\_cmd
  * RBD: Add comment about multiattach support
  * Imported Translations from Zanata
  * Fix allocated\_capacity\_gb race on create volume
* Thu Mar  1 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev107:
  * RBD: Improve connection debug statement
  * Add throughput limits that scale per-GB
* Wed Feb 28 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev103:
  * Fix typo in test\_qnap
* Tue Feb 27 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev102:
  * Add python 3.5 in classifier
  * Schedule request to scheduler when manage existing snapshot
* Mon Feb 26 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev100:
  * Fix reporting old stats
  * Fix AZ not matching backend after migration
  * Fix json data format
* Sat Feb 24 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev95:
  * Reserve 5 migrations for DB backports
  * Log config options with oslo.config
* Fri Feb 23 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev91:
  * Change order of installation to match previous
  * Enable hash randomization in unit tests
  * Add Windows volume backup support
* Thu Feb 22 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev86:
  * Imported Translations from Zanata
  * Tests: Fix backup validation with hash randomization
  * Tests: Fix 3par tests with hash randomization
  * Modify broken link
  * Fix grammar error
  * SMBFS: allow snapshot ro attach
  * SMBFS: fix creating volume from snapshot
  * DS8K: Correct create volume behavior for CG
* Wed Feb 21 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev73:
  * Add multiattach reporting to SolidFire
  * Tests: Disable 2 netapp unit tests
  * Tests: Fix NetApp tests with hash randomization
  * Tests: Fix VMAX tests with hash randomization
  * Change 'hpe3par\_snap\_cpg' to 'hpe3par\_cpg\_snap'
  * Updated from global requirements
  * Cinder logs rabbitmq password on connection log
  * docs: Fix volume encryption link
  * Only enforce multiattach policy for retype target
  * Remove legacy driver name mappings
* Tue Feb 20 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev54:
  * Tests: Fix inspur tests with hash randomization
  * Fix find -delete race in tox
  * Use oslo\_db.sqlalchemy.test\_fixtures
  * Fix spelling mistakes
* Mon Feb 19 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev47:
  * Imported Translations from Zanata
  * Fix typos
* Sun Feb 18 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev44:
  * Imported Translations from Zanata
  * QNAP: Pass unit tests with hash randomization enabled
  * Expand on mv 3.50 description
  * Stop a connections leak when freeing an SSHPool
  * Remove deprecated fatal\_exception\_format\_errors option
* Sat Feb 17 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev34:
  * Tests: Fix python version check
  * Provide a hint when performing a volume action can't find the method
  * 3PAR: Monitor task of promoting a virtual copy
  * Admin guide documentation for volume multiattach
* Fri Feb 16 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev28:
  * api-ref: note that force detach is admin-only by default
  * Imported Translations from Zanata
  * Remove deprecated service-to-driver mapping for backups
  * Solving permission errors due to directory ownership on NFS
* Thu Feb 15 2018 tbechtold@suse.com
- Add missing Requires for python-3parclient (bsc#1081053)
* Thu Feb 15 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev21:
  * Fix the note of API version in admin doc
  * fix misspelling of 'return'
  * Fix typos in cinder
  * Update reno for stable/queens
* Wed Feb 14 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev13:
  * Imported Translations from Zanata
  * Improve logs on scheduler
* Tue Feb 13 2018 tbechtold@suse.com
- Update to version cinder-12.0.0.0rc2.dev9:
  * Fix link error in 'Boot from volume' doc
  * Enable multiattach capability for the zfssa driver
  * nimble: update config doc to add missing extra-specs support
* Mon Feb 12 2018 dmueller@suse.com
- raise cinder-volume fd limit (bsc#1080584)
* Sat Feb 10 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0rc2.dev4:
  * Remove "cinder-manage logs" commands
  * Imported Translations from Zanata
  12.0.0.0rc1
  * Fix pylint error in DotHill drivers
* Fri Feb  9 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b4.dev87:
  * Remove unused parameters in v2/v3 parameters.yaml
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b4.dev85:
  * Revert consumed quota when failed to create group from source group
  * Zuul: Remove project name
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b4.dev81:
  * Use provider\_id for SolidFire Volume lookups
  * Deprecate Cinder Hosts API/Extension
  * Fix UnicodeDecodeError when decode API input
  * Api-ref: add 'all\_tenants' API query option
  * Make CinderException format errors fatal for tests
  * Imported Translations from Zanata
  * Add missing MV history for 3.50
  * Storwize: avoid ascii code error for ssh response stderr
  * Storwize: modify the self.\_helpers to backend\_helper
  * [VNX] \`initiator\_target\_map\` is None
  * Rename lio job to lio-barbican
* Tue Feb  6 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b4.dev61:
  * Correct lvm\_type default value in config doc
  * Imported Translations from Zanata
* Sun Feb  4 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b4.dev58:
  * Imported Translations from Zanata
  * Update document for worker cleanup API
  * Updated from global requirements
  * Update the description of quota's project id
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b4.dev52:
  * Fix DuplicateOptError in fixed\_key migration code
  * 3PAR: fix cloning issue in create group from source
  * Fix link in boot from volume docs
  * docs: Use the encryption provider format constants
  * Fix the typo in api\_conditional\_updates.rst
  * Fix wrong grammar
  * Storwize: correct return value for update\_group
  * Fix cinder quota-usage error
  * Remove consistencygroups/api.py
  * Fix: request-id missing in volume action's response header
  * Add the nova-multiattach job to the check/gate queues
  * Storwize: Use passed volume names in migrate
* Fri Feb  2 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b4.dev30:
  * Add policy check for create volume with multiattach
  * Dell EMC SC: Find volume folder API call fails on root folders
  * Fix how backups handle encryption key IDs
  * 3PAR: Fixed sync period updation in rcg
  * Support fabric specific Cisco FC Zone Name
  * Tests: Fix RBD invalid UUID warnings
  * Add back support for the multiattach flag for volume create
  * V3 jsonschema validation: volume\_type\_access
  * Improve multiattach error message
* Thu Feb  1 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b4.dev17:
  * Update Windows docs
  * Handle TZ change in iso8601 >=0.1.12
  12.0.0.0b3
  * fix wrong url link
  * INFINIDAT: support force detach
* Mon Jan 29 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev433:
  * [Trivial] SMBFS: fix provisioning type usage
  * Fix mis-named context object
  * VMware:Config option to disable lazy volume create
* Sun Jan 28 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev427:
  * [1/2] Fix mock for sleep mocks in volume drivers tests
  * Avoid use of deprecated commands in lenovo driver
  * [Unity] Add \`force detach\` support
* Sat Jan 27 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev421:
  * backup: set default swiftclient log level to WARN
  * api-ref: add multiattach considerations to retype docs
  * api-ref: update migration\_policy retype note about encrypted volumes
  * fix misspelling of 'password'
  * Netapp Ontap: Adds support for auto-max-over-subscription
  * Overprovisioning Improvements
  * HPE 3PAR: Update Storage Driver docs for Queens release
  * Add debug logging around multiattach status changes
  * Add policy check for complete attachment API action
* Fri Jan 26 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev403:
  * Fix multiattach policy names in release note
  * Remove logging on Swift backup obj writer
  * Simplify keystone password assertions
  * RBD: Support encrypted volumes
* Thu Jan 25 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev396:
  * Add contributor notes on how to use pdb with tests
  * Run doc8 first
* Wed Jan 24 2018 dmueller@suse.com
- make user directory not world readable
* Wed Jan 24 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev392:
  * Replace Chinese punctuation with English punctuation
  * Run backup-restore operations on native thread
  * Fix Backup uses latest req-id for all log calls
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev387:
  * Remove extra spaces of the volume creation request body
  * Move disk space check to run when needed
  * Update Volume Encryption Documentation
  * Rename 'WindowsDriver' to 'WindowsISCSIDriver'
  * [VNX]Add \`force detach\` support
  * Storwize: fix an incorrect temporary parameter name
  * VMAX driver - retype fix where workload is None
  * VMAX doc - Queens feature documentation
  * ScaleIO: Enable multiattach for volumes
* Mon Jan 22 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev369:
  * VMAX driver - QOS settings incorrectly applied on Default storage group
* Sun Jan 21 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev367:
  * Unity: Add revert\_to\_snapshot support
* Sat Jan 20 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev365:
  * Fix readonly mode for new attachment API calls
  * 3PAR: fix volume migration for "in-use" volume
  * modify volume spelling errors
  * Remove leading and trailing spaces from parameters
  * Tests: Fix Storpool tests hash randomization failure
* Fri Jan 19 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev355:
  * Enable multiattach capability for lvm driver
  * modify http to https
  * Fix api-ref for v3 volume group types
  * Fix combination of parameters for update APIs
  * Add enough notification for QoS
  * Adapt cinder backup swift help test
  * Enable multiattach capability
  * Add multiattach policy
  * Updated from global requirements
  * Fix api-ref for v3 volume types
  * Update nfs driver doc for snapshot support
  * Storwize: use DLM locks
  * Fix BadRequest for 'ref' as string value
  * Adds documentation for DataCore volume driver
  * Fix compression related tests
  * INFINIDAT: add missing connection\_info params
  * Update volume's 'updated\_at' when accept transfer
  * Fix: Propagate OS global request ID
  * Fix api-ref for v3 Services
  * Delete duplicated save operation when do backup creating
  * Fix dictionary mistakes in docstring
  * DS8K: block in-use volume to be added to consistency group
  * Windows: allow multiple c-vol backends per service
  * Validate metadata before reserve quota
  * api-ref: fix the response parameter for multiattach
  * Initialize osprofiler in WSGI application
  * VMAX driver - Multiple storage group creation attempts
  * Block attempts to transfer encrypted volumes
  * RBD: get manageable volumes
  * NetApp E-Series: Fix broken generic volume groups
* Thu Jan 18 2018 dmueller@suse.com
- cinder-volume.service: raise tasksmax (bsc#1076586)
* Thu Jan 18 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev295:
  * Fix glance create client unit tests
  * VMAX driver - Fix AttributeError of dell emc driver
  * VMAX driver - Errors extending replicated volumes
  * VMAX driver - Fix error handling and checks for generic volume groups
  * Report backend state in service list
  * Remove In-repo cinder tempest plugin
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev283:
  * Updated from global requirements
  * Fix BadRequest for 'null' metadata and group\_specs
  * Remove unused lib in test-rquirements.txt
  * [Doc] Add replication group support in doc for Storwize
  * Dell EMC SC: On None connector terminate\_connection unmaps all
  * Check create from image policy when image not none
  * Synology: Rename iSCSI target config option
  * Revert volume consumed capacity when rescheduling
  * Unity: Attach Unity volume via IPv6
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version cinder-12.0.0.0b3.dev265:
  * Fix 'volume\_type' for in the api-ref
  * Remove the deprecated "giturl" option
  * Storwize: correct in-use replication vol status
  * Tests: Fix XIV test failure with hash randomization
* Mon Jan 15 2018 tbechtold@suse.com
- Update to version cinder-12.0.0.0b3.dev257:
  * Fix version details API does not return 200 OK
  * Deprecate the allow-multiattach option to create
  * 3PAR: fix create group from source functionality
  * Fix: validation error if the optional parameter's value is None
  * Fix v3 api-ref for showing API details url error
  * VMware: Support volume adapter type change
  * Mock FixedIntervalLoopingCall for Huawei unit tests
  * [api-ref] Add missing fields to the API Reference
  * V3 jsonschema validation: Backups
  * Storwize: add hyperswap volume support
  * Handle InvalidVolume when creating a volume attachment
  * Fix reserve volume enforcing the wrong policy action
  * Fix api-ref for v3 volume types
  * Add descriptions of base policies
  * Do not explicitly list thin provisioning tools for RPM
  * Add driver-requirements entry for storpool
  * DS8K: correct LSS behavior for CG snapshots
  * V2/V3 json schema validation: snapshot manage
  * V2/V3 jsonschema validation: snapshots
  * VMAX driver - revert a volume to last snapshot
  * VMAX driver - Incorrect stats reporting
  * VMAX driver - support for manage/unmanage snapshot
  * VMAX driver - retypes failing when workload is missing
  * VMAX driver - Implement SRDF Metro feature
  * VMAX driver - Cannot extend volumes in a replication relationship
  * VMAX driver - Enable CHAP authentication for vmax backend
  * VMAX driver - Add async replication support
  * Validate volume status again when snapshot created
  * Use constants for cinder-volume
  * Reintroduce the StorPool driver
  * Remove some no-use code about failover
  * Add instructions for the Error response codes
  * Fix incorrect description in api ref
  * V3 jsonschema validation: Volume-types
  * Update 'force' parameter for volume delete API
  * NEC driver: implement manage/unmanage functions
  * Adding all docs into index.rst of administration docs
  * Missing generalized\_filters in cinder administration doc
  * Updated from global requirements
  * Deprecate CG APIs
  * Bump up the API microversion in cinder.rc
  * Add microversion and volume status limit to revert api ref doc
  * HPE 3PAR - Implement Tiramisu feature on 3PAR
  * Enable fail back in SolidFire driver
  * StorageCenter: Fix volume mapping for API v3.1
  * Update tgt iSCSI target on volume extend
  * Follow the new PTI for document build
  * NEC driver: add automatic configuration of SAN access control
  * Remove unused sf\_enable\_volume\_mapping conf option
  * Add admin ctxt to request qos\_specs in SolidFire
  * V3 jsonschema validation: Group Snapshots
  * VNX: Fix cloning failure when system is busy
  * InStorage: fix problem when doing instance live migration
  * NFS: Fix nas\_secure auto mode permissions failure
  * Add online data migration routine for attachment\_specs
  * NetApp: Fix to support SVM scoped permissions
  * Dell EMC SC: API 4.0 incompatibilities
  * Trivialfix -- Fix spacing in docstring
  * VMAX doc - Queens feature documentation
  * Create group from snapshot-group failure leaves behind the volume
  * SMBFS: fix detecting if a volume is in-use
  * Raise PolicyNotAuthorized exception on consistency Group snapshot
  * Fix some typos in cinder doc
  * Updated from global requirements
  * Fix volume image metadata endpoints returning None
  * Fix migration Invalid volume message
  * [api-ref] Fix http method for updating encryption type
  * Fix create encrypted volume from image
  * Storwize: disable creating volume with non cg\_snapshot group\_id
  * Rename iSCSI target config options to more general
  * 3PAR: Update CHAP on host record when volume is migrated to new compute host
  * Use method validate\_integer from oslo.utils
  * Add 'shared\_targets' only when it doesn't exist
  * Use defusedxml for XML parsing
  * Remove deprecated 'pybasedir' config option
  * Remove deprecated 'netapp\_eseries\_host\_type' config option
  * Remove deprecated HP 3PAR config options
  * Remove deprecated 'nas\_ip' config option
  * Fix indentation in docs
  * Fixes creation of mirrored volumes due to wrong type
  * Check for migrated UUID in SolidFire delete
  * Add thin provisioning package to install guide
  * Correct documented service upgrade order
  * VMAX doc - Queens feature documentation
  * Add service\_token for cinder-glance interaction
  * Add service\_token for cinder-nova interaction
  * Switch to oslo\_db retry decorator
  * Don't call driver.terminate\_connection if there is no connector
  * Store host connector in volume\_attachment.connector column
  * qemu-img info --force-share for NFS driver
  * NetApp ONTAP: Copy offload bugfix
  * Cleanup XtremIO IG cleanup note
  * SMBFS: remove deprecated config options
  * Storwize: fix group creation restrict rules
  * Restore\_backup: set error when volume status not matched
  * Keep v3 api-ref error response code 404 for reverting
  * Speed up DataCore unit tests
  * API ref: add host format to description
  * Fix discrepancy in api-ref for volume\_types APIs
  * Fix json formatting eror
  * V3 jsonschema validation: Group type specs
  * Don't raise 'NotAuthorized' inside when soft authorization
  * Change ssh\_utils parameter to correctly sends keepalive packets
  * Modify v3 api-ref error response codes for reverting
  * Removed gb quota decrement in grp snapshot delete
  * Add output of slowest tests to UT runs
  * Fix available space checking for image conversion
  * Deprecate cinder-manage logs commands
  * QNAP: Add support for QES 2.0.0
  * Fix test case in test\_volume\_unicode.py
  * VMAX Doc - clarification and typo fixes
  * Updates Help Text on Quobyte Volume URL Option
  * V3 jsonschema validation: Volume metadata
  * Fix create from snapshot and source volume
  * VMware: Bump driver version
  * Check snapshot flag for test\_snapshot\_create\_volume\_description\_non\_ascii\_code
  * Updated from global requirements
  * Fix discrepancy in api-ref for create volume manage api
  12.0.0.0b2
  * Remove skip\_validation\_flag to False by default
  * XtremIO: optional clean IG with no mappings
  * Fix api-ref for v3 group type specs
  * TrivialFix: Delete word ‘I’ in admin/blockstorage-backup-disks.rst
  * Fix TypeError for workers cleanup api incase of invalid resource\_type value
  * DS8K: don't swap role after failover group
  * Updated from global requirements
  * DS8K: lss\_range\_for\_cg should take csv as well as range
  * Fix for volume from image snapshot free space issue
  * NEC driver: delete an unused configuration parameter
  * INFINIDAT: change CI\_WIKI\_NAME
  * V3 jsonschema validation: Group types
  * Add test for volume create with non-ascii characters
  * Add cg policies and clean up old policy handling
  * Migrate fixed\_key encryption keys to Barbican
  * Add shared\_targets and service\_uuid to volumes
  * Pass in the parameters multipath when migrating volume
  * Discrepancy in api-ref and code for create group type API
  * Imported Translations from Zanata
  * Remove extra test variable assignment
  * Tests: Cleanup utils.create\_volume fields
  * Imported Translations from Zanata
  * Discrepancy in api-ref and code for create group snapshot API
  * Tests: Fix Storwize hash randomization failure
  * added clarification in docs for usage of "volume\_clear\*" options
  * Disallow unmanaging encrypted volumes
  * Disallow managed volume to be managed again
  * Fix project\_domain\_name and user\_domain\_name in doc
  * Add support for enhanced features to the QNAP Cinder driver
  * Mock out CLI execution in NEC driver tests
  * handle no default\_cgsnapshot\_type
  * Add shared\_targets flag to Volumes
  * Allow purging of records less than 1 day old
  * Update the documentation links
  * Support create volume from backup
  * Fix 'KeyError' when 'with\_count' is not specified
  * Consolidate code that manages encryption keys
  * Use new oslo.db test cases
  * Move legacy-cinder-tox-\* jobs in-tree
  * Add cleanup to TestCase.flags()
  * HPE3PAR: Create FC vlun as host sees
  * Support create a volume from image snapshot
  * Filter valid FC initiator while FC attaching
  * Remove invalid parameters in the file testing.rst
  * SMBFS: manageable volumes
  * Fix retype migrating volume with rep\_status 'not-capable'
  * Adds DataCore Volume Drivers
  * Handle quota in 2 phases when managing resource
  * RBD: support driver-assisted volume migration
  * Update unity tests to use our test base
  * Update access control of show under hostAPI
  * Modify the wrong link in document
  * V3 jsonschema validation: Attachments
  * Add fixture to only emit DeprecationWarning once
  * Remove DB authorisation checking with quota API operations
  * Update oslo.context RequestContext args
  * Update bindep.txt for doc builds
  * nimble: handle unicode strings in volume create
  * Handle deprecation of inspect.getargspec
  * Add service\_uuid FK to volumes
  * Fix policy documentation for os-show\_image\_metadata endpoint
  * Fix group\_type\_id in api-ref
  * Imported Translations from Zanata
  * VMware: Backend driver for VStorageObject
  * NetApp ONTAP: Fix delayed snapshot deletion call
  * Suppress UT log messages
  * Try Fetching value from 'cluster' when raise exception
  * Fix v3 api-ref for restoring backup are wrongly described
  * Fix qos-spec-v2-qos-specs error
  * Add v3 api-ref for showing encryption specs item
  * Explicitly set expected log level for tests
  * Update api-ref to include volume\_image\_metadata
  * Remove ExceptionTestCase
  * V3 jsonschema validation: base schema framework
  * Check available capacity before creating resources
  * Remove setting of version/release from releasenotes
  * Test os-brick master in LIO gate job
  * Storwize: revert to snapshot support
* Tue Sep  5 2017 tbechtold@suse.com
- Remove signing_dir config
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev57:
  * [DOC BLD FIX] Fix duplicate content warnings
  * Fix grammatical mistake, Changed character from "a" to "an"
* Wed Aug 23 2017 tbechtold@suse.com
- Cleanup Requires and BuildRequires
* Wed Aug 23 2017 tbechtold@suse.com
- Update to version cinder-11.0.0.0rc2.dev54:
  * Allow v3.0 volume metadata API calls
  * Add input format check for qos\_spec update
  * [Api-ref] Add worker cleanup for service docs api
* Tue Aug 22 2017 tbechtold@suse.com
- Update to version cinder-11.0.0.0rc2.dev48:
  * [Doc Bld Fix] Add links to man page contents
  * Replace dict.iteritems/iterkeys with dict.items/keys
  * vstorage: added vz:volume\_format vendor property
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev44:
  * Revert "Mark Virtuozzo driver as unsupported"
  * Updated from global requirements
  * IBM Storage: add QoS documentation
  * Ibm\_storage - fix failover\_replication
  * SMBFS: enable thin provisioning support flag
  * Clean up repl v1 volume creation from replication
  * Update and replace http with https for doc links in Cinder
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev32:
  * 3PAR driver-requirements name
  * Add releasenotes to check\_exec list
  * Ibm\_storage - fix delete group with replication
  * IBM storage: check pyxcli version on initialize
  * 3PAR: Fixed image cache enabled capability
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev22:
  * [Docs] Storwize:Update document for Pike release
  * [Docs] Add documentation contribution docs
  * Add driver interface documentation for list manageable
  * [api-ref]Fix the incorrect description in volume API
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev17:
  * Write maximum version of Pike
  * Do not fail if RBD image is broken
  * Save object after updating for attachment\_complete
  * Change pure drivers default replication interval
  * Get correct hypermetro remote lun ID while mapping
  * [Docs] Pull over Cinder service overview for install
  * Fix missing print format error
  * Make VolumeTypeExtraSpecsController policy more granular
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev4:
  * Make attachment\_update set status to attaching
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0rc2.dev3:
  * Fix wrong links
  * Update reno for stable/pike
  11.0.0.0rc1
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev141:
  * [DOC FIX] Create missing index pages
  * Revert "Mark ETERNUS drivers as unsupported"
  * Fix bug of detaching failed while concurrently attach/detach
  * NetApp: block drivers fail when volume missing
  * Eliminate randomness in encode\_name&encode\_host\_name methods
  * NetApp: Fix override of scheduler decision
  * NetApp: Fix SVM scoped user startup exception
  * Update URL home-page in documents according to document migration
  * Kamiario: Fix over subscription reporting
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev125:
  * [api-ref] Add api-ref for os-quota-class-sets APIs
  * VMAX driver - Error attaching failed over volumes
  * Fujitsu Driver: Fix exception in terminate\_connection with no connector
  * cinder backup sets incorrect parent\_id
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev118:
  * INFINIDAT: add documentation for volume compression
  * INFINIDAT: add driver changelog
  * Pike release note cleanup
  * Load resource filter config file in testcase
  * VMAX driver - None connector object in a terminate\_connection in Pike
  * VMAX driver - performance improvements in retype
  * VMAX driver - volume delete can fail
  * Infortrend mask password logging
  * Fix layout of api-ref for group type specs
  * Add a check warning for quota update
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev99:
  * [DOC BLD FIX] Fix user messages documentation
  * [DOC BLD FIX] Fix missing references in documentation
  * Make Cinder's Landing Page look like Keystone's
  * Fix message format for VolumeAttachmentNotFound exception
  * [Api-ref] Add force parameter to volume delete
  * Updated from global requirements
  * vzstorage: use remotefs.VZStorageRemoteFSClient
* Mon Aug  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev86:
  * Sort cinder-manage commands
* Sun Aug  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev84:
  * VMAX driver - seamless upgrade from SMI-S to REST
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev82:
  * [DOC BLD FIX] Name files for inclusion properly
  * Revert "NetApp: Deprecate E-Series drivers"
  * Remove duplicate variables
  * VMAX driver - performance improvements
  * Refresh az cache if target az is not found in cache
  * Add the backup metadata support releasenote
  * Mark Falconstor drivers as unsupported
  * Mark Coho driver as unsupported
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev70:
  * Fix host and cluster\_name filter for snapshot list
  * Remove redundant mock rpc statement
  * VMware: Bump driver version
  * Update resource\_filter to keep backward compatibility
  * VMAX driver - Pike documentation
  * Catch Castellan errors in create volume
  * Missing snapshot statuses
  * VMAX driver - align VMAX QOS settings with front end
  * Replace six.itervalues with dict.values() in cinder
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev53:
  * Updated from global requirements
  * [DOC] VMware: Add doc for vmware:adapter\_type
  * [DOC] VMware: Update config table
  * Switch to using bool for filtering non-deleted volume attributes
  * Correct 'os-show\_image\_metadata' API document
  * Add API document for quota usage
  * Cloning a volume from a snapshot in thin lv
  * ibm\_storage - fix disable/delete replication
  * HPE Lefthand: Fixed cloning operation
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev37:
  * Removed unnecessary setUp() call in unit test
  * [DOC BLD FIX] Fix the numerous docstring probs in coprhd
  * Fix typo in message for volume creation failure
  * VMware: Add volume adapter type extra-spec option
  * Volume type with encryption comparison
  * [api-ref] Update volume metadata for a specific key (v2)
  * Add group to cluster when init host
  * VMware: Config option for default adapter type
  * Avoid register extensions on the versions router
  * Add v2 v3 response example in API doc
  * Move vol\_db\_empty to NFS driver
  * [api-ref]Fix the wrong description in volume API
  * Mapping parallel and ploop
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev22:
  * [DOC BLD FIX] Correct docstring errors in dell\_emc VMAX
  * Fix image download to volume for iso images
  * Fix failure for failing back the primary
  * SMBFS: deprecate provisioning ratio config options
  * Fix some doc issue
* Sun Jul 30 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev14:
  * Add choices to backup\_swift\_auth
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev13:
  * [DOC BLD FIX] Add missing files under configuration
  * Revert "Handle concurrent volume creation request"
  * [DOC BLD FIX] Correct docstring issues in Soldfire driver
  * [DOC BLD FIX] Fix docstring issues in Lenovo driver
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b4.dev7:
  * Updated from global requirements
  * NetApp cDOT: Support generic groups for block
  11.0.0.0b3
  * Update backend state when extending volume
  * Handle concurrent volume creation request
  * [DOC BLD FIX] Correct json code block in attachments
  * [DOC BLD FIX] Fix docstring error in fakes.rst
  * Mock execute in unit test
  * Revert MySQL Cluster Support until an approach is worked out
  * [DOC BLD FIX] Add code:: blocks to manager.py
  * Mark Tegile driver as unsupported
  * Support metadata for backup resource
  * NetApp cDOT: Support generic groups for file
  * VMware: Use temporary image
  * DS8K: add replication consistency group support
  * VMware: Remove redundant sanity check
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev464:
  * [DOC BLD FIX] Fix docstring problems in vzstorage driver
  * [DOC BLD FIX] Fix dosctring errors in veritas driver
  * Fix no feature to enable 'exclusive-lock' of image in ceph
  * [DOC BLD FIX] Fix docstring issues in hpmsa driver
  * [DOC BLD FIX] Fix docstring errors in reduxio
  * Updated from global requirements
  * Use OVO for test\_backup
  * Fix release notes link
  * Remove references to dothill driver options
  * [DOC BLD FIX] Fix netapp docstring issues
  * [DOC BLD FIX] Fix docstring errors in VNX driver
  * Add support for OS-Brick force disconnect
  * ScaleIO Driver: Updating config reference
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev438:
  * [DOC BLD FIX] Fix docstring errors in nexenta driver
  * Add cinder backup service initialize check
  * [DOC BLD FIX] Fix docstring issues in ibm\_storage
  * LVM: Activate LV before creating exports
  * [DOC BLD FIX] Fix docstring errors in Dell/EMC Unity
  * Don't verify format with autodetect after image conversion
  * [Api-ref] Update quota-set APIs ref
  * Api-ref: add documentation for v2/v3 backup 'os-reset\_status' action
  * Mark ZTE driver as unsupported
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev420:
  * [DOC BLD FIX] Fix docstring issues for Hitachi HNAS driver
  * Updated from global requirements
  * [DOC BLD FIX] Correct docstring errors in falconstor driver
  * [DOC BLD FIX] Fix docstring issues in dothill driver
  * [DOC BLD FIX] Correct dosctring errors in disco driver
  * Fix test\_scheduler\_stats error module calls
  * Add VNX replication group support
  * [DOC BLD FIX] Fix docstring errors for VMAX driver
  * [DOC BLD FIX] Fix formatting error in driver.py
  * Disable merge snapshot to volume for thin LVM
  * [DOC BLD FIX] Fix formatting errors in Dell/EMC PS
  * [DOC BLD FIX] correct formatting errors in datera driver
  * 3PAR: Get host from os-brick
  * Remove key\_manager.api\_class hack
  * [api-ref] Backups: change parameter 'backup\_id' to be mandatory
  * Fix 'connector' parameter in update attachments API
  * [DOC BLD FIX] Add missing glossaries
  * [DOC BLD FIX] Fix docstring formatting in message\_field
  * [DOC BLD FIX] Fix formatting in cinder.compute.nova
  * enabling nimble driver again
* Sun Jul 23 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev380:
  * Updated from global requirements
  * Update group status
  * [DOC BLD FIX] Fix code block issues
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev375:
  * Do not delete group if group snapshot exists
  * VMAX driver - bootable volume errors
  * VMAX driver - Implement Generic Volume Group feature
  * Make doc/source directory compliant with design in spec
  * Remove dothill driver options
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev365:
  * ProphetStor: Support generic group
  * Updated from global requirements
  * Change Huawei driver's private data storing place
  * 3PAR: Modify update\_migrated\_volume code to driver
  * ZFSSA iSCSI delete volume with non-existent LUN
  * Enables MySQL Cluster Support for Cinder
  * Added CG capability to volume group in CoprHD
  * XIV\A9000: Added replication group support
  * DS8K driver: specify pool and lss in extra-specs
  * Fix exception in dothill iSCSI driver's terminate\_connection
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev346:
  * coordination: use tooz builtin heartbeat feature
  * Updated from global requirements
  * ZFSSA iSCSI volume driver multi-connect
  * Move config-reference to configuration
  * VNX: ignore cg creation if group is not cg enabled
  * Add insufficient space async error in create vol
  * IBM Storage - Fix vol create from snapshot in CG
  * IBM-Storage: group-create-from-src fail with error
  * Mark Virtuozzo driver as unsupported
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev329:
  * Updated from global requirements
  * Add missing api-ref documents for group type specs
  * [DOC BLD FIX] Remove todo:: directive from volume\_driver
  * ZFSSA: apply LUN specs when cloning snapshots
  * [api-ref]Fix API Doc error in creating backup
  * [DOC BLD FIX] Fix indentation in attachments.py
  * 3PAR: Add volume to consistency/generic group
  * Update contents of attach\_detach\_conventions\_v2.rst
  * Globalize regex objects
  * Fix some reST field lists in docstrings
  * Api-ref: Update doc for show backups
  * api-ref: Add parameter "offset" to list apis
  * Unify host naming in readme file
  * VMware: Fix volume cascade delete
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev301:
  * Migrate configuration-reference to Cinder repo
  * coordination: remove custom Lock object
  * ScaleIO Driver: Fix transposing of PD and SP in list of pools
  * VMAX - Live Migration, replacing SMI-S with REST
  * VMAX driver - Replication, replacing SMI-S with REST
  * Fix python 3.6 escape char warnings in strings
  * VNX: wrong size of volume from image cache
  * VNX: Add QoS support
* Mon Jul 17 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev285:
  * Fix volume migration error with NEC driver
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev283:
  * Make VolumeTypeExtraSpecsController policy more granular
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev281:
  * Updated from global requirements
  * [DOC BLD FIX] Correct :returns: in db/api.py
  * Pop "consistencygroup" from volume object
  * NEC driver: Optimal path for non-disruptive backup
  * INFINIDAT: support for volume compression
  * Dell EMC SC: Terminate\_connection chokes on None
  * ScaleIo Driver: refactor config options
  * Restore ability to disable API versions
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev266:
  * Ignore all .egg-info directories in doc8 check
  * Update Documentation link
  * Revert "Correct RBD Provision stats&fix a perf problem"
  * zfssaiscsi driver initiator group option processing
  * Add ability to extend 'in-use' volume
  * Migrate Cinder Scheduling CLI documentation
  * Migrate Cinder CLI Quota docs
  * Migrate volume management CLI documentation
* Thu Jul 13 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev250:
  * Add support for shared "backend\_defaults" config
  * Tintri: Fix config option access
  * INFINIDAT: Add QoS support
  * Fix SSHPool current\_size not work correctly
  * Tiramisu: Add groups param to failover\_host
  * Keep consistent of naming convention
  * Clean up index links to removed content
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev237:
  * XtremIO: fix fetching FC targets from X2 array
  * Allow extension of volumes with snapshots for SMBfs driver
  * Windows iSCSI: use configured iSCSI portals
* Tue Jul 11 2017 tbechtold@suse.com
- Update to version cinder-11.0.0.0b3.dev231:
  * Migrate the blockstorage admin-guide to Cinder
  * Fix errors preventing doc builds
  * VMAX driver - Compression, replacing SMI-S with REST
  * VMAX driver - QoS, replacing SMI-S with REST
  * Update attachment\_delete for multiple attachments
  * Fix Log parameter
  * Add snapshot clean worker decorator
  * Remove periodic\_tasks method from base manager
  * Add params for API v3 snapshot-create
  * Switch to openstackdocstheme
  * Enable H904 check
  * IBM Storage: Fix for misidentification of QoS type
  * Introduce managing existing snapshot to rbd driver
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev206:
  * Fix v1 API api-ref link
  * Modify the length of project\_id for Messages
  * Fix the inappropriate parameter name
  * LVM: Don't initialize VG with lvm\_type='auto'
  * Fix wrong usage of rbd.list\_snaps return value
  * Use GroupSnapshotStatus enum field
* Thu Jul  6 2017 cloud-devel@suse.de
- Rebased patches:
  + 0001-Revert-Don-t-use-ignoreskipactivation-for-thin-LVM.patch dropped (merged upstream)
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev195:
  * Fix attachment\_delete for reserved case
  * Revert "Don't use ignoreskipactivation for thin LVM"
  * Add 'reserved' status to api-ref
  * Optimize: Replace 'fields.Enum' with 'object'
  * Unity: temp snapshot for backup deleted twice
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev185:
  * Rename method 'delete' to 'delete\_backup' in backup drivers
  * Move driver options to "backend\_defaults" section
  * IBM Storage: fix create volume with --group-id
  * Fix migration completion for New Attach API's
* Tue Jul  4 2017 tbechtold@suse.com
- Update to version cinder-11.0.0.0b3.dev177:
  * Use SnapshotStatus enum field
- Add 0001-Revert-Don-t-use-ignoreskipactivation-for-thin-LVM.patch
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev175:
  * Improve Capacity filter logging
  * Add 'LUNType' configuration verification for Dorado array
  * Use GroupStatus enum field
  * Remove dothill driver
  * Add gmcv support in SVC driver
  * Fix rally "volume\_type" parameter
  * Update log translation hacking rule
  * Unity: Use thin clone when cloning volume
  * Tempest for revert-to-snapshot
  * Fix bugs while integrated with Huawei Dorado array
* Mon Jul  3 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev155:
  * XtremIO: Detach all IGs for null connector
  * Datera 2.4.0 driver update
  * Fix image cache db query when limits are enabled
  * Don't use ignoreskipactivation for thin LVM
  * Updated from global requirements
  * Fix wording in warning message
  * Remove extra space in release note
* Sun Jul  2 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev142:
  * Add custom keyring when initializing RBD connection
* Sat Jul  1 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev140:
  * import installation guide pages from openstack-manuals
  * Mock time.sleep for VMAXRestTest.test\_remove\_vol\_from\_sg\_failed
* Fri Jun 30 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev136:
  * Use 'min\_version' to mark newly added parameters in DOC
  * remove extra characters "/"
  * Fix driver exception when cascade deleting volume after transferring
  * Rename DB Driver param for backup drivers to 'db'
  * Show user\_id when cinder snapshot-show
  * SMBFS: enhance volume cloning
  * VNX: failed to create from image cache
  * Allow extension of volumes with snapshots for Quobyte driver
  * SMBFS: Use share mountpoint when fetching capacity info
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev119:
  * Api-ref: Add upload-to-image api-ref
  * ScaleIO Driver: Fix for using scheduler specified pool
  * Add params for v3 API volume-type-create
  * Add IBM-Storage replication group support
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev112:
  * Replace OS\_AUTH\_TYPE with OS\_AUTH\_SYSTEM in rc
  * Fix connection\_info field in VolumeAttachment object
  * [api-ref] Add snapshot metadata key api
  * Enable mutable config in Cinder
  * Storwize: correct unreplicated vol status
  * Remove deprecated 'host' option for cinder-volume
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev103:
  * Windows: case insensitive path comparisons
  * Add note about stop supporting of log translation
  * Add policy granularity to the qos-specs API
  * Fix i18n issues
  * Performance: Remove useless snapshot object get
  * Remove redundant notification
  * ScaleIO: Logging cleanup
  * Add Metadata format check
  * Functional tests for group replication
* Sun Jun 25 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev86:
  * [api-ref] Add backing-up to snapshot statuses
* Sat Jun 24 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev85:
  * Use exception.CinderException instead of Exception
  * [XIV] Fix exception message format issue
  * Explicit user messages
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev79:
  * Provide user friendly messages for db sync
  * Enable some off-by-default checks
  * VNX: cg and generic group cleanup
* Thu Jun 22 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev74:
  * Fix assertTrue in functional tests
  * Cinder volume revert to snapshot
  * Remove the redundant volume/snapshot check
  * VMAX driver - Retype, replacing SMI-S with REST
  * Fix NoneType has no attribute get error
  * Replace deprecated BaseException.message with six.text\_type
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev64:
  * Updated from global requirements
  * Storwize Support iSCSI host when FC volume is there
  * Add thin-provisioning-tools to bindep
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev59:
  * Add enable\_lazy in api/openstack/wsgi.py
  * [api-ref] Update volume metadata key api
  * Add project\_id admin filter to limits API
  * ScaleIO - Make compatible with next SIO version
  * Api-ref: fix parameter 'volume\_id' info
  * INFINIDAT: add metadata to InfiniBox objects
* Mon Jun 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev50:
  * Tests: Disallow use of assertTrue(str)
* Sun Jun 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev48:
  * Set default lvm\_type to auto
  * Remove deprecated oslo\_messaging.get\_transport
  * Fix api-ref for v3 volume and snapshot manage
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev43:
  * api-ref: clarify retype docs around default policy permissions
  * Ibm storage: added new option for qos type
  * Revert "Use HostAddressOpt for opts that accept IP and hostnames"
  * VMware: Stop setting dynamicType
  * VMware: Apply policy at vmdk level during retype
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev37:
  * Updated from global requirements
  * Add the missing brace in api/v3/attachment
  * Remove duplicated line from \_do\_attachment\_delete
  * Add backup to cinder architecture page
  * Add CG capability to generic groups in GPFS driver
  * Fix boolean opts defined as strings
  * Use requests lib for Huawei array connection
  * Tiramisu: replication group support
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev24:
  * ignore error when remove non-exist vol from cg
  * FusionStorage: use versioned objects
  * RemoteFS: enable image volume cache
  * Api-ref: Add doc for update backup
  * Clarify create\_volume size debug message
  * recover image-volume size if extend volume failed
  * Switch NFS driver to use DLM locks
* Wed Jun 14 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev15:
  * Fix response code for update and delete API in volume attachments
  * Add rel note for create volume from enc. image
  * ScaleIO Driver: get manageable volumes
  * Clarify some details related blockbox deployment
  * IBM Storage- revert vol size capacity optimization
  * Remove usage of CONF from DISCO driver
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev4:
  * Allow Pure drivers to handle detach with no host
  * Storwize:  add mirrored volume support
* Mon Jun 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev2:
  * Refactor update attachment's testcases
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b3.dev1:
  * Send global\_request\_id to nova/glance when calls are made
  11.0.0.0b2
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev494:
  * Revert "Using assertFalse(A) instead of assertEqual(False, A)"
  * VMAX driver - Base functionality, replacing SMI-S with REST
  * Add Generic Volume Group Into Quota Management
  * NetApp DOT: Fix hash randomization test failures
  * Use the deprecated os\_privileged\_xxx settings
  * Mark X-IO driver as unsupported
  * Mark Synology driver as unsupported
  * Mark Nimble driver as unsupported
  * Mark Infortrend drivers as unsupported
  * Create volumes from encrypted images
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev474:
  * Add libssl to bindep
  * Using assertFalse(A) instead of assertEqual(False, A)
  * Correct cinder dev doc typo
  * Add warning header to opts.py file
  * Ceph: Fix delete backup with non-existent pool
  * Extracted HTTP response codes to constants
  * Mark Reduxio driver as unsupported
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev461:
  * Dell EMC SC: Updated Created by Message
  * API/DB: Fix hash randomization test issues
  * cleanup: remove DEVSTACK\_CINDER\_SECURE\_DELETE
  * Replace assertTrue(isinstance()) with assertIsInstance()
  * Using wrong connector parameter in V3 attach
  * Support sort backup with name
  * [api-ref]Adds API documentation for 'os-set\_bootable' action
  * Remove service filter for service list
  * Add description about tox in dev\_env.rst
  * Refactor NEC volume driver
* Mon Jun  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev442:
  * Updated from global requirements
* Sun Jun  4 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev441:
  * Return metadata in volume summary
  * Removed unused constant in v3/views/clusters.py
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev438:
  * Updated from global requirements
  * Fix support for AMI image conversion
  * Remove some unnecessary spaces
  * Minor fixes to microversion devref
  * VNX: fix issue when backing-up in-use volume
  * Fix example code about api\_version in api\_m\_dev.rst
  * Update SolidFire CI Wiki
  * ZFSSA can avoid fetching img when creating vol from cache
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev424:
  * Allow logging in tempest tests
  * Trivial fix typos
  * Add is\_replicated() to Volume and VolumeType OVOs
  * Make failover DB changes consistent
  * Add volume type filter to API Get-Pools
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev414:
  * Remove unused \_detach\_snapshot method
  * Do proper cleanup if connect volume fails
  * Add an instance-uuid check on attachment\_reserve
  * GPFS: Fix forceful delete for consistency group
  * Fix api-ref for POST backup for optional name
  * ZFSSA: Allow clones to differ in size from parent
* Wed May 31 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev402:
  * Periodic task to clean expired reservation
  * Update OVO devref
  * Fix typos in README.md
  * change consistencygroup\_id to group\_id
  * Add the missing "vol\_type\_id" param for qos association api-ref
  * Add a local bindep.txt override
* Mon May 29 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev391:
  * Make "connector" param to be optional in force-detach api
  * api-ref: add list manageable resource API
* Sun May 28 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev387:
  * Fix typo
  * Fix like filter related issues
  * Updated from global requirements
  * LVM: update max\_over\_subscription\_ratio help message
  * SolidFire Generic Groups Support
  * Check groups before deleting group type
* Sat May 27 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev377:
  * INFINIDAT: add support for generic volume groups
* Fri May 26 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev375:
  * SMBFS: remove redundant check
  * SMBFS: switch to distributed locks
  * SMBFS: drop JSON file storing allocation data
  * Implementation of Cinder driver for Veritas Access
* Fri May 26 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev367:
  * Update replication v2.1 devref
  * INFINIDAT: add support for iSCSI
  * Rolling Upgrades: Fix Volume OVO
  * Rolling Upgrades: Fix Group OVO
  * OVO: Remove child\_versions from list classes
  * SMBFS: report each share as a pool
  * Add RemoteFSPoolMixin
  * RemoteFS: pass volume object to '\_find\_share'
  * Updated from global requirements
  * OVO: Fix VolumeType create not bound to a Session
  * VMAX driver - Detaching volumes if part of two or more MVs
  * XtremIO: reduce number of backend calls
  * Extend Falconstor driver to utilize multiple FSS storage pools
  * Remove empty line in api\_version\_request
  * Updated from global requirements
  * Add blockbox to Cinder project
  * Create volume from VHD format image always failed
  * GPFS: Handle unsupported operations with an exception
  * Check the volume metadata value is a string or not
  * Mark ETERNUS drivers as unsupported
  * Remove BRCD primary\_switch\_wwn config option
  * Fix backup temp snapshot path on remote node
  * attach\_volume first check for existing attachment
  * Coho: resize volume if cloned image is larger
* Wed May 24 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev322:
  * Updated from global requirements
  * api-ref cleanup: required flag for tenants
  * Updated from global requirements
  * Python3: Don't use Exception.message
  * Mock qemu calls in sheepdog tests
  * Support 'LIKE' operator to filter resource
  * Tests: Fix Blockbridge hash randomization failure
  * Tests: Fix VMAX hash randomization failure
  * [Trivial] SMBFS: fix passing image format using volume types
  * Fix typo in docstring
  * SMBFS: avoid unnecessary conversion when uploading volumes
  * VMAX driver - Close ecom connections
  * VMAX driver - Manage/Unmanage performance fix
  * Use the list iterator instead of six iterator
  * rbd: resize volume not cloned but full copy
* Tue May 23 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev294:
  * Add time.sleep mock for test\_lv\_deactivate\_timeout
  * Fix typo errors
  * Convert marker format for listing manageable resources
  * Fix bugs of GPFSNFS & GPFSRemote Driver initialization failure
  * Add the missing parameters in the api-ref of ext-backups.inc
  * Deprecate osapi\_volume\_base\_url duplicate option
  * Remove unused volume\_types field when creating group
  * NFS Backup: Fix overwritting backups
  * Fix incorrect volume\_id request description in api-ref
  * 3PAR: Added volume to vvset in online copy
  * Fix swift auth\_url/url check
  * Remove backup-restore methods in driver code
  * Fix quota reserve for manage snapshot
  * Fix the filter when list volume with group
  * Don't check thin provisioning when manage volumes
  * Glance: attach volume encryption key id to image
  * qemu\_img\_info: Don't autodetect source format
  * api-ref cleanup: remove quotas user related calls
* Mon May 22 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev259:
  * OVO: Add reminder to add backporting code
  * Updated from global requirements
  * INFINIDAT: add locking around initialize/terminate connection
  * Add 'resource\_filters' API to support generalized filtering
  * backup: handle device path represented by dir
  * Rolling Upgrades: Fix VolumeAttachment
  * ibm-storage: update version number and history
  * Fix async mirroring on XIV limited range backends
* Sun May 21 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev243:
  * Fix permission error in VNX driver
* Sat May 20 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev241:
  * Updated from global requirements
  * Tests: Fix Datera hash randomization failure
  * Tests: Fix XIV unit hash randomization failure
  * Add API documentation for force-delete volume in v2 and v3
  * INFINIDAT: delete host objects when detaching the last LUN
  * Fix all\_tenants doesn't work for volume summary
  * Add service dynamic log change/query
  * Remove non-scheduler volume extend support
* Fri May 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev227:
  * coordination: remove un-used method is\_active()
  * Add information in notification of type's extra\_spec
  * Correct sphinx source code syntax
* Fri May 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev221:
  * Add missing retype API documentation
  * Clean codes around backup APIs
  * Trivial fix typos
* Thu May 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev215:
  * Fix py27 gate - Remove Tooz usage for tests
  * INFINIDAT: Use infinisdk for communication with storage array
  * Rollback snapshot's status when backup failed
  * Fix forceful deletion of Consistency Group for GPFS Driver
  * Don't return empty volume\_image\_metadata when list volume
  * Remove obsolete Liberty code
  * Sheepdog: fix conflict of temporary snapshot name
  * RemoteFS: prevent creation of encrypted volumes
* Wed May 17 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev202:
  * Add documentation for invalid filter keys
  * Remove unused fallocate method/filter
* Tue May 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev198:
  * Dell EMC: Moved SC driver under dell\_emc
  * Fix backup\_api\_class doesn't work
  * VMAX driver - Rollback error on Live Migration
  * ZFSSA cache luns are too small when images are precisely X Gi
* Mon May 15 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev191:
  * Fix typo
  * Correct typo of cinder doc
  * Refactor internal context testcases with ddt
  * Read XtremIO options from self.configuration
  * Read rbd options from self.configuration, not CONF
  * Add support for generalized filtering on list APIs
  * RBD:Move RBDVolume calls to a separate threads
* Fri May 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev178:
  * ScaleIO 1.32 deprecation notice
  * Fix change API volume create message
  * LIO: Fix terminate\_connection AttributeError
  * [api-ref] Add cascade to volume delete
* Thu May 11 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev171:
  * Fix a typo
  * Add ability for ceph driver to report discard
* Tue May  9 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev169:
  * 3PAR: Added Replication Feature In Retype Flow
* Mon May  8 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev167:
  * Modernize the nova client in cinder
* Sun May  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev166:
  * Remove snapshot['size'] references
  * Re-arrange v3 API reference
  * Re-order api-ref home page index
  * ds8k: should verify REST version separately
* Sat May  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev158:
  * genopts: Fix python 3 compat, sort options
  * Eternus driver: Move soft dependency check out of \_\_init\_\_
  * Fix NoneType has no attribute get
* Fri May  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev152:
  * Updated from global requirements
  * Remove usage of parameter enforce\_type
  * ProphetStor failed to create volume size larger than the snapshot
* Fri May  5 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev146:
  * Trivial fix typos while reading code
  * Trivial fix PEP 8 coding style violation and typo
  * Add missing testcases for migration scripts
  * Update attachment's status when attaching a readonly volume
  * Remove dependecy testrepository
  * Move the releasenote to the right folder
  * Use cryptography instead of pycrypto
  * xiv: enable get fc targets by host
  * NFS: run qemu-img info as root
  * Fix host check in is\_backend\_frozen
  * Synology: fix snapshot metadata loss
* Wed May  3 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev125:
  * Move the releasenote to the right folder
  * validate\_integer doesn't check non int properly
  * Refactor 'update\_group' method
  * Create indexes for foreign keys
  * HPE 3PAR: Adds CG capability in generic volume groups(GVG)
  * Add attachment API doc
  * fix typo
  * qemu\_img\_info: report 'luks' images as 'raw'
  * Support sort snapshots with name
  * Make divisible py3 compatible in vmware driver
* Tue May  2 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev108:
  * Give more time for LVM deactivation
* Mon May  1 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev106:
  * VMAX driver - Pre-zoned port group fix
* Sun Apr 30 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev104:
  * Updated from global requirements
  * Spelling error "paramenter"
  * Use cg object when invoking update cg method
  * Volume Type Encryption added to v2 api-ref
  * Validate uuid parameters strictly for create volume API
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev96:
  * Fix accessing uninitialized variable bug
  * GPFS: Enhance GPFS driver to work in container
  * Add a release note for groups
  * VNX: add missing group snapshot pool stats
* Wed Apr 26 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev88:
  * NetApp: Refresh directory before waiting
  * Remove sha256file value from logs for incremental backups
* Tue Apr 25 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev85:
  * Updated from global requirements
  * Fix typo in comments
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev83:
  * Changing releasenotes file present in review change 409128
  * Improve help for periodic message\_reap\_interval
  * Add 'connection\_info' to attachment object
  * Filtering attachment doesn't support 'instance\_id'
  * Fix for Group API update to include check policy
  * Dell EMC SC: Raise on \_init\_volume create\_snapshot failure
  * Check "kernel\_id", "ramdisk\_id" for Glance v2 only
  * Reverts quobyte\_volume\_url option back to type StrOpt
  * Fix config option volume\_backend\_name's invalid overridden value
  * Separate out routine for getting qemu\_img\_info
  * Add an optional db session argument to cinder.db.sqlalchemy.api. quota\_allocated\_get\_all\_by\_project(). Then in quota\_reserve() pass the session that is fetched for that method so that a new session does not have to be made. This can avoid DB timeouts and retries when a lot of concurrent operations are hitting quota\_reserve()
  * [BugFix]Cinder forgets to update 'deleted\_at' when deleting
  * Add unit test for brick/local\_dev/lvm.py: create\_volume
  * [BugFix] Add 'all\_tenants', 'project\_id' in attachment-list
  * Don't use tempest special\_fields
  * Add \_\_init\_\_ for cinder.config module
  * api-ref: Fix volume\_id parameter for the path
  * Fix status\_code of "list versions" API
  * Consistency groups API is not returning project\_id filter groups
  * Adding tests for api/v3/group\_specs.py
  * Adds missing return value to create\_cloned\_volume of Quobyte driver
  * Fix more invalid UUID warnings in test\_vmax file
  * Set access\_policy for messaging's dispatcher
  * Dell EMC SC: Return dict from delete\_consisgroup
  * Fix create\_consistencygroup when using CG objects
  * Replace yaml.load() with yaml.safe\_load()
  * Dell EMC SC: Added retry to \_init\_volume
  * Remove "list\_volume" from filter
  * Fix 500 error if boolean is\_public is passed as string
  * Switch to use stable data\_utils
  * VMAX driver - Change vendor\_name from EMC to Dell EMC
  * Switch to decorators.idempotent\_id
  * Remove domains \*-log-\* from compile\_catalog
  * Validate display\_name/description attributes in API layer
  * Fix ATTACH\_READONLY\_VOLUME message generation
  * Enforce \_usage\_from\_snapshot to fetch info from deleted volume
  * Add the backup variable structure in backup\_driver interface
  * Dell EMC SC: Return dict in delete\_cgsnapshot
  * ceph backup support for EXCLUSIVE\_LOCK and JOURNALING features
  * SolidFire: Handle connect\_volume() failure when create vol from image
  * Change nova\_catalog\_admin\_info to default to publicURL
  * Adds db\_online\_data\_migrations to cinder-manage manpage
  * fix create\_consistencygroup in xiv
  * Add filters support to get\_pools
  * [11/11] Refactor test\_volume file
  * [10/11] Refactor test\_volume file
  * [9/11] Refactor test\_volume file
  * [8/11] Refactor test\_volume file
  * [7/11] Refactor test\_volume file
  * [6/11] Refactor test\_volume file
  * [5/11] Refactor test\_volume file
  * [4/11] Refactor test\_volume file
  * [3/11] Refactor test\_volume file
  * [2/11] Refactor test\_volume file
  * [1/11] Refactor test\_volume file
  * VMAX driver - Convert eval to ast.literal\_eval
  * Fix max\_age calculation for quota usage refresh
  * Make get\_capabilities look for clusters
  * ZTE: Added CI\_WIKI\_NAME
  * Add cluster\_name to temporary volumes
  * Stop get\_notifier mock in tests cleanup
  * VMAX driver - removed incorrect six.text\_type
  * Rebrand and move EQLX driver to dell\_emc folder
  * VMAX driver - remove global mock of volume\_types
  * Switch to decorators.idempotent\_id
  * Set image\_owner before adding location to glance
  * IBM driver update CI\_WIKI\_NAME
  * Open the source code of ibm\_storage driver
  * Add assert\_min\_rpc\_version decorator
  * Break migrate\_add\_message\_prefix into two queries
  * Test: Fix assert\_has\_calls dict order bug (QoS)
  * FalconStor: Drop the copy\_image\_to\_volume feature
  * FalconStor: Restore option "san\_secondary\_ip"
  * Make notify\_service\_capabilities cluster aware
  * Sync \`\`services\`\` SQLA model with what's in the DB
  * Nosec Paramiko exec\_command() warning from Bandit
  * Save model\_update as admin in create\_volume
  * FusionStorage: rename the CI\_WIKI\_NAME
  * RBD: Remove volume\_tmp\_dir option
  * Fix devref create\_volume doc formatting
  * Fix a few typos in storwize\_svc\_common.py
  * Add orm type check for paginate\_query
  * Deprecate the block\_device driver
  * Set replication\_status automatically on retype
  * Set replication\_status on volume creation
  * Move VNX driver to dell\_emc folder
  * Remove "service" from required\_import\_options
  * Adds release note for 'Route extend\_volume' bugfix
  * Fix service\_get mock method
  * Add get\_all capability to volume\_attachments
  * Use method is\_valid\_boolstr from oslo\_utils
  * Simplify calls to mock\_object
  * Fix warning when running \`tox -e docs\`
  * ibm\_storage driver: Added fczm decorators
  * Dell SC: Added Logging to \_swap\_credentials
  * Remove run\_tests.sh wrapper
  * Route extend\_volume calls to scheduler
  * Remove deprecated volume\_clear shred option
  * EMC VMAX: Remove unused is\_in\_range() method
  * Support A/A in delete actions and get\_capabilities
  * Change volume\_type dict to ovo
  * Fix replication\_status on InvalidReplicationTarget
  * Refactor api test\_common to use ddt library
  * Remove cgsnapshot\_id before snapshot.save
  * Add missing consistencygroup\_id in volume
  * Update detach\_volume() with versionedobjects
  * Update attach\_volume() with versionedobjects
  * Admin API policy enforcement contingent on is\_admin\_project
  * test: fix wrong usage of config option in test\_window
  * Fix wrong usage of config option gpfs\_images\_share\_mode
  * Refactor test\_volume\_actions to use ddt library
  * Remove empty debug\_opts
  * Add is\_up property to service and cluster objects
  * HNAS: Rename hnas\_svcX\_volume\_type
  * Fix UnBoundLocalError in update\_consistencygroup
  * Remove unused constant in hbsd\_horcm.py
  * Fix create\_group with group type name
  * Show provider\_id for admin
  * Create a dell\_emc folder for Dell EMC drivers
  * Update is\_up from Service OVO class to match ORM
  * Move XtremIO driver to dell\_emc folder
  * Move ScaleIO driver to dell\_emc folder
  * Fix typo in test\_quotas.py
  * Skip test\_storwize\_get\_host\_from\_connector\_with\_lshost\_failure
  * Log traceback for validate\_connector exception
  * Delete the redundant expression expected\_attrs
  * Remove use of timeutils.set\_time\_override
  * Pass OVO instance to copy\_volume\_to\_image
  * Set EVENTLET\_NO\_GREENDNS for IPv6 and dnspython compat
  * Convert backup\_device to OVO
  * Clean \_get\_cctxt method signatures
  * DB: Optimize volume\_update method
  * Dell SC: Add init\_volume check and logging
  * VNX:Add more check on replication\_device keys
  * storwize: get\_host\_from\_connector optimization
  * Add current status to error msg in reserve\_volume
  * Mark backup\_swift\_key option as secret
  * Remove volid from attachments\_get\_by\_host|instance
  * Add 'cinder' to the 'allowed\_direct\_url\_schemes'
  * Add version to ibm\_storage driver
  * Nexenta: Use base VolumeDriver migrate\_volume
  * Fix typo in emc\_vmax\_fast.py
  * Add interface decorator to ibm\_storage driver
  * Fix typo in devref/api\_conditional\_updates.rst
  * Fix a typo in manager.py,test\_common.py and emc\_vmax\_utils.py
  * extract\_host: Handle empty host string input
  * Add 'replication\_targets' and 'display\_name' in API docs
  * OVO: OPTIONAL\_FIELDS should be moved inside the OVO
  * OPTIONAL\_FIELDS should be inside OVO object group\_snapshot
  * Moving the OPTIONAL\_FIELDS inside the OVO object group
  * Fix a typo in scheduler manager "filter\_propterties"
  * Fix formatting in generate\_config\_opts
  * Allow getting qos\_specs in db.volume\_type\_get
  * Add test\_get\_all\_by\_volume in objects/test\_backup
  * Remove extra param in list\_manageable\_snapshots
  * Modifies override logic for key\_manager
  * Fix request\_spec conversion from o.vo to dict
  * Stop using mox in unit/\*.py (2/2)
  * Dell SC: ISCSI initialize\_connection fixes
  * Add combined function get\_vol\_type\_by\_name\_or\_id
  * Fix coerce good values in test\_fields.py
  * Use to\_policy\_values for enforcing policy
  * Added default for ScaleIO driver max\_over\_subscription
  * Save volume\_type/group\_type uuid into db when creating group
  * Have a default OPTIONAL\_FIELDS for persistent OVOs
  * Include OPTIONAL\_FIELDS in VolumeType OVO class
  * Make sure get\_backup\_device result is an o.vo
  * Clean create\_snapshots\_in\_db method
  * Register state\_path opts and add it to sample conf
  * add more credentials information to check\_is\_admin
  * check quota per\_volume\_gigabytes for transfer-accept
  * Dell SC: Add dell\_server\_os configuration option
  * Stop using mox in unit/volume/drivers/\*.py
  * Remove cinder/tests/unit/test\_misc.py
  * Stop using mox in test\_wsgi, test\_nexenta, test\_netapp
  * Fix an invalid function call in test\_consistencygroups.py
  * Fix typo in enable\_unsupported\_driver description
  * Add CI\_WIKI\_NAME to ZTE Driver
  * Add CI\_WIKI\_NAME to X-IO Driver
  * Add CI\_WIKI\_NAME to Synology iSCSI Driver
  * Stop using mox in unit/\*.py tests (1/2)
  * Remove unused function from unit/fake\_utils.py
  * Reduce the runtime of drivers/ibm/test\_storwize\_svc
  * Improve TestCase.mock\_object method
  * Remove self.\_\_dict\_\_ for formatting strings
  * Use utils.validate\_dictionary\_string\_length
  * Stop using mox from unit/image/\*.py
  * TrivialFix: remove unnecessary VERSION\_COMPATIBILITY
  * Recover volume status after remove\_export
  * Let setup.py compile\_catalog process all language files
  * Dell SC: Add exclude\_domain\_ip option
  * Stop using mox in unit/volume/drivers/emc/\*.py tests
  * Stop using mox in unit/consistencygroup/\*.py tests
  * Stop using mox in unit/scheduler/\*.py tests
  * Stop using mox in unit/zonemanager/\*.py tests
  * Stop using mox in unit/backup/drivers/\*.py
  * Fix incorrect parameter in create\_key
  * Using oslo\_config's min attribute
  * Fix typo in the huawei\_driver.py
  * Fix invalid services caused by enabled\_backends
* Fri Apr 21 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev77:
  * Add IOPS limits that scale per-GB
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev76:
  * Updated from global requirements
  * Improve help for periodic message_reap_interval
  * Filtering attachment doesn't support 'instance_id'
  * XIV: switch to generic volume group
  * RemoteFS: fix volume cascade delete
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev66:
  * Clean up expired user messages
  * Check "kernel_id", "ramdisk_id" for Glance v2 only
  * 3PAR: Enable HPE-3PAR Compression Feature
  * Remove deprecated cinder.middleware.sizelimit
* Tue Apr 18 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev59:
  * Dell EMC SC: Support generic groups
  * NetApp: Deprecate E-Series drivers
  * ScaleIO: Adding CG support to groups
* Sun Apr 16 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev53:
  * Eliminate deprecation warning in db
* Fri Apr 14 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev52:
  * Revert "Huawei: disable certificate verification"
  * Reverts quobyte_volume_url option back to type StrOpt
  * Disables xattrs on Quobyte driver mounts
  * [BugFix] Add method policy in attachment APIs
  * Adds a bugfix release note regarding backing up with the Quobytedriver
  * Fix encryption key deletion error handling on volume delete
  * Fix rally job gate-rally-dsvm-cinder-ubuntu-xenial-nv
  * ProphstStor driver 'SSL' communication fails to check certificates
  * Optimize the link address
  * Tests: mock psutil usage in quobyte tests
  * api-ref: fix rest method error in reset group and group-snapshot status
  * Add __init__ for cinder.config module
  * Fix some reST field lists in docstrings
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.0b2.dev30:
  * Dell EMC SC: Raise on _init_volume create_snapshot failure
  * Updated from global requirements
  * HPE Lefthand: add CG capability to generic groups
  11.0.0.0b1
  * Separate out routine for getting qemu_img_info
  * Fix metadata api's raises TypeError
  * Add unit test for brick/local_dev/lvm.py: create_volume
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev474:
  * Remove unused references from config-generator
  * Missing volume status on block storage v2 API
  * ds8k: check lun exist or not when clone volume
  * DS8K driver should use DLM
  * DS8K driver: remove code for fake connector
  * Fix migrate api giving incorrect exception message
  * NEC driver doesn't provide link down portal info
  * HPE 3PAR: Handle manage and unmanage hosts present
  * VNX: allow specify pool name for replication
  * Fix the missing args bug while lvm creates volume failed
  * Delete the duplicate interface about the api version
  * Extracted HTTP response codes to constants
  * [doc] Update doc index
  * Adds missing return value to create_cloned_volume of Quobyte driver
  * Add missing and incorrect response and error codes in cinder api-ref
  * Adds API documentation for list and show hosts
  * Remove "list_volume" from filter
  * VMware: Refactor vmdk unit tests
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev438:
  * Tests: Remove the redundant methods
  * Fix config option volume_backend_name's invalid overridden value
  * SMBFS: enable Nova assisted volume snapshots
* Sun Apr  9 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev432:
  * Updated from global requirements
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev431:
  * Fixed wrongly catched multiple exception types
  * Storwize: add CG capability to generic groups
  * Mark QNAP volume driver as unsupported
* Fri Apr  7 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev425:
  * Use HostAddressOpt for opts that accept IP and hostnames
  * Remove mirror policy parameter from Huawei driver
* Thu Apr  6 2017 cloud-devel@suse.de
- Update to version cinder-11.0.0.dev421:
  * DS8K driver: change the design of CG
  * Add sem-ver flag so pbr generates correct version
  * Fix attach issue for failed-over volume
  * Add CG capability to generic groups in Huawei driver
* Wed Apr  5 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev413:
  * Reduce code duplication
  * Huawei: disable certificate verification
  * [Trivial]Fix some incorrect annotations
  * Add more specific error message
* Mon Apr  3 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev405:
  * Remove 'verbose' config option initialization
  * Hitachi: Mark HBSD and VSP as unsupported
  * HNAS: Mark NFS driver as unsupported
  * Support for HostAddress opt
  * Add an optional db session argument to cinder.db.sqlalchemy.api. quota_allocated_get_all_by_project(). Then in quota_reserve() pass the session that is fetched for that method so that a new session does not have to be made. This can avoid DB timeouts and retries when a lot of concurrent operations are hitting quota_reserve()
  * VMAX driver - Live Migration is dropping connection
  * Fix some format error in docstrings
  * Add bandit-baseline to tox.ini
  * Backup: Add choices to compression algorithm option
  * ScaleIO: Fixing support for SIO 1.3x
  * Fix error status check when create backup
  * Updated from global requirements
  * Implementation of cinder driver for Veritas HyperScale
  * [BugFix][Devref] Refactor attach/detach v2 devref
  * [BugFix] Add 'all_tenants', 'project_id' in attachment-list
  * Add two response parameters in the api-ref of getting capabilities
  * Remove XML description from media-types
  * Remove unused CG code
  * Delete consistency group fails on xtremio driver
  * VMAX driver - superfluous debug messages causing error
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev367:
  * Updated from global requirements
  * Tolerate new SQLAlchemy==1.1.7
  * [BugFix]Cinder forgets to update 'deleted_at' when deleting
  * Don't change volume's status when create backups from snapshots
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev360:
  * New test case for InfroTrend driver
  * [api-ref] Update snapshot/volume's metadata api-ref
  * Huawei driver supports front-end qos
  * NetApp E-Series CI name update
  * Don't use tempest special_fields
  * Make cinder-manage online migrations more verbose
  * Extracted HTTP response codes to constants
  * Adding tests for api/v3/group_specs.py
  * VMware: Enforce min vCenter server version 5.5
  * Remove old oslo.messaging transport aliases
  * Correct Extend lvm Volume
  * VMware: Set vSphere opID prefix
  * Add driver supported status to dict output format
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev336:
  * api-ref: Fix volume_id parameter for the path
  * Fix 500 error when 'mountpoint' is not provided to os-attach
  * HPE LeftHand: extend volume if larger than snapshot
  * Mark the Violin volume drivers as unsupported
  * Mark Blockbridge volume driver as unsupported
  * Fix version numbers on media-types
  * Adding new test case for InforTrend driver
  * Fixed inconsistent naming conventions
  * Extracted HTTP response codes to constants
  * Extracted HTTP response codes to constants
  * Extracted HTTP response codes to constants
  * Update db from drivers in default groups methods
  * Fix: SnapshotStatus missing in Cinder
  * Replace yaml.load() with yaml.safe_load()
  * Refactor volumes summary
* Fri Mar 24 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev307:
  * [Doc] Add documentation for messages API
  * Make QnapISCSIDriver unit tests faster
  * Fix devref create_volume doc formatting
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev302:
  * Fix status_code of "list versions" API
  * replace references to cinder.openstack.org
  * Fix cinder functional tests job
  * [Doc] Add missing parameter in v3 resource documentation
  * Added gigabyte unit to values in exception message
  * Set access_policy for messaging's dispatcher
  * Fix ut error of volume deletion
  * vzstorage: use resize instead of grow for ploop images
* Wed Mar 22 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev288:
  * Consistency groups API is not returning project_id filter groups
  * Fix docs failures caused by latest eventlet
  * Prevent duplicate entries in the image cache
  * IBM storage: switch to generic volume group
* Tue Mar 21 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev281:
  * Fix more invalid UUID warnings in test_vmax file
  * Remove log translations
  * Fix lock contention in SolidFire driver
  * Fix create_consistencygroup when using CG objects
  * Add quota limit check and enhance roll back for cg create
* Sun Mar 19 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev272:
  * Remove hacking check for log translation
* Sat Mar 18 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev270:
  * ScaleIO: Fixing warnings spotted by PyCharm and tox
  * Dell EMC SC: Return dict from delete_consisgroup
  * VMAX driver - volumes part of CG not managed correctly
  * VMAX driver - consistency group remove empty values
  * Tests: Fix InvalidUUID warning for 'qosId'
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev260:
  * Updated from global requirements
  * Revert "Remove v1 API reference"
  * Datera: extend volume if larger than snapshot
  * Add filter, sorter and pagination for group snapshot
  * Update devref for OVO version bumping
  * Improve devref for API errors
  * VMAX driver - replace pickle with jsonutils
* Thu Mar 16 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev246:
  * [Optimise] Refactor group snapshot testcases
  * Add API documentation for volume detach in v3
  * Dell EMC SC: Added retry to _init_volume
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev240:
  * [Optimise] Refactor ExtraSpecsOpsTestCase with ddt
  * ProphetStor driver create vol from snap with wrong size
  * Hash password displays in debug log
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev234:
  * Updated from global requirements
  * Fix 500 HTTP API error caused by rpcapi RemoteError exception
  * Add a README in tests dir linked to devref html
  * Bump prlimit cpu time for qemu-img from 2 to 8
  * Fix 500 error if boolean is_public is passed as string
  * XtremIO: allow a cloned volume with larger size
* Sun Mar 12 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev222:
  * Add driver-requirements.txt
  * Remove Linux SMBFS driver
  * Modify the spelling mistakes
* Sat Mar 11 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev217:
  * Remove HNAS iSCSI driver
  * Remove unreachable code
  * Remove duplicate key from dictionary
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev211:
  * api-ref: v2 API does not mention GET volume metadata by key
  * Update guru doc to support file modification events
  * Replace obsolete vanity openstack.org URLs
  * Fix column types in models.py
  * cors: update default configuration
  * Tests: Use six.moves.urllib urlencode
  * Switch to use stable data_utils
  * VMAX driver - Change vendor_name from EMC to Dell EMC
  * Fix generic group's unit testcase
  * Switch to decorators.idempotent_id
  * Change the default value of used Glance API
  * Disallow modification of in use Volume Types
  * Add debug log of retryable response on SolidFire
  * Filter on Active status in SolidFire List
  * Remove TODO related to Nova API version
  * Add per-backend availability zones
  * cinder-backup - coordination not initialized
  * Reuse API v2 for v1 calls
  * api-ref: v2 update volume metadata description is wrong
  * Fix action on services raises TypeError
  * api-ref: v2 API does not mention DELETE for volume metadata
  * Set backup available after verify
  * Updated from global requirements
  * Remove domains *-log-* from compile_catalog
  * Deprecate API v2
  * Remove v1 API reference
  * Zadara driver - move from httplib to requests
  * NetApp: Track SVM and Cluster scoped credentials
  * NetApp cDOT: Add check if copyoffload tool is available
  * Extracted HTTP response codes to constants
  * LVM: collect more debug data when VG creation fails
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev158:
  * Fix size update error for snapshot-manage operation
  * Fix typo error
  * Updated from global requirements
  * Validate display_name/description attributes in API layer
  * Purge immediately on Delete in SolidFire Driver
  * Huawei driver supports specifying copy speed
  * NEC: Fix format string in debug message
  * Fix ATTACH_READONLY_VOLUME message generation
  * Enforce _usage_from_snapshot to fetch info from deleted volume
  * Unity driver: fail to disconnect volume
  * Tests: Remove mocks of nonexistent methods (NetApp)
  * Unity driver: check array OE version
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev135:
  * Reuse identical API v2 code for v1
  * Disable multiattach for all drivers
  * Change volume_type dict to ovo
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev130:
  * Fix internal tempest tests
* Sun Feb 26 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev128:
  * Huawei: Check before add initiator
* Sat Feb 25 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev127:
  * Remove an outdated comment
* Wed Feb 22 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev126:
  * create snapshot with generic group fail with XtremIO Driver
  * VMware: Use full clone if extend needed
  * VMware: Use storage profile name in extra-spec
  * Infortrend: Stable generation of strings from dicts
* Mon Feb 20 2017 tbechtold@suse.com
- Adjust Requires
* Sat Feb 18 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev121:
  * Remove unused logging import
  * Compact Mitaka database migrations
  * Remove support for py34
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev115:
  * Fix attachments after attached migration
  * Fix volume retype with migration as non-admin
  * Fix multibackend-matrix confs
  * Adds attached migration to multibackend-matrix
  * Fix Pep8 Failures for Python3
  * Removes getfattr from Quobyte Cinder driver
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev103:
  * Fix SolidFire cgsnap clone bug
  * Remove Ocata's data migrations
  * Add the backup variable structure in backup_driver interface
  * Dell EMC SC: Return dict in delete_cgsnapshot
  * ceph backup support for EXCLUSIVE_LOCK and JOURNALING features
  * SolidFire: Handle connect_volume() failure when create vol from image
  * Change nova_catalog_admin_info to default to publicURL
  * doc: verify all rst files
  * VMAX Driver - disable initiator check by default
  * Use ovo instead of dict
  * Add filters support to get_pools
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev81:
  * Adds db_online_data_migrations to cinder-manage manpage
  * VMware: Delete temporary snapshot after clone
  * Updated from global requirements
  * 3PAR: rally test create-volume-from-snapshot fails
  * Cinder tox updates for Python3
  * [4/4]Reset generic volume group and group snapshot statuses
  * Switch and/or to ternary operator
  * 3PAR: Remove un-necessary snapshot in online copy operation
  * DB: Optimize update methods
  * Refactor of getting qemu-img version
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev65:
  * Fix duplicate lvs2 entry in rootwrap volume filter
  * VNX: Handle error during volume deletion
  * VMAX driver - snapshot creation and immediate deletion fix
* Mon Feb 13 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev59:
  * Dell EMC Ps: Report discard support
  * netapp image cache cleaning start thresholds does not work
* Sun Feb 12 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev56:
  * Updated from global requirements
  * fix create_consistencygroup in xiv
  * Storwize: correct the product key for replication
  * Nosec audit url open issue from Bandit
  * Switch to decorators.idempotent_id
* Sat Feb 11 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev48:
  * Output the driver info as json
  * Add maximum microversion for Ocata
  * Fix "No documentation found in" errors in docs
  * Dell EMC: Create independent volume on clone
  * Fix Block Storage API reference nesting
* Fri Feb 10 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev38:
  * Drop version validation
  * [11/11] Refactor test_volume file
  * [10/11] Refactor test_volume file
  * [9/11] Refactor test_volume file
  * [8/11] Refactor test_volume file
  * [7/11] Refactor test_volume file
  * [6/11] Refactor test_volume file
  * [5/11] Refactor test_volume file
  * [4/11] Refactor test_volume file
  * [3/11] Refactor test_volume file
  * [2/11] Refactor test_volume file
  * Remove unsupported NexentaEdge driver
  * Remove unsupported HPE XP driver
  * Remove unsupported CloudByte driver
  * VMAX driver - allow for multi volume types in Consistency Group
  * Use https instead of http for git.openstack.org
  * Move windows drivers to versioned objects
  * Refactor test_volume_actions to use ddt library
  * Fix some typos in comments
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev13:
  * [1/11] Refactor test_volume file
  * Autoselection of IBM SVC/Storwize IO group
  * VMAX driver - widen locking around storage groups
  * Remove cgsnapshot_id before snapshot.save
* Wed Feb  8 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev7:
  * Minor cleanup on tools/test-setup.sh
  * Add Ocata sanity check migration
  * Update reno for stable/ocata
  * VMAX driver - copy state fix
* Tue Feb  7 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0rc2.dev1:
  10.0.0.0rc1
  * Reserve 5 migrations for DB backports
  * Tests: Fix NetApp unit test failure w/ hash randomization
  * xiv create vol from replicated source fails
  * Don't use None value for sql query
  * Remove promote and reenable from policy
  * VMAX driver - ignore service level and workload in xml
  * Prepare for using standard python tests
  * Resolve Brocade HTTPS connection error
  * [api-ref]Fix the volume metadata description error
  * [api-ref]Add volumes/summary API doc
* Mon Feb  6 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev111:
  * HNAS: Cloned volume with different volume type
  * [api-ref]Change tenant to project
* Sun Feb  5 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev108:
  * VMAX driver - Convert eval to ast.literal_eval
  * VMAX driver - failover error fix
  * Add missing consistencygroup_id in volume
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev103:
  * Add SUPPORTED flag to Lenovo FC driver
  * Image utils: fix fetching available space on Windows
  * Fix max_age calculation for quota usage refresh
  * Fix 500 error while listing manageable volumes and snapshots
  * Add usage and limit info on quota limit errors
  * xiv delete cg fails if removed on backend
  * Hitachi VSP: Specify compute nodes and copy ports
  * VMAX driver - sync sv issue
  * Stop get_notifier mock in tests cleanup
  * Deprecate the Linux SMBFS driver
  * Add back policy check for CG
  * Remove emc folder
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev82:
  * Convert ignoreskippedcluster check to be static
  * Clean up release notes for Ocata
  * Make get_capabilities look for clusters
  * Add SUPPORTED flag to Lenovo iSCSI driver
  * Add SUPPORTED flag to HP MSA driver
  * Fix notification short-circuit
  * Fix host assignment when clustered
  * Remove redundant log during initialize connection
  * Add lock acquire/release debug messages
  * Add command information to cinder-manage.rst
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev64:
  * ZTE: Added CI_WIKI_NAME
  * Fix CopyVolumeToImageTestCase max recursion depth
  * Move release notes to correct location
  * Add cluster_name to temporary volumes
  * 3PAR: Inconsistency in copied and source CG
  * Reduced the complexity of the main() method
  * clean up replication volume on an xiv backend
  * Add create volume from image policy
  * Revert "Mark the sheepdog driver as unsupported"
  * Cluster volume group fix in lvm
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev46:
  * Add descriptions to Pure drivers
  * Adds API documentation for update snapshot status
  * Short-circuit notifications when not enabled
  * create consistency group mishandles types
  * Dell EMC SC: Delete doesn't account for migration
  * Prohibit creating volume from source with dif encryptions
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev35:
  * VMAX driver - removed incorrect six.text_type
  * Rebrand and move EQLX driver to dell_emc folder
  * VMAX driver - QoS key fix
  * Fix double call to "qemu-img create"
* Sun Jan 29 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev28:
  * Updated from global requirements
  * Fix Live Migration for Nimble Storage Driver
  * Set image_owner before adding location to glance
  * Add driver interface for groups
* Sat Jan 28 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b4.dev22:
  * VMAX driver - remove global mock of volume_types
  * Zero out SolidFire capacity when unreachable
  * IBM driver update CI_WIKI_NAME
  10.0.0.0b3
  * Fix Qos for clone for Nimble Storage Driver
  * Fix api-ref status parameter
  * Small change to microversion header on devref
  * Check if volume node has enough space for image operations
  * backup of active 3par ISCSI bootable volume fails
  * Tests: Fix hash unstable dict comparison
  * VMAX driver - rename and restructure driver
  * VMAX driver - storage group cleanup on error
  * NetApp cDOT: Add NetApp Volume Encryption support
  * Remove useless FIXME
  * Switch to using generic groups with Pure driver
  * Adds getfattr and mount to Cinder rootwrap volume.filters
  * Modify the spelling mistakes
  * Correct RBD Provision stats&fix a perf problem
  * Huawei: Mask unnecessary log print
  * Windows SMB: use os-brick remotefs client
  * Added unit test coverage to test_limits.py for api v2
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev358:
  * Open the source code of ibm_storage driver
  * NFS snapshots
  * Tests: Fix mock for vzstorage remotefs
  * Eager load projects when getting types by group
  * Add assert_min_rpc_version decorator
  * Make CappedVersionUnknown exception more useful
  * Don't drop the volume type's extra spec at DB layer
  * Brcd zonemanager: Fix unstable command generation
  * Dell SC: Logging asyncTask if XML returned
  * Test: Fix assert_has_calls dict order bug (QoS)
  * Remove race conditions from transfer API
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev337:
  * Fix the api-ref CI failure
  * Updated from global requirements
  * Switch ManageableSnaphots & ManageableVolumes list to OVO
  * Add volume backup tempest tests
  * Break migrate_add_message_prefix into two queries
  * Fix some problem for attachment list
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev325:
  * VMAX driver - Implement volume replication for VMAX
  * FalconStor: Drop the copy_image_to_volume feature
  * Refactor backup RPC API test cases
  * Refactor scheduler RPC API test cases
  * Update the parameter check when create attachment
  * FalconStor: Restore option "san_secondary_ip"
  * Extracted HTTP response codes to constants
  * XtremIO: Add CG capability to generic groups
  * VMAX driver - Consistency Group automerge fix
  * VMAX driver - Support for compression on All Flash
  * Add new attachment APIS
  * Add lock around SolidFire clone-image
  * VMAX driver - Storage assisted volume migration
  * Dell SC: Retype fixes
  * Revert "Mark Huawei volume driver as unsupported"
  * Fix typos
  * Refactor volume RPC API test cases
  * Make notify_service_capabilities cluster aware
  * VNX: Add async migration support
  * VNX: Update sg cache if it already existed
  * Allow snapshots and volumes to have Null group values
  * Fix for FC Initiator API in Nimble Storage Driver
  * VMware: Allow deletion of snapshot in error state
  * NexentaStor5: Added extend method to NFS driver
  * Sync ``services`` SQLA model with what's in the DB
  * Fix volume manage
  * Storwize: do the correct update after failover
  * Dell SC: Change DRP search to reference type
  * vzstorage: fixed snapshot deletion in error state
  * Unity: Add support to set IO ports in option
  * Add volume type access operations notification
  * FusionStorage: rename the CI_WIKI_NAME
  * VMware: Use versionutils in oslo.utils
  * Datera 2.3 driver update
  * Only log insecure key manager warning once
  * Attach/Delete volume for tgt driver race condition fix
  * Storwize: create vol fails near licensed limit
  * Reuse already existing groups in tempest plugin
  * Remove temporary directory creation for BaseBackupTest
  * Gate migration tests: Add Cinder tempest hook
  * Missing parameter for storage pools in Pure Storage driver
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev247:
  * Revert "Mark Quobyte volume driver as unsupported"
  * Fix retype with migrate
  * Move driver tests to tests/unit/volume/drivers
  * Prevent claiming and updating races on worker
  * Fix replication freeze mechanism
  * Move service and cluster creation in test to utils
  * Make Image Volume Cache cluster aware
  * Make Replication support Active-Active
  * Fix for live migration for Nimble Storage
  * Nosec Paramiko exec_command() warning from Bandit
  * Improvement to get group detail(Part 2)
  * Unity Driver: Backup volume via snapshot
  * Add psycopg2 and PyMySQL to test-requirements
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev221:
  * Make BackupManager not a SchedulerDependentManager
  * Optimise: Use sqlalchemy to build table sequence
  * Revert "Mark Tintri volume driver as unsupported"
  * Nosec subprocess with shell equal True from Bandit
  * Add volume to fake snapshot object
  * Clean up image tmp file if c-vol gets restarted
  * Prevent driver load failures from objects
  * Replace deprecated pylint disable-msg with disable
  * Updated from global requirements
  * Save model_update as admin in create_volume
  * Add api version history for 3.23
  * RBD: Fix RBD replication on volumes from image source
  * Dell SC: Missing version history
  * Remove deprecated RequestBodySizeLimiter class
  * Allow triggering cleanup from API
  * [py35] image file should be open in binary mode
  * HNAS: Change snapshot names
  * Add prefix to user message event ids
  * Improve compatibility with novaclient 7.0.0
  * Updated from global requirements
  * Fixes hpelefthandclient AttributeError
  * Mark the sheepdog driver as unsupported
  * Remove inheritance from deprecated classes
  * Dell SC: Failback timeout extended
  * Tests: Remove more InvalidUUID warnings
  * Don't translate exceptions w/ no message
  * Add CG capability to generic groups in VNX driver
  * RBD: Remove volume_tmp_dir option
  * Delete volume when rescheduling
  * VMware: Set backend UUID to volume UUID
  * Rename AddFCZone and RemoveFCZone according to PEP 8
  * Cleanup limit view name processing
  * Skip CI link in list for infra supported drivers
  * Doc: Fix build warnings for missing code-block lang
  * CoprHD: Handle ScaleIO CI failing with version-3.5
  * Python3 common patterns
  * Fix sphinx errors related to missing paths/modules
  * Cascade + force volume delete parameters
  * Remove unused PasteAppNotFound exception
  * tgt: Remove existence check before delete
  * Convert 'parallels' format name to 'ploop'
  * Report multiattach capability for Hitachi VSP drivers
  * Tests: Split up NFS backup notification test
  * Set replication_status automatically on retype
  * Support new osprofiler API
  * Improve DB method naming consistency
  * Simplify calls to mock_object
  * Make APIVersionRequest's null check more pythonic
  * Unreserve volume: fix log message for completion
  * Revert "Swap volume type for migration started by retype"
  * Fix response bootable parameter type in api document
  * Add dev doc for generic volume groups
  * Fix create_group with group type name
* Sun Jan  8 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev126:
  * Fix a few typos in storwize_svc_common.py
  * Enable DeprecationWarning in test environments
  * Add orm type check for paginate_query
  * NexentaStor5: sessions and HTTPS support
* Sat Jan  7 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev118:
  * Add manage/unmanage to DISCO driver
  * Updated from global requirements
  * [api-ref]Add api ref for "volume type encryption"
  * Mark Nexenta Edge volume drivers as unsupported
  * Mark Tintri volume driver as unsupported
  * Mark Quobyte volume driver as unsupported
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev107:
  * Adds metadata in search option for snapshot
  * Fix python integer interpretation in Py2 and Py3
  * Fix Cisco Initiator zoning updates
  * Add QoS and Dedupe Support for Nimble Storage
  * Refactoring ITRI DISCO cinder volume driver
  * Set replication_status on volume creation
  * VMware: Fix inventory folder after volume transfer
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev93:
  * Show provider_id for admin
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev92:
  * Avoid Forcing the Translation of Translatable Variables
  * HNAS: Deprecate HNAS iSCSI driver
* Wed Dec 28 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev88:
  * [1/4]Reset generic volume group status
  * Fix online data migrations cmd in release notes
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev85:
  * Update replication property in capabilities
* Mon Dec 26 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev83:
  * Deprecate the block_device driver
* Sun Dec 25 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev81:
  * Updated from global requirements
  * VMAX driver - PortGroup rollback error path scenario
  * Cisco: can't add new zone when no zone is created before
  * Backup project attribute support
  * Cinder consistency group returning generic error message
  * Move VNX driver to dell_emc folder
  * Delete space to pass the check of pep8
  * Log detailed attach/detach volumes info
* Sat Dec 24 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev65:
  * Use oslo.messaging topics for multibackend
  * CG API changes for migrating CGs
  * [2/4]Reset group snapshot status
  * Update is_up from Service OVO class to match ORM
  * Replace assertDictMatch with assertDictEqual method in tests
  * Cisco: can't add new zone when no zone is created before
  * Backup project attribute support
  * Cinder consistency group returning generic error message
  * Move VNX driver to dell_emc folder
  * Delete space to pass the check of pep8
  * Log detailed attach/detach volumes info
  * Move XtremIO driver to dell_emc folder
* Fri Dec 23 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev81:
  * [2/4]Reset group snapshot status
  * Update is_up from Service OVO class to match ORM
  * Replace assertDictMatch with assertDictEqual method in tests
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev75:
  * Cisco: can't add new zone when no zone is created before
  * Backup project attribute support
  * Cinder consistency group returning generic error message
  * Move VNX driver to dell_emc folder
  * VMAX driver - MVs and SGs not reflecting correct protocol
  * Delete space to pass the check of pep8
  * Log detailed attach/detach volumes info
  * Fix VMAX unit test timeout issue
  * Migrate consistency groups to groups
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev60:
  * Add more operations to cluster
  * Make workers ORM compatible with SQLAlchemy 1.1.4
  * Fix logging traceback in service logs
  * Remove "service" from required_import_options
  * Add Rest API Support for Nimble Storage
  * Adds release note for 'Route extend_volume' bugfix
  * Add 'unmanaging' state to volumes and snapshots
  * Fix service_get mock method
  * Mark DotHill volume drivers as unsupported
  * leave the unreleased branch unspecified for release notes
  * Mark Huawei volume driver as unsupported
  * Mark CloudByte volume driver as unsupported
  * Mark HPE XP volume driver as unsupported
  * RBD: Implement v2.1 replication
  * Remove Scality backend driver
  * Add Apache 2.0 license to source file
  * ibm_storage driver: Added fczm decorators
  * EMC VMAX: Remove unused is_in_range() method
  * Remove unused constant in hbsd_horcm.py
  * Move ScaleIO driver to dell_emc folder
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev25:
  * Fix VMAX clone CG release note
  * Updated from global requirements
  * Drop the judgement condition for FakeConnector
  * VMAX driver - Attach and detach snapshot
  * Fix status after a VolumeDriverException
* Mon Dec 19 2016 tbechtold@suse.com
- Use type=notify for api service
* Mon Dec 19 2016 steven.kowalik@suse.com
- Include new cinder-migrate-volume-names-to-cluster script.
- Create conf.d directory for cinder-volume.
* Mon Dec 19 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev17:
  * Add get_all capability to volume_attachments
  * [api-ref] Show more specific parameter of capabilities
  * Remove authorisation checks at the DB level for quota operations
* Sun Dec 18 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev13:
  * Rolling upgrade procedure documentation
  * Cosmetic changes to scheduler
  * Fix secondary lvm cmds rootwrap filters
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b3.dev9:
  * Support A/A on Scheduler operations
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version cinder-10.0.0.0b3.dev8:
  * Use method is_valid_boolstr from oslo_utils
  10.0.0.0b2
  * Updated from global requirements
  * Fix detach twice of snapshot
  * Add cinder volume drivers for NEC Storage M series
  * Fix condition parameter bug in routes
  * Fix warning when running `tox -e docs`
  * Dell SC: Added Logging to _swap_credentials
  * Dell SC: Missing volume creation options
  * Dell SC: Incorrect exceptions being returned
  * Dell SC: Unable to locate LV primary after LV-AFO
  * Handle NotImplementedError for image cache cloning
* Thu Dec 15 2016 tbechtold@suse.com
- config cleanup
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev165:
  * Nexenta: Added ZFS cleanup in NexentaStor4 iSCSI driver
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev163:
  * Correct reraising of exception
  * Added initial backend ISCSI driver for Reduxio
  * Do not manage VG with > 1 volume in Kaminario driver
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev157:
  * Hacking: Remove N333 oslo namespace import check
  * Adds Unity Cinder Driver
  * Switch default py3x to py35
  * HNAS: Add list manageable volume/snapshots
  * Route extend_volume calls to scheduler
  * test: fix wrong usage of config option in test_window
  * Fix wrong usage of config option gpfs_images_share_mode
* Mon Dec 12 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev143:
  * Fix replication_status on InvalidReplicationTarget
  * Refactor api test_common to use ddt library
  * Admin API policy enforcement contingent on is_admin_project
  * VMAX driver - Create a CG from a source CG
* Sun Dec 11 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev135:
  * Remove run_tests.sh wrapper
* Sat Dec 10 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev133:
  * Move to hacking 0.12
  * Modify variable's usage in Log Messages
* Fri Dec  9 2016 tbechtold@suse.com
- package conf.d dir
* Fri Dec  9 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev130:
  * Remove deprecated volume_clear shred option
  * Fix dos-style endlines
  * Add QNAP ES Storage Driver
  * Fix TypeError when execute cinder-volume-usage-audit
  * Remove anyjson test dependency
  * Non-WAN port filter issue in Kaminario iSCSI driver
  * Introduce Hitachi VSP iSCSI driver
  * Remove Kaminario deprecated option
  * Introduce Hitachi VSP driver
  * Tests: Fix invalid UUID warnings
* Thu Dec  8 2016 aplanas@suse.com
- systemd: remove Wants from services.
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev110:
  * Updated from global requirements
  * Support A/A in delete actions and get_capabilities
  * SolidFire QoS scaled by volume size
  * Huawei: Mark password option as secret
  * HNAS: Rename hnas_svcX_volume_type
* Wed Dec  7 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev100:
  * Block 3.1 message with c-sch RPCAPI pinned to 3.0
  * VMware: VMDK driver performance improvements
* Tue Dec  6 2016 tbechtold@suse.com
- Fix Requires
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev97:
  * Add host check on replication actions
  * Updated from global requirements
  * New cinder driver to support INFINIDAT InfiniBox
  * NetApp cDOT driver fails to clone from NFS cache
  * Replace functions 'Dict.get' and 'del' with 'Dict.pop'
  * VMAX driver - Ensure VMAX volume matches cinder db volume
* Sun Dec  4 2016 tbechtold@suse.com
- Adjust default config
* Sun Dec  4 2016 tbechtold@suse.com
- Fix sample config generation
* Sat Dec  3 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev86:
  * Remove support for single backend config
  * Update detach_volume() with versionedobjects
  * Update attach_volume() with versionedobjects
  * Calculate virtual free capacity and notify
  * Correct the attributes of volume which created by clone a CG
  * Always allow to create snapshot db record with snapshot-manage
  * Add unsupported status to driver listing
* Fri Dec  2 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev72:
  * Swap volume type for migration started by retype
  * Remove Unicode byte order mark
  * Support A/A in attach/detach operations
  * NetApp Data ONTAP driver enhanced support logging
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev65:
  * [api-ref] Correct status code of backup delete
  * Add cg constraint when deleting a volume type
  * Skip more parameters when import backup record
  * Dell SC: Reject thaw call when backend is failed over
  * Remove nosetests i18n fix
  * Remove 2 unnecessary assignments
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev53:
  * Add logging to FakeLoggingVolumeDriver
  * Remove empty debug_opts
  * Add is_up property to service and cluster objects
  * Fix UnBoundLocalError in update_consistencygroup
  * Deprecate Hitachi Block Storage Driver
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev43:
  * HPE3PAR: handle conflict in iscsi host create
* Mon Nov 28 2016 aplanas@suse.com
- Switch to systemd service files
- Fix tmpfiles creation
* Mon Nov 28 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev41:
  * Create a dell_emc folder for Dell EMC drivers
  * Modify the position of try-except
  * Update v2 and v3 Volume actions documentation
  * Update replication doc
  * Fix glance v2 image update
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev33:
  * Show team and repo badges on README
  * Fix names in online-data-migrations release note
* Fri Nov 25 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev29:
  * Fix UnableToFailOver exception message
  * Replace six.iteritems with dict.items()
  * Log traceback for validate_connector exception
  * Delete the redundant expression expected_attrs
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev21:
  * Updated from global requirements
  * Huawei: Fix the rest query timeout problem
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev18:
  * Add host check while create snapshot
  * Remove use of timeutils.set_time_override
* Tue Nov 22 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev15:
  * Fix typo in test_quotas.py
  * Fix v2 volume create api-reference request parameters
  * Fix "wrap functions with 2 blank lines" pep8 check
* Mon Nov 21 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev10:
  * Add VERSION to ZTE driver class
* Sun Nov 20 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev9:
  * Skip test_storwize_get_host_from_connector_with_lshost_failure
  * Prevent Active-Active on drivers by default
* Sat Nov 19 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev6:
  * Convert backup_device to OVO
* Fri Nov 18 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev5:
  * RBD: improve readability in over provisioning tests
  * Fix typo error
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version cinder-10.0.0.0b2.dev2:
  10.0.0.0b1
  * Add generic code for online data migrations
  * Add VolumeAttachStatus Enum
* Wed Nov 16 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev381:
  * Drop unused parameter in class EntryCreateTask
  * Remove unnecessary setUp and tearDown
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev377:
  * Updated from global requirements
  * Pass OVO instance to copy_volume_to_image
  * Add multipath enhancement to Storwize iSCSI driver
  * VMAX driver - Useful name convention for CG names
* Mon Nov 14 2016 slunkad@suse.com
- Removes file which are no longer present
  * cinder-all
* Sun Oct  2 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev132:
  * Imported Translations from Zanata
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev131:
  * Add the note of maximum microversion
  * VNX: raise exception if no storops
  * Imported Translations from Zanata
  * Fix typo in emc_vmax_fast.py
  * Drop unused parameter in class ExtractSchedulerSpecTask
  * Add test_get_all_by_volume in objects/test_backup
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev120:
  * Imported Translations from Zanata
  * VMware: Remove FakeObject
  * Updated from global requirements
  * Fix typo in devref/api_conditional_updates.rst
  * Fix IndexError in volume manager
  * Updated from global requirements
  * Hacking checks for H105
  * Speed up ibm storwize svc driver's tests
  * Modifies override logic for key_manager
  * Compact Liberty database migrations
  * Storwize: remove SCSI LUN ID for volume attaching
  * Huawei: Backend capabilies report optimization
  * Unexpected function is called in _migrate_volume_generic
* Thu Sep 29 2016 tbechtold@suse.com
- Move tempest tests python-cinder package.
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev95:
  * Remove ovo[fixtures] dependency from tox.ini
  * extract_host: Handle empty host string input
  * Remove dead code - replication RPC APIs
  * Add 'replication_targets' and 'display_name' in API docs
  * Imported Translations from Zanata
  * OVO: OPTIONAL_FIELDS should be moved inside the OVO
  * OPTIONAL_FIELDS should be inside OVO object group_snapshot
  * Moving the OPTIONAL_FIELDS inside the OVO object group
  * Cleanup lintstack exceptions related to objects
  * Allow attribute lazy loading in VolumeType OVO
  * Switch StrOpt to URIOpt for URL config options
  * Ceph doesn't save a container name for volume backup
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev74:
  * Updated from global requirements
  * Imported Translations from Zanata
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev72:
  * Remove placeholder tempest test
  * Provide cfg to ignore lvm descriptor leak warnings
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev68:
  * Imported Translations from Zanata
  * Fix project assignment in VolumeType OVO
  * Reduce redundant call of image show
  * Mark v1 as DEPRECATED in devref
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev61:
  * Allow getting qos_specs in db.volume_type_get
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev59:
  * Imported Translations from Zanata
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev58:
  * Imported Translations from Zanata
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev57:
  * Volume get: Check policy before fetching metadata
  * Fix a typo in scheduler manager "filter_propterties"
  * Imported Translations from Zanata
  * Using assertIsNone() instead of assertIs(None)
  * Limit memory & CPU when running qemu-img info
  * Fix missing string format specifiers
  * Deprecate LocalVD, SnapshotVD, CGVD, ExtendVD, TransferVD
  * XtremIO: fix migration bug
  * Create v3 API Reference
  * Fix request_spec conversion from o.vo to dict
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev37:
  * Updated from global requirements
  * Add snapshot id validation during volume creation
  * Imported Translations from Zanata
  * Remove extra param in list_manageable_snapshots
  * Dell SC: Error attaching after LV-AFO
  * Remove duplicate code in functional tests
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev29:
  * Imported Translations from Zanata
  * Add combined function get_vol_type_by_name_or_id
  * Have a default OPTIONAL_FIELDS for persistent OVOs
  * Include OPTIONAL_FIELDS in VolumeType OVO class
  * Add functional tests for groups
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0rc2.dev23:
  * Imported Translations from Zanata
  * Remove duplicate keys from dictionary
  * Remove unnecessary setUp and tearDown
  * Add missing %%s in print message
  * Reserve 5 migrations for Newton backports
  * Add os-detach to api-ref
  * Stop using mox in unit/*.py (2/2)
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update reno for stable/newton
  9.0.0.0rc1
  * Dell SC: ISCSI initialize_connection fixes
  * Fix release notes formatting
  * DRBD: Don't put clients everywhere
  * Fix creating typeless volumes with Mitaka's c-sch
  * Refactor volume status in managing vol
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev169:
  * Fixed request/response parameters in doc
  * Add volume RPC API v3.0
  * Add scheduler RPC API v3.0
  * XtremIO: bump driver version to 1.0.8
  * Imported Translations from Zanata
  * Fix missing JSON response in API reference
  * Add xUnknownSliceID to retry list
  * Use IP in Kaminario locks and add/delete loggers
  * Dell SC: Disable connectivity failures for new servers
  * VMAX driver - Does not honor clone volume size
  * NetApp: Fix issue with busy snapshot deletion
  * Added config option to enable SSL
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev147:
  * Imported Translations from Zanata
  * Remove unreachable return statement
  * Fix coerce good values in test_fields.py
  * Unit test to use vol obj instead of dictionary
  * Use to_policy_values for enforcing policy
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev137:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove few Kaminario release notes
  * Newton release notes cleanup
  * Fix logic in retype check for encryption changes
  * Added default for ScaleIO driver max_over_subscription
  * VMAX driver - Cleanup of Initiator group fails
  * Fixed illegal syntax error code in ScaleIO rename volume
  * Remove sleep mocks in RBD unit tests
  * Fix RBD timeout
  * VMAX driver - failed rollback on VMAX3 when MV issue
  * Nexenta: Added use of sessions for NexentaEdge drivers
  * Remove host assignment in Snapshot OVO
  * Fix lazy loading cluster field from Service OVO
  * Fix exceed of dd action when copying with path
  * Add strict Boolean checking for storage pools
  * Make divisible py3 compatible in nfs driver
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev108:
  * Save volume_type/group_type uuid into db when creating group
  * Imported Translations from Zanata
  * fix the %%{} when string formating
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev103:
  * VMware: Send additional connection info
  * Imported Translations from Zanata
  * VMAX driver - Removal of iscsiadm from vmax cinder
* Sun Sep 11 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev98:
  * Imported Translations from Zanata
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev97:
  * Add missing release notes
  * Make sure get_backup_device result is an o.vo
  * Remove driver interface changes from reno devref
  * Imported Translations from Zanata
  * VMAX Plugin - Target WWN change for redundancy
  * NetApp cDOT: Fix reporting of replication capabilities
  * Fixes ZFSSANFS driver
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev85:
  * Cleanup Newton release notes
  * standardize release note page ordering
  * Orphan view and multipath issue in Kaminario driver
  * Eqlx: Ignore missing snapshot on delete
  * VMAX driver - Retrieve volume from snapshot
  * Stop using mox in unit/api/contrib/ tests (1/2)
  * Stop using mox in unit/volume/drivers/*.py
  * Remove unused source file tests/unit/db/fakes.py
  * Fix invalid services caused by enabled_backends
* Thu Sep  8 2016 tbechtold@suse.com
- Update to version cinder-9.0.0.0b4.dev71:
  * Imported Translations from Zanata
  * Trivial: Fix a trivial flake8 error
  * Register state_path opts and add it to sample conf
  * VMAX driver - Won't delete pre-existing initiator groups
  * Let setup.py compile_catalog process all language files
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev63:
  * Mark Scality volume driver as unsupported
  * Imported Translations from Zanata
  * Updated from global requirements
  * Support create group with group type name
  * Stop using mox in unit/api/v3/ tests
  * Fix quota rollback on retype failure
* Wed Sep  7 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev54:
  * Provide volume size for tempest volume creation
  * Imported Translations from Zanata
  * RBD: Error when managing a nonexistent volume
  * Fixed indentation
  * XtremIO: fix bug deleting cgsnapshot
  * Remove doc for promote/reenable replica
  * EMC VMAX - multi-attach failure to VMAX3 when SLO is omitted
  * zfssaiscsi driver log messges need cleaned up
  * VMAX Driver - Live Migration for VMAX3
  * Huawei: Modify array LUNs naming rules
* Tue Sep  6 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b4.dev38:
  * Raise NotImplementedError instead of NotImplemented
  * Rename specific driver option with synology prefix
  * Imported Translations from Zanata
  * LeftHand add entry point tracing
  * add more credentials information to check_is_admin
  * check quota per_volume_gigabytes for transfer-accept
  * Performance issue for VNX attache LUN
  * Config logABug feature for Cinder api-ref
  * Fix DellStorageCenter docstrings
  * Fix driver interface checks for ZTE driver
  * Add CI_WIKI_NAME to ZTE Driver
  * Add CI_WIKI_NAME to X-IO Driver
  * Add CI_WIKI_NAME to Synology iSCSI Driver
  * Fix the password print in cinder-volume.log issue
  * When only .pyc left, the extended API can not be used
  * Recover volume status after remove_export
  * VMware: Allow images in ova container
* Mon Sep  5 2016 tbechtold@suse.com
- Update to version cinder-9.0.0.0b4.dev15:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Fix manage existing MissingDependencies error
  * Do not pass unicode to str.isspace()  when disabling a service
  * Correction in log massage format syntax
  * Fix CapacityWeiger to accept None volume type
  * Imported Translations from Zanata
  9.0.0.0b3
  * Dell SC: Add dell_server_os configuration option
  * Add supported driver checks to Zone Manager
  * Fix backup unit tests imports for os-brick
  * Fix backup unit test with new os-brick
  * ScaleIO over subscription support
  * Fix CapacityFilter to accept None volume type
  * Fix HNAS stats reporting
  * Imported Translations from Zanata
  * Deleting volume metadata keys with a single request
  * Add Castellan release note
  * Changes stats report for ScaleIO driver
  * Remove cinder/tests/unit/test_misc.py
  * Imported Translations from Zanata
  * CoprHD: Handle create volume from CG snapshot error
  * Stop using mox in test_wsgi, test_nexenta, test_netapp
  * Fix an invalid function call in test_consistencygroups.py
  * Fix typo in enable_unsupported_driver description
  * Mark GlusterFS driver as deprecated
  * Retype encrypted volumes
  * Create encrypted volumes from images
  * Add encryptor attach/detach in utils
  * XtremIO: fix the returned value of CG actions
  * Stop using mox in unit/api/contrib/ tests (2/2)
  * Change assertTrue(isinstance()) with optimal assert
  * Stop using mox in unit/*.py tests (1/2)
  * Use assertIn instead of assertTrue(A in B)
  * Remove unused function from unit/fake_utils.py
  * Imported Translations from Zanata
  * Clean import in code
  * Remove unused config.CONF
  * Add tempest tests for Consistency Groups
  * HNAS: Add support for manage/unmanage snapshots in NFS driver
  * Reduce the runtime of drivers/ibm/test_storwize_svc
  * Improve TestCase.mock_object method
  * Remove self.__dict__ for formatting strings
  * Imported Translations from Zanata
  * CoprHD: Add missing key in ScaleIO driver
  * Avoid patch loopingcall in VNX
  * Add validation for the metadata properties
  * Removed RPC topic config options
  * Clean imports in code
  * Replace key manager with Castellan
  * Cleanup api-ref
  * Update api-ref path
  * Nexenta: NexentaStor4 NFS driver cache capacity and use sessions
  * Stop using /etc/cinder/cinder.conf for cmd tests
  * Use utils.validate_dictionary_string_length
  * Stop using mox from unit/image/*.py
  * Separate create and update rules for volume metadata
  * Updated from global requirements
  * TrivialFix: remove unnecessary VERSION_COMPATIBILITY
  * Pure - warn when deleting destroyed snapshot
  * Pin RPC server's serializer to min obj version
  * Driver documentation cleanup
  * Host selection when creating backup
  * TrivialFix: Remove cfg import unused
  * Fix password masking result
  * Dell SC: Add exclude_domain_ip option
  * Add support for force backup for Nimble Storage
  * Retype issue in Kaminario Cinder drivers
  * TrivialFix: Remove logging import unused
  * Stop using mox in unit/volume/drivers/emc/*.py tests
  * Stop using mox in unit/consistencygroup/*.py tests
  * Stop using mox in unit/scheduler/*.py tests
  * Stop using mox in unit/zonemanager/*.py tests
  * Stop using mox in unit/backup/drivers/*.py
  * Fix incorrect parameter in create_key
  * Use constraints for api-ref environment
  * Dell SC: Live Volume Autofailover
  * Add new supported driver checks
  * Tests: Fix racy volume unit test
  * vzstorage: fix create/delete snapshots
  * Sending ScaleIO volume id in attach and detach volume
  * Cleanup upgrade-related FIXME's
  * Using oslo_config's min attribute
  * Add replication failback in Kaminario K2 drivers
  * Group specs: Fix exception name
  * Dell SC: Failback replications limited to 5 at a time
  * VMware: Add volume name in vCenter to conn info
  * NetApp: Report multiattach as enabled
  * Attachment lost after migrating in-use volume
  * Fix typo in the huawei_driver.py
  * Updated from global requirements
  * Change NFS driver to not throw exception without nfs shares file
  * Datera driver 2.2 update
  * Reduce the runtime of drivers/dell/test_dellsc
  * Add release note to warn about os-brick lock dir
  * Updated from global requirements
  * Use min attribute from oslo_config
  * Imported Translations from Zanata
  * Fix the interface to call update_server_volume
  * Dell SC: Break_replication unhandled NoneType error
  * Volume Manage/Unmanage Support for IBM FlashSystem
  * Imported Translations from Zanata
  * Change a typo error in the releasenote
  * Fix reported driver's versions
  * Use OVOs to set errors in manage volume/snapshot
  * Use original volume OVO instance in create flow
  * Fix mysql binary comparison
  * Add CI_WIKI_NAME to driver's devref
  * Improve Hitachi HNAS volume drivers log messages
  * Updated from global requirements
  * EMC VMAX - iSCSI Multipath support
  * Fix typo in cinder/tests/unit/image/test_glance.py
  * Clean imports in code
  * Imported Translations from Zanata
  * Enhance api_microversion doc
  * Add CI_WIKI_NAME to Tegile volume driver
  * Add get_manageable_* methods to Pure drivers
  * Use constraints for all tox environments
  * Imported Translations from Zanata
  * Remove the using of dict.get() in assertIsNone
  * Revise Synology DSM storage driver
  * Add volumes/summary API support
  * Imported Translations from Zanata
  * Ignore case when comparing wwns in Pure FC driver
  * NetApp: Add Consistency Group Support for NFS
  * Replication, hard-coding and dict.name issues in K2
  * Update homepage with developer document page
  * Add CI wiki page to driver listing
  * Imported Translations from Zanata
  * Refactor cinder.utils._copy_volume_with_path
  * HNAS: Deprecating XML config file
  * Add functional-py35 to tox
  * Remove code duplication in enums
  * Concurrency issue in K2 iSCSI and FC Cinder drivers
  * VMAX Driver - QoS support for the VMAX3
  * Mask out passwords when tracing
  * Remove debug logger translations
  * Imported Translations from Zanata
  * Fix volume creation with no volume type
  * Dell SC: delete_live_volume payload incorrect
  * Dell SC: Requests async header is invalid
  * Imported Translations from Zanata
  * Use object instead of string when reset backup
  * Prevent doc generation failure on OVO decorators
  * CI: Add CI_WIKI_NAME to all drivers
  * Imported Translations from Zanata
  * Make the volume-manage doc be more general
  * Add missing dependency on keystoneauth1
  * Fix tox pip-missing-reqs
  * Revert "Remove Tegile volume driver"
  * HPE XP add entry point debug tracing
  * Remove resource_common_manage load warning
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove unused context parameter
  * Imported Translations from Zanata
  * QoS support for the Coho Data Cinder driver
  * Add tracing to remotefs entry points
  * NetApp cDOT: Add cheesecake replication support
  * Don't use config option sqlite_db
  * Improve snapshot handling in K2
  * Fix volume retype from SolidFire
  * EMC VMAX - Oversubscription support
  * Updated from global requirements
  * Fix volume upload-to-image for vhd disk-format
  * Imported Translations from Zanata
  * Remove context object in oslo.log method
  * 3PAR add entry point debug tracing
  * Fail manage operations if service is down
  * Support retype in K2 cinder driver
  * Remove comma from end of policy.json
  * Prevent adding same OVO version twice to history
  * Removed a dead db function register_models()
  * Handle snapshot delete conflict in 3par driver
  * Imported Translations from Zanata
  * Specify key algorithm and size for create_key
  * Add functional-py34 to tox
  * Fix size exceed of dd action when clearing a volume
  * HNAS drivers refactoring
  * Use volume o.vo in get_backup_volume_temp_snapshot
  * Imported Translations from Zanata
  * Fix ImportError of fake_driver
  * Add proxy config option to google backup driver
  * Add stochastic weight handler to scheduler
  * Fix Scheduler manager masking retype fail details
  * fixed misspelling in synology_common.py
  * Updated from global requirements
  * Don't puke when exiting driver list
  * corrected the help string in coho.driver
  * Fix ImportError of fake_driver
  * Storwize:create_volume_from_snapshot with different size
  * Imported Translations from Zanata
  * Fixing pending comments for CoprHD Drivers
  * Huawei: Fixed problems caused by password expiration
  * Add metadata length check to volume-manage
  * Dell SC: Use Live Volume for replication
  * Remove race condition from lvextend
* Sat Aug 27 2016 vuntz@suse.com
- Use service-specific config file in addition to cinder.conf for
  each service. For instance, it is possible to have
  cinder-volume.conf to override some settings from cinder.conf for
  the cinder-volume service.
* Fri Aug 26 2016 aplanas@suse.com
- Revert generate PID file for systemd (bsc#991985)
* Mon Aug 22 2016 aplanas@suse.com
- Generate PID file for systemd (bsc#991985)
* Fri Jul 29 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev110:
  * Sheepdog:fix the bug of failed to clone image
* Thu Jul 28 2016 dmueller@suse.com
- allow cinder-rootwrap-daemon
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev108:
  * NetApp: Refactor unit tests
  * Move fake_driver to tests root dir
  * Map volume/snapshot manage extensions to v3
  * Docs: remove todo list generation
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev100:
  * LVM driver: list manageable volumes and snapshots
  * Move drivers unit tests to unit.volume.drivers directory
  * Fix log message when service is disabled
  * Add interface documentation to driver devref
  * Docs: cleanup doc8 errors
  * Update doc README and remove old Makefile
  * Add worker's DB operations
  * Add workers table
  * Modify API to include cluster related operations
  * Update manage with cluster related commands
  * Improve cinder-manage arg parsing
  * Add cluster job distribution
  * Fix wrong declaration in Scheduler's base driver
  * Improve api_version decorator to avoid noqa
  * Add lock decorator to SolidFire clone_image method
  * Dell: Fix docstring cut/paste error
  * Replace locks in remotefs and glusterfs backend drivers
  * Add check to limit maximum value of age_in_days
* Mon Jul 25 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev65:
  * XtremIO: support of snapshot manage commands
* Sun Jul 24 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev63:
  * Imported Translations from Zanata
  * Update Versioned Objects with Cluster object
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev61:
  * Add cluster table and related methods
  * Update OVO instance on destroy method call
  * Refactor sqlalchemy service methods
  * Imported Translations from Zanata
  * Tests: mock notifier in CG tests
  * Block Device Driver: report pools in volume stats
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev52:
  * Remove duplicated code in manage_existing_snapshot
  * Imported Translations from Zanata
  * NetApp: Support new parameter to cDOT clone API
  * Auto sync manager's RPC_API_VERSION
  * Fix CinderPersistentObject.refresh
  * Add missing test case
  * Updated from global requirements
  * Invalid volume state when manage operation fails
  * Dell SC: Add secondary DSM support
  * Fix some typos
  * Remove generate_driver_list dependency on cur dir
  * Huawei: Support reporting disk type of pool
  * Fix 500 for 'qos-create' key or value > 255 characters
  * Remove force option from create_snapshots_in_db()
  * Huawei: Support backup snapshot
  * 3par driver handles concurrent host create conflict
  * Storwize: Fix exception ProcessExecutionError
  * Allow admin project to operate on all quotas
  * VMware: Refactor vmdk unit tests
  * Update initialize_connection to use versionedobjects
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev17:
  * Fix assertEqual usage in test_volume_manage
  * Fix chunked backup driver interface name
  * Removed unused code from cinder.utils
  * Switch _create_temp_cloned_volume in driver to VO
* Fri Jul 15 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b3.dev10:
  * Fix typo in delete snapshot in Synology driver
  * Removed unused code from cinder.utils
  9.0.0.0b2
  * Fixes consistency snapshot creation
  * NetApp: Add aggregate capacity info to scheduler
  * FalconStor: New Cinder driver in Newton
  * Move QualityOfServiceSpecs to use VersionedObject
  * Remove unused __init__
  * Replace int with float to bring math.ceil into effect
  * VMware: Honor vmware_cluster_name during retype
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev401:
  * Trivial: Use fake.VOLUME_ID instead of id
  * Violin Memory iSCSI storage for 7000 series AFA
  * update min tox version to 2.0
  * Use default provisioning type from config
  * Catch GlanceMetadataNotFound in creating cgsnp
* Wed Jul 13 2016 abel.navarro@suse.com
- Removed !pam_setcred from sudoers because bnc#988014
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev392:
  * Updated from global requirements
  * Add Synology DSM storage driver
  * Add ZTE Block Storage Driver
  * iSCSI Target: remove confusing comment/log
  * Changing method _from_db_object to classmethod
  * Implementation for CoprHD Cinder Drivers
  * Image virtual size doesn't fit to volume size
  * Check flashcopy mapping before deleting volume
  * Send scaleio id to os-brick
  * Nexenta: Added HA support and enhance get_volume_stats()
  * Reduce logging level of API validation messages
  * Fix consisgroup V3 interfaces
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev369:
  * Delete *.pyc files before running tox tests
  * Don't apply config fixture to auth_token.CONF
  * Fix failure with "None" volume type in Pure drivers
  * Add backend driver for Zadara Storage VPSA
  * Add cinder backend driver for Huawei FusionStorage
  * Support microversions on inherited Controllers
  * Add strict Boolean checking for volume manage
  * Adds unit test coverage for consistencygroups.py
  * Log traceback for initialize connection failure
* Sat Jul  9 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev352:
  * Do not conjecture volume-id from iscsi_name
  * VNX: New Cinder driver in Newton
  * Moving the OPTIONAL_FIELDS inside the OVO  object
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev347:
  * Replace use of mox with mock in test_base_filter
  * Fix manage existing volume fails after object merged
  * Huawei: Use versionedObject
  * check the validity of metadata when update volume
  * EMC ScaleIO should return ceiling of volume size
  * RBD: uppercase rbd_opts for consistency
  * Implemented unit test cases for HPE LeftHand driver
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev333:
  * Snapshot object has no attribute about size
  * Add return parameter info for manage_existing_get_size
  * cinder-manage db purge has issues with foreign keys
  * Validate extra_specs type
  * Remove white space between print and ()
  * Remove unused LOG
  * EQLX: Extend of snapshot or clone failure
  * Log terminate_connection exception with traceback
  * Add README in release notes directory
  * Remove translation from config options
  * EMC VMAX - locking SG for concurrent threads
  * Add unit tests in cinder component for 3PAR driver
  * 'display-name' is not used in snapshot_manage
  * Storwize: fix unmapped multi-attached volume failure
* Wed Jul  6 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev307:
  * Fix some typos
  * Add logging when filtering returns nothing
  * Just a few spelling modification. "occurred"
  * Updated from global requirements
  * Add __ne__ built-in function
  * Add proper scheduler_hint key to dev-ref
* Tue Jul  5 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev295:
  * Use assertEqual/Less/Greater/In/IsNone
  * Replace use of mox with mock in test_api_urlmap
  * Fix broken link in HACKING.rst
  * Deprecate defining c-vol backends in DEFAULT
  * Correct reraising of exception
  * Use elevated context to query DB in VolumeNumberWeigher
  * Updated unit tests to use official unittest methods
  * Implement match-set type 3PAR FC VLUN creation
* Sat Jul  2 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev280:
  * Violin: resize volume if cloned lun is larger
* Fri Jul  1 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev278:
  * Dell SC: Do not set High Availability in async mode
  * Replace use of mox with mock in test_ibm_xiv_ds8k
  * Huawei: Support huawei consistency group
  * Replace use of mox with mock in test_brick_lvm
  * Use True instead of 1 in while loop
  * XtremIO: fix test suite
  * Add strict Boolean checking for quota show
* Thu Jun 30 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev264:
  * Fix raise UnableToFailover call in SolidFire
  * Provide Kaminario K2 all-flash array FC driver
  * Replace use of mox with mock in test_lvm_driver
  * Huawei: Support iSCSI configuration in replication feature
* Wed Jun 29 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev256:
  * Remove six.iter*
  * Updated from global requirements
  * Add validation for container name
  * VMware: Fix create vol from streamOptimized image
  * Remove mock.patch.stopall call in test_smbfs
  * Correct unavailabe to unavailable
  * Dell SC: Specify High Availability for create replication
  * Refactoring Kaminario iSCSI driver
  * Implement unit test for HPE Lefthand driver
  * Add validation for type extra_specs
  * Adding Scaling QoS for ScaleIO driver
  * huawei-iscsi-multipath-support
* Mon Jun 27 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev232:
  * Increment Pure Storage Driver Versions
  * Don't reuse pep8 env in compliance tox runs
  * Trivial Fix
  * Added coverage report to tox.ini
  * Add strict Boolean checking for qos delete
  * Nexenta: Add NBD driver for NexentaEdge
  * Fix wrong usage of exception's attribute message
  * volume upload-to-image fails for iso disk-format
* Mon Jun 27 2016 jsuchome@suse.com
- Add systemd service macros (bnc#986415)
  systemd v228 has a separate generator for generating the service
  files from the init scripts, and daemon-reload is needed during
  package installation
* Mon Jun 27 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev217:
  * NetApp: Finish SSC refactor by removing dead code
  * fix cinder ceph backup driver padding error
  * Replace 1024*1024*1024 with units.Gi to express more accurately
  * Nimble: Don't query all vols from DB in do_setup()
  * Huawei driver should return ceiling of volume size
* Fri Jun 24 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev207:
  * Replace mock with self.override_config
  * Make dict.keys() PY3 compatible
  * Move _validate_extra_specs to cinder/utils
  * Move _check_metadata_properties to cinder/utils
  * NetApp: Replace SSC for cDOT block & file drivers
  * Call _init_volume_driver in backup manager
* Fri Jun 24 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev196:
  * Capability lists in Cinder scheduler
  * Updated from global requirements
  * Add missing coordination=True on service start
  * Improve DB volume check in LVM manage volume
  * Fix permissions error when configuring nfs backend
  * Volume manage/unmanage support for Eqlx driver
* Thu Jun 23 2016 gaykaosipian@gmail.com
- Replace generate_sample with oslo-config-generator call.
* Thu Jun 23 2016 gosipyan@suse.com 
- Update to version cinder-9.0.0.0b2.dev184:
  * Updated from global requirements
  * tempest: Add Unicode volume name test
  * Updated from global requirements
  * Fix pylint error in K2 iSCSI driver
  * Fix lock files littering working dir during tests
  * Fix TSM backup driver test mocks
  * Revert "Revert "use utf8 as default charset for all tables in mysql db""
  * Fix snapshot stuck in 'deleting' after reboot c-v
  * Updated from global requirements
  * Revert "use utf8 as default charset for all tables in mysql db"
  * use utf8 as default charset for all tables in mysql db
  * add FIXME tag for extra argument 'topic' in scheduler rpc api
  * update coordination.Lock.release's docstring
  * Use cinders test class in cloudbyte unit tests
  * Correct DB modifications from compaction
  * Add unit tests in cinder for HPE Lefthand driver
  * Provide Kaminario K2 all-flash array iSCSI driver
  * VMware:Persist storage policy ID in vmdk meta-data
  * Allow setting CG name or description to empty value
  * Support None value of extra_specs in cinder-scheduler filter
  * Fix db purge for volume_types FK constraint
  * ABC Metaclass for IBM FlashSystem
  * IBM FlashSystem: Add host check for iSCSI driver
  * vzstorage: add ploop volume format support
  * Use versionedobjects in remotefs.py
  * Move test from test_glusterfs and test_quobyte to test_remotefs
  * Netmask needs corersion to string
  * image_size_m should get ceiling of image
  * Handle quota exceed exception
  * Replace locks in volume manager
  * Updated from global requirements
  * Start/Stop coordinator with Volume service
  * Tests: Remove notification_driver config
  * Tests: Use mock for notifier tests
  * 3PAR: Fix delete volume when online clone
  * Add driver interface checks
  * Add test type clarification to devref
  * Backup and restore broken in zfssaiscsi driver
  * Windows SMBFS: fix VHD/x resize
  * Remove duplicated fake drivers
  * Cleanup volume_type_projects
  * Implement OVO class init mechanism
  * Add debug level logs on OVO backports
  * Stop assuming persistent OVOs are also DictCompat
  * Move OVO methods from CinderObject to Persistent
  * Remove remotable from OVOs
  * Use manifest to backport OVOs during upgrades
  * Add parameter info for manageable snapshots
  * Adds ACL, IP Pool, Multipath to Datera Driver
  * Dell SC: Retry unhandled exception REST Gets
  * Fixed _create_3par_iscsi_host(), added unit test for 3PAR
  * Set QoS on cloned volumes
  * VMware: Deprecate vCenter version 5.1
  * Update manage_existing to use volume object
  * VMware: Fix constants in unit tests
  * Updated from global requirements
  * EMC driver should return ceiling of volume size
  * Use oslo_middleware sizelimit
  * migrate to os-api-ref
  * NetApp: Log unexpected errors from backend
  * Add Auth Version 3 support in Swift Backup Driver
  * Add error messages to conditional updates devref
  * Add docstrings to CG and CG Snapshot filters
  * Virtual size should get ceiling of image
  * DRBD: Allow to set options for new resources
  * SolidFire driver should return ceiling of volume size
  * Clean up man page and remove version/date
  * 3PAR: Fix terminate_connection when failed over
  * VMware: Remove unused methods
  * Fix MySQL DB error in Delete CG
  * Nimble driver should return ceiling of volume size
  * Updated from global requirements
  * Remove locks from Pure volume drivers
  * Give more fine grained access to DriverInitiatorData
  * Remove IN_USE from ConsistencyGroupStatus enum
  * Compact Kilo database migrations
  * Bump to Nova v2.1
  * Switch to using correct TaskFlow Failure class
  * NetApp NFS Cmode: Fix NotFound exception
  * GPFS: Fix consistency group ERROR_CREATE status
  * Coho data sanity fix in the driver unittest
  * Dell SC: Added support for failover_host failback
  * Minimize cost of DB exists decorator checks
  * Pass volume_type_id in when deleting snapshot
  * List manageable volumes and snapshots
  * Return BadRequest for invalid 4byte unicode character
  * Remove mox usage from test_nexenta
  * Manage/unmanage snapshot in ScaleIO driver
  * LeftHand Fix terminate_connection when failed over
  * Storwize: terminate_connetion NPIV perf improvement
  * DRBD: ensure_export() might not have 'provider_location'
  * Remove test_conf.py
  * model_update for temp volume or snapshot in backup
  * Fix Brcd zone driver initiator zone update
  * Fix backup using temp snapshot code path
  * Add sample config file to cinder docs
  * Add unit tests in cinder component for HPE drivers
  * Provide consistency to "Openstack-Api-Version" header
  * Enable str2size() to handle long int for i386
  * Define context.roles with base class
  * Clarify glance_api_insecure help text
  * Support IP lookup of target portal DNS name
* Sat Jun  4 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev7:
  * Optimize service find in migration
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version cinder-9.0.0.0b2.dev5:
  * Remove the duplicated definition of _add_to_threadpool
  * Imported Translations from Zanata
  9.0.0.0b1
  * Remove API races from consistency groups
  * Add unit test case in Nimble Driver
  * Fix attachment_get_by_* to return entire list
  * Remove API races from migrate and retype
  * Huawei replication should use auto recovery policy
  * Coho Data: Reconnect to cluster on broken pipe
  * Fix 3PAR cg display name issues
  * Huawei: Raise if no FC port found
  * Fix an error in CG object
* Wed Jun  1 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev422:
  * Updated from global requirements
  * Dell SC: Switched REST calls to async where available
  * Make IBM drivers return snapshot object for cg ops
  * Add test for checking object compatibilities
  * Fix typos in Cinder files
* Tue May 31 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev414:
  * Updated from global requirements
  * Fix retype from non-repl to repl type in Pure drivers
  * Mark deprecated options correctly
  * VMware: Refactor unit tests
  * Lazy load a project quotas's default values
  * Removed unreachable code
* Sun May 29 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev406:
  * Updated from global requirements
  * gpfs: Add changed options for 'find' command in rootwrap filters
  * Move all backups related unit tests to backup directory
  * Move consistency groups tests to consistencygroup directory
  * Volume manage should parse volume size as float
  * VMware: Use _in_use() to check for in-use volumes
* Sat May 28 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev394:
  * Add pagination support to messages
  * NetApp: E-Series driver using invalid host-types
* Fri May 27 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev390:
  * NetApp: Add iterator handling to client library
* Fri May 27 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev388:
  * Fix image-volume cache to use volume object when evicting
  * Dell SC: Changed rename volume REST API call
  * Specify a user-agent in Pure volume drivers
  * Assisted snapshot:  use Keystone Session with Nova Client
* Thu May 26 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev380:
  * Revert "Add hacking check to prevent assert_called_once"
  * Add hacking check to prevent assert_called_once
  * Handle SSL termination proxies for version list
  * NetApp: Remove type checks from manage workflow
  * Fix up RPC cleanup process
  * Mark the v1 API as deprecated
* Wed May 25 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev368:
  * Fix AttributeError when obtaining 'name' attribute from 'snap'
  * gpfs: remove a race in deleting volumes
  * Sheepdog:make full use of all sheepdog nodes
* Tue May 24 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev362:
  * Updated from global requirements
  * VMware: Increase default task poll interval
  * VMware: Update volume config during unmanage
  * Drop use of invalid assert_called_once call
  * Updated from global requirements
  * Add debug messages and comments for ceph backup
  * Fail on disabled_reasons with more than 255 chars
  * Windows iSCSI: properly handle config option
  * ScaleIO actual volume size model update
  * Refactored the update method in api.py for vol obj
  * IBM FlashSystem: Cleanup host resource leaking
  * Add unmanage volume for RBD driver
  * Fix misspelled word in help text
* Sat May 21 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev338:
  * Avoid ascii code error for request body strings
* Sat May 21 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev336:
  * Remove unused logging import and LOG global var
  * Add SnapshotStatus enum field
  * Tests: Fix mock imports
  * Capacity weigher: Pass correct arg to super()
  * Tests: Don't attempt connection for Coho driver init
* Fri May 20 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev326:
  * Prevent Multitable conditional updates
  * Remove support for 1.x volume RPC API
  * Remove inappropriate Copyright
  * RBD: include cluster name in connection info
  * 3PAR Clean up VLUN deletion on detach
  * Remove object to dictionary translation logic
  * Use check_string_length from oslo_utils
  * Implement CHAP Authentication for E-Series Driver
  * Remove unnecessary v3 VolumeController.__init__
  * Remove unnecessary created_at from ORM Message
* Wed May 18 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev306:
  * Tests: Use unique volume IDs in backup tests
  * Move LVM tests to test_lvm_driver.py
  * Move CG unit tests to test_cg.py
  * Updated from global requirements
  * Make api_microversion_dev more explicit
  * Whitelist 'rm' in api-ref tox environment
  * Dell Eqlx: Volume from snapshot now honors resize
  * Use example.com in unit tests
  * NetApp: Rewrite user API discovery logic
  * DB: Optimize volume existence check
  * Reorder DB API require_context decorators
  * Manage existing volume with invalid host
  * Remove support for 1.x Backup RPC API
  * remove extra quota commit of manage snapshot
  * Add replication v2.1 test cases
  * Add upload_image API role-based access policy
* Tue May 17 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev275:
  * Failback will enable the host that has been frozen
  * VMware: Reduce volume creation time
* Mon May 16 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev271:
  * Remove API races on extend and volume_upload_image
* Sun May 15 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev269:
  * Fix taskflow parameters for manage_existing
* Sat May 14 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev267:
  * Correct misspelt words in msg in cinder
  * WADL to RST migration in cinder tree
  * Extend remove_version_from_href support
  * Fix return value of _clone_image_volume
  * Cleanup orphaned code from image and manager
* Fri May 13 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev258:
  * Properly mock out image_utils operations for tests
  * image: don't use is_public with glance V2 API
  * Change provider_id to StringField
  * Add missing SnapshotUnavailable to cinder/exception.py
  * Fix uncaught NotFound exceptions
* Wed May 11 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev249:
  * Fix v3/volumes.py VolumeController super(...) parameters
  * Remove CG db access in Storwize driver
  * Dell SC: find_volume failure in manage and retype
  * 3PAR driver failure SR License missing in array
  * Change OVOs project_id and user_id to StringField
  * Replace manually changing CONF options
  * Added 'volume:get_transfer' to policy.json file
  * NetApp: Decouple capacity volume stats collection
  * Fix py34 error of indexing 'dict_keys' object
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev232:
  * Use to_utf8() instead of safe_encode() in convert_str()
  * Move initiator_data access to helper methods
  * Add ability to filter by volume_glance_metadata
  * Add Cheesecake APIs to policy.json file
  * Add snapshot_metadata operations to policy.json
  * Fix Lun ID 0 in HPE 3PAR driver
  * NetApp: Managing cDOT LUN by UUID fails
  * Add devref for conditional updates
  * Fix gate-cinder-tox-db-functional job
  * Add ordering possibilities to conditional update
  * Updated from global requirements
  * VMware: Support for paraVirtual image adapter type
  * Pass default executor to os-brick
  * NetApp: Use Local Cache to Copy an Available Image
  * Add provider_location to cloned volume
  * Move and rename tempest_tests to cinder/tests/tempest
  * Tests: lower case all fake uuid constants
  * Tests: Fail if oslo.versionedobjects issues Invalid UUID warnings
  * Removed extra line of code
  * ibm flashsystem: Fixing hardcoded attribute
  * Use utils.convert_str to convert HTTP header values
  * Huawei: Do not do split if replication pair abnormal
  * DRBD: extend volume if larger than snapshot
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev190:
  * Fix uuid warnings in various api contrib unit tests
  * Fix snapshot test uuid warnings in api.contrib
  * Fix volume test uuid warnings in api.contrib
  * Fix vol type/spec uuid warnings in api.contrib
  * Fix qos_manage uuid warnings in api.contrib tests
  * Fix CG uuid warnings in api.contrib unit tests
  * Fix admin_actions uuid warnings in api.contrib
  * Fix uuid warnings from api.contrib backup tests
  * Fix uuid warnings from test_db_api unit tests
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev181:
  * User messages API for error cases
  * Imported Translations from Zanata
  * fix invalid uuid in emc extremio unit tests
  * fix invalid uuid warnings from test_cmd
  * Fix invalid uuids in tintri unit tests
  * Fix uuid warnings from db unit tests
  * Fix invalid uuids in EMC scaleio unit tests
  * Tests: Fix invalid UUIDs in EMC VNX tests
  * VMware: Remove TODO for port config option
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev165:
  * Imported Translations from Zanata
  * Add in-tree tempest tests
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev162:
  * Imported Translations from Zanata
* Mon May  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev161:
  * Fix 20 typos on devref
  * Remove XML API
  * Microversion of Bootable filter in cinder list
  * 3PAR: Remove metadata that tracks the instance id
  * Use messaging notifications transport instead of default
* Fri Apr 22 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev151:
  * init_host offload to default to true
  * Imported Translations from Zanata
  * Updated from global requirements
  * Storwize: Multiple management IP not raising exceptions
  * VMware: Unit test refactoring
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev143:
  * Updated from global requirements
  * Handle TFlow short comings in SF driver
  * Add failed_over detection to SolidFire driver
  * Implement replicate_volume & failover on SolidFire
  * Deprecate nas_ip and change this to nas_host
  * Imported Translations from Zanata
  * Cleanup volume_attachment in case of reset-state attach_status
  * Coding style issue
  * Fix RPC and Object version pinning on API
  * Fix service version pinning on start
  * Hacking: Ignore tools/ for C303
  * Pylint: refactor ignored message lists
  * Brocade FCZM: Fix LOGOUT_PAGE reference
  * NexentaStor: Remove extra format string specifier
  * SMBFS: Fix initialize connection issues caused by in-use images
  * Changed Nexenta default chunksize from 16k to 32k
* Tue Apr 19 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev115:
  * Implement Cluster Pairing for SolidFire Driver
  * Fix minor typos in the migration devref
  * Fix doc and source documentation errors and warning
  * RBD: delete snapshots if missing in the backend
  * Remove support for 1.x scheduler RPC API
  * Launchpad Answers no longer used
  * Fix doc build if git is absent
  * Updated from global requirements
  * Tests: Define fake_constants as constants
  * Doc: Remove incorrect run_tests.sh documentation
  * Update _usage_from_backup() method with versionedobjects
  * Stop using tpool with oslo_db
  * Conditionally restore display_name
  * Fix Brcd lookup service to use defined southbound protocol
  * Test: use assert_has_calls() instead
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev91:
  * Updated from global requirements
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev90:
  * fix invalid uuid warnings from test_quota
  * Fix fake uuids in NetApp ESeries unit tests
  * Fix invalid uuids in sheepdog unit tests
  * Update SolidFire driver to store cluster info
  * Fix driver.failover_host call in manager.py
  * Dell SC: Updated to utilize provider_id
  * VMware: Support for non-default port
  * Convert  Retry-After header parameter value to string
  * Fix for  inconsistent cinder-services state change
  * GPFS:  Implement volume backup and restore
  * cinder.api: Replace 'locals()' with explicit values
  * cinder.[brick,db,image] Replace 'locals()'
  * Fix syntax error in  cinder-volume-usage-audit
  * Update dev docs   * Quick pass at implementing the basics for cinder dev docs   * Remove the N/A compute related stuff   * Clean up the architecture a bit to only show cinder related   * Remove various modules form TOC's that aren't applicable
  * Pruned Authors file to active contributors (from nova-volumes)
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev77:
  * Remove deprecated ISERTgtAdm
  * Set backup import volume id to real uuid
  * fix ConsistencyGroup volume_type_id field
  * Provide user friendly message for FK failure
  * XIO: refactor _send_cmd to reduce the redundant
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev69:
  * Updated from global requirements
  * Fix ExtraSpecsOpsTestCase sub unit tests
  * check per_volume_gigabytes quota for cinder extend
  * Imported Translations from Zanata
  * Updated from global requirements
  * Make cinder-all binary deprecated
  * Update the Administrator guide links
  * Fix meaningless quota exceeded exception info
  * EMC VMAX - Operations and timeout issues
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version cinder-8.0.1.dev55:
  * Fix typos in Cinder files
  * Cleanup DB schema after Mitaka
  8.0.0
  * Huawei: Fix getting admin_metadata
  * Imported Translations from Zanata
  * NexentaStor4 iSCSI: convert blocksize to str
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * XtremIO handle errors in terminate_connection:
  * Imported Translations from Zanata
  * Check hasattr before calling get in SolidFire
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Report 2.0 as supported version of RPC APIs
  * Fix volume RPC API methods related to backups
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Dell SC: create_cgsnapshot returning wrong structure
  * Imported Translations from Zanata
  * Fix race condition when toggling SP
  * Huawei: Record and check LUN wwn
  * SMBFS: fix parsing volume type extra specs and metadata
  * VMware: Bump driver version
  * Update .gitreview for stable/mitaka
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev109:
  * Remove "patch mock to raise for invalid assert calls"
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev107:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Fix typos in Cinder files
  * Dell Eqlx: Cloning volume does not honor new size
  * Fix for NexentaEdge jsonrpc url formatting
  * NexentaStor drivers: resize volume if cloned image is larger
  * Don't disallow quota deletion if allocated < 0
  * Remove PyMySQL and psycopg2 from test-requirements.txt
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev93:
  * Fix volume retype failure with on-demand policy
  * Fix invalid error message of volume create
  * Added more options while uploading volume as image
  * Alter wrong comment about param filters
  * Run py34 tests with plain 'tox' command
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev86:
  * Dell SC: Checking volume size in create_volume_from_snapshot
  * http header value must be a string
  * python34 tests don't run without python3-dev
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev80:
  * Fix uuid warnings from api.v2 unit tests
  * Fix uuid warnings from api.v1 unit tests
  * Fix api/v1 unit test inconsistencies
  * Add fake_cgsnapshot for unittest use
  * Re-enable image to volume with failure test
  * Storwize: fix deadlock and major lock granularity issue
  * Support oversubscription for IBM Storwize/SVC
  * Sheepdog:optimization of connection error handling
  * Fix invalid uuids in rbd unit tests
  * Don't suppress the path part of glance url
  * VNX: Enhance migration start verification
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev59:
  * rtstool surrounds IPv6 addresses by brackets
  * Huawei: Fix getting admin_metadata
  * Remove unused utils.find_config function
  * Storwize: Set multiattach property per pool
  * Support https keystone CA checking in volume quotas
  * VNX: Add 'None' check in parsing provider location
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev49:
  * Remove entry_points from setup.cfg
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev47:
  * Dont query image metadata for empty volume list
  * Cleanup orphaned code from brick LVM
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev44:
  * XtremIO handle errors in terminate_connection:
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev43:
  * Datera: resize volume if cloned image is larger
  * Updated doc string
  * typo: add a missing '}' in comment
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev38:
  * Docs: Add genconfig to devref toc
  * Report 2.0 as supported version of RPC APIs
  * NexentaStor5 iscsi: resize volume if cloned image is larger
  * Dell SC: Error results moved to json
  * Enable functional test for volume creation
  * Remove extra get_active_zoneset query from Brocade CLI
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev27:
  * Fix the format problem of LOG in failover_host
  * Re-add policy check for get_snapshot
  * Fix volume RPC API methods related to backups
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev22:
  * Remove bandit.yaml in favor of defaults
  * NexentaEdge: resize volume if cloned image is larger
  * Imported Translations from Zanata
  * Dell SC: create_cgsnapshot returning wrong structure
  * Hitachi drivers: resize volume if cloned image is larger
  * Fix error message when running genconfig
  * Add get_volume_stats for LoggingVolumeDriver
  * Use the catalog to retrieve glance_api_servers
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0rc2.dev10:
  * Update reno for stable/mitaka
  * VMware: Bump driver version
  * Imported Translations from Zanata
  * Huawei: Record and check LUN wwn
  8.0.0.0rc1
  * Fix race condition when toggling SP
  * SMBFS: fix parsing volume type extra specs and metadata
* Thu Mar 17 2016 tbechtold@suse.com
- Update to version cinder-8.0.0.0b4.dev274:
  * Reserve 5 migrations for Mitaka backports
  * Add update_host for backup in cinder-manager
  * Fix formatting in vol/snap delete API messages
  * Cleaned duplicate dictionary values
  * Fix compatibility mode of backup jobs scheduling
  * Add devref on rolling upgrades
  * 3PAR fix create_cloned_volume for larger size
  * Check volume_id consistent when creating backup
  * Huawei: Check when attach hypermetro volume
  * Huawei: Check the QoS status before we use
  * LeftHand: Add default SSH timeout and key values
  * Pass correct source_id to _handle_bootable_volume_glance_meta()
  * Revert "VNX: Set timeout for naviseccli"
  * Add backup RPC API v2.0
  * Huawei: Implement v2.1 replication
  * Emit notifications for volume retype
  * EMC VMAX - SSl connection is not picking up values
  * Add volume RPC API v2.0
  * Disallow quota deletes if default under usage
  * Add scheduler RPC API v2.0
  * Rework Storwize/SVC protocol to fix add_vdisk_copy
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b4.dev234:
  * Use get_by_args instead of get_by_host_and_topic
  * Fix format in cinder/volume/drivers/netapp/dataontap/block_base.py
  * NetApp E-Series: Volumes not added to consisgroup
  * Fix volume migration VolumeType exception
  * Fix retype failure when original has no volume type
  * IBM XIV/DS8K: Implement Replication v2.1
  * Remove circular import to fix config generation
  * Wrong comment line in quotas.py
  * Imported Translations from Zanata
  * VNX: Set timeout for naviseccli
  * VNX: Allow set migrate rate when migrating volumes
  * Fix ScaleIO driver does not honor clone size
  * Imported Translations from Zanata
  * Huawei: Creating hypermetro failed in the remote pool
  * Delete deprecated configuration in NFS tests
  * Imported Translations from Zanata
  * Fixup stats key for replication in init_host_with_pc
  * Add the key 'replication' and set the correct 'replication_status'
  * register the config generator default hook with the right name
  * Fix for Pure drivers not checking full client version
  * Fixup for Pure drivers cheesecake replication setup
  * Remove empty directories and unused files from unit tests
  * Cleanup 3PAR/LeftHand failover_host exceptions
  * Use googleapiclient import instead of apiclient
  * Enable api.view.test_versions unit tests
  * Allow clone volume with different size
  * DRBD driver: resize volume if cloned image is larger
  * Fix 500 error if 'offset' is out of range
  * Imported Translations from Zanata
  * RBD: remove duplicate clone test
* Tue Mar 15 2016 tbechtold@suse.com
- update Requires
* Fri Mar 11 2016 tbechtold@suse.com
- Update to version cinder-8.0.0.0b4.dev154:
  * Fix up failover_host exceptions to preserve states
  * Add release note for delete volume with snaps
  * Move replication_status update to init_with_rpc
  * Permit volume type operations for policy authorized users
  * Add volume_type to volume object expected_attrs
  * Storwize: Update replication to v2.1
  * LeftHand: Create cloned volume didn't honor size
  * Switch failover-host from rpc call to cast
  * Dell SC: Active_backend_id wrong type
  * Show qos_specs_id based on policy
  * Cleanup Mitaka release notes
  * Moved CORS middleware configuration into oslo-config-generator
  * Correcting thin provisioning behavior
  * NetApp: volume resize using clone fails with QoS
  * DRBD: Policy-based waiting for completion
- Adjust Requires
* Thu Mar 10 2016 tbechtold@suse.com
- Update to version cinder-8.0.0.0b4.dev124:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Pass RBD order to clone call
  * Remove "sqlite_clean_db" option
  * Exclude test.py from sample conf
  * Fix invalid UUID warnings for test_volume_*
  * Huawei: Check before delete host
  * Fix failure with rbd on slow ceph clusters
  * Remove those unnecessary statements "return True"
  * Imported Translations from Zanata
  * Report versions in cinder-manager service list
  * Dell SC: create_cloned_volume didn't honor size
  * Fixes creating volume issue for multiple management IPs
  * Imported Translations from Zanata
  * Add volumes table definition when migrating to 67
  * Trim 5s+ from storwize unit tests
  * microversion header for legacy endpoints removed
  * Update quotas to handle domain acting as project
  * Fix backup import
  * Unset executable bit in release note
  * Handle exceptions about snapshot in backup create
  * Replace logging with oslo_log
  * Imported Translations from Zanata
  * Fixup release notes for v2 -> v2.1 replication impls
  * support new HTTP microversion header
  * Fix for glance_metadata during volume migration
  * Readd iscsi_target table
  * Imported Translations from Zanata
  * Fix issue with Pure drivers delete_snapshot exception handling
  * Add backend id to Pure Volume Driver trace logs
- Adjust Requires according to requirements.txt
* Mon Feb 29 2016 johannes.grassler@suse.com
- Ensure cinder services are started after openstack-keystone (bsc#955786)
* Sat Jan 30 2016 dmueller@suse.com
- readd cinder logfile option
* Tue Jan 19 2016 mjura@suse.com
- Add 0001-Sort-options-in-cinder-conf-DEFAULT-section.patch
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev227:
  * Fix delete_snapshot error case in Pure driver
  * Wrong usage of "an" in the mesages: an service
* Thu Jan  7 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev224:
  * Constant defined for sqlAlchemy VARCHAR & INTEGER
  * Change minimum 3PAR API version for replication
  * Optimize 3PAR array ID retrieval
  * Add metadata aliases to Volume object
  * Re-enabled hacking checks for H105
  * Don’t log warnings for image cache when disabled
  * Fix grammatical mistake in defining articles
  * Scality SOFS: don't always read /proc/mounts twice
  * Remove name_id when creating volume with cache enabled
  * Allow replicated volumes to be recoverable
* Wed Jan  6 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev204:
  * Add BackupStatus enum field
  * Updated "deleted" column of volume_type_access
  * Add Fujitsu ETERNUS DX Volume Driver (again)
* Tue Jan  5 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev199:
  * Updated from global requirements
  * Updates consistency group for ibm svc driver
* Sun Jan  3 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev195:
  * Fix issue with flake8 check and full paths
* Fri Jan  1 2016 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev194:
  * Fix race conditions in migration 061
  * Replace use of mox with mock in test_nfs
  * Add backref relationships to ConsistencyGroup obj
  * Fix creating volume by snapshot for GPFS driver
* Thu Dec 31 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev186:
  * Small refactoring in test_admin_actions.py
* Wed Dec 30 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev184:
  * Misspelling in message
  * Fix some warnings about 'unused variable' for XIO
  * Add volume driver for Tegile IntelliFlash array
  * Fix to allow RBD delete an unprotected snapshot
  * Rebrand HP XP driver to now be HPE
  * Replace use of mox with mock in test_rbd
* Tue Dec 29 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev172:
  * Remove the deprecated ibmnas driver
  * Wrong usage of "a"
  * Rename Huawei drivers
  * Quota API is now compatible with keystone API v2
  * Enhance the stats reported from the Pure Volume Drivers
  * Retyping volume got error under max vol limit
  * Add config option to enable reporting discard
  * Making NFS _find_share efficient
  * Modify VO so that obj.get always defaults to None
  * Updated violin driver check for volume objects
  * Do not use api-paste.ini osprofiler options
* Thu Dec 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev152:
  * Remove API races from attach and detach methods
  * Add pagination support to Qos specs
  * Updated from global requirements
  * Imported Translations from Zanata
  * Storwize: Split up __init__ into separate files
  * Replace use of mox with mock in test_quotas
  * Update Pure REST API supported version numbers in Pure driver
  * Backup snapshots
* Wed Dec 23 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev138:
  * Imported Translations from Zanata
  * Fix volume upload failure with glance_api_version=2
  * Fix bugs caused by porting to python3
  * Imported Translations from Zanata
  * Disable capabilities based on 3PAR licenses
  * Add empty initialize_connection method to PureBaseVolumeDriver
  * Fix python 3.x import issues with pure.py
  * Override osapi_volume_listen_port for test_workers
  * Updated from global requirements
  * Remove downgrade migrations
  * 3PAR: Implement un/manage snapshot support
  * Error handling for invalid SLO/Workload combo
  * 3PAR: Implement v2 replication (unmanaged)
  * Add serial number to eseries ASUP payload
  * XtremIO: fix generic glance cache with XtremIO
  * VMware: Add support for VVOL datastores
  * Tooz locks
  * Imported Translations from Zanata
  * Preserve request id in Cinder logs
  * Pass volume_id in request_spec for manage_existing
  * Move retype quota checks to API
  * Recalculate allocated value of parent project
  * VNX: Fix failure in SnapCopy feature
  * NetApp: Refactor E-Series tests
  * Port zonemanager to Python 3
* Fri Dec 18 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev91:
  * Change the format of some inconsistent docstring
  * Add volume_extensions:quotas:delete to policy.json
  * Check backup service before backup delete
* Thu Dec 17 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev85:
  * Imported Translations from Zanata
  * EMC VMAX - get_short_host_name not called in find_device_number
* Wed Dec 16 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev82:
  * Skip check whether volume is local if it's None
  * Imported Translations from Zanata
  * Implement refresh() for cinder objects
  * Implement snapshots-related features for Block Device Driver
  * Refactor cinder.utils.is_valid_boolstr
  * Add synchronization in Block Device driver
  * Updated from global requirements
  * Volume migration: add 'name_id' as valid skippable field
  * Sheepdog: Fix a problem about multi backend
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev65:
  * Fix invalid cache image-volume creation
  * Remove eventlet WSGI functionality
  * Deprecated tox -downloadcache option removed
  * Recognize extra fields in CinderObjectDictCompat
  * Replace use of mox with mock in test_solidfire
  * EMC VMAX - Fix for randomly selecting a portgroup
  * NetApp: E-Series fix JSONDecodeError on first add
* Mon Dec 14 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev52:
  * Imported Translations from Zanata
  * Storwize: add config option to control flash copy rate
* Sat Dec 12 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev48:
  * Fix for showing default quotas to non-admin user
  * Use wild card for passing env variable
  * VNX: Fix issue in deleting cg/cgsnapshot
  * Retype functionality in Tintri driver
* Fri Dec 11 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev41:
  * Imported Translations from Zanata
  * Add validation for volume_type of volume object
  * Updated from global requirements
  * Fix non-migration swap with error
  * Check context before returning cached value
  * Use Cinder API v2 for Rally scenarios
  * XtremIO: fix iscsi chap discovery bug
* Thu Dec 10 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev29:
  * 3PAR: Implement v2 replication (managed)
  * Python 3: fix a lot of tests
  * Volume driver for Coho Data storage solutions
  * XtremIO: fix missing multiattach flag
  * Dynamically Pull Out Option Sections
  * Update migrate_volume API to use versionedobjects
* Wed Dec  9 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev17:
  * Fix StrOpts with integer defaults
* Mon Dec  7 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev15:
  * Address potential races in SolidFire VAG
* Sat Dec  5 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev13:
  * Remove version per M-1 release instructions
  * Use proper config option to connect to keystone
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.0b2.dev9:
  * Robustify writing iscsi target persistence file
  8.0.0.0b1
  * Adding devref about genconfig
  * VMware: Replace mox with mock
  * VMware: Unit test refactoring (image to vol - 2/2)
  * VMware: Unit test refactoring (image to vol - 1/2)
  * Remove deprecated LVM ISCSI and ISER Drivers
  * Add a FakeGateDriver
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev400:
  * LIO: Handle initiator IQNs as case insensitive
  * Fix dictionary key error
  * Imported Translations from Zanata
  * Delete unused codes in rbd.retype
  * Fix the bug of can't get the desired image info
  * Port Windows drivers to Python 3
  * Fix typo in LIO terminate_connection error msg
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev386:
  * Add Mitaka-1 release notes
  * xio: fix regression in authentication
  * Add some missing fields to Volume object
  * Imported Translations from Zanata
  * Add retype in lvm driver
  * Take into consideration races in XtremIOClient3
  * Optimize "open" method with context manager
  * Sheepdog: Optimization of error handling
  * Cleanup orphaned code in sqlalchemy API
  * Cleanup orphaned code from ceph backup driver
  * Remove db access in VNX driver
  * Declare multiattach is True in Dell Eqlx driver
  * EMC VMAX - Change naming convention for MV and SG for FAST
  * Update compression license check
  * Fix ZFSSA drivers' local cache bugs
* Tue Dec  1 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev356:
  * Updated from global requirements
  * Force releasenotes warnings to be treated as errors
  * Improve metadata update operations
  * Add atomic conditional updates to objects
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev348:
  * ScaleIO extend volume round up capacity
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev346:
  * Fix quotas issue during volume transfer
  * Nexenta Edge iSCSI backend driver
  * RBD: Make snapshot_delete more robust
  * Hacking Checks for assertTrue/IsNone()
  * Update list_replication_targets
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev336:
  * Remove netaddr useless requirement
  * Support insecure NAS security options in Quobyte
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev332:
  * Revert "Add Scality SRB driver"
  * VMware: Validate extra spec opt vmware:clone_type
  * Port key manager to Python 3
  * Fix InstanceLocalityFilter scheduler filter
  * Fix ScaleIO driver provisioning key
  * Port xio driver to Python 3
  * Remove kombu as a dependency for Cinder
* Wed Nov 25 2015 tbechtold@suse.com
- Fix sample config generation
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev318:
  * Remove stubs and add resource cleanup
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev316:
  * Move oslo-incubator's scheduler module to cinder
  * VMware: Skip unsupported datastore types
  * Port IBM storewize_svc driver to Python 3
  * Declare multiattach is True in RBD driver
  * XtremIO fix attach readonly bug
  * CG API should return volume type IDs
  * Fix the bug of OSError when convert image
  * Don't build two tox envs for pep8(-constraints)
  * Add check_uptodate.sh --checkopts to "pep8"
  * Fix metadata retrieval in GPFS driver
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev296:
  * Retry on database deadlock on service_update method
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev294:
  * Add guidelines for release notes to devref
  * Imported Translations from Zanata
  * Eager load columns in volume_get_active_by_window
  * Port EMC VMAX to Python 3
  * Port EMC VNX CLI to Python 3
  * Add os-win to requirements.txt
* Mon Nov 23 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev282:
  * Updated from global requirements
  * LeftHand: Remove self.db assignment
  * Deprecate *_multipath_enabled flag for IBM drivers
  * Fix debug output for cinder-volume-usage-audit
  * Move get_by_id to CinderObject
  * Imported Translations from Zanata
  * Fix swap_volume for case without migration
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev269:
  * Imported Translations from Zanata
  * fast8: Skip git rm'd files
  * Manage existing: fix volume object saving
  * Remove .mailmap file
  * VNX: Fix metadata get overriden issue
  * Remove db access from XIV/DS8K CG functions
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev258:
  * Remove db access from 3PAR and LH cg functions
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev256:
  * Additional VAG support for SolidFire
  * Imported Translations from Zanata
  * Added VAG support to SolidFire
  * Refactor HP LeftHand driver to now be HPE
  * Bad exception clauses order
  * Update CONTRIBUTING.md to CONTRIBUTING.rst
  * ScaleIO driver: update_migrated_volume
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev243:
  * Imported Translations from Zanata
  * Check specific driver enabled in create_backup
  * get_all_snapshots: Fix log message typo
  * Update extend_volume API to use versionedobjects
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev235:
  * Updated from global requirements
  * Port HP 3PAR driver to Python 3
  * Modify test_hpe3par to support random hash
  * Imported Translations from Zanata
  * Downstream Fix for Genconfig
  * 3PAR Fix find_existing_vluns
  * Support initialization state in Backup Manager
* Sun Nov 15 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev221:
  * Imported Translations from Zanata
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev220:
  * Remove the HP CLIQ proxy driver
  * Correct assertDictMatch argument order
  * Imported Translations from Zanata
  * Refactor HP 3PAR drivers to now be HPE
  * add "unreleased" release notes page
  * Update retype API to use versionedobjects
  * Update get/delete_volume API to use versionedobjects
  * Add test for snapshot filtering by project id
  * Port zfssa driver to Python 3
  * Add LC_ALL=C to lvcreate, lvextend and pvresize
  * NetApp: Fix issue with updating E-Series password
  * NetApp: E-Series fix deletion of missing volume
* Fri Nov 13 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev196:
  * py3: Fix error handling in prophetstor driver
  * Updated from global requirements
  * Update create_volume API to use versionedobjects
  * CG driver function should not access db
  * OpenStack typo
  * Port vzstorage to Python 3
  * NetApp: Fix issue with E-Series volume expand
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev182:
  * Test for object version hash changes
  * Fix cinder objects unit test registration
  * Imported Translations from Zanata
  * Use oslo_config new type PortOpt for port options
  * CG creation should be scheduled on backend level
  * Removal of deprecated NPIV option in Storwize
  * XtremIO fix create CG from src flow
  * Update cinder-manage man to match current options
  * Add retype logic in manage_existing for VNX
  * Adds CORS support to Cinder
* Tue Nov 10 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev163:
  * Change nfs to NFS in the help strings of nfs.py
  * Port cinder.utils.monkey_patch() to Python 3
  * 3PAR drivers volume size conversion is incorrect
  * VMware: Relocate volume only during no disk space
  * Update the devref for volume migration
* Mon Nov  9 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev153:
  * Don't use default=None for config options
  * Use Service object instead of DB API directly
  * Docstring fix in scheduler-stats
  * Port cinder.hacking to Python 3
  * Add reno for release notes management
  * Update register_opts hacking check to allow tuples
  * Fix UsedLimitsController's authorizer to soft
  * Case sensitivity problem in cinder scheduler
* Sun Nov  8 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev137:
  * Imported Translations from Zanata
  * Port vmware datastore to Python 3
  * Add protocol to help of glance_api_servers option
  * Fix delete quota of subprojects
* Sat Nov  7 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev131:
  * Port test_tintri to Python 3
  * Using extra-specs in cloned vols for Nimble driver
  * Brocade driver add_zone optimization
  * SMBFS: Fix retrieving total allocated size
  * NetApp: Cleanup if E-Series volume create fails
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev121:
  * Fix failure of unit test TestCinderAllCmd
  * Execute mount.nfs check with absolute path
  * Imported Translations from Zanata
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev116:
  * Imported Translations from Zanata
  * Update minimum tox version to 1.8
* Wed Nov  4 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev112:
  * Replace warnings.warn in sqlalchemy-api
  * Replace warnings.warn in glusterfs
  * Fix calling delete_zones method with a wrong argument
  * Return volume_type extra specs based on policy
  * lvconvert missing from cinder volume.filters
  * Add qos_specs_id to volume type show
  * Implement update_migrated_volume for NFS driver
  * Move CloneableVD to common functions
* Tue Nov  3 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev96:
  * SheepdogDriver: Improve get_volume_stats operation
  * Add -constraints for CI jobs
  * VMware: Enforce min vCenter version
  * Retype support for CloudByte iSCSI cinder driver
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev89:
  * Revert "Handle correct exception raised by python-novaclient"
  * Eager load snapshot_metadata in *snapshot_get_all
* Thu Oct 29 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev85:
  * Updated from global requirements
  * optimize the copy_image_to_volume method of sheepdogdriver
  * Imported Translations from Zanata
  * Handle correct exception raised by python-novaclient
* Tue Oct 27 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev78:
  * Imported Translations from Zanata
  * Add retries for Cisco FCZM client CLI _cfg_save
* Mon Oct 26 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev74:
  * Add hypermetro support for Huawei driver
* Sun Oct 25 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev72:
  * Add missing cgsnapshot field to Snapshot object
* Sat Oct 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev71:
  * Make relationships in objects consistent
* Fri Oct 23 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev69:
  * Imported Translations from Zanata
  * Remove the jointly loaded model in finish_volume_migration
  * Update docs to generate Guru Meditation Report
  * Dell SC: Disable REST verify warnings
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev63:
  * Fix NoneType Attribute error
  * Imported Translations from Zanata
  * VMware: Unit test refactoring
  * Cleanup for cinder tests with CGSnapshot
  * Updates in consistency_group in xiv/ds8k driver
  * Improve performance listing detail for volumes
* Wed Oct 21 2015 tbechtold@suse.com
- Add missing Requires for python-enum34 and python-oslo.policy
* Wed Oct 21 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev51:
  * Fix typos about 'target_discovered'
  * Imported Translations from Zanata
  * Updated from global requirements
  * devref doc: assorted fixes in "Unit Tests"
  * LIO: Let delete_initiator succeed if iqn not found
  * CGSnapshot Object
  * Remove unused gettextutils from oslo-incubator
  * Ensure replication functions check driver status
* Mon Oct 19 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev36:
  * Huawei driver handle volume exists error
* Mon Oct 19 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev35:
  * Port API admin action tests to Python 3
  * Mark XML API as deprecated in Mitaka
* Sun Oct 18 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev31:
  * Updated from global requirements
* Sat Oct 17 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev30:
  * Use project id from volume when retyping volumes
  * Only use LOG.exception in exception handler
  * Fix method VolumeTypeList.get_all
  * Volume extend error does not catch exception
* Fri Oct 16 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev23:
  * Port API types extra specs to Python 3
  * Port API to Python 3
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev19:
  * windows: don't use LOG.exception if not logging an exception
  7.0.0
  * Squashed commit of WebOb 1.5 and oslo.db fixes
  7.0.0.0rc2
  * Fix VMAX live migration problem
  * Imported Translations from Zanata
  * Dell SC: cgsnapshot-delete doesn't actually delete
  * Huawei driver add check before use a QoS
  * Report *real* free capacity in Huawei driver
  * Revert use of netapp_lib from NetApp Drivers
  * Add placholder for migration backports in Liberty
  * Cleanup of Translations
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev199:
  * Fix updating only volume type is_public
  * encryption_api_url requires a version
  * Cleanup/move code in Storwize Driver
  * Port WSGI tests to Python 3
  * Use lvm_conf_file directory for LVM_SYSTEM_DIR value
  * Update config format for replication_devices
  * Remove extra register_opts() calls in netapp eseries
  * Add backup_swift_auth_url to swift backup driver
* Wed Oct 14 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev183:
  * Change default Exception code to 500
  * Fix log formatting for rbd driver
  * Fix Status-Line in HTTP response
  * Updated from global requirements
  * Tox fast8: use pep8 env dir
  * Move ssh_utils tests to test_ssh_utils
  * Provide better debug log when 'cinder manage' fails
  * Improve coverage for snapshot_get_by_host
* Tue Oct 13 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev170:
  * Fix test_misc for WebOb 1.5
* Mon Oct 12 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev169:
  * Convert Retry-After header parameter value to string
* Sun Oct 11 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev167:
  * Port violin driver to Python 3
* Sat Oct 10 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev165:
  * Fix error string format for replication API calls
  * Port IBM flashsystem to Python 3
  * Port ceph driver to Python 3
  * Add fast format option for thick volume creation
  * Retype enhancement for EMC VNX cinder driver
  * Verify volume is replication capable
  * Port EMC scaleio to Python 3
  * Port image cache to Python 3
  * Remove unused 'deprecated' option from auth_strategy opt
  * Add updated_at into response of listing detail
* Fri Oct  9 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev146:
  * Remove references to Swift in chunked driver
  * Add insecure option for swift backup
  * ScaleIO: Fix protection_domain_id log message at init
  * Port test_srb to Python 3
  * Imported Translations from Zanata
  * Updated from global requirements
  * Add device identifier to replication device
  * Add multi-initiator extra-spec for Nimble driver
  * Fix SolidFire target composition
  * Port targets test_iet_driver to Python 3
  * py3: Run unit tests with ostestr on Python 3.4
  * Add testresources and testscenarios used by oslo.db fixture
  * Clone cg support in VNX driver
  * Test_backup_swift: Don't leak notifications
  * test_backup_nfs: Set volume id per test
  * test_backup_swift: Set volume id per test
  * Fix capacity report error in Huawei driver
  * XtremIO fix remapping bug
  * Handle KeyManager exception when deleting a volume
* Thu Oct  8 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev109:
  * Dell Eqlx: Support over subscription in thin provisioning
  * Hacking check for opt name registration
  * Add ability to set prefix in SolidFire Volume name
  * Updated from global requirements
  * Fix broken format string in vol mgr log
  * Detach volume on device validation failure
  * emc vmax driver: use integer division for Python 3
  * VMAX Target iSCSI IP Address
  * Updated from global requirements
  * Delete a temporary volume in DB with admin context
  * Fix update quota of subprojects
  * Port test_quobyte to Python 3
  * Port netapp SSC Cmode to Python 3
  * Port test_netapp to Python 3
  * VMAX Truncate Storage Group Name
  * HNAS iSCSI manage does not work with spaces
  * Port scheduler host manager to Python 3
  * Fix various Python 3 issues
  * Fix volume throttling to Python 3
  * Fix enable/disable_replication raise InvalidVolume
  * Tests: print fake_notifier queue upon mismatch
  * Cleanup orphaned code from cinder root directory
  * Image cache tests: use fake_notifier
  * Implement extend_volume method to Block Device driver
  * Small optimization in Block Device driver
  * DRBD: new option "drbdmanage_devs_on_controller"
  * Obtain target authentication from database same as LIO target
  * LVM: Make sparse_copy_volume private, use for capabilities
  * Dell SC: cgsnapshot-delete doesn't actually delete
  * Port test_volume to Python 3
* Thu Oct  1 2015 dmueller@suse.com
- disable logging to syslog for cinder
* Wed Sep 30 2015 aplanas@suse.de
- Update to version cinder-8.0.0.dev48:
  * Fix typo in cinder-config-generator.conf
  * Fix unreachable code pylint issues
  * Fix update Huawei driver issue
  * Fix Python 3 issues in wsgi
  * GlusterFS: extend volume to the right path
  * Use pbr wsgi_scripts to install Cinder WSGI entry point
  * Report *real* free capacity in Huawei driver
  * Add placholder for migration backports in Liberty
  * Fix VMAX live migration problem
* Tue Sep 29 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev30:
  * py3: Port pure driver test to Python 3
  * Imported Translations from Zanata
  * Fix Bad indentation pylint issues
  * Show image metadata
  * Fix volume related operation in CloudByte driver
  * Remove the destination volume check in delete_volume
  * Huawei driver add check before use a QoS
  * Create a page of drivers with stevedore.sphinxext
* Sun Sep 27 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev15:
  * Add placholder for migration backports in Liberty
  * Revert use of netapp_lib from NetApp Drivers
  * Missing configuration opts from cinder.sample.conf
  * Use function capsulation in Huawei driver
  7.0.0.0rc1
  * Create volume in cg enhancement in VNX driver
  * Remove duplicate keys from dictionary
  * Port image_utils to Python 3
  * Port volume transfer to Python 3
  * Python 3 incompatible expression fix
  * Check sio_storage_pools in check_for_setup_error
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version cinder-8.0.0.dev172:
  * Open Mitaka development
  * Fix URL format in Huawei driver
  * Allow c-vol backends to start when some backends fail to load
  * Make rpc_client method private for VolumeCommands
  * Fixing create CG from Cgsnapshot bug in VNX driver
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev162:
  * Fix use of wrong storage pools for NetApp Drivers
  * Ignore Forbidden error on quotas-get for nested projects
  * Replace soft_delete in volume_type_access_remove
* Tue Sep 22 2015 tbechtold@suse.com
- Update to version cinder-7.0.0.0b4.dev156:
  * Change ignore-errors to ignore_errors
  * NetApp volume/snapshot delete performance fix
  * Fix way of getting LUN id in Huawei driver
  * Dynamically create cinder.conf.sample
  * Updated from global requirements
  * Fix MITM vulnerability for Brocade FC SAN lookup
  * Enable certificate verification during image copy
  * Correctly report multiattach in Pure drivers
  * Remove the unnecassary volume_api.get(context, volume_id)
- Adjust Requires according to requirements.txt
- Fix config sample generation call
* Sat Sep 19 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev140:
  * Imported Translations from Zanata
  * Fix cinder-all binary
  * NetApp: Fix volume extend with E-Series
  * Fix netapp_enable_multiattach default for E-Series
  * Attaching enhancement for EMC VNX driver
* Fri Sep 18 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev130:
  * Fix issue of volume after host-assisted migration
* Thu Sep 17 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev128:
  * Check for None on service's updated_at
  * Tests: Split VolumeTestCase into separate classes
  * Local img-cache files ignored for image transfers
  * Snapmirror targets should not be reported as pools
  * Change check method for 'all_tenants'
  * Fix QoS keys not being available to scheduler
  * Extra specs may not be in volume types
  * Create CG needs extra specs
* Wed Sep 16 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev114:
  * Fix NetApp clone from glance failure
  * Fix usage of novaclient
  * Fix volume lookups in SolidFire template caching
  * Remove driver.set_execute()
* Tue Sep 15 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev107:
  * Storwize: Fix format string
  * Check for empty attributes on SF volume
  * Huawei: fix multi REST-URLs bug
  * Fix order of arguments in assertEqual
  * Remove empty rules from policies for API access
  * Add consistency group tests to test_volume_rpcapi
* Mon Sep 14 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev96:
  * Don't rely on provider_id for resource deletion
* Sun Sep 13 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev94:
  * Fix Pure get pgroup volume snapshot name
  * Lenovo driver fix access to common opts
  * Retrieve volume in update_migrated_volume
* Sat Sep 12 2015 cloud-devel@suse.de
- Rebased patches:
  + 0001-Fix-block_device-driver.patch dropped (merged upstream)
* Sat Sep 12 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev88:
  * Dothill fix options access
  * HPMSA fix access to common options
  * Fixed missing log variable types
  * VMware: Fix invalid product name
  * Swap the decorator order for PureFCDriver methods
  * Add ScaleIO Cinder driver commands
  * SolidFire provider_id for snapshots on init
  * LeftHand Add update_migrated_volume to drivers
  * LVM: add the exception handling to volume copy
  * Hacking log format arg check
  * backup init_host cleanup exception handling
  * Add ConsistencyGroup object entries to linstack.py
  * Fix typos in comments
  * Add migrate_volume to BaseVD
  * ZFSSA driver to return project 'available' space
  * Use version convert methods from oslo.utils
  * Fix block_device driver to behave as documented
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev56:
  * Fix NetApp loop in clone of NFS backed images
  * Pass in snapshot refs for host on provider_update
  * Filter hosts with pool in snapshot_get_by_host
  * Add unmanage default implementation to VolumeDriver
* Thu Sep 10 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev48:
  * Making opt names consistent
  * Filter scheduler: Fix KeyError on invalid create request
  * Updated from global requirements
  * Return a tuple from SolidFire update_provider_info
* Wed Sep  9 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev42:
  * Update update_migrated_volume in VNX driver
  * 3PAR Disable generic image volume cache
  * Fix HDS HNAS driver logging password as plain text
  * Add mechanism to update snapshot provider_id
  * Adds allow_availability_zone_fallback option to Cinder
  * VMware: Fix re-attach volume error for VC 5.1
* Tue Sep  8 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev31:
  * Add os-brick's scsi_id command to Cinder rootwrap
  * Fix description for "Barbarism of editting a file"
  * Handle attachment of second volume
* Mon Sep  7 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev27:
  * VMware: Remove global patching of open
  * Switch SVC driver to use lsportfc to determine FC target WWPNS
  * Fix the virtual port support in VNX driver
  * Correct usage of assertEqual for boolean values
* Sun Sep  6 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev21:
  * Updated from global requirements
  * Error message in update_migrated_volume was incorrect
* Sat Sep  5 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b4.dev17:
  * VMware: Skip ESX hosts in maintenance mode
  * 3PAR Add update_migrated_volume to drivers
  * Updated from global requirements
  * Use consolidated update for failover_replication
  * VMware: Fix exception messages
  * NetApp E-Series over-subscription support
  7.0.0.0b3
  * Remove useless response checks in SolidFire driver
  * DotHill driver fix create_cloned_volume parent id
  * 3PAR Fix create_cloned_volume source volume id
  * Remove deprecated options
  * Detect addition of executable files
* Fri Sep  4 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev478:
  * Get full volume model in Replication manager API’s
  * Fix problem of efficient volume copy for migration
  * Generic image-volume cache
  * Implement thin provisioning support for E-Series
  * Cloudbyte fix create_cloned_volume parent id
  * Remove executable bits on files
  * NetApp DOT block driver over-subscription support
  * Cleanup for SnapshotObject
  * Implement manage/unmanage snapshot in Pure drivers
* Thu Sep  3 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev460:
  * Scheduler-based over-subscription for NFS drivers
  * ScaleIO driver should use os-brick connector
  * Check before add lun to QoS in Huawei driver
  * Minor optimization
  * Earlier authority check for create volume API
  * Support efficient non-disruptive volume backup in VNX
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev448:
  * Add instructions on how to deploy API under Apache
  * Sync volume versionedobject to ORM
  * Fix backup metadata import missing fields
  * Add delete_snapshot and update_snapshot rules
  * Fix a merge problem in VMAX driver
  * Add additional SSC extra specs to E-Series driver
  * Implement AutoSupport for NetApp E-Series driver
  * Add support for volume groups and netapp_raid_type
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev432:
  * Service object
  * Allow specified backend capabilities to be retrieved
  * Add cinder.conf.sample to gitignore
  * Don't require OpenSSL for unit tests
  * Add pagination to backups
  * Enhance FC zone support for Huawei driver
  * Add support for file I/O volume migration
  * Add debug logging before attaching volume in driver
  * Adding delete-wait-loop for CloudByte Volumes
  * 3PAR update driver to store stats
  * Reduce runtime of E-Series iSCSI tests
  * force_detach terminate_connection needs connector
  * Remove the method delete_volume_admin_metadata
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev407:
  * Fix url in API response to get original
* Mon Aug 31 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev405:
  * Clean up line continuation in Storwize driver
  * Validate filters in snapshot*, backup* in db.api
  * Add the ability to update type public status
  * Enhance deletion efficiency when backup init host
* Sun Aug 30 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev397:
  * get_replication_updates call to driver is wrong
  * Efficient volume copy for generic volume migration
  * Volume status management during migration
  * Adds framework for get_capabilities() feature
  * Add retries to delete a volume in the RBD driver
  * Dell SC: init_volume stale volume info fix
  * Cinder Nested Quota Driver
  * Local cache feature of Oracle ZFSSA drivers
  * Update volume status AFTER terminate_connection is done
  * Sheepdog: improve create and delete operation
  * Sheepdog: Add class for dog command executor
  * Prevent that all backup objects are deleted
  * Allow CG without snapshot to be deleted
* Sat Aug 29 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev371:
  * LeftHand: Adding Consistency Group Support
  * Skip intermittent VMDK tests
  * Rework Scality SOFS driver to use RemoteFS class
  * Fix volume copy for 'virtual' volumes in DotHill
  * Imported Translations from Transifex
  * Add manage/unmanage volume support for Nimble
  * Add unit test for backup get_all
  * Incremental backup improvements for L
  * Extend unit tests for backup get_all
* Fri Aug 28 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev353:
  * Replace urllib.unquote with urllib.parse.unquote
  * Remove unused dependency discover
  * Implement function to manage/unmanage snapshots
  * Filter out extra-specs from type get for non-admin
  * Parameter osapi_max_limit is always used by default
  * Update NetApp Drivers to use netapp_lib
  * adds user_id to check_is_admin
  * Add Cinder API wsgi application
  * Nested Quota Driver: Get Project Hierarchy
  * Port test_nfs to Python 3
* Thu Aug 27 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev333:
  * Dont eager load volume type specs on volume list
  * Add pagination to snapshots
  * Fix nimble storage volume stats reporting
  * TemporaryImages to inspect image before conversion
  * Efficient image transfer for Glance cinder store
  * Fix backup list all_tenants=0 filtering for admin
  * Assisted volume migration for Oracle ZFSSA drivers
  * Add https options and minor code changes
  * Cleaning up CONF.register_opts() in compute/__init__.py
  * Add more Rally scenarios to run
* Wed Aug 26 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev314:
  * Cinder replication V2
  * Add volume retype support for Huawei driver
  * Port 3PAR drivers to use ABCMeta driver model
  * Move import and export backup metadata to object
* Tue Aug 25 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev306:
  * Fix bad except clauses order
  * Fix URLs to admin-guide-cloud
  * Dell SC: Added logging for the find_wwns functions
  * Add version columns to services table
  * Add backup/restore methods to Sheepdog driver
* Mon Aug 24 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev296:
  * Fix Pure create volume from cgsnapshot
  * Prevent volume already in CG to be added to another
* Sun Aug 23 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev292:
  * Add missing space to logged error in create volume
  * Update provider_id column on SolidFire init
  * Add ability to update provider_id during init
  * Validate value when user update quota
  * Avoid returning volume metadata in DotHill driver
  * EMC VMAX Create CG from CG Snapshot
* Sat Aug 22 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev280:
  * Fix _LI() to _LW() in LOG.warning message
  * Add SolidFire svip to config options
  * Return multiple iSCSI portals in VNX Cinder driver
  * Updated from global requirements
  * Switch to the oslo_utils.fileutils
  * Parse out SolidFire account from api response
  * Dell SC: Better exception handling in init_conn
  * Rename free_virtual in capacity filter
  * Update deprecated version of novaclient
  * RemoteFS: Fix doc for locked_volume_id_operation
* Fri Aug 21 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev263:
  * Updated from global requirements
  * Corrects the order of AssertEquals params in Quobyte tests
  * Adds the random option to cinder retry function
  * Remove duplicate keys from dictionary
  * Update devref unit tests doc
  * Test whether sample config generation works
  * Make migration's volume source deletion async
  * Refactor to remove duplicate code
* Wed Aug 19 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev248:
  * LeftHand driver is ignoring reserved_percentage
  * Tests: Fix zfssa TestRestClientURL.test_request
  * Revert "mark oslo.vmware as optional dependency"
  * Register the volume_opts config options in remotefs.py
  * Configure space reservation on NetApp Data ONTAP
  * Dell SC: Fix error causing missed log message
  * Adds manage/unmanage methods for HNAS drivers
  * 3PAR: Adding Consistency Group Support
  * Remove unused function volume_type_encryption_get
  * Correct comment to be consistent with code
  * Allow 0 length name
  * Add volume migration support for Huawei driver
  * Cleanup for cinder tests with ConsistencyGroups
  * VMware: Change inventory folder hierarchy
  * Adapt SnapshotController to view builder
  * Use min and max on IntOpt option types
  * Over subscription for HP 3PAR drivers
  * Tintri snapshot id
  * Add volume type support to Datera
  * Implement Clone CG in Pure Volume Drivers
  * Dell Eqlx: Use generic option ssh_timeout
  * Make X-IO volume driver wait for delete volume to complete
  * Reduced file size to prevent timeout
  * Update SolidFire driver to pass newer flake8
  * 3PAR: Adding performance metrics to volume status
  * Don't use context.elevated to get volume
  * Enable cinder-manage to remove services
  * VMware: Bump driver version
  * Fix backup init_host volume cleanup
  * VMware: Deprecate vCenter version less than 5.1
* Mon Aug 17 2015 mjura@suse.com
- Fix block_device driver to behave as documented
  * Add 0001-Fix-block_device-driver.patch
* Fri Aug  7 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev60:
  * Sync scheduler module from oslo-incubator
  * Fix PEP476 & format message of Oracle ZFSSA drivers
  * Add multiple pools support to VMAX driver
  * Add bandit for security static analysis testing
  * RemoteFS: Fix the offline snapshot delete operation
* Thu Aug  6 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev52:
  * Refactor api.v2.volumes unit tests
  * Dell SC: Add check of current value on retype
  * Add SmartX support for Huawei driver
  * Fix order of arguments in assertEqual
  * Fix status comparison for attached volume backup
  * Updated from global requirements
  * Over subscription for HP LeftHand iSCSI driver
  * Clone CG
  * Port NetApp NFS drivers to use ABC driver model
  * Set driver version in Sheepdog driver
* Wed Aug  5 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev34:
  * NetApp ESeries: fix delete of non-existent volume
* Tue Aug  4 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev33:
  * Fix get default quota values for subprojects
  * Add mock cases for IBM FlashSystem
* Mon Aug  3 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev30:
  * Updated from global requirements
  * Set VERSION on the Nimble driver
* Sun Aug  2 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev26:
  * VMware: Fix protocol in backend stats
* Sat Aug  1 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev24:
  * Use prefix for SolidFire template account
  * Fix multi-line docstrings to meet hacking rules
  * sqlalchemy exception kills FixedIntervalLoopingCall thread
  * Fix error message in cinder/api/v2/volumes.py
  * Fix concurrent attaches on HNAS iSCSI driver
  * Posix backup driver
  * RBD: use user-configured value for max_clone_depth
  * Remove deprecated SimpleScheduler
  * Add I/T mapping check for IBM FlashSystem
  * Add iSCSI multipath support for Huawei driver
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev9:
  * Fix exception on uploading a volume to image with glance v2 API
  * Move update_migrated_volume() to BaseVD
  * LVM: Support efficient data copy for LVM driver
* Thu Jul 30 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b3.dev5:
  * Add deactivate step to extend_lv
  7.0.0.0b2
  * Log which service is down
  * Remove deprecated config options for Liberty
  * Updated from global requirements
  * Adding NFS support to the GPFS Driver
  * Windows iSCSI: Add CHAP authentication support
* Wed Jul 29 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev307:
  * Fix cleanup_temp_volume_snapshots for missing vol
  * Fix doc string definitions
  * Port StorwizeSVCDriver to use ABCMeta driver model
  * Add extra spec capability for Nimble Cinder Driver
  * XtremIO support for iscsi discovery auth
  * Add multiple pools support for Huawei driver
  * Port XIVDS8K Driver to use ABCMeta driver model
  * EMC VMAX Modify CG
  * Remove resource lock operation for HBSD
  * NetApp E-Series: Add debug tracing
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev287:
  * typos(?) in create_snapshots_in_db
  * Add volume_attachment to volume usage notifications
* Mon Jul 27 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev283:
  * Refactoring of manager's create_volume flow
  * Remove unused arguments from c-vol's create_volume
* Sun Jul 26 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev279:
  * XtremIO volume driver consistency group support
  * Dell SC: Fix legacy bug, init_conn bug and REST API bug
  * Don’t log warnings in Pure initialize_connection
  * Remove unused serialize_args method
* Sat Jul 25 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev271:
  * Updated from global requirements
  * Remove simple scheduler which is deprecated since Juno
  * Implement retype for Pure drivers
  * Dell SC: Add support for driver retype
  * Add Cinder internal tenant support
  * VMware:Replace vCenter calls with oslo.vmware calls
  * Rename filename from il8n.rst to i18n.rst
  * Add drivers list generator
  * Move volume.api test to correct location
  * Remove logging statements from migrations
  * Revert "Remove X-IO volume driver"
  * Filter cgsnapshots data on the DB side
  * Graceful shutdown WSGI/RPC server
  * Remove "volume:services" rule from policy.json
  * Raise BadRequest for invalid replication status
  * Removing OpenvStorage for no CI
  * Fix properties extracting from image with glance api v2
  * Fix getting wwpn information in infortrend driver for DS4000
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev236:
  * Non-disruptive backup
  * DRBD: Rename a constant to a better name
  * Dell SC: Fix Consistency Group issues
  * Add CHAP support for Huawei driver
  * DRBD: Define a separate prefix for snapshots
  * Prevent missing Purity hosts from raising errors
  * Backups: allow name to be specified during restore
  * Add unit tests for cinder.api.v2.volumes
  * Remove obsolete API from documentation
  * Tests: test_volume mock conversion
  * Fix restore point if backup base is diff-format in ceph
  * VMware: Create volume backing in specific clusters
* Thu Jul 23 2015 seife+obs@b1-systems.com
- fix suse_version conditions for non-SUSE distro build
* Mon Jul 20 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev212:
  * Refactor Huawei Volume driver
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev210:
  * Add white list support for target ports in VNX driver
  * Remove lio_initiator_iqns config option
* Fri Jul 17 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev206:
  * Fix 3PAR driver handling of existing VLUNs
  * scality: add export and name keys to os-initialize_connection info
  * Report capability of multiattach for FlashSystem
  * Handle volume not found on zfssa volume delete
  * Raise HTTP exception for backup not found
  * Support SMI-S provider v8.0.3 in VMAX driver
  * Fix getting out-of-date volume operation state issue for VNX
* Thu Jul 16 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev192:
  * Preserve mock side_effect’s in test_pure
  * Remove useless logging from unit tests
  * Cleanup unused method fake_get_target
  * Add support for force-delete backups
  * VMEM v6000: Fix export verify routines
  * Dell SC: Add support for ManageableVD
* Tue Jul 14 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev180:
  * StorPool: clean up the last uses of str.format()
  * Removing archaic references
  * cinder list fails with 'name' sort key
  * Storwize_svc_npiv_compatibility_mode default value change
  * Remove unused parameter in PureFCDriver _connect
  * Updated from global requirements
  * Fix saving tz aware datetimes in Versioned Objects
  * set/unset volume image metadata
  * Add ability to override OpenStack privileged user auth url
  * NetApp ONTAP: Add debug tracing
  * Fix HBSD horcm driver with oslo.concurrency 2.1.0
* Mon Jul 13 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev158:
  * Fix not implemented wording in update_migrated_volume
* Sun Jul 12 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev156:
  * Improve 3PAR driver VLUN creation and deletion
  * Remove hacking check N327
* Sat Jul 11 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev152:
  * Fix tests failing in gate
  * Fix NetApp cDOT driver use of Glance locations
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev149:
  * Set encrypted key in connection_info during initialize
  * GlusterFS: support extending a volume that has snapshots
  * Add missing argument to delete_keys method
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev144:
  * Nested Quota: Set default values to subproject
  * Fix missing pool name in consistency group
  * Add tracing facility for drivers
  * Fix error message in Pure driver with correct text
  * Storwize Driver zone removing
  * Dell SC: Add support for consistency groups
  * Port NetApp E-Series iSCSI driver to ABC model
  * Validate maximum limit for quota
  * RemoteFS: Reporting configured reserved_percentage in _update_volume_stats
  * Port huawei driver to Python 3
  * Correct overquota error message
  * Validate outermost request body element name consistently
  * Scality SOFS: enhance how the remoteFS mount is detected
* Tue Jul  7 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev120:
  * Notify the transfer volume action in cinder
  * Avoid race condition at snapshot deletion stage
  * Return 404 if volume type encryption is not found
* Mon Jul  6 2015 cloud-devel@suse.de
- Update to version cinder-7.0.0.0b2.dev114:
  * Remove duplicate volume.filters entry
  * Separate FlashSystem FC and iSCSI common code
  * Update expected error message from lvs
  * Remove X-IO volume driver
  * Mock socket.gethostbyaddr in test_v7000_fcp
  * smbfs: fix invalid check for smbfs_used_ratio correctness
  * Port test_db_api to Python 3
  * Port hitachi driver to Python 3
  * Do not allow to modify access for public volume type
  * Use right oslo.service entry points
  * Add unit tests for the capacity filter
  * Validate bool value using strutils.bool_from_string method
  * Fixed misspelling in solidfire.py
* Mon Jul  6 2015 rsalevsky@suse.com
- Update to version cinder-7.0.0.0b2.dev90:
  * Implement the update_migrated_volume for the drivers
  * Fix Python 3 issues in cmd
  * Port image/glance.py to Python 3
  * Switch to oslo.reports
  * Updated from global requirements
  * Fix block eventlet threads on rbd calls
  * Port dothill to Python 3
  * Fix backup.rpcapi to pass object backup
  * Fix typo in solidfire driver option
  * Replace missed basestring by six for python3 compatability
  * Updated from global requirements
  * Move HDS drivers to Hitachi folder
  * Fix Python 3 issues in targets unit tests
  * Port drbdmanagedrv driver to Python 3
  * Add dependency check in RBD delete_snapshot
  * XtremIO driver fix array snapshot problem
  * Fix cinder.conf.sample generation
  * Use versionutils from oslo.log
  * Updated from global requirements
  * Fix timeout issue in EMC VNX driver unit test
  * Remove oslo logging from backup unit tests
  * Add notifications about snapshot.update.*
  * Sync the latest fileutils module from oslo-incubator
  * Fix 'no actual-pathname' NetApp API error
  * Use symbol for error code in VNX cinder driver
  * Storwize driver report capability for multiattach
  * Filter snapshots data on the DB side
  * Change generic NotFound to specific exception
  * Storwize: add the missing stops in the end of the messages
  * Ensure 'WSGIService' derives from oslo_service base class
* Wed Jun 17 2015 bwiedemann@suse.de
- Update to version cinder-2015.2.0.dev1:
  7.0.0a0
  * ScaleIO: Fix broken format string
  * LVM add multiattach flag capability
  * Add volume drivers for Infortrend Storage
  * Updated from global requirements
  * Adds FC and ISCSI Cinder drivers for Lenovo Storage Arrays
  * Replace basestring with six.string_types
  * Switch to oslo.policy 0.3.0
  * Add config option to set max_volume_size_limit
  * Volume driver for HP XP storage
  * Refactor API create_volume flow
  * Tintri driver to manage existing backend storage objects
  * Port remote_fs driver to use new driver model
  * Fix namespace issue in generate_sample.sh
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev388:
  * Fix broken export commands on block_device driver
  * Move DRBD tests into tests/unit
  * Replace xrange() with six.moves.range()
  * Drop L suffix from long integers
  * Pass proxy environment variables to tox
  * Re-add DRBD driver
  * Introduce Guru Meditation Reports into Cinder
  * Adds FC and ISCSI Cinder drivers for DotHill Storage Arrays
  * Get rid of oslo-incubator copy of middleware
  * SQL scripts should not manage transactions
  * Targets tests: Clean up long lines
  * Remove WritableLogger wrapper
  * Get StringIO from six for Python 3 compatibility
  * Fix Python 3 issues in utils
  * Update SolidFire to use target driver model
  * Replace dit.itervalues() with dict.values()
  * Rewrite code merging two dictionaries
  * Use correct rtslib namespace for newer versions
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev353:
  * Update 3PAR user config help strings
  * Disallow backing files when uploading volumes to image
    (bnc#934768, CVE-2015-1850)
  * Replace dict(obj.iteritems() with dict(obj)
  * Replace dict.iteritems() with dict.items()
  * Use six.reraise() for Python 3 compatibility
  * Remove pretty_tox and use ostestr
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev342:
  * Wait until service thread is done on service stop
* Sun Jun 14 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev340:
  * 3PAR enable multiattach capability reporting
  * Use six to fix imports on Python 3
* Sat Jun 13 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev336:
  * Add cinder volume driver for Blockbridge EPS
  * san driver: don't use relative Python import
  * Implement Cinder Volume driver for HGST Solutions
  * Volume manager should set filter_function and goodness_function
  * Replace it.next() with next(it) for py3 compat
  * NetApp E-Series: Add Fibre Channel Support
  * NetApp E-Series: Refactor class structure for FC
  * NetApp E-Series driver: Remove caching logic
  * Updated from global requirements
  * Add secondary account capability to SolidFire
  * EMC ScaleIO Cinder Driver
  * Re-integrate Oracle iSCSI Cinder driver
  * Re-add the StorPool distributed storage driver
* Thu Jun 11 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev310:
  * Replace urllib and urllib2 with six.moves.urllib
  * Replace unicode with six.text_type
  * Dispose DB connections between backend proc starts
  * Dell SC: Expanded comments and update var names
  * Add iSCSI protocol support for IBM FlashSystem
  * Fixes 3PAR snapshot failure with optional params
  * ConsistencyGroup: Return 400 instead of 500 for invalid body
  * Add 'source-id' and 'source-name' support in VNX driver
  * Prophetstor driver needs to return snapshot objects
  * Add missing unit test for goodness weigher
  * Switch from MySQL-python to PyMySQL
  2015.1.0
  * Add external genconfig calls
  * Remove unused find_attribute_or_element()
  * service child process normal SIGTERM exit
  * Windows SMBFS: fix volume extend
  * Fix a wrong argument of create method
  * Release Import of Translations from Transifex
  * update .gitreview for stable/kilo
  * Updated from global requirements
  * Verify all quotas before updating the database
  * Add locking to PureISCSIDriver around creating Purity Host objects
  * Include boot properties from glance v2 images
  * remotefs: Fix doc string for _create_snapshot
  2014.2
* Sun Jun  7 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev358:
  * Dell SC: Added support for alternate iscsi portals
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev356:
  * Revert "Adds drivers for DotHill Storage Arrays."
  * Dell: Added verify cert option for REST calls
  * Handle ineffective backup compression
  * Complete switch to snapshot objects
  * DriverFilter: don't check volume_backend_name
  * Add Pure Storage FibreChannel driver
  * Fix exception parameter name
  * Move Dothill tests out of root test directory
  * Fix remaining memory issues with nfs backup unit tests
  * Don't send heartbeats if Manager reports a problem
  * Non-admin user to query volume filter by az
  * Multiple pools support enhancement in VNX cinder driver
  * Windows SMBFS: Fix image resize errors during volume creation
* Fri Jun  5 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev330:
  * Changes in rally-jobs/README.rst
  * Removed explicit return from __init__ method
  * Return provider_id in SolidFire model update
  * Allow provisioning to reach max oversubscription
  * Port ProphetStor driver to use ABCMeta driver model
  * Clean up unused exceptions
  * Refactor scheduler's create_volume flow
  * Adds FC and ISCSI Cinder drivers for DotHill Storage Arrays
  * Tintri Cinder Volume driver
  * Remove un-used import at test_volume_transfer.py
  * Fix issues with extra specs in VMAX driver
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev308:
  * Deprecate the HPLeftHandISCSIDriver CLIQ driver
  * Bump SolidFire version number
* Wed Jun  3 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev305:
  * Dell SC: update_volume_stats could use uninitialized vars
  * Disable backup progress notifications for unit tests
  * Fix assertRaisesRegexp deprecation warnings in UT
  * Refactor PureISCSIDriver into base and iSCSI classes
  * Use SolidFire snapshots for Cinder snapshots
  * Switch get_all_snapshots to use objects
  * EMC VMAX Manage/Unmanage Volume
  * Fix volume creation from image with allowed_direct_url_schemes
* Tue Jun  2 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev289:
  * Fix cinder concurrency issues on rtstool
  * Add chap support to CloudByte cinder driver
  * NetApp FC driver shims missing manage/unmanage
* Mon Jun  1 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev284:
  * Notification with volume and snapshot metadata
  * Add volume ID to fake volumes in Gluster tests
  * VMware: insecure option should be exposed
* Sat May 30 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev278:
  * Fix capacity filter to allow oversubscription
  * Updating cmd/manage.py get_arg_string() argument parser and adding unit test
  * Fix expression-not-assigned pylint issues
  * Add standard QoS spec support to cDOT drivers
  * Create iSCSI lio portals with right IPs and port
  * Create consistgroup from cgsnapshot support in VNX driver
  * Stop using deprecated timeutils.isotime()
  * Fix response when querying host detail by host name
  * Fix wrong response with version details
* Fri May 29 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev260:
  * Display NOTIFICATIONS on assert failure
* Wed May 27 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev258:
  * Avoid LUN ID collisions in NetApp iSCSI drivers
  * Dell SC driver honoring folder name after volume creation
* Tue May 26 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev254:
  * Brocade driver not parsing zone data correctly
  * Don't use dict.iterkeys()
  * Address 0x712d8e0e error in VNX Cinder Driver
  * Leverage dict comprehension in PEP-0274
  * Add missing '-o' CLI option to VNX Cinder Driver
  * Validate name and description for volume type
  * Use nfs_oversub_ratio when reporting pool capacity
  * Targets test refactoring
* Mon May 25 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev238:
  * Add ability for drivers to copy data preserving sparseness
* Wed May 20 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev236:
  * Leave sqlalchemy convert to boolean to the DB SQL type to use
  * Fix a problem with FAST support in VMAX driver
  * Check volume_backend in retype
* Sat May 16 2015 dmueller@suse.com
- Update to version cinder-2015.2.0.dev230:
  * Remove HDS HUS iSCSI driver
  * Updated from global requirements
  * LVM: Pass volume size in MiB to copy_volume() during volume migration
  * LVM: Support efficient data copy using "dd" for create_cloned_volume
  * Remove use of deprecated LOG.warn
  * Fix incorrect reraising of exceptions
  * Switch to oslo_versionedobjects
  * Cinder os-force_detach api returns 500
  * Fix overwrite of params in SF image cache update
  * Check type match on create from source/snap
  * Add patch for consistency group update in ProphetStor driver
  * Logging not using oslo.i18n guidelines (openstack)
  * Remove unused context parameter
  * Replace suds test dependency with suds-jurko
  * Fix missing translations for log messages
  * Remove Brick from cinder codebase
  * LIO: Enable iSER for IPv6
  * LIO: Use rtslib property instead of private method
  * Removing sleep between when a command is sent and 'YES' is sent
  * Port block_device driver to use new driver model
  * Clean up failed clones in VMAX driver
  * VNX Cinder driver Over Subscription Support
  * GlusterFS: Support over subscription in thin provisioning
  * VMware: Handle concurrent inventory folder create
  * Fix tiny typo: compatability => compatibility
* Tue May 12 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev181:
  * Follow i18n guidelines in LIO target
  * NFS Backup: Correcting backup_sha_block_size_bytes help message
  * Fix common misspellings
  * GlusterFS: Renaming test case to test_mount_glusterfs
  * Fix typo in log messages and comments
* Mon May 11 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev172:
  * Add os-brick to cinder requirements.txt
  * Remove unnecessary checks for encrypted types
* Sun May 10 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev168:
  * Add new exception to retryables in SolidFire driver
  * Convert mox to mock: tests/compute/test_service.py
* Sat May  9 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev165:
  * FlashSystem reports error while running tests with multi-thread
  * Dell: Added support for update_migrated_volume
  * Fix FakeISCSIDriver and FakeISERDriver
  * Add volume status to error messages in backup create flow
  * Bad link in API version details response
  * Fix xxx=\n pep8 errors in volume_utils.py
  * Log command failure details before raising ISCSITargetDetachFailed
  * Eqlx: Fixes the retries on Network Connection Error
  * Rename Datera test to test_datera for discovery
  * Allow rexports for targets with Datera
  * Fix missing translations for log messages
  * Cinder os-attach api returns 500
  * cinder os-detach api returns 500
  * Windows iSCSI: remove ensure_export
  * tests: replace mox by mox3, clean out mox usage
  * Correct directories check for N327 hacking check
  * Add Multi-connection support to XIV
  * Create initiator id for VMAX iSCSI driver
  * GlusterFS: Using mount method in RemoteFsClient
  * SMBFS: Add minimum qemu-img version requirement
* Fri May  8 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev125:
  * Fix the KeyError in CloudByte iSCSI cinder driver
  * Logging not using oslo.i18n guidelines (zonemgr)
  * Fix unit tests spam output
  * Preserve usage and reservations on quota deletion
  * Fix 'driver is uninitialize' typo
* Thu May  7 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev115:
  * HDS HNAS Driver fails when FS unhealthy
  * Fix broken add_iscsi_conn log message
* Wed May  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev112:
  * Fix range check for NFS used ratio
  * Logging not using oslo.i18n guidelines (scheduler)
* Wed May  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev108:
  * Catch additional type conversion errors
  * Tests: Remove sleep from NFS tests
* Tue May  5 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev104:
  * VMware: Enable vCenter certificate verification
* Mon May  4 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev103:
  * Fake out sleeps in unit tests
  * Drop use of 'oslo' namespace package
  * Add hacking check for str and unicode in exceptions
* Sat May  2 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.0.dev97:
  * Move logging sample to use oslo_log
  * Dell SC driver calls out the wrong REST API version
* Fri May  1 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev105:
  * Revert state if attachment already exists
  * Add retry to lvm delete
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev102:
  * Admin extends tenant's volume but change admin's quota
  * Updated from global requirements
  * Fixed issue with mismatched config in VMAX driver
  * Leverage timeutils, drop strtime() usage
  * Remove redundant code from VNX Cinder Driver
  * Fix fetch_to_volume_format if vhd is requested
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev90:
  * Port rbd driver to use new driver model
  * Enable use of filter_function in PureISCIDriver
* Mon Apr 27 2015 tbechtold@suse.com
- Remove unneeded Requires and BuildRequires
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev86:
  * Add test case for volume_encryption_metadata_get
  * Don't truncate osapi_volume_link prefixes
  * Remove deprecated methods in VNX driver
  * 3PAR don't log version numbers every stats update
  * Sync oslo service module
  * Add external genconfig calls
  * NetApp E-Series: Fix instance live-migration with attached volumes
  * Add resource tag to logging in volume.manager.py
  * Remove force check from copy_volume_to_image
  * service child process normal SIGTERM exit
  * Move unit tests into dedicated directory
  * Move RBD calls to a separate threads
  * Windows: Improve vhdutils error messages
  * Use iscsi_helper instead of target_helper on logs
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev61:
  * Reserve 5 migrations for Kilo backports
  * RBD: Add missing Ceph customized cluster name support
  * Standardize logging in volume.api.py
  * Storwize driver should only report active wwpn port
* Mon Apr 20 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev54:
  * VolMgr: reschedule only when filter_properties has retry
  * Complete the doc/README.rst instructions to build docs
  * VMware: Improve invalid container error message
  * Fix QoSSpecManageApiTest to work in parallel
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev46:
  * Fix LUN misalignment issue with NetApp iSCSI drivers
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev44:
  * Mask passwords with iscsiadm commands
  * Add support for customized cluster name
  * SMBFS: Lock on a per-volume basis
  * Windows SMBFS: fix volume extend
  * Add CA cert option to backups swift driver
  * Fix a wrong argument of create method
  * Reworked Dell SC iSCSI target portal return
  * Add volume:update rule to policy.json
  * Fix always false condition in glance wrapper
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev27:
  * Add locking to PureISCSIDriver around creating Purity Host objects
  * Remove the export creation during volume creation for migration
  * Fix assertEqual in test_volume.py in correct order of params
  * Get volume from db again before updating it's status
* Wed Apr 15 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev19:
  * Logging not using oslo.i18n guidelines (brick)
  * Fixes snapshot creation failure in CloudByte driver
  * Verify all quotas before updating the database
* Tue Apr 14 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev13:
  * Removed sleep before 'YES' is sent to confim an operation
  * Update openstack-common reference in openstack/common/README
* Mon Apr 13 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev9:
  * VNX Cinder Driver should report 0 free_capacity_gb in some scenarios
* Sun Apr 12 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev7:
  * set default auth_strategy to keystone
  * VMware: Fix missing target resource pool
* Sat Apr 11 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev3:
  * Include boot properties from glance v2 images
  2015.1.0rc1
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version cinder-2015.2.dev164:
  * Open Liberty development
  * GlusterFS: Returning provider location of volume from snapshot
  * Create initiator id if not exist in VMAX driver
  * Fix the unicode encode error when create volume
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev156:
  * Delete the temporary volume if migration fails
  * Revert "Removing Windows drivers"
  * Correct cinder hacking check numbering
  * Add hacking check for print() statements
  * Rbd update volume stats in wrong way
  * Partial Revert "Removing ZFSSA driver"
  * Fix multipath device discovery when UFN is enabled
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev142:
  * Add missing copy_volume_to_image method to Sheepdog driver
  * Partial Revert "Removing Huawei drivers"
  * Fixed encrypted property for 3PAR FC and iSCSI drivers
  * More error handling on EMC VNX migration failure
  * Set volume_attachment to [] for the temporary volume creation
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev132:
  * Use six.text_type instead of unicode
  * Revert "Removing Netapp FC drivers for no reported CI"
  * Check volume status in detach db api
  * VMware: Fix instance_uuid access in volume retype
  * Logging not using oslo.i18n guidelines
  * Added provider_id to volume and snapshot object
  * Fix argument order in assertEqual: tests/test_service.py
* Mon Apr  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev118:
  * Dell SC driver has insufficient iscsi logging
  * VMware: Skip vSAN for preallocated image download
  * Fix incorrect invocation of _add_to_threadpool
  * Fixes nits in check_no_contextlib_nested
  * Add project_id to barbican keymgr wrapper
* Sun Apr  5 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev108:
  * Mock wait_for_volume_removal in test_brick_connector
  * Enable H238 hacking rule
  * Fix ISCSIDriver initialized connection volume type
  * Tests: Fix v6000 test failure with random hash seed
  * Storwize: Replication status still active when primary copy is offline
  * Fix: Boot from image with HNAS iSCSI
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev97:
  * Fix missing clone_image API support for sheepdog driver
  * Only use operational LIFs for iscsi target details
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev93:
  * Fix wrong command for _rescan_multipath
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev91:
  * Catch more general exception in manager's create_volume
  * Fix the format of the system name in VMAX driver
  * Be safe with getting attachment
  * Convert all eqlx tests from mox to mock
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev83:
  * Fix broken fetch_to_volume_format log message
  * Remove LP bug ref in remove_iscsi_device
  * Fix potential access to missing key
  * Brick: Fix race in removing iSCSI device
  * Enhance VNX Cinder volume creation logic
  * Change volume and snapshot stuck creating to error
  * Fix logging to catch original exceptions and tracebacks
  * Fix for inconsistent cinder-services state change
  * Fix HNAS iSCSI driver error on LUN creation
  * VMware: Fix exception logging
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev63:
  * Hitachi: Fix access to volume instance_uuid
  * SMBFS: Fix missing volume provider location
* Mon Mar 30 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev59:
  * VMware: Fix ImageNotAuthorized during copy volume
  * Properly remove host object from ISE
  * Use cached values for stats on query failures for vmem drivers
* Fri Mar 27 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev54:
  * Properly use obj_extra_fields in objects
  * Create unit tests for volume objects
  * VMware: Fixed usage of volume instance_uuid
  * Imported Translations from Transifex
  * Fixed access to instance_uuid in retype
  * Eager load volume extra specs
  * Added the missing attachment to detach_volume
  * Make lio iSCSI changes persistent to avoid lost
  * Sort list of cinder_object.changes
  * Move to hacking 0.10
  * Syncing versionutils from oslo-incubator
  * Dell Storage Center API change fails init_conn
  * Windows iSCSI: fix volume clone
  * Enable request-id in cinder API logs
  * The value of netapp_storage_protocol should default to none
  * Updated from global requirements
  * Fix: Synchronise Quobyte Share mounting
  * Fix typo in cinder/cinder/volume/drivers/emc_vmax
  * Windows: Fixes wintypes import issue in vhdutils
  * Simplify cxt test_create_export() unit test
* Tue Mar 24 2015 rsalevsky@suse.com
- Update to version cinder-2015.1.dev15:
  * Change leftover oslo.* to oslo_*
  * Update file doc string for pure.py
  * update oslo policy to remove policy.d log spam 2015.1.0b3
  * Remove chap secret DEBUG logging in PureISCSIDriver
  * Removing Windows drivers for no reported CI
  * Fix logging mistake in swift backup driver
  * Removing Zadara driver for no reported CI
  * Removing Huawei drivers for no reported CI
  * Removing Netapp FC drivers for no reported CI
  * Removing Fujitsu driver for no reported CI
  * Removing DRBD driver for no reported CI
  * Removing FusionIO driver for no reported CI
  * Removing Nexenta driver for no reported CI
  * Removing Symantec NFS driver for no reported CI
  * Removing StorPool driver for no reported CI
  * Removing ZFSSA driver for no reported CI
  * Make the 3PAR drivers honor the pool in create
  * Removing HP MSA driver for no reported CI
  * Removing Coraid driver for no reported CI
  * Add retry to create resource in Datera driver
  * Logging not using oslo.i18n guidelines
  * Tests: Fix az test failure when PYTHONHASHSEED != 0
  * Change datetime.now() to timeutils.utcnow() from oslo_utils
  * Remove error messages from multipath command output before parsing
  * Fix SAN generic driver ssh whitespaced commands
  * Revert "Datera's export to avoid deprecated keys"
* Thu Mar 19 2015 rsalevsky@suse.com
- Adapt Requires/BuildRequires to new version
- Update to version cinder-2015.1.dev388:
  * Return updated volume object to the caller of _attach_volume()
  * EMC: Fix use of "_" as variable name
  * Reduce configured file size for nfs backup unit tests
  * tests: remove useless variable
  * Don't override extra specs with config in VMAX
  * Check license before clone in VMAX driver
  * Fixing mount when state_path is configured with a final '/'
  * Update Violin REST client library name
  * Remove the reference of volume['instance_uuid']in VNX driver
  * Increase LeftHand driver minimum client version
  * Decrement remaining retries after failed REST call
  * VMware: Fail immediately for images in a container
  * Make unused iscsi_num_targets, iser_num_targets configs as deprecated
  * Raise exception for invalid mock assert calls
  * Mocked utils.execute for broken tests
  * Huawei driver check before associating LUN to a LUN group
  * Fix typos in LVMVolumeDriver
  * Add minimum qemu-img version check functions
  * Implement IET target driver
  * Fix unit tests for multiattach patch
  * Fixed a concurrency issue in VMAX driver
  * Fix LVM thin pool creation race
  * Fix ArgsAlreadyParsedError in emc_vnx_cli.py
  * Fix typo in log message
  * Fix a typo in sf_template_account_name help
  * Move to the oslo.middleware library
  * Remove use of contextlib.nested
  * Remove strutils from oslo-incubator
  * Add waiting for the driver to SchedulerManager
  * Fix sqlalchemy reuse in multi-backend children
* Fri Feb 13 2015 dmueller@suse.com
- update logrotate.conf
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev8:
  * Update eqlx driver help text
  2015.1.0b2
  * Support over subscription in thin provisioning
  * Change oslo.* to oslo_*
  * Lefthand driver fails to attach a cloned volume
  * Purge deleted rows
  * EMC VNX Cinder Driver Update
  * Fixes the EQL driver CI tests AttributeError
  * Add manage/unmanage methods for Hitachi Block Storage Driver
  * RemoteFS: Use nas_ip and nas_share_path options
  * Remove the solaris volume driver
  * Add retry for tgtadm update when tgt exists
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev324:
  * Tests: Don't sleep for looping calls (eqlx)
  * Roll back if VMAX masking view not created
  * Tests: Don't sleep for looping calls
  * Use get_my_ipv4 from oslo.utils
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev316:
  * Fix SSHPoolTestCase to work in parallel
  * Fixes attribute content checking
  * Imported Translations from Transifex
  * Support iSER driver within the ISCSITarget flow
  * HP3Par: Set snapCPG when managing existing volumes
  * Adds unit tests for HNAS backend
  * Failed to discovery when iscsi multipath and CHAP both enabled
  * Add completion logging for snapshots and volumes
  * Fix configratuion of rally jobs
  * Updated from global requirements
  * IBM Storwize driver Consistency Group Implementation
  * TgtAdm: Fix _recreate_backing_lun logging
  * HP 3PAR modules have bad log messages
  * Remove useless and unused request_utils
  * Fetch_to_volume_format calls copy_volume using wrong parameter
  * Changed pvs separator from ':' to '|' to support names with ':'
  * Add retry to lvm snapshot create
  * Fix the eqlx driver to retry on ssh timeout
  * Punctuation and Copyright changes
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev279:
  * Revert "Create SolidFire Template account on init"
  * Add provisioned_capacity
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev275:
  * Create SolidFire Template account on init
* Tue Jan 27 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev274:
  * Raise correct exception when validate_connector failed
  * Move 3 Fujitsu ETERNUS DX related file
  * Use uuidutils from oslo.utils
  * Remove unnecessary method: _ensure_iscsi_targets() in tgt.py
  * Update tests for Quobyte Cinder drv from mox->mock
* Mon Jan 26 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev264:
  * Raise correct exception if deleting of LIO iSCSI target is failed
  * Fix _usage_from_snapshot in volume.utils
* Sun Jan 25 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev260:
  * Add a generic retry decorator to cinder/utils
  * Fixes a small issue in find_autodoc_modules.sh
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev256:
  * Cleanup unused DB APIs, part I
  * Remove argparse from requirements
  * Add retrying lib from global requirements
  * Remove usage of taskflow 'utils.misc' module
  * Move oslo.serialization to oslo_serialization namespace
  * HP 3PAR modules do not follow coding guidelines
  * VMware:Fix error creating vCenter inventory folder
  * Fix bug in rbd driver: the cloned volume size is wrong
  * Fix HNAS driver confusing error message (iSCSI driver)
  * Ensure lazy translation is disabled properly
* Fri Jan 23 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev236:
  * Improve debug logging of Dell Storage Center driver
  * Fix cinder-manage shell ipython
  * Shrink down customized logging listener
  * Prevent deleting volumes in a consistency group
  * Updated from global requirements
  * Move oslo.utils to oslo_utils namespace
* Thu Jan 22 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev225:
  * DRBD: remove a wrong comma, it creates a tuple
  * Fix the iSER legacy usage in the new targets flow
* Wed Jan 21 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev221:
  * Add policy_dirs conf fixture
  * DRBD: Log an error if libraries can't be loaded
* Tue Jan 20 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev217:
  * Make test_create_delete_snapshot more robust
  * Move oslo.config to oslo_config namespace
* Mon Jan 19 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev213:
  * Verify the instance's existance in the VMAX driver
* Sun Jan 18 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev211:
  * Add support for manage/unmanage volume commands to PureISCSIDriver
  * TgtAdm: Don't change CHAP username/password on live migration
* Sat Jan 17 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev207:
  * Scality: Lock around SOFS mount to avoid a race
  * Set 'driver_volume_type' to 'gpfs'
  * Switch the PureISCSIDriver over to using the purestorage pypi module
  * Fix zfssa driver volume attach to work with latest zfssa software
  * Updated from global requirements
  * Move oslo.db to oslo_db namespace
  * Fix eqlx endless loop when server closes the connection
  * Increase unit test coverage in hacking test
  * Fixed server name being retained after detach in LeftHand
  * Use is_valid_ipv6 from oslo.utils
  * Fix bug in sheepdog driver: the wrong volume size
  * Implement clone_image caching on SolidFire
  * Add migration tests for PostgreSQL
  * Update README.rst to current state
  * Fix the continuation line indent to pass flake8
  * Capitalize the first letter in log messages
  * Create proxy volume driver
* Fri Jan 16 2015 tbechtold@suse.com
- Don't require barbicanclient . It's optional.
* Fri Jan 16 2015 cloud-devel@suse.de
- Update to version cinder-2015.1.dev174:
  * Updated from global requirements
  * Fixes misspelled words in Cinder
  * Imported Translations from Transifex
  * Add mock for cinder-rtstool call in tests.targets.test_lio_driver
  * Skip LIO target unit tests until mocked
  * Fix LOG formatting in api initialize_connection
  * Deal with PEP-0476 certificate chaining checking
  * Add hacking check for oslo namespace usage
  * Remove locks from LeftHand driver
  * Fix bug in tgt conf for volume
  * Add loopingcalls for Huawei storage system driver
  * Garbage Remains when Attached Volume is Migrated with NFS Driver
  * Remove unused variables from ensure_export()
  * Use assertRaisesRegexp() in test_srb.py
* Wed Jan 14 2015 tbechtold@suse.com
- Update to version cinder-2015.1.dev147:
  * Use lockutils.set_defaults to set lock_path in test
  * Fix incorrect usage of get_flow in volume.manager
  * Fix iscsi_write_cache setting for iscsi targets
  * Add debug messaging for tgt already exists
  * Clean up QoSSpecManageApiTest setup
  * Add more rally benchmarks related to Cinder
  * Use cinder.utils.execute directly
  * Deal with tgt already exists errors
  * Fix drbd driver to load without 3'rd party libs
  * i18n fixes for PureISCSIDriver
  * cinder-rtstool: should use acl.node_wwn
  * LVM: Add terminate_connection call for Target Objects
  * Add an instance-locality filter
  * Adds cinder iscsi driver for CloudByte storage
  * Add driver filter and evaluator for scheduler
  * Remove import of private _lazy module
  * Fix argument order in assertEqual: tests/test_glusterfs.py
  * The DRBD(manage) Cinder volume driver
  * Make ProphetStor drivers compliant with logging standards
  * Transition LVM Driver to use Target Objects
  * Replace oslo-incubator with oslo_context
  * Fix handling of serialized data in filtering of volumes
  * Convert mox to mock: tests/test_glusterfs.py
  * Remove check on db_exc.DBError
  * Add specific docs build option to tox
  * Imported Translations from Transifex
  * Add a privileged user for OpenStack services
  * Add support to PureISCSIDriver for Consistency Groups
  * Expand the description of extra_capabilities
  * Fix broken StorPool driver
- Adjust Requires according to requirements.txt and
  test-requirements.txt
- Drop eternus-dx-volumedriver-1.1.0.diff . Included upstream.
- Generate cinder.conf.sample during build. Config was dropped upstream.
  This also needs more BuildRequires to be able to generate the config.
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev363.gce5f8a1:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Workflow documentation is now in infra-manual
  * Remove the check_uptodate conf checks
  * Remove lio_initiator_iqns
  * Add ability to zfssa driver to create multiple initiator groups
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev352.g0b74d6b:
  * Bring cinder up-to-date with new oslo libraries
  * Revert "Fix Brocade FC SAN lookup MITM vulnerability"
  * Add cinder support for IBM FlashSystem
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev346.g837ff0e:
  * Use object.property instead of object.dump()['property']
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev344.g530c178:
  * NetApp 7mode NFS driver doesn't honor netapp_vfiler option
  * Volume type access extension
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev340.g089fb2c:
  * Fix rpc initialization of cinder-manager volume
  * Fix 3PAR drivers attempt to locate existing host
  * Remove driver compatibility in volume manager
  * Don't use _execute directly in brick/iscsi
  * Deal with tgt already exists errors
  * Fix find_autodoc_modules.sh to support OSX
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev329.g68c79f8:
  * Raise exception if invalid IP is specified
  * Fix check_ssh_injection in cinder/utils
  * Implementing the use of _L’x’/i18n markers
  * Scality SOFS: implement volume backup and restore
  * GlusterFS: Lock on a per-volume basis
* Sat Nov 29 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev319.gbcd1dce:
  * CiscoFCSanLookupService passing command as string
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev317.gb07748f:
  * Adding volume driver for X-IO ISE
  * Remove Python 2.6 backwards compatibility code
  * PureISCSIDriver:Handle delete called on already deleted volume
* Thu Nov 27 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev311.ga7664d8:
  * Imported Translations from Transifex
  * Get the 'consumer' in a correct way for retyping with qos-specs
  * Add limited retype support for rbd
  * Add iSCSI Target objects as independent objects
* Wed Nov 26 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev303.g1584fca:
  * Remove Python 2.6 classifier
  * Match mock.patch decorator with appropriate param
  * Correct misspelled words
  * Brick LVM: LV not found logging and error handling
  * etc: replace NullHandler by Python one
  * Don't use module importutils from oslo-incubator
  * Removing locks from 3PAR FC and iSCSI drivers
  * Update rally job files
  * Fix calls to assert_called_once in unit tests
  * Refactoring to allow addition of NetApp FibreChannel drivers
  * Add ability to create volume from image by image name
  * Fix exception message formatting
  * VMware: Set target ESX host for backing VM clone
  * Create "image_conversion_dir" before creating temporary file
  * Imported Translations from Transifex
  * Invalid GlusterFS share format error
  * Remove Mock class monkey patching
* Tue Nov 25 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev269.ge488d78:
  * Convert the DateTime into ISO8601 format for Ceilometer
  * Remove module timeutils
* Mon Nov 24 2014 dmueller@suse.com
- Update to version cinder-2015.1.dev265.g24ce46b:
  * NetApp NFS and iSCSI: move zapi client logic into modules
  * Context cleanup
  * ProphetStor with pool aware cinder scheduler
  * Updated from global requirements
  * Imported Translations from Transifex
  * Fix messages in EMC VMAX driver with no translation
  * Fixup regressions in PureISCSIDriver log statements
  * Implementing the use of _L’x’/i18n markers
  * Remove module jsonutils
  * Sync policy from oslo-incubator
  * Don't use module excutils from oslo-incubator
  * Sync latest versionutils from oslo-incubator
  * Defining the variable "tmp" before try block
  * PureISCSIDriver needs to disconnect hosts before deleting volumes
  * context.elevated() should use copy.deepcopy()
  * Added missing rules in policy.json
  * Fix message translations for MSA common class
  * Switch Cinder to use oslo.concurrency
  * Use oslo.utils
  * Remove code for deprecated extension path
  * Imported Translations from Transifex
  * Update prerequisite packages in development docs
  * Change CHAP secret default length
  * Capture exception when delete a volume detached
  * Use urllib.urlencode instead of dict_to_query_str
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev217.g1d77d79:
  * Implementing the use of _L’x’/i18n markers
  * Switch to oslo.serialization
  * Fix typo in SolidFire xDBVersionMismatch label
  * Fix a problem in creating consistency group in ProphetStor driver
  * Updated from global requirements
  * Disable Cgsnapshot APIs by default
  * allow image_id for imageRef in create volume API v2
  * Changing PureISCSIDriver to use %% string formatting instead of .format
  * Update cinder.conf.sample to fix max db conn retries
  * Documentation Bug fix committed
  * Add i18n _LX tags for relevant log levels in EQLX driver
  * Remove cinder/compute/aggregate_states.py
  * Remove deprecation warnings relating to api-paste
  * Mock isfile in test_ssh_missing_hosts_key_file
  * Mock cinder.wsgi.Server in TestWSGIService
  * Fix wrapper to work with barbicanclient 3.0.1
  * Adding support for 'source-id' in 3PAR manage
  * Amend unused variables to assist pylint testing
  * IBM Storwize: Improve error message
  * Handle DBConnectionError instead of Exception
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev179.g2712b42:
  * Bump Req timeout to 30 seconds in SolidFire Driver
  * Implementing the use of _L’x’/i18n markers
  * Scality driver:use self.configuration instead of CONF
  * Explicitly close requests obj in SolidFire Driver
  * Add volume attribute support to volume created using clone, snapshot
  * Add automatic creation and deletion of Purity hosts for PureISCSIDriver
  * Fix Brocade FC SAN lookup MITM vulnerability
  * Implementing the use of _L’x’/i18n markers
* Fri Nov 14 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev164.gbf0efda:
  * Stop stacktracing on QuotaErrors
  * Stop stacktracing on InvalidInput exceptions
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev162.g3c52d06:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Retry remove iscsi target
  * Activate pep8 check that _ is imported
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev154.gf782b9c:
  * Fix the LV NotFound situation for thin-type LVM
* Thu Nov  6 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev153.g37e4a12:
  * Remove test_barbican from keymgr tests
* Wed Nov  5 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev152.g29cb45d:
  * Implementing the use of _L’x’/i18n markers
  * LIO: Fix UnboundLocalError in ensure_export
  * Small typos
* Tue Nov  4 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev146.g8c477b1:
  * Disable python-barbicanclient 3.0.0 version
* Sat Nov  1 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev145.g0ecf323:
  * Cleanly override config in tests
* Fri Oct 31 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev143.g5997c02:
  * Brick LVM: Rename get_all_volumes, further optimize
  * Fix NetApp AutoSupport Shortcomings
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev139.gb7a463a:
  * Fix wrong arg number for _fix_id_migration issue
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev137.ga7b1648:
  * Add debug output indicating provider_location
  * Use look up service for auto zoning
  * Fix for debugging c-vol in PyCharm
  * Verify the full interface of the context object
  * LioAdm: Delete initiator from targets on terminate_connection
  * Brick LVM: Optimize get_volume
  * TgtAdm: Don't change CHAP username/password on live migration
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev123.g9a13288:
  * CiscoFCSanLookupSerive uses extra argument in init
  * Fix SolidFire inaccurate model on migrated vols
  * Eventlet green threads not released back to pool
  * Add ability to update migration info on backend
  * Reserve 5 migrations for backports
  * Imported Translations from Transifex
  * NFS Security Enhancements: allows secure NFS environment setup
  * Update volume-type's quota when extending volume
  * Cinder api service doesn't handle SIGHUP properly
  * Remove outdated _ as a builting from pylintrc
  * ProphetStor driver consistency group support
  * Turn on Flake-8 Complexity Checking
  * Log a warning when getting lvs and vgs takes longer than 60 seconds
  * Add client_socket_timeout option
  * VMware: Fix initialization of datastore selector
  * Improve Cinder API internal cache interface
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev93.g25c370a:
  * Fix unnecessary snap of glance image, with non-raw images
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev91.g52600c8:
  * IBM Storwize driver: Add local variable assignment to "ctxt"
  * Updated from global requirements
  * Multipath commands with error messages in stdout fail to parse
  * NetApp fix to set non default server port in api
  * Correct the message string
  * Fix display name change during backup restore
* Wed Oct 15 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev79.g83d7bd0:
  * Fix LVM iSCSI driver tgtadm CHAP authentication
  * Remove vol_type_id cast to str
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev75.gc5962c9:
  * Export cinder volumes only if the status is 'in-use'
  * Move SolidFire driver from httplib to requests
  * check the configuration item glance_num_retries
  * HP 3PAR: Don't ignore extra-specs snap_cpg when missing cpg
  * 3PAR migrate without losing type settings
  * 3PAR with pool-aware-cinder-scheduler
  * SQL scripts should not manage transactions
* Mon Oct 13 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev61.ge6f7790:
  * Imported Translations from Transifex
  * Fix exception handling on test_delete_nonexistent_volume
  * check the configuration eqlx_cli_max_retries
  * Remove deprecated use of gettextutils import _
  * GlusterFS: Remove unneeded conf import
  * NetApp fix for default host type in eseries
* Sun Oct 12 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev50.gcad2ff3:
  * Revert "Relocate volume to compliant datastore"
  * gitignore /.*
  * Fixes docstring typos (Cinder)
  * VMware: Bump driver version
  * coraid: allow setting default repository
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev41.g8904da0:
  * Remove useless sslutils from openstack.common
  * Eseries warn if multipath is not set for img xfer
* Fri Oct 10 2014 dmueller@suse.com
- fix configuration defaults
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev37.gcbb9337:
  * Truncate fail_reason to column length
  * Fix eqlx CLI output parsing on bad input
  * Eqlx fix NoSuchOptError for volume_name_template on clone
  * Make sure device support Direct before setting
  * Fixed Typo from modfied to modified
* Thu Oct  9 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev27.g7766ff9:
  * Updated from global requirements
* Wed Oct  8 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev26.g971bda0:
  * Imported Translations from Transifex
  * Sync latest processutils from oslo-incubator
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev23.g393c2c5:
  * Windows SMBFS: Handle volume_name in _qemu_img_info
  * NetApp fix eseries unit test mock clean
* Fri Oct  3 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev19.ge978cb0:
  * Refuse invalid qcow2 backing files
    to avoid host data leak to VM instance (bnc#899198, CVE-2014-3641)
  * Clarify InvalidInput exception when the size is missing
  * Handle eqlx SSH connection close on abort
  * Deprecate / obsolete NetApp volume extra specs
  * Fix race condition in ISCSIConnector _disconnect_volume_multipath_iscsi
  * ZFSSA iSCSI driver cannot add multple initiators to a group
  * ZFSSA iSCSI vol create fails with vol type option
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev5.ge1e6364:
  2014.2.rc1
  * Fix parameter miss in test_snapshot_metadata test case
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version cinder-2015.1.dev167.gb8c8dc8:
  * Open Kilo development
  * Fix race condition in ISCSIConnector disconnect_volume
  * Adds openSUSE support for developer documentation
  * IBM Storwize driver: Retype the volume with correct empty QoS
  * VMware: cinder-volume create_session fail at retry
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev158.g4ff80f4:
  * VMware:Unquote folder name for folder exists check
  * Remove unused py33 tox env
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev155.gbfd861a:
  * Add required spaces in log messages
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev153.g1a300bd:
  * IBM Storwize:Failed to retype from non-type to replication enable
* Sun Sep 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev151.g332ea11:
  * Fixing format for log messages
  * Update /etc/cinder/cinder.conf.sample for memcache
  * VMware: Relocate volume to compliant datastore
  * Failed to re-detach volume when volume detached
  * NetApp fix for controller preferred path
  * VMware: Add storage profile related unit tests
  * VMware: Implement retype for VMDK driver
  * VMware: Improve datastore selection logic
  * Fix running unit tests with coverage
* Fri Sep 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev135.gf33cc02:
  * Fix unnecessary WSGI worker warning at API startup
* Thu Sep 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev133.g3b10c3f:
  * Imported Translations from Transifex
* Wed Sep 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev131.gd8e8de7:
  * Downgrade 'infinite' and 'unknown' capacity in weigher
  * Add unit test to cinder cgsnapshot api
  * DB migration 25->24 failed when dropping column
  * Fix confusing exception message in NetApp iscsi driver
* Tue Sep 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev123.ga194796:
  * Remove XenAPI driver
  * Fix ssh_host_key_file default in help and config.sample.conf
  * Set socket options in correct way
* Mon Sep 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev117.gdb2c817:
  * Typo "asscoiated" should be "associated"
* Sun Sep 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev115.g6643ce0:
  * Allow scheduler pool information to be retrieved
  * Timeout triggers failures running tempest for ZFSSA driver
* Sat Sep 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev111.g6a7277d:
  * Increase the 3PAR hostname length
  * Revert iSCSI Target objects as independent objects
* Sat Sep 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev107.gb35c97c:
  * HP 3PAR drivers should not claim to have 'infinite' space
  * Add tests for consistency groups DB migration
  * Verify requested size in volume.api create
  * HP 3PAR: Allow retype when the old snapshot CPG (3PAR pool) is None
* Fri Sep 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev99.g43d39f0:
  * Updated from global requirements
  * Remove executable bits on various files
  * Fix a problem with 'volume list' when 'all_tenants=0'
  * Updated from global requirements
  * Stop using intersphinx
  * Some tcp configuration paramters are ignored
* Thu Sep 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev88.g1fcf023:
  * Check replication status failed for non-replication
  * Sync latest strutils from oslo-incubator for mask_password fix
    (bnc#899190 CVE-2014-7230 CVE-2014-7231)
  * Getting iscsi_ip_address from cinder.conf
  * Handle config file with newlines and whitespaces
  * Volume types need to be specified when creating CG
  * Use right body for test_create_missing_specs_name
* Wed Sep 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev76.g4b2600f:
  * IBMNAS: Remove call to set r/w permissions to all
  * HP 3PAR configurable ssh-host-key-policy
  * Avoid using the disk cache on volume initialisation
* Tue Sep 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev71.g58eda5d:
  * Add reset-state function for backups
  * Destroy Datera export target after detach
  * Don't clear _mounted_shares list in remoteFS while updating
  * Fix help for running specified unit tests
  * VMware: Remove redundant extend disk API call
* Sun Sep 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev61.g52df682:
  * Netapp drivers support for pool-aware scheduling
  * coraid: fix snapshot deletion
  * Add test case for volume_types.py
  * EMC VNX Direct Driver Consistency Group support
  * Update oslo.config and oslo.messaging requirements
  * Fixes Windows Volume Driver upload volume fails
  * Log an error on nfs mount failure
  * Sync service.py and its dependencies to Cinder
  * Delete consistency group failed
  * Fixing leaking sessions in 3PAR on attach/detach
  * Add filter to volume transfer REST api
  * Unit test for restore with different hosts
  * VMware: Implement backup/restore for VMDK driver
  * Adds CA cert file path option for glance connections
  * fix a small typo in development.environment.rst
* Sat Sep 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev31.geb01ccb:
  * Block sqlalchemy-migrate 0.9.2
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev30.g69b4cfd:
  * Add Windows SMB Volume Driver
  * Set default pool value to system in gpfs driver
  * Fixes Cinder fails to upload volume to vhd image
  * Fixed Typo - from hypens to hyphens
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev22.g5d2cc2f:
  * Netapp: fix multiple copies of cinder-volume
  * Add SMB Volume Driver
  * Fix possible race condition for accept transfer
  * Imported Translations from Transifex
  * Mock glance client object in version unit tests
  * remove object in wsgi LOG.info
  * Deprecate the V1 API
* Fri Sep  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev10.g2664da2:
  2014.2.b3
  * During a restore send the restore request to the right host
  * Add Datera driver for Cinder
  * warn against sorting requirements
  * Update the HP 3PAR default persona
  * Add Fujitsu ETERNUS DX support
  * Make ssh-host-key-policy configurable
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev257.ge412605:
  * Fixed typo from 'the the' to 'the'
  * Support Volume Backup Quota
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev254.gc4bddaa:
  * Volume Replication implementation for IBM Storwize/SVC
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev252.g6b62908:
  * Pool-aware Scheduler Support
  * Add Cisco FC Zoning plugin to the FC ZoneManager
  * Update oslo policy and its dependencies
* Mon Sep  1 2014 tbechtold@suse.com
- Update to version cinder-2014.2.dev246.ge3f0374:
  * Add QoS support to IBM Storwize driver
  * Driver for Fusion-io ioControl Hybrid array
  * Typo
  * Ignore pylint error 'hashlib' has no shaxxx member
  * Introduce Hitachi storage volume driver
  * XtremIO cinder iSCSI & FC volume drivers for Juno
  * Consistency Groups
  * Add retype method to xiv/ds8k driver interface
  * Fixing 3PAR excessive FC port usage
  * Sync latest strutils from oslo-incubator
  * VMware: Disable suds caching
  * Pass an empty context to the notifier
  * VMware: Handle exceptions raised by image update
  * Have task/flow logging go to a separate log file
- Refresh eternus-dx-volumedriver-1.1.0.diff
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev219.g5735557:
  * Fixes terminate_connection live migration issue
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev217.g2bd9a8e:
  * Create RemoteFSSnapDriver class
* Thu Aug 28 2014 dmueller@suse.com
- add eternus-dx-volumedriver-1.1.0.diff (bnc#894055)
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev215.g5fb037a:
  * Sync latest processutils from oslo-incubator
  * Add Oracle ZFS Storage Appliance ISCSI Driver
  * GlusterFS: Use image_utils for tempfile creation
* Wed Aug 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev210.g296a32c:
  * Mock processutils.execute properly in test_ibmnas
  * Adds volume replication methods to xiv/ds8k driver interface
* Tue Aug 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev206.g0ad7847:
  * EMC VMAX Driver Juno Update
  * Allow backup-to-swift to take swift URL from service catalogue
* Mon Aug 25 2014 bwiedemann@suse.com
- use %%_rundir if available, otherwise /var/run
* Mon Aug 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev202.g8f28981:
  * Add support in Cinder for volume replication - driver approach
  * Extending IBMNAS driver to support NFS based GPFS storage system
* Sun Aug 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev198.g853c90d:
  * Fix duplicate teardown to allow tox upgrade
  * Integrate OSprofiler and Cinder
* Fri Aug 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev195.g20f5102:
  * Revert test_rootwrap_filter to avoid python2.6 test failure
  * Fix variable name in api/v<n>/snapshot.py
  * Honor volume:get policy
  * Modify error code compatible with Mac OS
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev187.g058fcf6:
  * Cache snapshots in request for extension
  * Remove redundant temporary_chown from IetAdm
  * Ignore No value passed for parameter 'dml' message
* Wed Aug 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev181.gc8941ec:
  * Failed to initialize connection
  * Mock out image source file in image_utils tests
  * Provide a quick way to run flake8
  * Adds barbican keymgr wrapper
  * Imported Translations from Transifex
  * HP 3PAR manage_existing with volume-type support
  * Rewrite ionice command filter using ChainingRegExpFilter
  * Fix exception handling in PureISCSIDriver
  * Prevent tenant viewing volumes owed by another
* Tue Aug 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev163.g308b746:
  * Fix LOG string formatting in image_utils
  * Change the froce delete volume flage to True
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev159.ge1126d4:
  * Catch vol not found in SolidFire transfer
  * Add iSCSI Target objects as independent objects
  * VMware: Update default task_poll_interval value
  * fix atom link in XML Version API
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev151.g1b53a70:
  * Put result in quotes
  * Catch DBDuplicateEntry instead of IntegrityError
* Sun Aug 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev147.g1343775:
  * Update ref used for notifications
  * Use abstract class for the backup driver interface
  * Ignore HTTP_PROXY during test requests
  * Fixes wrong usage of mock.assert_not_called()
  * Implement import/export for SolidFire Driver
* Fri Aug 15 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev137.g4b973e9:
  * Enable import group hacking rule
  * Actually encode the SolidFire json dump result
  * Sync latest oslo-incubator log for debug fixes
  * Enable F402 checks and fix violations
  * VMware: Check snapshot and rename backing
  * Fix unit test test_import_record_with_verify
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev125.gc4b5d13:
  * Fix bad indentation in netapp and san.hp volume drivers
  * Issue one SQL statement per execute() call
  * Add timer info for copy operations
  * Make manage.py usable
* Wed Aug 13 2014 tbechtold@suse.com
- Update to version cinder-2014.2.dev118.g03884b3:
  * Add ProphetStor DPL Storage server volume driver for Cinder
  * Enable H104, F841 hacking rule and fix violations
  * Enable Swift backup driver for auth 2.0
  * Updated HACKING.rst so that it is accurate
  * Update help strings
  * Add hacking check for use of LOG.audit
  * Imported Translations from Transifex
  * Use oslo.i18n
  * Add CHAP support for 3PAR ISCSI
  * EMC: Fix minor issue in VNX driver and unit tests
  * Do not translate debug messages
  * Fixing LeftHand live migration error
  * Improve regex for _ import hacking check
  * General cleanup of unused objects
  * RPC client lazy initialization
  * Fix snapshot id for snapshot_destroy
  * Use auth_token from keystonemiddleware
  * Fix error log level in restore-backup routine
  * Add retry_on_deadlock to db update methods
  * Change the exception type for Storwize/SVC driver
  * VMware: Volume from non-streamOptimized image
  * Enable checks for E711, E712 and E713
  * Add note that some checks are disabled on purpose
  * VMware:Disk type conversion during clone backing
  * VMware:Support for attaching disk to backing
  * Change 3PAR delete message when volume is busy
  * Fixes migrate_volume_completion
  * EMC VNX Direct Driver Update for Juno
  * Storwize/SVC can not get the right host
  * Update ref used for notifications
- Add python-oslo.i18n to build requirements.
* Mon Aug  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev55.gb28ee39:
  * Move generate_password into volume utils
  * Move SSHPool into ssh_utils.py
  * Add return of updated object on update from DB
  * Avoid OSError in get_blkdev_major_minor with network filesystems
* Sun Aug  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev47.g7a97f5c:
  * Change logging level AUDIT to INFO
  * Fix solidfire accept_transfer
  * fixing the iSER transport protocol when using LVMISERDriver
* Sat Aug  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev41.gb776fa4:
  * Further cleanup of reservations index
* Thu Jul 31 2014 tbechtold@suse.com
- Update to version cinder-2014.2.dev39.gd189ce4:
  * Change corrupted spelling mistakes
  * Skip incompatible test on OSX
  * Fix glance metadata SQL query performance
  * Remove cinder-rpc-zmq-receiver
- Don't install cinder-rpc-zmq-receiver (removed upstream)
* Wed Jul 30 2014 vuntz@suse.com
- Make openstack-cinder-volume require open-iscsi, as iscsiadm is
  required for all the iSCSI backends.
* Tue Jul 29 2014 dmueller@suse.com
- Update to version cinder-2014.2.dev31.g51af7e4:
  * Add hacking check for vim headers
  * Get updated model info on volume transfer
  * Sync log from oslo-incubator for isEnabledFor fix
  * Modify the index migration slightly for backport
  * Remove cinder-clear-rabbit-queues
  * Remove reattach function in cinder-manage
  * Set python hash seed to 0 in tox.ini
  * HP 3PAR retype implementation
  * Add index for reservations on (deleted, expire)
  * Remove Hyper-V dependency in the Windows Cinder Volume Driver
  * Fix no handlers could be found issue
  * Add storageHost content to volume messages
  * VMware:Support for create disk and disk descriptor
  * Adds storwize_svc_npiv_compatibility_mode flag to Storwize/SVC driver
* Sat Jul 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev6.g4d56b91:
  * Add index for reservations on (deleted, expire
* Fri Jul 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev5.g2f09c30:
  * Add hacking check for explicit import of _
  * Make manage/unmanage admin only
  2014.2.b2
  * Add hacking test
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev235.g078f3ea:
  * Implements new 'bootable' option for manage existing volume
  * Fixes Cinder volume upload to image on windows
  * Add explicit import of _ to hp_3par_fc and iscsi
  * Add cinder volume driver support for Nimble Storage
* Wed Jul 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev227.g7b657ca:
  * Add additional explicit imports of _ where needed
  * Fix failure of source volume deletion in migrate_volume_completion
  * Use immutable default values for args
  * Configure write cache option of tgtd iscsi driver
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev219.g7975b46:
  * Switch to use oslo.db
* Sun Jul 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev218.g2385220:
  * Remove hard coded reference from gettextutils.py
  * Fix performance issues with brocade zone driver
  * Don't leave snapshots on the floor
  * Add some log info for NoValidHost
  * XIV volume manage/unmanage support
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev209.gce86dba:
  * Enable lazy translation for Cinder
  * Explicitly import _() in Cinder code
* Wed Jul 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev207.g343827a:
  * Update cinder generate_sample script
  * Add affinity/anti-affinity filters
  * Mock out time.sleep in storwize unit tests
  * Fix the section name in CONTRIBUTING.rst
  * Cinder-api service throws error on SIGHUP signal
  * Remove definition of Python Source Code Encodings
  * Sync gettextutils.py from oslo-incubator
  * Ensure FC ZoneManager is called
* Mon Jul 14 2014 thomasbechtold@jpberlin.de
- Fix import error for Fujitsu Volume Driver
* Sun Jul 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev192.gc15d264:
  * Clean up base Volume Driver
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev190.g400b203:
  * Correct misspelled word
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev188.g517d80a:
  * Fixes EqualLogic volume live migration
  * Fix begin_detach logic
* Fri Jul 11 2014 dmueller@suse.com
- fix up install of eternus driver
* Fri Jul 11 2014 tboerger@suse.com
- Added 0001-Integrated-fujitsu-eternus-dx-volume.patch
  In order to integrate Fujitsu ETERNUS DX volume drivers
  i have integrated this patch
* Thu Jul 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev184.gf0ba1c6:
  * Fixed some typos in the cinder codebase
  * Use PyCrypto to generate randomness passwords
  * Remove $sqlite_db from default database connection
  * Sync processutils and log from oslo
  * volume_image_metadata missing from volume list
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev174.gc72e867:
  * Updated from global requirements
  * Remove cinder.context warning logging
  * Enable E121,E122,E123,E126,E128 hacking rules
  * Use (# of CPUs) osapi_volume_workers by default
  * Only warn about deprecation warnings once
  * Fix unsaved exception in backup/drivers
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev162.g9bd7ca7:
  * Enhance docstring for iscsi_helper
  * sync periodic_task fix from incubator
  * Ceph rbd volume manage/unmanage support
  * Replace tearDown with addCleanup - Part 3
  * Restore osapi_volume_workers config option
* Mon Jul  7 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev152.g776c94a:
  * Slow down Storwize driver initialization
  * Imported Translations from Transifex
* Sun Jul  6 2014 dmueller@suse.com
- default to thin provisioning in the lvm backend
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev149.ga2f0c11:
  * Updated from global requirements
* Fri Jul  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev148.g459f7aa:
  * Imported Translations from Transifex
  * Correct lvm_mirrors help message
  * Fix host option isn't set when using multiple backend
  * Fix retyping attached volumes requiring migration
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev141.g27536de:
  * Support Volume Num Weighter
  * Fix docstring for snapshots API
  * Remove rootwrap module
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev135.g80897a3:
  * Add optional_args to fix Volume Import failure
  * 3PAR Only remove FC Zone on last volume detach
  * Ensure rbd connect exception is properly caught
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev129.g0c649f2:
  * Add cinder-manage cmd to update host column
  * Don't use ModelBase.save() inside of transaction
  * Use a task subclass instead of a functor + task wrapper
* Mon Jun 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev123.g72e38f7:
  * Sync processutils from oslo with deps
  * Enable hacking rule E111,E112,E113
  * Bump minimum hacking version to 0.9.2
  * Fixes cinder volume from snapshot on Windows
  * Fixes cinder volume create on Windows Server 2012 R2
  * Adding filter options to backup list
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev111.g350334d:
  * Synced jsonutils from oslo-incubator
  * Fix dropped exception for create_export in vol manager
  * 3PAR volume manage/unmanage support
  * Add cgroups related commands to rootwrap filters
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev103.g67e32ac:
  * Misuse of i18n log translation to output error message
  * Fix BrcdFCSANlookupService to iterate multiple switches
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev99.ge9ff57c:
  * Add keyword argument missing at some exc.HTTPError subclass
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev97.gd63f4be:
  * GlusterFS: Handle deletion of snapshot with no backing file
  * Fixed data copy issue of volume/driver.py
  * Minor cleanups in test_volume
  * I/O rate limit for volume copy with qemu-img convert
  * I/O rate limit for volume copy with dd
* Tue Jun 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev87.g9cc1422:
  * Make rbd driver string encoding checks consistent
  * Remove check_volume_az_zone functor and associated passing
  * Update _resize_volume_file() to support appropriate permissions
  * test_storwize_vdisk_copy_ops fails if green thread context switch
  * VMware:Fix params for copy-image-to-volume
  * VMware: Optional create backing parameters
  * Fixes cinder volume from image on Windows
  * Use oslo-incubator module units
  * Attach log listeners to other engines
  * GlusterFS: Various unit test improvements
  * vmware: Force chunked transfer for upload-to-image
  * GlusterFS tests: Mock out compute, don't load novaclient
  * glusterfs: Honor mount options when restarting cinder service
  * vmware:Ignore inaccessible/inMaintenance datastore
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev60.g581d8ad:
  * Remove global conf settings from iscsi helper
  * Add genconfig tox job for sample config file generation
  * Fix nfs_shares config file parsing of spaces
  * Sync the latest common db code from oslo
  * Fix order dependency of admin metadata
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev51.g6896f5f:
  * Handle the case where az is disabled/removed
  * Add task/flow listener support around the volume api flow
  * Fix log capturing fixture
* Wed Jun 18 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Retry-lvremove-with-ignore_suspended_devices.patch dropped (merged upstream)
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev45.g6f7d92e:
  * Updated from global requirements
  * debug level logs should not be translated
  * Implement extend volume in NFS driver
  * Fixes an issue with 'dd' bug from Illumos repo
  * Retry lvremove with ignore_suspended_devices
  * vmware: Fixes VMDK volume incompatibility issue
  * Remove unused oslo module and adjust opentstack-common.conf
  * Add strip size support to rbd driver
  * Remove check_{attach,detach} from volumes API
  * Sync periodic_task from oslo-incubator
  * Add XML deserializer for qos_manage delete_keys API
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev23.g2355c79:
  * Made provision for providing optional arguments
  * Removes unecessary call to rbd.Image
  * LIO: Don't add ACL for local initiator name
  * Use oslo network utils function to set tcp_keepalive
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev16.g72f18d9:
  * Allow reset-state on attach and migration fields
  * Implements HDS-Cinder HNAS Drivers
  * Fix Brocade FC driver's use of the fc_fabric_names
  * Limit formatting routes when adding resources
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev8.g7dba6ac:
  * Remove second get call to list/show volumes
  * CinderException args to strings when exceptions
* Fri Jun 13 2014 dmueller@suse.com
- add 0001-Retry-lvremove-with-ignore_suspended_devices.patch
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev4.g863c295:
  2014.2.b1
  * Copy custom properties to image from volume
  * hp_lefthand_rest_proxy no handler for logger during tests
* Wed Jun 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev199.g4759b83:
  * Remove Quota Exception Stack Traces from Cinder Logs
  * 3PAR volume detach with host in a host set
  * Handle volumes no longer existing in resume delete
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev193.g7e57a36:
  * Make begin_detaching fail if volume not "in-use"
  * NetApp NFS: Do not reference dst_img_local before assignment
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev189.g37ef512:
  * Ensure flushing of IO prior to removing FC device
  * Fixed the comment spelling error - voumes to volumes
* Sun Jun  8 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev185.g3156982:
  * Delete image on upload-to-image failure
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev184.g6ff7d03:
  * Use os.urandom in volume transfer
  * Update cinder.conf
  * Fix a message format error in migration cleanup
  * Add support for z/VM driver
  * NetApp fix eseries concurrent vol map failure
  * Add exception handling for copy_volume_to_image()
* Fri May 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev173.gaa9e6dc:
  * Ensure metadata is saved before updating volume status
  * Use error instead of warning to log mount exc
* Thu May 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev169.g463467b:
  * Fix ISER scan retry option
  * Only create volume with an active image
  * Allow host config to be overriden in backend
* Wed May 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev163.g7131c9e:
  * Updated from global requirements
  * vmware: Fix problems with VIM API retry logic
* Sat May 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev159.g6168d36:
  * Updated from global requirements
  * Remove create_from* functor jump table
  * Set volume usage audit period to not NoneType
  * Add mailmap entry
* Fri May 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev151.gbc6cd9a:
  * Remove all mostly untranslated PO files
  * Add rally job
* Wed May 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev147.gfab7150:
  * SSHPool in utils should allow customized host key missing policy
* Tue May 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev145.g0e3b4ce:
  * Check whether O_DIRECT is supported to iflag and oflag separately
  * NetApp fix attach fail for already mapped volume
* Mon May 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev142.gc8446dc:
  * BrcdFCSanLookupService should allow customize host key and policy
  * eliminate the need for hplefthandclient in tests
  * Fix retyping volume that has volume type None
* Sun May 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev137.g7599b81:
  * Imported Translations from Transifex
  * Fix broken version responses
  * Specify lld in tgt config backends
* Sat May 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev131.gd1ef091:
  * Fix solaris_execute in SolarisISCSIDriver
  * Added unit test cases for _is_share_eligible in NFS driver
* Wed May 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev127.gb75d26f:
  * Convert SolidFire Capacity response to GiB
* Tue May 13 2014 dmueller@suse.com
- remove amqp/amqplib dependency
* Sun May 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev126.g432720e:
  * eliminate the need for hp3parclient in tests
* Sat May 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev124.g0e82bde:
  * Remove explicit dependency on amqplib
* Fri May  9 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev122.gf0cf3d2:
  * Fix for solidfire driver to use reserved_percentage
  * Ensure that lun_id is an int
  * Add set-bootable command
* Thu May  8 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev117.g09bc57c:
  * Add missing methods to FakeISCSIDriver
  * Fix wrong exception reference
* Wed May  7 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev113.gb7e126e:
  * Implement validate_connector in FibreChannelDriver
* Tue May  6 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev111.ge524456:
  * Properly initialize rpc in cinder-volume-usage-audit
  * Fixes an issue with 3PAR attach
* Mon May  5 2014 mjura@suse.com
- Change dependency on python-amqp instead of python-amqplib
* Sat May  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev109.gd756766:
  * Replace tearDown with addCleanup - Part 2
* Thu May  1 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev107.g07f231c:
  * Add disabled kwarg to service_get_all_by_topic
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev105.gd630d0b:
  * Fix double "the" in Cinder quota warning
  * Fixed 3PAR driver issue finding correct vlun
  * Improve consistency of help strings
  * Replace tearDown with addCleanup - Part 5
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev97.ga221a30:
  * Storwize/SVC driver detach volume failed
* Sat Apr 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev96.g4a392e6:
  * Remove unused volume instance_uuid methods
  * Cinder list does not filter admin metadata
  * Replace tearDown with addCleanup - Part 4
* Fri Apr 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev90.gee434fb:
  * Fix handling multiple WWPNs on preferred FC node
  * vmware: Remove deprecation warning from VC driver
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev86.g7597d79:
  * Keep volume available if retype fails due to quota
  * Fix bad indentation in tests
  * Fallback to None on missing Glance image attrs
  * Remove old driver mappings from Havana
* Wed Apr 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev78.ge63b8af:
  * Remove unused 3PAR driver method
  * Remove unused reservation methods from db.api
  * Update Cinder dev doc
  * Update tests to use CONF.set_override
* Fri Apr 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev71.gfed5843:
  * Re-raise exceptions in upload-to-image
  * Add exception catch if Storwize/SVC driver failed when retyping
  * Correct metadata ordering issue in tests
  * Fixes HostTestCase failures due to slow test run
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev63.gd943baf:
  * Adjust sample config for keystoneclient 0.8.0 release
  * Create volume fail when image id is ""
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev60.gd7d2599:
  * Use cached db object in volume_mig_status ext
  * Enable flake8 H303,H304 checking
  * Inform about instance_uuid in volume usage notification
  * Fixes HP LeftHand driver with Paramiko 1.13.0
  * Disable oslo.messaging debug logs
* Mon Apr 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev51.g7cd6d18:
  * Storwize/SVC driver crashes when check volume copy status
  * Switch over to FixedIntervalLoopingCall
  * Fixes cinder error state volume delete on Windows
  * Force detach should only be an admin api
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev43.g04c0579:
  * driver.create/remove_export() require elevated context
  * Check for silent failure of tgtadm remove
  * GlusterFS: Delete active snapshot file on volume delete
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev37.gd196d54:
  * Updated from global requirements
  * GET details REST API next link missing 'details'
* Thu Apr 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev33.gfce0fcb:
  * Log initialize_connection error before remove_export
* Wed Apr  9 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev31.g1d1a9b3:
  * ceph backup driver: improve log messages
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev29.gf50c884:
  * Check that all po/pot files are valid
* Mon Apr  7 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev27.gf93a752:
  * Enable flake8 F841 checking
* Sat Apr  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev25.gdffae65:
  * Append nas_opts to IBMNAS_NFSDriver configuration
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev23.ged94a47:
  * Change iogrp property when retyping for Storwize/SVC
  * Allow deprecated volume update keys in v2
  * _translate_from_glance() can cause an unnecessary HTTP request
  * Adds ionice command permutations to rootwrap filters
  * GlusterFS: Delete volume-<uuid>.info file when volume is deleted
  * Fixes cinder volume delete on Windows
* Wed Apr  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev11.gc72cc4b:
  * Fix Jenkins translation jobs
* Sun Mar 30 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev10.g6b3d177:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Fixes cinder volume attach on Windows
* Sat Mar 29 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev4.g55272d4:
  2014.1.rc1
  * Import request_id middleware bug fix from oslo
* Fri Mar 28 2014 cloud-devel@suse.de
- Update to version cinder-2014.2.dev135.g994bd9e:
  * Open Juno development
  * Imported Translations from Transifex
  * Changes to correct name of missing NetApp license
  * NetApp cmode nfs: Fix QOS extra spec
  * NetApp cmode iscsi: Fix QOS extra spec
  * Fixes a problem in attach volume in EMC driver
  * Update config generator from OSLO
  * Pass the mirrorlog option as two arguments
  * vmware: Use SessionIsActive to find stale session
* Thu Mar 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev119.g532e995:
  * Netapp iscsi: allow snapshots with unspecified block range
  * vmware: Remove pbm_default_policy config option
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev115.gcaff15a:
  * Serialize the notification payload
  * Adds xiv_chap to xiv/ds8k driver configuration
  * Can't force-create snapshot by an non-exist error volume
* Tue Mar 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev110.gb584460:
  * Updated from global requirements
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev109.geb6bae9:
  * init_host should be called before RPC consumer is created
  * Allow NetApp iSCSI driver to sub-clone large volumes
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev105.ge145ef7:
  * Add RequestContextSerializer for rpc notifications
  * Simplify test force delete snapshot unit test
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev102.gb78a10c:
  * resolve KeyError for IBM Storwize/SVC driver
  * Remove unused method from NetApp iscsi driver
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev98.g834f776:
  * VMware: Implement vmdk extend_volume
  * Use the error_out_volume from flow common instead
* Mon Mar 17 2014 rhafer@suse.com
- switch over to non-openstack-prefix'ed users
* Mon Mar 17 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev94.gd1b95a6:
  * Use six.moves.urllib.parse instead of urlparse
  * Don't send untextified exc to webob
  * GPFS unit tests: increased coverage, uses mock
  * Add snapshot related data to limits api
* Sun Mar 16 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Switch-over-to-oslosphinx.patch dropped (merged upstream)
  + 0001-Switch-over-to-oslosphinx.patch dropped (merged upstream)
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev86.ga9218b7:
  * Fix create_export/remove_export in driver.py
  * Imported Translations from Transifex
  * Updated from global requirements
  * Switch over to oslosphinx
  * NetApp api fix structure conversion methods
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev77.gb30a54c:
  * Ensure name is utf-8 when deleting rbd vol or snap
  * Add missing config values for vmwware_vmdk test
  * get volumes with limit and filters does not work
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev71.g9046e6e:
  * Revert "Re-enable lazy translation"
  * Sync latest Oslo code for imageutils
  * Imported Translations from Transifex
  * Use debug level logging during unit tests
  * Sync log.py from oslo-incubator
  * Fixed some FCZM unit tests hacking issues
  * cinder-rtstool imports a not existing module
  * Fixes cinder-volume service startup on Windows
  * Add libffi-dev to list of packages to install in dev env
  * Fix exception message of CoraidESMConfigureError
  * vmware: Mark VMware ESX vmdk driver as deprecated
  * Fixes ssh-injection error while using chap authentication
  * Generate config samples for oslo.messaging
  * Add conversion types in some strings
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev47.g2869d016:
  * Fixed nova VM live migration issue with 3PAR
  * Adding domain to context
  * Fix missing package dependency for requests
  * Fixes ssh-injection error while using chap authentication
  * Generate config samples for oslo.messaging
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev42.ga68d558:
  * Fixes ssh-injection error while using chap authentication
  * Generate config samples for oslo.messaging
  * VMware: Take the volume size from the user input
* Tue Mar 11 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev37.g7c2d6fe:
  * Port to oslo.messaging
  * Updated from global requirements
  * 3PAR: Support extend volume based on snapshot
  * Convert cinder utils tests to use mock
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev29.g174be82:
  * get volumes API does not handle limit=0
  * EMC SMI-S delete snapshot unit test takes too long
  * Fixed spelling error - accomodate to accommodate
  * Clean Up EMC VNX Direct Driver in Cinder
  * gpfs driver: fix logging problems
  * Include next link when default limit is reached
  * Re-enable lazy translation
  * Sync latest Oslo config code for i18n
  * Fix HP LeftHand Performance issue with AO
  2014.1.b3
  * vmware: PBM wsdl file configuration
  * vmware: default global pbm policy configuration
  * vmware: check datastore availability during create
  * vmware: Storage policy based volume placement
  * Sync log.py from oslo
* Fri Mar  7 2014 speilicke@suse.com
- Remove python-coverage test requirement
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev361.gf888e41:
  * NetApp implementation for copy offload in clustered nfs driver
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev360.g586b284:
  * Remove str() from LOG.* and exceptions
  * Storwize volume manage/unmanage support
  * Volume manage/unmanage support
  * Add user defined extra capabilities
  * Fix HP LeftHand migration with snapshots
  * Add EMC VNX Direct Driver in Cinder
  * Check if snapshot is deleted cleanly
  * GlusterFS: Set permissions on qcow2 snapshot files
  * Quota delete operation in cinder
  * NetApp eseries iscsi driver implementation
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev340.gee371df:
  * remove _check_container_exists from Swift backup driver
  * Add initiator_target_map for IBM Storwize/SVC
  * Typo corrections for test files in cinder
  * gpfs volume driver backup file access fixes
  * Add versioning output for the FC Zone Manager
  * Remove unused methods
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev328.g283af11:
  * Updated from global requirements
  * Fix docstring ordering
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev324.g34f4b56:
  * Add initiator target map in EMC SMI-S FC driver
  * Replace httplib.HTTPSConnection in unittests
  * Remove rabbit_notifier (Sync notifier with oslo d6e1ba7)
* Mon Mar  3 2014 bwiedemann@suse.com
- Update to version cinder-2014.1.dev318.g55ca367:
  * Restrict rootwrap find filter for IBM NAS and GPFS
  * change time.sleep to use loopingcall
  * Change RBD delete failure log level to warn
  * Updated from global requirements
  * Update Oslo wiki link in README
  * Segment LUN clones in NetApp iSCSI
  * test_volume unittest fails if ran only this module
  * Deactivate LV before removing
  - Drop 0001-Deactivate-LV-before-removing.patch
  * VMware: changing volumeops tests from mox to mock
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev301.g6c346e8:
  * Give a way to save why a service has been disabled
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev299.ge43678f:
  * Make EMC SMI-S driver unit tests faster
  * Remove unused variable
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev296.g6b15c40:
  * Fix volume stats with multiple LeftHand clusters
  * Export and import backup service metadata
  * Don't clear host_state_map when scheduling
  * Add volume metadata backup suport to swift driver
  * Add optional ionice to volume clearing process
  * Restrict rootwrap find filter for NetAppNFS driver
  * GlusterFS: Increase snapshot delete job timeout to two hours
  * updating testing readme with more current information
  * Python 3: replace "im_self" by "__self__"
  * Change warning message in NetApp driver for vsadmin creds
  * TSM backup driver changes to support file backup
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev274.g41ddaba:
  * Update FibreChannel Zone Manager config
  * 3PAR: Fix extend volume GiB to MiB
  * Fix silly error in comment
  * 3PAR: Create volume from snapshot with larger size
  * Fix test_delete_should_not_.. to assert something
  * Use len instead of for-loop to get the end index
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev262.gbcbca12:
  * Fix free_capacity reporting in SolidFire driver
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Replace tearDown with addCleanup
  * Use six.StringIO instead of StringIO.StringIO
  * Implement retype in IBM GPFS Driver and refactor
  * 3PAR: Delete missing snapshot stuck in error_del
  * Added 3par initiator target map for FCZM
  * Fix race in test_delete_backup
  * Storwize/SVC: Change volume copy task to async
  * Fix invalid facilities documented in rootwrap.conf
  * Removes use of timeutils.set_time_override
  * Brick support for pNFS
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev239.gf2137b3:
  * Driver for IBM SONAS and Storwize V7000 Unified
  * Fix webob.exc.HTTPForbidden parameter miss
  * Fix FC connection handling in the storwize driver
  * Add support for FC zone lifecycle management
  * 3PAR: Backend assisted volume migrate
  * Add x-openstack-request-id to cinder responses
  * Sync oslo imageutils, strutils to cinder
  * Add encrypted flag to volumes
  * Nexenta iSCSI driver: fixed volume_migration
  * Change default policy for volume_extension:volume_tenant_attribute
* Mon Feb 24 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev219.gf028c8a:
  * Remove old driver mapping deprecation
* Sun Feb 23 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev217.gc2807f0:
  * Add HP MSA Fiber Channel driver
  * Use six.moves cStringIO instead of cStringIO
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev213.gf3df7ef:
  * Add support for qos_specs feature to 3PAR drivers
  * Update 3PAR drivers to pass cert test
* Fri Feb 21 2014 dmueller@suse.com
- only run migrations on api service
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev209.g4d4b5f7:
  * Ensure return for db api functions
  * HP LeftHand Backend assisted volume migrate
  * Remove unused function
  * IBM XIV and DS8000 Driver reorganizing (IBM dir)
  * Update gpfs driver volume creation process
* Thu Feb 20 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev199.g7f7997d:
  * Ensures NetApp iSCSI driver correctly compares int values for size
  * Sync request_id, request_utils for cinder
  * GPFS: Implement volume backup and restore
  * Implement retype in HP LeftHand driver
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev192.ge96f3b5:
  * Add support for backing up volume metadata
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev190.g37eb101:
  * Imported Translations from Transifex
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Cast the quota set values to integer before checking their validity
  * Remove dependent module py3kcompat
  * Add EMC SMI-S FC Driver in Cinder
  * Fix wrong example of "nova_endpoint_template"
  * Remove unused exception
  * Add searchDepth when getClusterInfo called
  * Fix cinder-backup volume restore with ceph driver
  * lvm: unhandled exception when migrating volume
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev170.gae5ae50:
  * Rename Openstack to OpenStack
  * Changes to cast variable as integer as XML API fails
  * Ceph backup driver tidyup
  * Move create_, remove_ and ensure_export from drivers
  * GlusterFS: Fix create/restore backup
  * Allow operators to customize max header size
  * Add update support to volume type encryption
* Thu Feb 13 2014 dmueller@suse.com
- added patches:
  * 0001-Deactivate-LV-before-removing.patch
* Thu Feb 13 2014 dmueller@suse.com
- add python-hplefthandclient
* Thu Feb 13 2014 dmueller@suse.com
- added patches:
  * 0001-Switch-over-to-oslosphinx.patch
* Thu Feb 13 2014 dmueller@suse.com
- remove hacking dep
* Thu Feb 13 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev156.g23b7700:
  * Check type argument on create from source and snap
  * Removed unused context in _extend_snapshot method
  * Dont set error_extending status on API extend call
  * Fix LVM migrate_volume tests
  * Add notifier events to cinder volume rename, reset-state
* Wed Feb 12 2014 cloud-devel@suse.de
- Update to version cinder-2014.1.dev146.g6b431eb:
  * Storwize/SVC: Check wwpn not None
  * New HP LeftHand array iSCSI driver
  * Remove tox locale overrides
* Tue Feb 11 2014 speilicke@suse.com
- Update to version cinder-2014.1.dev140.g0388ec7:
  * Fixup persistence file not found on tgt remove
  * Add method for unit tests to set logging level
  * Storwize/SVC: Fix races in host-related functions
  * Fix misspellings in cinder
  * Fixes cinder failed to create/restore a backup with NFS driver
  * Brick fix BrickException message formatting
  * Implement retype in SolidFire driver
  * Validate the quota in the API layer for volume extend
  * Rename self.tgtadm to self.target_helper
  * Brick connector fix for GlusterFS
  * Updated from global requirements
  * vmware: intermittent failure in test_vmware_vmdk
  * RBD unit test improvements
  * Move clear_volume back to it's own method
  * Don't use shred for volume_clear=zero
  * Move clear_volume method to volume.utils
  * LVM: log thin pool name and size upon creation
  * Remove create_export from volume create
  * vmdk: To add missing time unit in driver option
  * Update SolidFire Driver to use cinder's units
  * Update cinder.conf.sample for new keystone client
  * LVM: remove redundant casts to float
  * On create_volume flow get rid of host parameter
  * Allow spaces in host names in the storwize driver
  * Remove SSH code from 3PAR drivers
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Thu Feb  6 2014 dmueller@suse.com
- fix typo in logrotate
* Tue Feb  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev88.g4c69c84:
  + Remove a catching exception during delete_volume
  + Add support for special char in volume metadata
  + Imported Translations from Transifex
  + Do not show quota of removed volume types in Default Quotas panel
* Mon Feb  3 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev80.gc4ca3ae:
  + Stop volume_type_encryption creation when in use
* Sun Feb  2 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev78.g8fca3a8:
  + Remove unused task from manager create_volume flow
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev76.ga5c4cf8:
  + Revert initialize_connection changes
  + VolumeManager: initialize even if a volume can't be found
  + Brick LVM: Handle space info as numeric types
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev70.gf2cb3e8:
  + Extra_spec containing '/' can't be deleted
  + Add create_iscsi_target stub to TargetAdmin
  + LVM: Activate source snap LV when cloning from volume
  + Fixes incorrect key in dictionary
  + Create structure of flows' packages
  + LVM: Robustify skipactivation detection
* Thu Jan 30 2014 dmueller@suse.com
- move lock_path to /var/run
* Thu Jan 30 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev58.g617f296:
  + Convert ceph backup unit tests from mox to mock
  + 3PAR iSCSI volumes attach to single nsp
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev55.g60ffb0e:
  + Fix up the way we do iqn variable in unit test
* Tue Jan 28 2014 dmueller@suse.com
- configure lock_path
* Tue Jan 28 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev53.g80096b6:
  + Make sure report_interval is less than service_down_time
* Mon Jan 27 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev52.gcbc6e8e:
  + Updated error messages for volume clone
  + Fix import log_handler error with publish_errors set
  + Convert RBD unit tests to use mock instead of mox
  + Storwize driver cleanup
  + Redundant check in os-migrate_volume_completion
  + GlusterFS: Fix deadlock in volume clone
  + Remove unused exceptions
* Sun Jan 26 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev38.g5245629:
  + Fix docstring and remove unused variable
  + Fixed inconsistency in iqn
  + Sync gettextutils from Oslo
  + Sync py3kcompat, sslutils, versionutils from Oslo
  + Sync common modules from Oslo
  + Enable multi-process for API service
  + Delete volume transfer in volume_destroy function
  + Updated from global requirements
  + Catch new iscsi exception
  + Imported Translations from Transifex
* Sat Jan 25 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev18.g29ffebe:
  + Fix up calculating space info for mirrored volumes
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev16.g3e0d5c7:
  + Remove unused variable in os-extend api
  + Remove env from rootwrap filter
  + Update host on driver retype
  + Ensure hostnames are converted to IP for comparison.
  + Add Backup Service to 'cinder-all' script
  + Fix cross-import bug in cinder.db.sqlalchemy.api
  + Transfer creation doesn't support 'name' via xml
  + Allow user to specify audit period.
  + Fix UnboundLocalError in TgtAdm.update_iscsi_target
  + Use oslo.rootwrap library instead of local copy
  + Remove unused variable in restore_backup method
  + Pull Bug #1263122 fix for service module from Oslo
  + Remove unused config options
  + Use a mirrored mirror log
  + Update HACKING.rst with regard to mock usage
  + Rename __init__.py to create_volume.py
  + Added missing accept_transfer to FC
  + Add support for retype in Storwize/SVC driver
  + Remove unused method 'is_key_value_present()'
* Wed Jan 22 2014 dmueller@suse.com
- fix requires
* Wed Jan 22 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev203.gf67050b:
  + Pull latest scheduler change from Oslo
  + Use loopingcall from openstack-common
  + Updates for version list to show correct references
* Tue Jan 21 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev197.g407301e:
  + Register EMC config options globally
* Mon Jan 20 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev195.gc24e82d:
  + Fix os.getlogin() problem with no tty
  + Fix exception log msg in attach volume method
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev191.gea9c594:
  + LVM: update iscsi target on volume attach
  + Use a *args pass-in instead of a list one
  + Remove legacy config option 'connection_type'
  + GlusterFS: Synchronize additional operations
* Fri Jan 17 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev183.g5be4620:
  + Update cinder.conf.sample for keystoneclient change
  + Move driver initialization check into the method
* Thu Jan 16 2014 dmueller@suse.com
- default to tgtadm
* Thu Jan 16 2014 dmueller@suse.com
- fix requires
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev181.gdc79d39:
  + Switch to Oslo's config generator
* Mon Jan 13 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev179.g77ee831:
  + Remove unused message from iogrp_data setup
  + Hiding postgresql password in connection string
  + Add bool_type dictionary to test_migrations
  + Drop Chance/SimpleScheduler Implementation
  + Fix Brick LVM test command parsing
  + Print driver exception on retype
* Sun Jan 12 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev167.g8aba794:
  + 3PAR: Raise Ex when del snapshot with depend vol
  + Fixed a problem in iSCSI multipath
* Sat Jan 11 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev163.g0ea8085:
  + Raise max header size to accommodate large tokens.
* Fri Jan 10 2014 dmueller@suse.com
- set default keystone signing_dir
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev161.g7268c4d:
  + NFS/GlusterFS: Skip incorrectly formatted shares
  + Fix sqlalchemy bug in transfer_get_all_by_project
  + Fix sheepdog copy_image_to_volume method
  + VMDK:Using host mount info for datastore selection
* Thu Jan  9 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev154.gda2caad:
  + Add ability to modify volume type
  + Removed deprecated config option hp3par_domain
  + Fix the invalid argument of webob.exc.HTTPBadRequest
  + Fix downgrade in 002_quota_class.py for MySQL
  + Modify default prefix for solidfire account
* Wed Jan  8 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev144.gbf00664:
  + Update V2 API to return detailed volume information on create
  + Adding helpful URL links to README.rst and HACKING.rst
* Tue Jan  7 2014 dmueller@suse.com
- fix requires
* Tue Jan  7 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev140.g24d7e24:
  + Replace Simple/Chance Scheduler with FilterScheduler
* Sun Jan  5 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev138.g7a958ce:
  + Remove unused fake_flags
  + Removed copyright from empty files
  + GlusterFS: Use correct base argument when deleting attached snaps
  + Imported Translations from Transifex
  + LVM: Fix "intialized" typo in warning msg
  + add 'force' verification in _volume_upload_image
  + removed unused context in check_*** methods
* Sat Jan  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev125.g1aa01b3:
  + Add additional metadata as key-value pairs in 3PAR
  + Reduce the redundant variable declarations
* Fri Jan  3 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev121.g6ccc654:
  + LVM: Activate Thin Pool LV upon initialization
* Thu Jan  2 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Avoid-using-GREENDNS-due-to-dnspython.patch (only offset)
* Thu Jan  2 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev120.gf52cb1b:
  + Fix spelling errors
  + Handle initialize_connection() exception in volume manager
  + Add qos_specs support to solidfire driver
  + Imported Translations from Transifex
  + Bugfix missing foreign key removal for mysql
  + Imported Translations from Transifex
  + Handle terminate_connection() exception in volume manager
  + Empty files shouldn't contain copyright nor license
  + Redundant size check in volume restore api
  + Imported Translations from Transifex
  + Remove vim header
  + Remove dynamic default on sf_account_prefix
  + Add AllocatedCapacityWeigher
  + Output Strings of bin/*.py should support i18n
  + Only reverify backing lun when create backing lun
* Tue Dec 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev93.g8a5ce96:
  + Fix and enable gating on F401
  + Service launcher method docstring corrected
  + Set volume_dd_blocksize configurable on per-driver basis
* Mon Dec 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev87.ge40dafd:
  + Fix QoS information in initialize_connection() result
* Thu Dec 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev86.g2c76803:
  + Updated from global requirements
  + Remove hashbang (#!) at beginning of python modules
  + Add the driver name to get stats log output
  + Lazy log the fixed_key warnings
  + Remove LANG=C from rootwrap invocations
  + Make sure report_interval is less than service_down_time
  + Switch create volume commands to Taskflow 0.1.1
  + make help text more meaningful for cinder docs
  + Add disabled_reason field to services table
  + Remove test that was no longer used for long
  + GlusterFS: Complete snapshot_delete when info doesn't exist
  + Adjust import order according to PEP8 imports rule
  + Adds unit tests for drivers.rbd.RBDImageIOWrapper
  + [Netapp/Nexenta] Move registration of config options
  + Use mock for scheduler tests
  + 3PAR FC: add ability to add WWNs to host
  + Imported Translations from Transifex
  + Pylint fixes for GlusterFS driver
  + Pylint fixes for Brick iSCSI/LVM
  + Remove unused code from volume manager (reset_stats)
  + Fix KeyError while generating a WSGI response
  + make delete recovery messages debug level
  + Fix and enable gating on H402
  + Do not clone non-raw images in rbd backend
  + Add exception logging if flow creation fails
* Wed Dec 18 2013 dmueller@suse.com
- remove sqlalchemy-0.8x.diff, we went back to 0.7.x
* Thu Dec 12 2013 dmueller@suse.com
- fix deployment of qcow2 images for Boot-from-Volume
* Wed Dec 11 2013 dmueller@suse.com
- make sure boot.lvm is started before cinder-volumes (bnc#854637)
* Tue Dec 10 2013 dmueller@suse.com
- Update to version 2014.1.dev39.g5cb91b7:
  + Remove unused import and CinderNode sqlalchemy model
  + Use assertAlmostEqual instead of failUnlessAlmostEqual in unit tests
  + Fix typo/misspelled words
  + Adjust RBD delete log level
  + Use model_query() in db.*****_destroy
  + Add more logging to migrate_volume_completion
  + Don't stop volume service for failed re-export operations
  + Bump to sqlalchemy-migrate 0.8.2
  + Add unit tests for volume reserve and unreserve
  + Add attach/detach notifications
  + Change method name to test_get_volume_stats
  + Fixes case insensitive for resp body
  + All API controllers inherit from wsgi.Controller
  + Update hacking to hacking>=0.8.0,<0.9
  + NetApp fix for vsadmin role failure for ssc
  + Fix docstring for snapshot_metadata controller
  + Catch ImageBusy exception when deleting rbd volume
  + LVM: Create thin pools of adequate size
  + LVM migrate: Use keywords for the brick instance
  + Convert lvm_mirrors to int
  + Fixes case insensitive for resp body
  + Returns thin pool free space calculated from actual usage
  + Sync rpc fix from oslo-incubator
  + Adds lock for create from vol/snap to avoid race conditions
  + Brick LVM: Set C locale when gathering PV info
  + LVM migration: Check if name is equal to dest_vg
  + Add RBD test for volume not existing during delete
  + Sync matchmaker_ring.py from oslo-incubator
  + Catch TypeError when new_size is None on extend
  + GlusterFS: Remove glusterfs_disk_util option
  + delete.start/delete.end notification for hostless
* Thu Dec  5 2013 dmueller@suse.com
- add tgtd to should-start/stop list (bnc#848959)
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev586.gd3a6d29:
  + Imported Translations from Transifex
  + Fix _update_volume_stats typos
  + Fix typo in cinder
  + Removes dublicated assert from test_migrations.py
* Sun Dec  1 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev579.g6a6fc11:
  + Make volume_glance_metadata_create compat with DB2
  + GlusterFS: Ensure Cinder can write to shares
  + Fixing check order for empty body in get_body()
  + Redundant body validation for volume_upload_image
* Sat Nov 30 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev571.gfc02462:
  + Add chance weigher to scheduler
  + Fix suppressed exceptions for migration downgrade
  + Fix Storwize terminate_connection with no host
  + Updates .gitignore
* Fri Nov 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev563.gfecf558:
  + Handle NotFound exception in snapshots API code
  + Fix the wrong verification for 'readonly'
  + Parse out '@' in volume['host'] to do discovery
  + Add volume migration code to Nexenta iSCSI volume driver
* Thu Nov 28 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev555.ga07d1a8:
  + The param 'readonly' is incorrect checked
  + Imported Translations from Transifex
  + Remove the redundant judgment for 'restore'
* Wed Nov 27 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev549.g384e0bd:
  + Pull latest service module from Oslo
  + Fix docstring for Snapshot model
  + GlusterFS: Set correct permissions for volume file created via clone
  + Brick connector revised fix for NFS drivers
* Tue Nov 26 2013 dmueller@suse.com
- add sqlalchemy-0.8x.diff
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev541.g0b71a3f:
  + Ensure 'status' in update_snapshot_status
  + Fix ./run_tests.sh -V --virtual-env-name
  + Migrate volume should check para "host" in request
  + Initialize and terminate connection raise 500 err
  + Fix docstring for _migrate_volume_completion
  + NetApp fix free space as zero during 1st vol stats update
  + Pass the size when fetching image in xenapi driver
  + Update openstack/common/periodic_task
  + Add greenthread.sleep() to parent wait()
  + Remove dead code from test_get_volume_stats()
  + To fix test_get_dss_rp in test_vmware_vmdk.py
* Mon Nov 25 2013 dmueller@suse.com
- switch to python-setuptools
* Mon Nov 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev519.gb6e1677:
  + Continue to delete volumes that DNE in rbd backend
  + Remove unused code in test_admin_actions.py
* Sun Nov 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev516.g010a5d2:
  + Using HttpNfcLease to transfer vmdk files.
  + Add default quota class into DB during migration
* Sat Nov 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev512.g653c403:
  + Subclass vendor specific exceptions.
  + GlusterFS: Synchronize operations that manipulate qcow2 data
  + Create snapshot throws 500 Internal Error
  + Add valid check and unit tests on quota class
  + Remove suffixes from LVM brick test vgs output
  + Don't do glance v2 calls when config is set to v1
  + Fix typo in cinder.volume.API.
  + Add support for extend volume in GPFS vol driver
* Fri Nov 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev496.gb9298d2:
  + Fixes inappropriate error message.
  + LVM: Activate source LV before cloning from it
* Mon Nov 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev493.g1099f09:
  + Check only our VG name when testing if VG exists
* Sun Nov 17 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev491.g88e6883:
  + Enable object caching in cinder REST API requests
  + Use cached volumes in REST API extensions
* Fri Nov 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev487.gf4dff4d:
  + Remove the use of common.uuidutils.gen_uuid
  + Nexenta NFS driver refactoring
  + Adds extend volume to Dell EqualLogic Driver
  + Update quota-set throw 500 error
  + Remove dup of LVMISCSIDriver in LVMISERDriver
* Thu Nov 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev477.g527e554:
  + RequestContext initialization failed in cinder.
  + Nexenta: Remove snapshot after volume-clone deletion.
  + Add call to retrieve image metadata for volumes in bulk
  + Retrieve volume image metadata using single query
  + Fail when image is bigger than the volume
  + Imported Translations from Transifex
  + Remove duplication of ISCSIDriver in ISERDriver
  + Nexenta iSCSI driver: extend volume stats of _update_volume_stats
  + Support volume_readonly_update using XML format
  + Do not allow bad keys while updating quota
  + Don't use deprecated module commands
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev455.g925b0f8:
  + Update URL for global HACKING document and remove duplicate section
  + Do not remove volume silently if GPFS is unmounted
  + Report zero capacity if GPFS is unmounted
* Mon Nov  4 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev450.g54b117d:
  + Examine if GPFS is mounted before writing data.
* Sat Nov  2 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev448.g0f2a0ea:
  + Remove unused db calls to fetch original metadata
  + Fix typo in test_check_ssh_injection_on error test
* Fri Nov  1 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev444.g6c5bb78:
  + Allow spaces in quoted SSH command arguments
  + NetApp unit test fail fix for http_proxy
  + Imported Translations from Transifex
  + replace u\2013 char with dash
  + Add tests for LVM -cow clearing
  + Sync log from oslo
  + Remove lvm-thin pool_size config option
* Thu Oct 31 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev431.g1aac479:
  + clean up numeric expressions in test
  + Fixes typo in method name _notify_voloume_type_error
  + Use pipe between ceph backup diff export/import
  + remove rundundant lockfile requirement
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev424.g75bcf70:
  + Add missing space to num_iser_scan_tries text
  + Add cinder.db.migration.db_initial_version()
  + Apply six for metaclass
  + Imported Translations from Transifex
* Mon Oct 28 2013 dmueller@suse.com
- add dependency on rtslib-fb
* Mon Oct 28 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a418.g64c6eea:
  + Nexenta iSCSI driver: Refactor create_cloned_volume
* Sun Oct 27 2013 dmueller@suse.com
- fix init script again
* Sun Oct 27 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a416.g5907700:
  + Imported Translations from Transifex
* Sat Oct 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a415.gffad038:
  + GlusterFS: set correct filename when cloning volume
  + Updated from global requirements
  + Update my mailmap
  + NetApp fix ssc volume filtering inconsistency
  + NetApp fix for 7mode iscsi volume stats
  + Revert "Brick connector fix for NFS drivers"
* Fri Oct 25 2013 dmueller@suse.com
- Update to version 2014.1.a403.g76ffb76:
  + Check if dir exists before calling listdir
  + Brick connector fix for NFS drivers
  + Rename "rtstool" to "cinder-rtstool", add dep
  + Unit test fails in pbuilder environment
  + Handle NotFound exceptions in API
  + Downgrade target create failure mesg to warning
* Thu Oct 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a393.gc037605:
  + Let GPFS driver to rename snapshot with root permission
  + NetApp fix for compression and dedup stats
  + NetApp fix mirrored stats
  + Nexenta drivers ignore "does not exist" exception
  + Remove duplication of brick.iscsi in brick.iser
  + Revert "remove cinder-rtstool because of rtslib dep"
  + Add openstack/common/crypto from OSLO
  + VMware: Registering vmdk opts in global space
* Wed Oct 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a377.gbec02a9:
  + Add auth_token settings to cinder.conf.sample.
  + Uses oslo.imageutils
  + Imported Translations from Transifex
  + Add extend_volume for Huawei drivers
  + Provide gettext _ in missing locations
  + Updated from global requirements
  + Fix volume transfer href issue
  + Drop auth_token configs for api-paste.ini.
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a361.gcaba8c0:
  + Fix generate conf script can't handle multistropt
  + Update openstack/common/notifier
* Fri Oct 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a357.g9b599d0:
  + Imported Translations from Transifex
* Thu Oct 17 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a356.ge2f969d:
  + Cinder extension to add used resources in absolute limits
  + Imported Translations from Transifex
* Wed Oct 16 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a352.g8491cae:
  + Initialize shares variables for RemoteFsDriver(s)
  + Fix lvm.extend_volume to pass Gig suffix
  + Fix Huawei drivers to support other host OSs
  + Nexenta NFS volume driver folder auto sharing
  + Don't zero out thin provisioned LV's on delete
  + Fix Huawei HVS driver AttributeError
  + Fix indentation errors in drivers
  + Nexenta NFS driver: caching for appliance volroot
  + Storwize: Fix iogrp availability check
* Tue Oct 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a334.g645a84f:
  + Imported Translations from Transifex
  + FK lookup failures during migration
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a332.gc287b15:
  + remove unused methods in driver.Scheduler
  + Imported Translations from Transifex
  + Provide user with more information on quota fail
  + Utilizes assertIsNone and assertIsNotNone
  + Nexenta volume drivers: refactor NexentaJSONProxy
  + VMware: Disallow snapshot of attached volume
  + Support Huawei driver upgrade from grizzly to havana
  + use cinder utils.get_root_helper
  + long flashcopy operation may block volume service
  + Clean up comparison assertions
  + improves lvm version parsing for customised builds
  + Fix typo in cinder.volume.drivers.nexenta.__init__
  + Remove whitespace from cfg options
  + Remove obsolete redhat-eventlet.patch
  + Updated from global requirements
  + Fix tests to work in debug mode
  + VMware: Fixed upload-to-image for available volume
  + Refactor Nexenta iSCSI driver
  + Remove unused 'initiator' imports
  + Remove option count from sample configuration
  + Fix all occurences of H404 Hacking warning
  + Imported Translations from Transifex
* Wed Oct  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a290.g60f2eb8:
  + usedevelop in tox
  + Disable lazy translation
  + Clean CONF out of brick initiator
  + Create volume revert fails for non admin user
  + VMware: Usng RetrvProprtisEx & does multi ESX scan
  + Pass through args and kwargs in brick connectors
  + Remove CONF from brick remotefs
  + After commiting quota we should avoid certain reverts
  + NetApp fix clone image compatibility issue with ssc
  + Update Babel from Openstack Requirements
  + Validate force_host_copy API param for migration
  + Changed header from LLC to Foundation based on trademark policies
  + Check for backing lun on iscsi target create
  + v2 api - return bootable attr value on volume list
  + Improve gpfs config flag help text readability
  + Storwize SVC driver hostname can't start with number
  + Fixes incorrect class path in logging_sample.conf
  + Quotas roll back failure of create volume task
  + Remove need for CONF acces in brick iscsi
  + Add key manager implementation with static key
  + Remove incorrect class in cinder.conf.sample
  + VMware ESX: Fixes vol clone & clone from snapshot
  + Add support for querying the quotas usage
  + Fixes ceph backup import errors
  + Imported Translations from Transifex
  + Clean CONF out of brick iser
  + Open Icehouse development
  + Fix broken solidfire create-snapshot
  + Nexenta iSCSI driver fix _lu_exists
  + Ignore H803 from Hacking.
  + Drop conf_key_mgr warning message!
  + Cleanup and more tests for db.api methods
  + VMware: Re-create session for RetrievePropertiesEx
  + Imported Translations from Transifex
* Tue Oct  8 2013 dmueller@suse.com
- remove remove-babel-requirement.diff
* Wed Oct  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a225.ga2673b0:
  + Dont retry if target creation succeeds
  + Set vol driver initialized before deleting volumes
  + Add XML response tests for qos specs manage ext
  + Fix Huawei HVS driver attaching volume error
  + Fix mandatory and optional args for create_volume
  + Fix translation of CinderExceptions in REST API
  + Fix finish_volume_migration() on SQLAlchemy 0.8.x
  + Fixes backup with multiple volume backend
* Tue Oct  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a210.g0f7d937:
  + Clean CONF out of brick exception
  + Update OpenStack Style Commandments link
  + Fix type change in bootable setting of volume view
  + Allow upgrade from Grizzly with ThinLVMVolumeDriver
  + Add error logs for Huawei driver
  + Imported Translations from Transifex
  + Use module units for some drivers
  + Add debug logging for targets
  + Fix XML serializer for QoS Specs extension
  + Fix chown fail for nfs file without necessary permission
* Sun Sep 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a190.g76498dc:
  + Get host group id when Huawei driver initializing
* Fri Sep 27 2013 dmueller@suse.com
- switch to crudini
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a188.g4e27ca1:
  + Update rootwrap with code from oslo
  + Allow v2 Volume API to create volume with type name
  + Fix check for mount.nfs helper installation
  + Fix NetApp iscsi drivers for cinder backup
  + VMware: Handles no datastores case
  + Fix processutils.execute errors on windows
  + Revert "Fix volume_rpcapi calls for chance/simple scheds"
  + LVM volume_clear: error on unexpected inputs
  + Sync gettextutils from oslo
  + Pass correct args to vol_rpc create_volume calls
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a168.gbedcc2d:
  + Add sg_scan filter to rootwrap
  + Add delete support for volume type encryption
  + GPFS Driver missing clone depth limit for snapshots
  + Fixes some typos in cinder
  + Specific /usr/local/bin/hus-cmd rootwrap filter
  + Fix volume_rpcapi calls for chance/simple scheds
  + Imported Translations from Transifex
  + Added mapper for update_all on snapshot_metadata
* Mon Sep 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a153.ge6f4d33:
  + Soft delete tmp migration volume
  + NetApp check for 7 mode controller version
  + Add extend to reference LVM driver
  + Fix issues with failed lvremove
  + Add a retry to create_iscsi_target for LVM
  + GlusterFS: Use image_utils for qemu-img calls
  + GlusterFS: Copy snap from correct source file
  + Fix over-indent in compute/nova
  + Require assisted_volume_snapshots from novaclient
  + Storwize/SVC: Optional CHAP authentication
  + Fixes vol restore discard final bytes unzeroed
* Sun Sep 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a131.g4925c1a:
  + Remove default root_helper of sudo for remotefs
* Sun Sep 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a129.g6786027:
  + Add volume metadata to v2
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a127.gf61aeb4:
  + Enforce driver is initialized
  + Fix HP3PAR iSCSI path connection
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a123.gdee4c86:
  + Sync gettextutils from oslo
  + remove VolumeNotFoundForInstance class
  + VMware driver: Fix for invalid datastore selection
  + Pass down root_helper in more cases
  + Add logging to prior to raising exceptions
  + NetApp fix create vol different size than snapshot
  + Added mapper for snapshot_metadata
* Fri Sep 20 2013 dmueller@suse.com
- remove 0001-Use-temporary_chown-implementation-from-utils.patch
* Thu Sep 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a110.g26044e7:
  + Fix secure delete for thick LVM snapshots
  + Allow display_name for v2 snapshot-update
  + Fixes call GlanceConnectionFailed in invalid ARG
  + Use built-in print() instead of print statement
  + assertEquals is deprecated, use assertEqual
  + Fixes call VolumeNotFound in the invalid argument
  + fix wrong desciption of monkey_patch config
  + Fix huawei driver test issues
  + Fix __init__ methods of brick initiator connectors
* Wed Sep 18 2013 dmueller@suse.com
- fix requires
* Wed Sep 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a92.g1f563d6:
  + Set rootwrap_config path to rootwrap.conf
* Mon Sep 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a90.g2a725ef:
  + Use $state_path/conversion for image_conversion_dir default
  + Imported Translations from Transifex
  + Do not use qemu-img --backing-chain or --output=json
  + Fixes ceph volume restore to larger image than source
* Mon Sep 16 2013 dmueller@suse.com
- add 0001-Use-temporary_chown-implementation-from-utils.patch
* Sat Sep 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a83.g7fbc2d4:
  + Remove unused exceptions
  + Turn db model object into a primitive object to avoid error
  + Fixing UnicodeEncodeError against volume creating function
  + Add default_availability_zone configuration option to cinder
  + Fixes the use of exception.InvalidInput with the wrong arguments
  + Fix client connection leaks in HP3PAR drivers
  + Improves the parsing way of ssh returns
  + nms.folder.create_with_opts not supported on Nexenta 3.1.4.2
* Thu Sep 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a68.gae75e3f:
  + Fix typo in cinder.tests.test_create_volume_flow
  + Catch generic exceptions
  + Imported Translations from Transifex
* Thu Sep 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a62.g21dc739:
  + NetApp NFS efficient clone_image impl
  + Fixed erroneous force full copy in ceph backup driver
  + fix missing unit in log message
  + Move novaclient to requirements.txt
  + Adds Dell EqualLogic volume driver for Cinder
  + Fix deleting qos specs key
* Wed Sep 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a50.g6ae44d9:
  + Fixes pep8 violation in nova
  + fix log string in conversion type
  + Fix Qos Specs association corner case
  + Call to_primitive on volumes.rpcapi.create_volume
  + Fix bug in Nexenta NFS driver _do_create_volume
  + Add check for qemu-img to image_utils fetch_to_raw
* Mon Sep  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a39.g83cb5b1:
  + Replace assertEquals with assertEqual - 1/2
  + Do not attempt vg.update on uninitialized vg
  + Check cinder-backup service before "backing-up"
  + Send notifications when extending volume
  + Replace assertEquals with assertEqual - 2/2
  + Restrict Volume type deletion with volumes assoc
* Sun Sep  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a27.g24cbfb3:
  + Add support for LocalConnector type in brick
  + Synchronize extend_volume methods in 3PAR drivers
  + Remove unused/redundant methods in cinder/test.py
  + Validate VV Set exists in 3PAR drivers
* Sat Sep  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a20.g326ef78:
  + Added copy-on-write support for all RBD cloning
  + Fix brick remotefs dependency on cinder
  + Fixes misuse of assertTrue in test scripts
  + Fix error casting value to float in lvm.py
  + fix inconsistent i18n log message
  + Remove deprecated assert_() usage
  + Utilizes assertIsNotNone
  + Utilize assertIsInstance
* Thu Sep  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a493.g4fe60f6:
  + Use tempfile and cleanup in windows unit test
  + Fixes brick Nova pep8 violation for lvm.py
  + VMDK copy_image_to_volume and copy_volume_to_image
  + This adds a README to brick
  + Fix tuple usage error
  + Remove quota fetch race condition
* Wed Sep  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a483.g337f936:
  + Set vg_thin_pool to pool name instead of pool_path
  + Add features to Zadara Storage Cinder driver
  + extract 'limits.' to constant for ratelimiting logic
  + QEMU-assisted-snapshots for GlusterFS volumes
  + Fixes cinder-volume service startup on Windows
  + Add view builder to QoS specs API extension
* Wed Sep  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a471.g1428e6f:
  + Refactor Huawei iSCSI driver
  + Refactor huawei Dorado array iSCSI driver
  + Don't need to init testr explicitly
  + Add Fibre Channel drivers for Huawei storage systems
  + Increase test coverage for cinder.utils
  + Fix errors in volume usage audit script
  + New update_snapshot_status API
  + Add volume driver for Huawei HVS storage system
  + Adds Nexenta NFS driver
* Tue Sep  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a453.gcf6db82:
  + Sync rpc fix from oslo-incubator
  + copy_image_to_volume for Nexenta volume driver
  + Utilizes assertIn and assertNotIn
  + Pass db into driver as constructor's parameter
  + Enable gating on F811
* Sun Sep  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a444.g3a30b8a:
  + Clone volume with right size with SolidFire
  + Fix pep8 violation in backup
  + Add support for Havana missing features in Windows driver
  + Increase test coverage for cinder.image.image_utils
  + Remove _create_volume function from several tests
  + Fixes bug to allow for encrypted volume deletion
* Sun Sep  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a432.gb67caf3:
  + Move comment back to right place
  + Add venv wrapper for check_uptodate.sh
* Fri Aug 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a428.g432f819:
  + Multi storage backend support for Nexenta driver
  + Remove unused methods from cinder.utils
  + Add NFS/GlusterFS support to brick library
  + Add kwargs to create_volume in tests/utils.py
  + Update the version for the FC and iSCSI driver
  + Fix typo in bin/cinder-volume-usage-audit
  + Add missing LH SAN driver features for Havana
  + Implements APIs for VMDK driver
* Fri Aug 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a412.gdcdf523:
  + Add automated check of conf sample
  + Sync up with global requirements
  + Extend volume for GlusterFS
  + Remove deprecated code from Nexenta Exception class
  + Removes exception instance creation on execute()
  + Fix except in lvm.py
  + Import order cleanup
  + Fix quota update validation for non-int types
  + Migration for attached volumes
  + Imported Translations from Transifex
  + Fix cinder error for deprecated Netapp drivers
  + Add optimized volume migration to Storwize/SVC
  + Migrate manage script needs import of db session module
  + Modified 3PAR drives to support 3parclient 2.0.0
  + Move create_volume flow to a subfolder
  + Pass MB size on copy_volume_data call copy_volume
  + Adding Read-Only volume attaching support to Cinder
* Tue Aug 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a379.gedea6f6:
  + Imported Translations from Transifex
  + Ignore stmf target must be offline exception
  + Re-enable a lot of cinder scheduler tests
  + Offline snapshots for GlusterFS volumes
  + Set bootable flag for volume cloned from image
  + Ensure that qpid connection is closed (from oslo)
  + Sync execute() related exceptions with oslo
* Mon Aug 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a366.gb41f5b1:
  + Move the frequently injection task to the base folder.
  + Imported Translations from Transifex
* Mon Aug 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a362.g80c38c7:
  + Implement QoS support for volumes
  + Remove print statement in db api test
  + The DB migration shouldn't populate types table
  + Use a new rest client for every Coraid ESM command
  + Fix volume_glance_metadata deletion
  + emit warning while running flake8 without virtual env
  + Test WWNs with basestring
  + Storwize/SVC: allow setting of I/O group
  + Clean up the sqlalchemy migrate manage.py script.
* Sun Aug 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a345.g118e52d:
  + Remove unused methods from LVM driver
* Fri Aug 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a343.gfcd45a4:
  + Backup driver for IBM Tivoli Storage manager (TSM)
  + Allow volume create from source unless in error status
  + Refactor cinder/tests/test_volume.py
  + Dont crash service if sf cluster isnt available
  + 3PAR driver add missing domain check on QOS cmd
  + Remove unused methods from cinder.utils
  + Increase test coverage brick/initiator/connector
  + Move root task class to base file.
  + GPFS use clone_image for creating volumes
  + flake8 H202 error in test_image_utils.py
* Fri Aug 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a323.ge0048c6:
  + Fix some pylint error in Coraid Driver
  + Storwize/SVC: More error logging
  + Generic backup_volume and restore_backup functions
  + Removes ssh_execute in utils.py
  + Adds brick helpers to cinder utils
  + Use system locale when Accept-Language header is not provided
  + Avoid serializing CinderExceptions before they are translated
  + Allow to delete a volume in error_extending status
  + Fix incorrect msgstr's to avoid translation errors
  + Relax policy so owner can access encryption info
  + 3PAR driver terminate connection host validation
  + Unified Volume Driver for IBM XIV and IBM DS8K
  + Fix python 3 pep8 errors for print
* Wed Aug 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a297.g6d30eae:
  + Removed need for domain in 3PAR drivers
  + GPFS support for various volume attributes
  + Make the SolidFire driver api port configurable.
  + Update Brick to use executor
  + Fix Fibre Channel attach for single WWN
  + Remove unused methods from cinder.utils
  + Added need info to accept_transfer
  + Add accept_transfer to solidfire driver
* Wed Aug 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a281.gfc705de:
  + Allow Cinder to call Nova client
  + Reduce hidden effects of sqlalchemy objects
  + Standardize on ID for log messages
  + Add root_helper param to get_connector_properties
  + Use FakeLoopingCall instead of the real one
* Mon Aug 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a271.g5d6c11f:
  + Update Nexenta ISCSI volume driver authors
  + Remove strcmp_const_time
* Sat Aug 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a267.g08b6480:
  + Refactor LVM driver to use Brick VG utility
  + Add more asserts to the limiter unit tests to test the RateLimit
  + Added missing import
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a262.gf88732f:
  + Externalize error messages in the v2 API
  + refactor/unify driver version strings
  + Refactor Nexenta driver
  + Fix SSH injection threat in 3PAR driver
  + Add support for encrypted volumes
  + Implement missing Coraid Driver functionality for Havana
  + Fixes SSH injection threat in 3PAR driver
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a248.gb001824:
  + Raise exception when Glance metadata not found.
  + Tidy up the SSH call to avoid injection attacks for HP's driver
  + Replace os.unlink with delete_if_exists
  + No need to declare the exception conf
  + Extract ISCSI tries option into connector module
* Wed Aug 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a238.g774a177:
  + Add support for API message localization
  + Ignore purge_props for v2 Glance api and fix upload
  + Fixes volume clone from volume
  + Interprete scoped key as nested tags
  + tox.ini: Change sitepackages to False
  + Adding the -online option to the 3PAR clone
  + Added glance_request_timeout config option.
  + Add unit tests for cinder/api/contrib/quotas
  + Fixes docstring formats in connector.py.
  + Add tests for cinder/brick/initiator/connector
  + Fixes some unseen flake8 violations.
* Wed Aug 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a216.g402f3e2:
  + Fix handling ImageUnacceptable in create_volume
  + Fixes files with wrong bitmode
  + Clone_image method added image_id as parameter.
  + Merge from oslo-incubator for notifier
  + Fix signature of _create_volume() in ThinLVMVolumeDriver
* Tue Aug 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a206.g9b3fa64:
  + Use native methods for list manipulation
  + Fix ratelimiting
  + Upgrade Scality driver to match minimum features
  + Move resource usage sync functions to db backend
  + Remove Brick iser dependency on cinder
  + remove Brick deps on cinder.exception
* Mon Aug 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a195.g8f469a4:
  + Imported Translations from Transifex
  + Add support for volume cloning to Nexenta driver
* Sun Aug 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a191.g1325fdd:
  + Add H233 to ignores in tox.ini
* Sat Aug 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a190.gb28e706:
  + Ignore stmf target must be offline exception
  + Imported Translations from Transifex
  + 3PAR drivers creating incorrect comment data
  + Fix the multi-backend storge issue for ZMQ.
* Fri Aug  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a182.g61f116d:
  + Imported Translations from Transifex
  + Use utils.safe_minidom_parse_string in extensions
  + Set lock_path in tests
  + Refactoring of create_volume to use taskflow.
  + Add minimum features in HDS driver (for Havana & Icehouse)
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a173.g568e75c:
  + Imported Translations from Transifex
  + Remove usage of obsolete oslo.exception
  + 3PAR volumes created from snaps failed to attach
  + Add test for brick.local_dev.lvm
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a166.g03eeb66:
  + Remove cinder.exception from Brick
  + Remove Storage Manager from cinder-manage
  + Imported Translations from Transifex
  + Add bin directory to flake8 when not in venv
  + Add eclipse project files to .gitignore
  + Sync gettextutils from oslo
  + Set the concurrent connections on the 3PAR array
  + Imported Translations from Transifex
  + Move volume_clear and clear_size opts up to driver
  + Fixes create rbd volume from image v1 glance api
  + GPFS Verify min release level for mmclone command
  + Create key manager interface
  + Add support for volume extension to Nexenta Systems volume driver
  + Remove Brick's iscsi dependency on cinder
  + Remove locals() from iser
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a138.ged69d6e:
  + Remove unnecessary metadata from the 3PAR drivers
  + Adding support for iSER transport protocol
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a135.g2380fef:
  + Ignore "volume does not exist error"
  + Remove xen storage manager tables
  + Improve DB API test coverage
  + Execute DB API methods in a single transaction
  + Fix volume_create()/snapshot_create() DB methods
  + Call get_session() only when necessary
  + Add new persona value in the 3PAR driver
  + Update driver version to 1.1
  + Set bootable flag for volume serializer
  + use 'exc_info=1' instead of import traceback
* Fri Aug  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a115.g1de031a:
  + Test tools barfs on reusage of 'id' attribute.
  + Imported Translations from Transifex
  + Fix pep8 and pylint violation in Nexenta volume driver
  + Tidy up the SSH call to avoid injection attacks in storwize_svc
* Fri Aug  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a107.ga942b9f:
  + Remove unused migration_* methods from db api.
  + LVM / Block Device Drivers: Fix duplicated flags
  + Factorize code between nfs.py and glusterfs.py
* Wed Jul 31 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a102.g5166842:
  + Add more info to delete error message.
  + Imported Translations from Transifex
  + Pop out 'offset' and 'limit' before use for filter
  + Update to latest oslo rootwrap
  + Storwize/SVC: Use reserved percentage from conf.
  + Fix oslo.config.cfg.NoSuchOptError when running individual tests
* Tue Jul 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a90.gcb93100:
  + Fix running of migrations tests by Jenkins gate
  + Allow connect by FC-only or iSCSI-only systems.
* Mon Jul 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a86.g6f762cf:
  + Removed the dep on cinder.utils
  + Fix unit suffix and add no_suffix option.
  + Update references with new Mailing List location
  + Imported Translations from Transifex
  + Make unicode-to-utf8 conversion universal in ceph backup driver.
* Sun Jul 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a77.g9f0bb80:
  + Create volume from snapshot must be in the same AZ as snapshot
* Sat Jul 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a75.g9e3ca27:
  + Imported Translations from Transifex
* Fri Jul 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a73.g213ad6b:
  + GPFS stub calls to truncate and dd in unit tests
  + Fix further Hacking 0.6.x warnings
  + get_snapshot should populate the snapshot metadata
  + use encode('utf8') instead of str()
  + Migration for detached volumes with no snaps.
  + fix name 'update_volume_status' to 'update_volume_stats'
  + Using volume name property instead of using template and id.
  + Fix volumes search by metadata
* Thu Jul 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a57.g627d69e:
  + Update RBD driver to be compliant with HACKING
  + Adding driver minimum features and volume stats to dev doc
  + Imported Translations from Transifex
  + Implement extend volume for Storwize/SVC.
  + Implements extend volume feature in HP 3PAR driver
  + GPFS convert glance image to raw only when needed
  + Storwize/SVC: Use VolumeDriver's copy vol<->image.
* Tue Jul 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a45.g8d11563:
  + Refactor SSHPool.get() to use Pool.get()
  + Cleanup README.rst
  + Fixes RBD driver docstring format issues.
  + Add create & attach times to SolidFire attributes.
* Tue Jul 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a38.gb4f326d:
  + 3PAR Driver modifications to support QOS
  + Added incremental backup support to Ceph backup driver
* Sat Jul 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a34.g6e95e1a:
  + Revert hardening of Storwize/SVC SSH commands.
  + Make Storwize/SVC tests work without simulator.
  + Clone_image should return dict of vol properties, clone status.
  + Add test for volume status check when extending
  + Sync gettextutils from oslo
* Thu Jul 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a27.gb123edc:
  + Fixes Opt types in cinder/backup/drivers/ceph.py
  + Rename SolidFire driver for consistency
  + Fixes default value of use_default_quota_class
  + Implement validate_connector for Storwize/SVC.
  + Fixes Opt type of use_multipath_for_image_xfer
  + Fix indent in cincer/volume/configuration.py
  + Delete snapshot metadata when snapshot is deleted
  + Move copy_volume function to volume/utils.py.
  + Fix duplicate config options
  + Tidy up the SSH call to avoid injection attacks in storwize_svc
  + Imported Translations from Transifex
  + Imported Translations from Transifex
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a388.g9c06684:
  + Checks the volume_clear flag and just return if it is none
  + Fixes race condition in LVMVolumeDriver create_cloned_volume method
  + Fix extend_volume error handling.
* Wed Jul 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a383.ge9b5abb:
  + Imported Translations from Transifex
  + Clean up Huawei tmp files from tests.
  + Implement extend volume functionality in Rbd
  + Catch additional connect fail cases.
  + Add flag argument to 'cinder-manage config list'
  + Implement extend volume functionality in Sheepdog
  + CoraidDriver: Allow volumes in error state to be deleted
  + Be sure to check deleted types on quota update.
  + Adds multiple iSCSI port support to 3PAR
  + Increase timeout period for clone volume.
  + Fixes ceph-backup failure if original volume deleted
  + Add Brick Fibre Channel attach/detach support.
  + Mark methods used in class only with prefix "_"
  + Add te field user_id into the volume detailed information.
  + Fix error when QuotaUsage.updated_at is NULL
  + Add tests for cinder/api/urlmap.py
  + remove improper assert usage
  + Minor reorg for (array resource usage and backend options naming)
* Tue Jul 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a349.g1fdf77d:
  + Add generic block device driver
  + Use base ISCSI driver to fulfill some driver requirements
  + Add unit tests for cinder/api/contrib/volume_actions.
  + Implement extend volume functionality in SolidFire
* Mon Jul 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a342.g5610092:
  + Cleanup and make HACKING.rst DRYer
* Sun Jul 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a340.gfce0179:
  + Add support to import images into sheepdog volumes.
  + Fix a few Sphinx warnings
  + Handle errors raised by extend_volume
* Sat Jul 13 2013 dmueller@suse.com
- add remove-babel-requirement.diff
- set ietadm as default iscsi_helper
* Sat Jul 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a334.gbced838:
  + Fixed Ceph backup librbd segfault
  + Check enabled backup service before rpc request
  + Ignore files created by Sphinx build
  + Enable zero the snapshot when delete snapshot in LVMVolumeDriver
  + Update requirements from openstack/requirements.
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a324.g7ecc45a:
  + Update upper bound of keystoneclient version.
  + Add unit tests for cinder/api/versions
  + Add support for storing volumes on GPFS
  + Consist terminate_connection function signature
  + Fix missing volume_name_template flag.
  +     cinder.api: Replace 'locals()' with explicit values
  + Enable setting blocksize on volumes.
* Thu Jul 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a310.gcfe8dc4:
  + Sync install_venv_common from oslo
  + Don't pass 'session' arg to public DB API methods
  + Move brick initiator tests to brick subdirectory.
  + Remove suds requirement
  + Make String column creation compatible with SQLAlchemy 0.8
  + Add interface class for backup drivers
  + Change check-detach to reject more states
* Wed Jul 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a297.g811d514:
  + SolidFire API RequestID is useless.
  + Refactor reschedule in exception handling of volume manager
  + Add ability to specify SolidFire API version
  + Fix extent size issue when creating thin pool.
* Tue Jul  9 2013 dmueller@suse.com
- Update to version 2013.2.a290.ge958394:
  + Prevent wrongly privilege escalation of a context
  + Use oslo.sphinx and remove local copy of doc theme
* Mon Jul  8 2013 dmueller@suse.com
- add dependency on oslo.sphinx
* Sun Jul  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a287.gfaffe83:
  + Add check for snapshot to Brick LVM.
* Sat Jul  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a285.g15dab5c:
  + Rename cinder.flags to cinder.common.config
  + Add execute wrapper to brick LVM code.
* Fri Jul  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a281.gcf69b54:
  + Quotas by Volume Type
  + Make os-services API extension consistent
  + Fix typo 'Flase' -> 'False'
  + xenapi: implement xenserver image to volume
  + Scheduler should not select down volume managers
* Wed Jul  3 2013 speilicke@suse.com
- Update to version 2013.2.a271.g3b0921f:
  + Imported Translations from Transifex
  + Skip brick_initiator test in virtual environments
- Drop 0001-Skip-brick_initiator-test-in-virtual-environments.patch
  (merged upstream)
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a267.g5e3b00e:
  + Added Cinder volume backup to Ceph support
  + Imported Translations from Transifex
  + Removes 3PAR domain option from cinder config file
  + Handle ECONNREFUSED exception in SolidFire driver.
  + CoraidDriver: Create_volume_from_snapshot of a different size
  + Adding host attaching support to Cinder
* Tue Jul  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a256.ge102c28:
  + Add os-availability-zone extension
  + Calculate count for customized dd blocksize
* Mon Jul  1 2013 dmueller@suse.com
- add 0001-Skip-brick_initiator-test-in-virtual-environments.patch
* Sat Jun 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a252.g066a676:
  + Run flake8 also on cinder/*/openstack
  + Imported Translations from Transifex
  + Fix service alive information in os-services extension
* Fri Jun 28 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a246.gb792d19:
  + Raise an error if iSCSI is not supported
  + Added volume backup and restore to Ceph RBD driver
  + Save some more image attributes to volume_glance_metadata.
  + Fix check_for_setup_error for sheepdog driver
  + Add Brick iSCSI attach/detach.
* Thu Jun 27 2013 speilicke@suse.com
- Only depend on python-discover on SLE, it's a Python-2.6 feature
  backport
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a237.g5e8ab1c:
  + Content-length missing in put_object
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a236.g6f3b40c:
  + Update kombu requirement
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a234.gcdb8d79:
  + Add support for swift user/key authentication
  + Fix and enable gating on H401
  + Fix up trivial H103 license check mismatches
  + Avoid winning the useless use of cat award
  +         cinder.[brick,db,image] Replace 'locals()'
  + Do not raise NEW exceptions
  + Added extra-spec key scoping to the 3PAR drivers
  + Imported Translations from Transifex
  + Replace glance_metadata check with bootable column.
  + Register used CONF entries in cinder.api.common.py
* Tue Jun 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a215.g6f723a6:
  + Add the project name into CinderKeystoneContext.
  + Remove usage of locals() for formatting from cinder.tests.*
* Mon Jun 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a211.g6e90e40:
  + Use list comprehensions when possible
  + NetApp:iSCSI drivers reserved percent need to change to 0.
  + Adds create_from_volume test cases
* Sun Jun 23 2013 dmueller@suse.com
- add 0001-Avoid-using-GREENDNS-due-to-dnspython.patch
* Sat Jun 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a205.g66c158f:
  + cinder.backup: Replace 'locals()' with explicit values
  + NetApp unified driver implementation.
  + Refactor the backup method of SwiftBackupService
* Thu Jun 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a200.gb71d567:
  + fix error class path in logging sample
  + Don't perform retry_execute in certain cases.
  + Modify check for volume-type-id to a get w/default
  + Add missing extend volume test (rpcapi).
  + Add build directory to flake8 ignore dirs.
  + Add _create_volume to ThinLVMVolumeDriver
  + Imported Translations from Transifex
* Thu Jun 20 2013 dmueller@suse.com
- update test requires
* Wed Jun 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a188.g1482c40:
  + Fix and enable gating on H403
  + Update attach status when instance id invalid.
  + Implement capability to extend existing volume.
  + Use Python 3.x compatible except construct
* Wed Jun 19 2013 dmueller@suse.com
- add pywbem dependency for EMC volume driver
* Tue Jun 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a181.g3172208:
  + Imported Translations from Transifex
  + Editable default quota support for cinder
  + cinder/.: replace 'locals()' with explicit values
  + Use Python 3.x compatible octal numbers
  + Use common.processutils.execute
  + cinder.schedule: Replace 'locals()' with explicit values
* Sun Jun 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a169.g86f8afb:
  + Remove the 'migrate' option from cinder-manage
  + Start using Pyflakes
  + Imported Translations from Transifex
  + Remove usage of locals() for formatting from cinder.volume.*
* Sat Jun 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a161.gb1b06e3:
  + Fix up the test framework
  + Replace utils.to_bytes() with strutils.to_bytes()
  + Remove usage of locals() for formatting from cinder.api.*
  + Use Python 3.x compatible except: construct
  + Imported Translations from Transifex
  + Update and add notifiers in create volume
* Fri Jun 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a150.g0a26b70:
  + Fix various Sphinx warnings
  + Replace FLAGS with cfg.CONF in volume
  + Imported Translations from Transifex
  + Flatten Volume from Snapshot
* Thu Jun 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a142.g7f9a6c5:
  + Elevate volume/snap "is busy" log message for volume/snap_delete
  + Fixes 3PAR drivers terminate_connection issue.
  + Fix some unittest cases failed on osx
  + Replace FLAGS with cfg.CONF in other modules, unless tests
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a134.gefd8cfe:
  + Fix the after subscription size checks.
  + Remove explicit distribute depend.
  + Remove direct call to utils.execute.
  + Re-set default sql_connection and sqlite_db.
  + Merge from oslo-incubator
  + Imported Translations from Transifex
  + Update to the latest stevedore
  + Added policy check for backup operations
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a118.g0233fe3:
  + Integrate oslo's periodic tasks.
  + Add availability zone checking in the api service
  + Fix LVM logging error.
  + Add policy checking for transfer create/accept.
  + Add missing exception from volume/api.py
  + Add missing attributes to xml deserializer for volume request
  + Allow disabling ssl compression for glance client
  + Removing service_* options from authtoken
  + Replace FLAGS with cfg.CONF in tests
  + Replace functions in utils with oslo.fileutils
* Tue Jun 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a98.gf34aef3:
  + NFS drivers don't honor vm size with volume from an image
  + Replace FLAGS with cfg.CONF in api
* Mon Jun 10 2013 dmueller@suse.com
- update requires
* Mon Jun 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a94.gaa7fde5:
  + Add the iscsi device check and exception processing.
* Sat Jun  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a93.gb820205:
  + Add missing tests for backup_* methods
  + Fix 'undefined symbol conn' error
  + Minor Logic bug in NFS Driver.
  + Imported Translations from Transifex
* Fri Jun  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a86.g738dc74:
  + Add missing tests for iscsi_* methods
  + Unset all stubs before running other cleanups.
* Thu Jun  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a82.gb7ceb40:
  + Fix config registration in cinder volume drivers.
  + Remove E12 errors from tox.ini Flake ignores.
* Wed Jun  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a79.gbcf7d0c:
  + Fixes the 3PAR drivers CPG validation
  + Replace FLAGS with cfg.CONF in db
  + Imported Translations from Transifex
  + Log iSCSI target output on error.
  + Handle IPv6 specifid glance servers gracefully
  + Re-write of the cinder-manage man page.
  + Elevate acceptors context on accept reserve udpate
  + Add call to vol driver when accepting a transfer
* Tue Jun  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a63.gd0c1110:
  + Implement DB migration for volume transfer BP
  + Don't set signing_dir by default.
  + Replace FLAGS with cfg.CONF in scheduler
* Sun Jun  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a58.ga003e4a:
  + HDS Cinder Driver. Rev #1
  + Update 3PAR driver session management
  + Add error reporting to generate_sample.sh on import failure.
  + Fix AttributeError typo
  + python3: Introduce py33 to tox.ini
  + rbd: simplify configuration and use librbd and librados
  + Fixed method db.api.reservation_expire
* Sun Jun  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a44.g50667f1:
  + Add testrepository to git ignores.
  + InvalidUUID can not be raised
  + Fix incorrect authorization rule in quota contrib api.
  + Rename requires files to standard names.
  + Updating HACKING to disallow the use of locals()
  + Prevent force delete if the volume is attached
  + Migrate to Oslo DB code
  + Imported Translations from Transifex
  + Fix path for pylint Gate
* Thu May 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a27.gd1e7c9a:
  + Fixes 3PAR Host already exists error.
  + Support for NFS shares with spaces in path.
  + Add missing tests for cinder.db.api
  + Return 404 from delete of extra spec if not found
  + Fix 'Inheritance-based rule deprecated' log warning
  + Fix incorrect status for volume clone from image
  + Imported Translations from Transifex
  + Add missing tests for cinder.db.api.quota_
  + Fix incorrect copyright
  + Fix typos
* Thu May 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a290.g544f1b7:
  + Update cloned volumes QoS settings.
  + Catch and report errors from copy image to volume.
  + Remove execute permissions from test files.
  + test_glance.py: Stub out _get_member_model as well.
  + Ensure that pbr>=0.5.10 is installed
  + rbd: send ceph monitor addresses with connection info
* Wed May 29 2013 dmueller@suse.com
- remove setBadness call from rpmlintrc
* Wed May 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a279.gb782597:
  + Remove cinder_emc_config.xml.sample
* Tue May 28 2013 dmueller@suse.com
- update requires of test package
* Mon May 27 2013 dmueller@suse.com
- add python-six requires
* Mon May 27 2013 speilicke@suse.com
- Update to version 2013.2.a278.g05ce36a:
  + Removes a broken link from the sidebar of Sphinx built pages.
  + Support mount options for NFS/GlusterFS volumes
  + Raise VolumeNotFound with correct volume_id
  + Update log.py and jsonutils.py from oslo-incubator
  + Added test for nonnumerical limit param
  + Added a test for bad limit param
  + Add the service_state into test_schedule_happy_day.
  + Fix ownership transfer when cloning with SolidFire
  + Migrate base test class to testtools.
  + Replace custom skip_ methods.
  + Add common Oslo DB code to the source tree
  + Hack run_tests.sh to work with single tests again.
  + ModifyVolume attributes on Clone.
  + Imported Translations from Transifex
  + Add "_" builtin method for config generation
  + Make NFS share selection more intelligent.
  + Implement scheduler hints for API v2
  + Don't throw ValueError for invalid volume id
  + Added '%%' before snapshot variable
  + Improve "service is down or disabled" warning message
- New build requirement:
  + python-six
* Tue May 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a247.g3e91488:
  + Adds notifiers to both volumeTypes and volumeTypeExtraSpecs
  + Hide v1/v2 version entities in API when disabled
  + Imported Translations from Transifex
* Mon May 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a242.g9c1e7ba:
  + Add thin provisioning support checks.
  + Imported Translations from Transifex
  + Update import of strutils from oslo.
  + Allow flake8 to run in venv
  + Convert to oslo strutils.bool_from_string.
* Sun May 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a232.g0d97245:
  + Imported Translations from Transifex
* Sat May 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a231.g65ab541:
  + RemoteFsDriver: copy_image_to_volume and copy_volume_to_image
* Fri May 17 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a229.g0b09f78:
  + Imported Translations from Transifex
  + Update/Publish volume service updates on delete.
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a226.g1d6de0f:
  + NetApp server tunneling fix.
  + Add .coveragerc to show proper coverage statistics. As in other openstack projects.
  + Fixes an get_volume_stats reporting issue
  + Deprecating old dot path locations for Folsom configs
  + solidfire: Make sure src_uuid is passed correctly
* Thu May 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a216.g0d0d307:
  + Hide lock_prefix argument using synchronized_with_prefix()
  + Implement cloned volume for the RBD driver
* Wed May 15 2013 opensuse-cloud@opensuse.org
- BuildRequire pbr + d2to1
- include cinder-rpc-zmq-receiver
- Update to version 2013.2.a212.g180a320:
  + Set default values for NFS/GlusterFS share_config files
  + Implement copy_image_to_volume and copy_volume_to_image on nfs backends
  + Use pbr instead of openstack.common.setup.
  + Remove gettext.install() from cinder/__init__.py
  + Increased unit test code coverage
  + solidfire: Add ability to override account prefix
  + Add CINDER_LOCALEDIR env variable
  + Create an LVM utility to use for local storage.
  + Use flake8 and hacking.
  + Storwize/SVC: fix attach bug for live migration.
  + Move iscsi helpers to brick directory.
  + Fix up hacking ignores a bit.
* Mon May 13 2013 dmueller@suse.com
- drop rtslib dependency, removed upstream
* Sun May 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a189.g59fc6cb:
  + Change the type of "free_capacity_gb" to be float
* Sat May 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a188.g145b38c:
  + Fix missing spaces in Huawei Logging
  + Add pylint-based lintstack test to tox environment
  + Add missing spaces to iscsi_iotype help
* Fri May 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a182.g7dad062:
  + Copy the RHEL6 eventlet workaround from Oslo
  + Remove outdated cinder test doc
* Thu May  9 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a179.g92dd2e0:
  + Add db client packages to dev env setup doc.
* Wed May  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a177.gd8c9e68:
  + Remove setuptools-git as run time dependency
  + Update import of oslo's processutils.
  + Fix ability to add custom volume_backend_name
* Sat May  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a172.g822cda0:
  + Check that volume is at least minDisk size.
  + Remove old_name from kwargs when using IET helper.
  + Fix LHN driver to allow backend name configuration
  + Fixes 3par driver methods that were double locking
* Wed May  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a165.g11a949c:
  + Deleting a backup removed the backup record from database
  + Avoid using whitespace in test_safe_parse_xml.
* Fri Apr 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a162.gb2e20f8:
  + Encode username and password in config file
  + Fixes 3PAR FC driver synchronization
  + Update to latest copy of OSLO incubator
  + Clear volumes stuck in 'downloading'
  + Remove _path_exists method.
  + Cinder wasn't filtering the backups returned to backup list API
  + cinder volume service keeps retrying even code exception
* Fri Apr 26 2013 speilicke@suse.com
- Add python-Babel to test package requires. Stevedore complains otherwise
* Fri Apr 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a148.gf4f75ca:
  + Remove duplicate method definition
  + Add stats reporting to Nexenta Driver
* Thu Apr 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a144.g2522f4d:
  + iscsi: Add ability to specify or autodetect block vs fileio
* Mon Apr 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a142.g3727324:
  + Rename duplicate test method
* Sun Apr 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a141.gb49f37b:
  + Throw InvalidSnapshot for failed snap delete
  + Remove InvalidPortRange exception
  + Add availability_zone to the volume and snapshot notifications
  + remove deprecated assert_unicode sqlalchemy attribute
  + Fix IBM copyright strings
  + Change format of some judgments
  + Add du to rootwrap filters
  + leave re-scheduled volume status to creating
  + Remove update_volume_status log message from NFS driver
  + Fix cinder-manage backup list to work with uuids
  + Implement get_volume_stats for GlusterFS driver
  + Fixed a volume creation re-schedule error
  + Allow deletion of backups where the service is None
  + Clean up started volume services in tests.
  + Sync with oslo-incubator copy of setup.py
  + Prevent create volume from snapshot with bad size
  + Reformat openstack-common.conf
  + Don't hard code AUTH_ into the swift backup url
  + Fix backup manager formatting error.
  + Clean up attach/detach tests.
  + Add service list functionality cinder-manage
  + fix default config option types
  + Fix incompatible Storwize/SVC commands.
  + new cinder.conf.sample and fix extract_opts.py
  + Use VERSION var for volume_stats version (Gluster/NFS)
  + Use a SSH pool to manage SSH connection
  + NetApp: Fix failing NetApp tests
  + Add missing space to "volumes already consumed" message
  + Add capabilities reporting to ThinLVM driver
  + Add parsing to extra-specs key check
  + Remove Flags usage from cinder.volume.driver
* Tue Apr  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a83.g3aa947d:
  + Make dd block size user configurable
  + Force deletes using tgt to workaround bug 1159948
  + Add the volume and snapshot gigabytes together.
  + Sync lockutils from oslo-incubator stable/grizzly.
  + Remove unused tools/rfc.sh
  + Fix quota updating when admin deletes common user's volume
  + Fix bug with 3PAR host entry in wrong domain
  + Use the local configuration in the nfs drivers
  + Enforce exclusive options snapshot-id, source-volid and image-id
  + Mark sql_connection with secret flag
  + getLogger should be called after logging is configured
  + Add snapshot events to the cinder notification
  + REST session validity not checked in get_volume_info
* Mon Mar 25 2013 cloud-devel@suse.de
- Update to version 2013.2.a60.gd6935af:
  + Clean up exec_dirs prefix from rootwrap conf
  + Implement get_volume_stats in NFS driver
  + Remove AGPL rtslib pkg from pip-requires.
  + CoraidDriver: retrive volume info (improvement)
  + Remove references to FLAGS from volume/manager.py
  + Pull Oslo log fix to enable root logger initialization
  + remove cinder-rtstool because of rtslib dep
  + Allow snapshot_delete for NFS/GlusterFS drivers
  + Fix Storwize/SVC LUN allocation with holes.
  + Use OpenStack common project requires.
  + Rename cinder-rtstool to rtstool
  + Add snapshots to the volume usage audit report
  + Speedup solidfire unit tests
  + Add missing processutils for impl_zmq in oslo rpc
  + Update Cinder's latest copy of OSLO grizzly stable
  + Remove the log spam generated by the NetApp driver unit tests.
  + Switch all uses of 422 response code to 400.
  + Updates to OSAPI sizelimit middleware.
  + Extend param2id() to work with uuids
  + CoraidDriver: do not call login from __init__
  + CoraidDriver: typo in _login exception handler
  + Fetch volume_types by uuid and not by name in v2
  + Snapshot reservation sync calls wrong resource.
  + Fixed attach volume for EMC SMI-S iSCSI driver
  + Last driver sync for Folsom and Grizzly
  + Fixes Cinder REST API /volumes issue
  + CoraidDriver: support users that are not admin
  + Fixed shared gigabytes quota resource.
* Wed Mar 20 2013 dmueller@suse.com
- the policy.json file link in tests was actually correct. remove
  hack
* Mon Mar 18 2013 speilicke@suse.com
- Update to version 2013.2.a7.g4c5f276:
  + Fix typo in persona valid values
  + Use self.configuration to support the multi-backend case
  + Fixes dettach volumes in Windows cinder plugin
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Sun Mar 17 2013 cloud-devel@suse.de
- Update to version 2013.2.a95.g65e86b0+git.1363478627.65e86b0:
  + Fix bugs for Huawei driver
  + cinder-manage does not print any version information
  + Count Snapshots towards volume/gigabyte quotas.
  + Fix 3PAR driver hiding existing host error
  + Fix ISCSIDriver rescan.
  + Compression/tier capabilities for Storwize/SVC.
  + Switch to final 1.1.0 oslo.config release
  + Fix _migrate_up in test_migrations
  + Bump version for Grizzly RC1 cut
* Wed Mar 13 2013 dmueller@suse.com
- run migrations before starting the daemon
* Wed Mar 13 2013 cloud-devel@suse.de
- Update to version 2013.1.a79.g3f888b9+git.1363133105.3f888b9:
  + update error log arguements in filter scheduler
  + Storwize/SVC driver fix for multibackend scenario.
  + Fix bad request response code on extra_specs create.
  + Adds a flag to set glance api version to call
* Tue Mar 12 2013 dmueller@suse.com
- python-oslo-config -> python-oslo.cofnig
* Tue Mar 12 2013 cloud-devel@suse.de
- Update to version 2013.1.a72.g59a16a1+git.1363047146.59a16a1:
  + Do not use prefix to lookup host in Storwize/SVC.
* Mon Mar 11 2013 dmueller@suse.com
- add sqlalchemy-update.diff:
  * Support SQLAlchemy 0.7.10
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a70.g15cd9ac+git.1363006799.15cd9ac:
  + Update oslo rpc libraries
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a68.g9f70ee5+git.1362995739.9f70ee5:
  + Fixed copy image to volume and clone volume.
  + Fixes issues found in /os-hosts API
  + sync oslo changes for setup / version
  + NetApp: Fix for snapshot not deleted in error state.
  + Switch to oslo.config.
  + Add get_volume_stats in the sheepdog driver.
  + Fix 3PAR drivers to work in multi-backend mode.
  + Fix Storwize/SVC storage_protocol reporting.
  + Exit run_tests with the result code of the test runner.
  + Use nose and openstack nose plugin.
  + Mark configuration option netapp_password secret
  + NetApp bug fix for multibackend scenario.
  + Pull newly merged Olso update for 'is' operator
  + Update tox.ini to support RHEL 6.x.
  + Remove/update unused log arguements in manager
  + Fix volume capacity reporting
  + Removing flags in RBD in favor of configuration
  + Fix calling setUp() method of superclass from tearDown method.
  + Fix a few bugs for LeftHand Grizzly
  + LIO iSCSI initiator ACL auto-config
* Tue Mar  5 2013 cloud-devel@suse.de
- Update to version 2013.1.a33.g15962a4+git.1362504249.15962a4:
  + Improved fail_reason for cinder-backup swift connection errors
  + Elevate context for delete volume with no host.
  + Only use iscsi_helper config option if using LVMISCSIDriver
  + Add some useful log to filter scheduler.
  + swift backup service checks version during restore
* Thu Feb 28 2013 saschpe@suse.de
- Update to version 2013.1.a23.gdd01069+git.1362060887.dd01069:
  + allow run_tests.sh to report why it failed
  + XenAPINFS: Fix Volume always uploaded as vhd/ovf
  + Changed to INFO level logging for main cinder-backup operations
  + Fixes the provisioning on selected volumes for NetApp 7 mode.
  + Fix query filter in volume_get_active_by_window()
  + NetApp: Fix race condition in 7-mode iSCSI driver with DFM.
  + Improve logging for volume operations via manager
  + Convert from using FLAGS directly in SF driver.
* Tue Feb 26 2013 dmueller@suse.com
- add requires to python-rtslib
* Mon Feb 25 2013 saschpe@suse.de
- Init script cleanup:
  + Drop useless shell variables
  + Don't depend on $network facility, we already have $remote_fs
    (comes after $network)
  + Use one init script template for all daemons
  + Let cinder daemons create their logfiles
- Default configuration cleanup:
  + Use openstack-utils to set as much default values in the package
    as possible (instead of patch/sed/...). Some may be overwritting
    later on by, .e.g., crowbar
- More useful lograte configuration:
  + Compress
  + Make sure to keep log files for at least 90 days (i.e. rotate 15
    + weekly = 15 weeks).
  + Add size=1M to avoid getting DoS'ed by wild daemons
  + Use copytruncate instead of create+postrotate+sharedscripts to
    avoid a daemon restart
- Don't touch (and ghost) sqlite database file
- /var/lib/cinder should also be owned by the group
- /var/log/cinder should have 0750 permissions (instead of 0755)
* Sun Feb 24 2013 dmueller@suse.com
- Update to version 2013.1.a8.g8e7f0b9+git.1361732209.8e7f0b9:
  + change display_description to description in volumes
  + NetApp direct to filer drivers for iscsi and nfs.
  + v2 volume/snapshot create will correctly give a 202 response
  + make test_databases instance variable
  + add postgresql opportunistic testing
  + Fix PEP8 violation
  + Fix ordering of function args
  + Allow create_volume() to retry when exception happened
  + Adding support for Coraid AoE SANs Appliances.
  + Create a RemoteFsDriver class
  + Add an update option to run_tests.sh
  + Update EMC SMI-S Driver
  + rbd: update volume<->image copying
  + Add LIO iSCSI backend support using python-rtslib
  + Add GlusterFS volume driver
  + Add an ID to temporary volume snapshot object
  + Add get_cluster_stats to SolidFire driver
  + Update snapshot rest api to be consistent with volumes
  + Handle 'infinite' and 'unknown' capacity in CapacityWeigher
  + Sync latest cfg and log from oslo-incubator
  + Fix PEP8 violation (again)
  + Update cinder-volume to enable multi volume support
  + Fix undef function call in test_migrations for py26
  + Install rtslib when installing cinder
  + XenAPINFS: fix capacity reporting
  + Skip tests if cinder is not installed
  + Update Storwize/SVC driver for Grizzly.
  + Fix create volume from image.
  + Fix syntax error in  cinder-volume-usage-audit
  + Fibre Channel base class for Cinder drivers
  + HP 3PAR Fibre Channel Driver and iSCSI Updates
  + Add a safe_minidom_parse_string function.
  + Set rootwrap_config in cinder.conf sample.
  + Use oslo-config-2013.1b3
  + Handle maxclonepervolume/node limits in SF driver.
  + Add a volume driver in Cinder for Scality SOFS
  + Update cinder-manage to use FLAGS.log_dir.
  + Ensure volume exists before deleting.
  + Add LIO configuration for iSCSI initiators
  + rbd: implement get_volume_stats()
  + Bump the oslo-config version to address issues.
  + Better error handling around volume delete.
  + Add HUAWEI volume driver in Cinder
  + Moved cinder_emc_config.xml.sample to emc folder
  + Uses tempdir module to create/delete xml file
  + Implement a basic backup-volume-to-swift service
  + Fix stale volume list for NetApp 7-mode ISCSI driver
  + Skip timestamp check if 'capabilities' is none
  + XenAPINFS: Create volume from image (generic)
  + Implement metadata options for snapshots
  + Cinder devref doc cleanups
  + Fixed cinder-backup start errors seen with devstack
  + Fix various exception paths
  + update install_venv_common to handle bootstrapping
  + Remove compat cfg wrapper
- Add backup subpackage for the new Backup service
  + Also generate and install init script
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-common-macros
* Mon Feb 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a115.g835fb61+git.1360597203.835fb61:
  + Import Oslo's common rootwrap to Cinder
  + Mark password config options with secret
  + Fix inability to delete volumes in error state for NetApp driver
  + Fix provider_location column add for PSQL
  + Add unit tests for ISCSIDriver._do_iscsi_discovery and ISCSIDriver._get_iscsi_properties
  + Update 3PAR driver
  + sync database connect changes from nova
  + Update some Oslo Packages
  + add data injection on migrations
  + Copy glance_image_metadata when cloning volumes.
  + Add volume_glance_metadata to volume.api.get
  + Allow tools/install_venv_common.py to be run from within the source directory.
  + XenAPINFS: Copy image from glance
  + rework migration 004 testing with real data
  + Don't require importing paramiko for error.
  + Allow for specifying nfs mount options
  + Update to latest oslo-version code.
  + XenAPINFS: Copy volume to glance
  + Move create_cloned_volume() to LVMVolumeDriver.
  + Allow disabling of long-lived SSH connections.
* Thu Feb  7 2013 dmueller@suse.com
- configure rootwrap_config by default
- configure auth_strategy to keystone
* Mon Feb  4 2013 saschpe@suse.de
- BuildRequire python-argpase to fix SLE_11_SP2 (doc) build
* Mon Feb  4 2013 dmueller@suse.com
- Update to version 2013.1+git.1359978771.534eb08:
  + Fixes 'not in' operator usage
  + Skip tests if cinder is not installed
  + Fix the generalized copy_image_to_volume operation.
  + import tools/flakes from oslo
  + Fixes "is not" usage
  + Pull cfg module from Oslo and update cinder-manage accordingly
  + Set source volume to "in use" during clone
  + Fix typo in cinder/db/api.py
  + Replace CRLF with unix-style "LF"
  + Allow volume back-end to report 'infinite' or 'unknown' as capacity
  + Wrap SolidFire size parameter in int.
  + Use install_venv_common.py from oslo.
  + Update osapi_volume_extension default.
  + Generic iSCSI copy volume<->image.
  + Implement LVM thin provisioning support.
* Mon Jan 28 2013 dmueller@suse.com
- Update to version 2013.1+git.1359364739.602da5b:
  + Fix hosts extension and enable its tests
  + Get updated vol status in volume.api.reserve.
  + Update EMC SMI-S iSCSI Driver
  + Fix NFS volume creation
  + Improve error message for missing NFS share config
  + ensure zeros are written out when clearing volumes
  + Fix error for extra specs update with empty body.
  + Clean up IPV6 config checks in test_wsgi.
  + Add capability to update volume metadata.
* Fri Jan 25 2013 saschpe@suse.de
- Ship sudoers configuration for cinder-rootwrap instead of relying on
  openstack-quickstart or Crowbar to set it up correctly. Depends on
  openstack-common-sudo
* Wed Jan 23 2013 saschpe@suse.de
- Clean up %%config(noreplace), only logrotate config and *.conf
  files should be noreplace
* Mon Jan 21 2013 dmueller@suse.com
- Update to version 2013.1+git.1358761161.6cfe5f2:
  + Fix sheepdog volume creation
  + Check for configured IPV6 before running tests
  + New cinder.conf.sample format
  + Move iscsi flags back to driver.py
  + Snapshot support for XenAPINFS
  + support a configurable volume wiping method
  + Relax various version constraints.
- add database as a %%ghost
- Remove cinder-req-versions-contstraints.patch: Merged upstream
* Tue Jan 15 2013 saschpe@suse.de
- Update to version 2013.1+git.1358255308.7905b6b:
  + Factor out LVM code.
- Add cinder-req-versions-contstraints.patch: Relax Python module
  requirement version constraints
- Drop cinder-include-migratecfg.patch: Fixing MANIFEST.in should not
  be necessary anymore, we are using the git_tarballs source service
* Tue Jan 15 2013 saschpe@suse.de
- Drop setuptools.git from tools/pip-requires, we don't use it
- Drop Babel from tools/pip-requires, we don't currently build/install
  i18n message catalogs
- Change all fixed version requirements in tools/pip-requires to ">=",
  this makes only sense for components that really break API compatibility
  (like WebOb)
* Tue Jan 15 2013 saschpe@suse.de
- Uncomment the test requires on python-hp3parclient, we have it now
  although it should be optional.
* Tue Jan 15 2013 dmueller@suse.com
- add provides/obsoletes for openstack-nova-volume
* Mon Jan 14 2013 saschpe@suse.de
- Only require python-stevedore 0.8, not 0.8.0
* Mon Jan 14 2013 dmueller@suse.com
- Update to version 2013.1+git.1358161260.643f916:
  + Implement filter scheduler
  + Revert "Implement filter scheduler"
  + Provide HP 3PAR array iSCSI driver
  + Fix CinderClient exception name in EMCISCSIDriver.
  + Enable cinder exception format checking in tests.
  + Update exceptions to pass correct kwargs.
  + Add option to make exception format errors fatal.
  + Implement filter scheduler
  + Use tempdir for lock_path in tests.
  + Make WebOb version specification more flexible
  + Fix cmds clearing in TargetAdminTestCase.
  + Add missing library
  + use deleted = False, not 0 for update
  + Implement ability to Clone volumes in Cinder.
  + Add pyflakes
  + Adds synchronization to attach volume.
  + Add EMC Volume Driver in Cinder
  + Adding marker, pagination, sort key and sort direction to v2 api
  + Fix typo in image_utils tempfile handling
  + Make the NetAppISCSIDriver._is_clone_done() method able to handle
  + Make sure we don't double remove tmp on exception
  + Add service mgmt extension.
  + Added the lockutils, fileutils, gettextutils
  + Fixes a Windows volume driver bug on disk export
  + Moving host admin extension with other extensions
  + Allow the lvm backed drivers to use mirrrors
  + CHAP support for IBM Storwize/SVC driver.
  + Remove instance quota re-sync code
  + Add image metadata API extension
  + Raise NotImplemented for drivers that don't support images
  + Add *.swp to gitignore.
  + Support glance servers over https
  + Add commands used by NFS volume driver to rootwrap
  + Changing display_name to name in v2 api
  + Make summary and detail view consistent with other projects
  + creating separate v1 and v2 stubs and general fakes
  + Make copy_to_volume a bit more useful.
  + Delete type call in api needs update to use ID.
  + Convert volume_type id from int to uuid.
  + Rename Config osapi_compute_link_prefix to osapi_volume_base_URL
  + Fix exception when size is None.
  + Ensure request_spec can be serialized.
  + attaching volumes will set instance_uuid instantly
  + Revert changes to monkey_patch.
  + Improve provider_location cleanup code for RBD.
  + Fix import order to make it alphabetical.
  + Fix None being passed into as_int().
  + Use auth_token middleware from keystoneclient.
  + Provide i18n to those messages without _()
  + Revert "use O_DIRECT when copying from /dev/zero too"
  + Make pep8 checks a bit stricter.
  + Unpin lxml requirements
  + use O_DIRECT when copying from /dev/zero too
  + Add CONTRIBUTING file.
  + Add the persistency to the volume created by iscsi IET.
  + adding copy of v1 as v2
  + Moving contrib to cinder.api
  + Moving api v1 implementation into v1 directory
  + Switching api to use base extension manager
  + moving all middleware code in cinder.api.middleware
  + Moving common api code into cinder.api
  + Cleaning up volume driver paths
  + Add volume bootable information to api response
  + Add XenAPINFSDriver
  + Add db table for Glance Metadata
  + Remove redundant db.volume_update() in volume manager create_volume()
  + Pin pep8 1.3.3
  + Removes the xensm driver
  + Pass in correct volume_ref to create_from_snapshot.
  + Add hosts extension to Cinder.
  + Remove unused python-daemon dependency
  + Make tox.ini run pep8/hacking checks on bin.
  + Various pep8/HACKING fixes for Cinder.
  + Volume RPC API Versioning
  + Remove gen_uuid()
  + Remove obsolete use_local_volumes
  + Import order cleanup per HACKING
  + Remove unused volume API method - remove_from_compute()
  + Scheduler API clean up and refactor
  + Remove dm_setup(remove) call in volume_delete.
  + Add ability to disable secure volume delete.
  + Remove the zeroing out of the volume altogether
  + Add 'create_volume' to scheduler RPC API.
  + Fix run_tests.sh ambiguous usage msg and behaviour for -x option
  + Add admin only action for force detach
  + Changes bit mode of zadara.py to 644
  + Port openstack-common/uuidutils to Cinder
  + Fix 401 from auth_token middleware
  + Splitting out volume drivers in driver.py
  + Minor optimization in create_volume in HpSanISCSIDriver
  + Adding a SSH Connection Pool.
  + Return volume type name on volume create
  + pin sqlalchemy to the 0.7 series
  + Add VolumeTenantAttribute API extension
  + Log the body of an /action
  + Detect and fix issues caused by vol ID migration
  + Split out drivers in san.py
  + Add VolumeHostAttribute API extension
  + Add default volume type flag
  + Fix typo so setting volume_tmp_dir works
  + Rollback for resources during volume creation failure
  + Allow the user to update a volume's metadata
  + Add the generation of the username and password for iSCSI target.
  + Update HACKING.rst and related changes from Nova/PEP8.
  + Add trove classifiers for PyPI
  + Ensure device node exists before wiping during volume deletion
  + Update volume and snapshot status on delete
  + Drop unused quota_usage db methods
  + Drop duplicate sqlalchemy db api methods
  + Change output strings to i18ned
  + Adds support for Windows 2012 Storage Server
  + Update common.
  + Fix incorrect class path for legacycinder formatter in logging_sample.conf
  + Error message references incorrect variable
  + Loosen anyjson dependency to avoid clash with ceilometer
  + Configuration Options clean up
  + Fix typo in policy documentation
  + Add snapshot force delete admin action
  + Mock out sleep in some retry tests
  + Use policy based rule to define context.is_admin
  + Sync openstack common and add policy
  + Fix typo in sample configuration file
  + Update distribute version in test requires.
  + Revert explicit usage of tgt-adm --conf option.
  + Fixes remove_export for IetAdm
  + Add missing entries in setup, fix up pip-requires
  + Fix NetAppCmodeISCSIDriver._get_lun_handle() method
  + Remove unused code: check_for_export.
  + Return 400 if create volume snapshot force parameter is invalid
  + Fix cinder-volume-usage-audit
  + Sync with nova change I135ed85a.
  + Remove cinder gating hack
  + Set the default availability zone back to nova
  + Add lun number (0) to model_update in HpSanDriver
  + Fixes to the SolarisISCSI Driver
  + Stop double logging to the console
  + Restore SIGPIPE default action for subprocesses
  + Replace builtin hash with MD5 to solve 32/64-bit issues.
  + Correct IetAdm remove_iscsi_target
  + Add nova migrate_version check to cinder import
  + Bump version to 2013.1
  + Clean up db.volume_create()
  + Fix volume deletion when device mapper is used
  + Update quota when deleting volume that failed to be scheduled
  + Sync a change to rpc from openstack-common.
  + Add a resume delete on volume manager startup
  + Improve entity validation in volumes APIs
  + Add entity body validation helper
  + Should've added super().tearDown() in test_iscsi
  + Fixes bug 1050135.
  + Fix FLAGS.volumes_dir help message
  + Use tmpdir and avoid leaving test files behind
  + Sync log format changes from openstack-common.
  + Update rpc from openstack-common.
  + Add volume quota in volume/api.py and olume/manager.py
  + Fixes bug 1049446.
  + Revert "Don't zero out snapshot volume on snapshot_delete"
  + Add update to volume and snapshot controllers
* Fri Jan 11 2013 saschpe@suse.de
- Set a reasonable state_path and rootwrap_dir in /etc/cinder/cinder.conf
* Fri Jan 11 2013 saschpe@suse.de
- Drop init-script openstack-cinder-all again, we decided to only
  ship the individual init scripts to reduce confusion
* Fri Jan 11 2013 vuntz@suse.com
- Fix openstack-cinder.init: use --config-file instead of
  non-existing --flagfile. Also use --log-file instead of
  - -logfile.
* Thu Jan 10 2013 saschpe@suse.de
- Add init-script openstack-cinder-all
* Wed Dec 19 2012 saschpe@suse.de
- Use macro %%openstack_sphinx_build_manpages_only
* Wed Dec 19 2012 saschpe@suse.de
- Move to obs-service-git_tarballs
  + Drop BuildRequires: python-setuptools-git
- Update to version 2012.2.3+git.1355916217.070c8c9:
  + Bump next version to 2012.2.3
  + Bump next version to 2012.2.2
  + Final versioning for 2012.2.1
  + Remove unused python-daemon dependency
  + Improve provider_location cleanup code for RBD.
  + Detect and fix issues caused by vol ID migration
  + pin sqlalchemy to the 0.7.x series
* Wed Dec  5 2012 saschpe@suse.de
- Use @PARENT_TAG@ in _service file to automate versioning
* Mon Dec  3 2012 saschpe@suse.de
- Fix path to cinder/tests/policy.json
* Mon Dec  3 2012 saschpe@suse.de
- Add cinder-include-migratecfg.patch: Backport of
  https://review.openstack.org/17347
- Move test* files from python-cinder to openstack-cinder-test package
* Fri Nov 23 2012 saschpe@suse.de
- Update requirements for python-cinder and openstack-cinder-test
  packages
* Thu Nov 15 2012 saschpe@suse.de
- Use openstack-macros
* Fri Nov  9 2012 saschpe@suse.de
- Add more test requirements for which we have packages now:
  + Requires: python-cliff
  + Requires: python-nosehtmloutput
  + Requires: python-nosexcover
* Thu Nov  8 2012 saschpe@suse.de
- Drop from_vcs build flag
* Wed Oct 17 2012 saschpe@suse.de
- Split out api, scheduler and volume sub-packages:
  + Added init scripts
- Add cinder/rootwrap/logrotate default configuration
- Build and install man-pages (currently only cinder-manage.1)
* Tue Oct 16 2012 saschpe@suse.de
- Initial version
